 function prep_4_ecosystem(transition){
	//**//**console.log('function: prep_4_ecosystem');
	world_current = worlds['4_ecosystem'];
	
	ticker_world = (function(){
		tick_4_ecosystem();
	});
	end_world = (function(){
		end_4_ecosystem();
	});
	narrDone = (function(){
		narrDone_4_ecosystem();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;	

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['4_bg']);
	world_current.addChild(bg);

	//** page assets:
	groundhog4 = new createjs.Bitmap( images['gopher4'] );
	//groundhog4.gotoAndStop(0);
	groundhog4.x = 430; groundhog4.y = 425;
	world_current.addChild(groundhog4);


	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('4_ecosystem', ['creatures','habitats','ecosystem.', 'depend']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_4_ecosystem);

}

//level specific functions:

//called once this level is fully slid into place
function begin_4_ecosystem(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('4_ecosystem');

	//groundhog4.gotoAndPlay('all');
	
}

function narrDone_4_ecosystem(){
	
}


function tick_4_ecosystem(){
	stage.update();
}



function end_4_ecosystem(){
	//**//**console.log('end_4_ecosystem');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

