function prep_8_compost2(transition){
	//**//**console.log('function: prep_8_compost2');
	world_current = worlds['8_compost2'];
	
	ticker_world = (function(){
		tick_8_compost2();
	});
	end_world = (function(){
		end_8_compost2();
	});
	narrDone = (function(){
		narrDone_8_compost2();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: After you've finished reading this story, ask your child what his or her favorite fruit or vegetable is. Together, draw a picture of it and have your child explain why he or she likes it best. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['7_bg']);
	world_current.addChild(bg);

	//** page assets:
	bucketFrontStem = new createjs.Bitmap(images['bucketTomatosFrontStem']);
	bucketFrontStem.regX = bucketFrontStem.image.width/2;
	bucketFrontStem.regY = bucketFrontStem.image.height/2;
	bucketFrontStem.x = canvas.width/2 + 328;
	bucketFrontStem.y = 328;
	

	coathanger = new createjs.Bitmap(images['coathanger']);
	coathanger.regX = coathanger.image.width/2;
	coathanger.regY = coathanger.image.height/2;
	coathanger.x = bucketFrontStem.x + 4;
	coathanger.y = bucketFrontStem.y - 12;

	bucketFrontEmpty = new createjs.Bitmap(images['bucketTomatosFrontEmpty']);
	bucketFrontEmpty.regX = bucketFrontEmpty.image.width/2;
	bucketFrontEmpty.regY = bucketFrontEmpty.image.height/2;
	bucketFrontEmpty.x = bucketFrontStem.x;
	bucketFrontEmpty.y = bucketFrontStem.y;	

	sackBack = new createjs.Bitmap(images['sackBack']);
	sackBack.regX = sackBack.image.width/2;
	sackBack.regY = sackBack.image.height/2;
	sackBack.x = 266;
	sackBack.y = 381;
	
	sackFront = new createjs.Bitmap(images['sackFront']);
	sackFront.regX = sackFront.image.width/2;
	sackFront.regY = sackFront.image.height/2;
	sackFront.x = sackBack.x;
	sackFront.y = sackBack.y;
	
	//hitTest for each tomato in tomatoes[]
	hitregion8 = new createjs.Shape();
	hitregion8.graphics.beginFill("white").drawRect(160,125, 200, 350);
	hitregion8.alpha = 0.01;
	world_current.addChild(hitregion8);


	//store all tomato objects in tomatoes[]. on narrDone, pass each member of tomatos[] to the drag function
	tomatoes = [];

	tomato1 = new createjs.Bitmap(images['tomato']);
	tomato1.scaleX = tomato1.scaleY = 0.75;
	tomato1.regX = tomato1.image.width/2;
	tomato1.regY = tomato1.image.height/2;
	tomato1.x = bucketFrontStem.x - 6;
	tomato1.y = bucketFrontStem.y - 74;
	
	tomato2 = new createjs.Bitmap(images['tomato']);
	tomato2.scaleX = tomato2.scaleY = 0.80;
	tomato2.regX = tomato2.image.width/2;
	tomato2.regY = tomato2.image.height/2;
	tomato2.x = bucketFrontStem.x - 10;
	tomato2.y = bucketFrontStem.y + 5;
	
	tomato3 = new createjs.Bitmap(images['tomato']);
	tomato3.scaleX = tomato3.scaleY = 0.60;
	tomato3.regX = tomato3.image.width/2;
	tomato3.regY = tomato3.image.height/2;
	tomato3.rotation = -45
	tomato3.x = bucketFrontStem.x ;
	tomato3.y = bucketFrontStem.y - 110;
	
	tomato4 = new createjs.Bitmap(images['tomato']);
	tomato4.scaleX = tomato4.scaleY = 0.66;
	tomato4.regX = tomato4.image.width/2;
	tomato4.regY = tomato4.image.height/2;
	tomato4.rotation = -45
	tomato4.x = bucketFrontStem.x + 14;
	tomato4.y = bucketFrontStem.y - 42;
	
	tomatoes.push(tomato1,tomato2,tomato3,tomato4);
	for(var i=0; i<tomatoes.length;i++){
		tomatoes[i].startX = tomatoes[i].x;
		tomatoes[i].startY = tomatoes[i].y;
	}

	world_current.addChild(bucketFrontStem);
	world_current.addChild(sackBack);
	world_current.addChild(tomato1);
	world_current.addChild(tomato2);
	world_current.addChild(tomato3);
	world_current.addChild(tomato4);
	world_current.addChild(sackFront);
	world_current.addChild(coathanger);
	world_current.addChild(bucketFrontEmpty);

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('8_compost2');

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_8_compost2);

}

//level specific functions:

//called once this level is fully slid into place
function begin_8_compost2(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('8_compost2');
	
}

function narrDone_8_compost2(){
	for (var i=0;i<tomatoes.length;i++){
		dragTomato(tomatoes[i]);
	}
}


function dragTomato(obj){
	doPulse(obj);
	addShadow(obj);
	
	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			target.scaleX *= 1.02;
			target.scaleY *= 1.02;
			
			// bump the target in front of it's siblings:
			world_current.addChild(target);
			//world_current.addChild(sackFront);
			
			evt.onMouseMove = function(ev) {
				target.x = ev.stageX;
				target.y = ev.stageY;				
			}			
			evt.onMouseUp = function(ev){
				
				var pt = target.localToLocal(target.regX, target.regY,hitregion8);
				if (hitregion8.hitTest(pt.x, pt.y)) {
					tomatoInSack(target);
				}
				else{	
					target.scaleX /= 1.02;
					target.scaleY /= 1.02;

					target.x = target.startX;
					target.y = target.startY;						
				}
			}
		}	
			
	})(obj);			
}


function tomatoInSack(tomato){
	//removing onPress event for tomato, so it can't be regrabbed out of sack
	tomato.onPress = null;
	//removing pointer onMouseOver
	tomato.onMouseOver = null;
	
	if(!narrActive) playSound('tomato');
	
	//tween down passed tomato
	createjs.Tween.get(tomato, {loop:false})
		.to({y: sackFront.y - 100, x: sackFront.x}, 100, createjs.Ease.linear)
		.call(function(){ 	
			//make sackFront topmost child
			world_current.addChild(sackFront);
		})
		.to({y: sackFront.y + 10}, 600, createjs.Ease.linear);

	//hide tomato after tween done?
}

function tick_8_compost2(){
	stage.update();
}



function end_8_compost2(){
	//**//**console.log('end_8_compost2');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

