function prep_2_trampoline(transition){
	//**//**console.log('function: prep_2_trampoline');
	world_current = worlds['2_trampoline'];
	
	ticker_world = (function(){
		tick_2_trampoline();
	});
	end_world = (function(){
		end_2_trampoline();
	});
	narrDone = (function(){
		//narrDone_3_butcher();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	//teachertipcontainer.onPage = true;
	//teachertiptext.text = "Parent tip: When you read with your child, pause to discuss the text on screen. It's helpful to reuse any new words your child might be hearing for the first time. You could say, "What do you think the word measure means? Can you remember a time when you measured something?";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	trampoline = new createjs.Bitmap(images['2-jeffy-trampoline']);
	trampoline.x = 160; trampoline.y = 70;
	world_current.addChild(trampoline);


	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('2_trampoline', ['heavy.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_2_trampoline);

}

//level specific functions:

//called once this level is fully slid into place
function begin_2_trampoline(){
	//**//**console.log("WORLD 2 BEGIN");
	
	playSound('2_trampoline');
	
}


function tick_2_trampoline(){
	stage.update();
}



function end_2_trampoline(){
	//**//**console.log('end_2_trampoline');	
	
	createjs.Ticker.removeListener(ticker_world);
}

