	function prep_5_guesscar(transition){
	//**//**console.log('function: prep_5_guesscar');
	world_current = worlds['5_guesscar'];
	
	ticker_world = (function(){
		tick_5_guesscar();
	});
	end_world = (function(){
		end_5_guesscar();
	});
	narrDone = (function(){
		narrDone_5_guesscar();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: Have your child guess what other animals might be \"twice as tall and almost as long as a car.\" Think of other ways to compare things. Were some dinosaurs as big as a house? When you are finished reading, you can look up some size comparisons online or in books. Try Steve Jenkins's book, \"Actual Size.\" ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	car = new createjs.Bitmap(images['5-car']);
	car.regX = car.image.width/2;
	car.regY = car.image.height/2;	
	car.scaleX = car.scaleY = 0.80;
	car.x = 335; car.y = 350;
	world_current.addChild(car);

	jeffy = new createjs.Bitmap(images['5-jeffy']);
	jeffy.regX = jeffy.image.width/2;
	jeffy.regY = jeffy.image.height/2;
	jeffy.scaleX = jeffy.scaleY = 0.80;
	jeffy.x = 750; jeffy.y = 272;
	world_current.addChild(jeffy);


	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);
	
	//providing custom linewidth and font size params for this page only:
	setNarrationText(900, 24);

	//params: sndID, defintion words in array
	renderNarration('5_guesscar', ['compare', 'approximate']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_5_guesscar);

}

//level specific functions:
function narrDone_5_guesscar(){
	guesscar_drag(jeffy);
	guesscar_drag(car);

}
function guesscar_drag(obj, snapback){
	addShadow(obj);
	doPulse(obj);

	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			target.scaleX = target.scaleY = 0.82;
			////**//**console.log(evt.target + " pressed!");
			
			// bump the target in front of it's siblings:
			//world_current.addChild(target);
			var offset = {x:target.x-evt.stageX, y:target.y-evt.stageY};

			evt.onMouseMove = function(ev) {
					target.x = ev.stageX;
					//target.y = ev.stageY;
				}

						
			evt.onMouseUp = function(ev){
				//**//**console.log(target + " released!");
				target.scaleX = target.scaleY = 0.80;							
			}	
			
		}		
	})(obj);	
}
//called once this level is fully slid into place
function begin_5_guesscar(){
	//**//**console.log("WORLD 2 BEGIN");
	
	playSound('5_guesscar');
	
}


function tick_5_guesscar(){
	stage.update();
}



function end_5_guesscar(){
	//**//**console.log('end_5_guesscar');	
	
	createjs.Ticker.removeListener(ticker_world);
}

