function prep_10_gettingtothegame(transition){
	//**//**console.log('function: prep_10_gettingtothegame');
	world_current = worlds['10_gettingtothegame'];
	
	ticker_world = (function(){
		tick_10_gettingtothegame();
	});
	end_world = (function(){
		end_10_gettingtothegame();
	});
	narrDone = (function(){
		narrDone_10_gettingtothegame();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: Ask your child what type of transportation in the story was his or her favorite. Depending on which one is chosen, discuss what makes it go. Then, talk about where your child would like to travel! Make a real (or make-believe) plan to go there. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	alice10A = new createjs.BitmapAnimation( spritesheets['alice_swingup'] );
	//alice10A.scaleX = alice10A.scaleY = 1.75;
	alice10A.x = 375;
	alice10A.y = 0;
	alice10A.gotoAndStop(0);
	alice10A.visible = false;
	world_current.addChild(alice10A);
	
	alice10A_outlined = new createjs.Bitmap(images['alice_swingup_outlined']);
	alice10A_outlined.x = alice10A.x;
	alice10A_outlined.y = alice10A.y + 135;
	world_current.addChild(alice10A_outlined);

	alice10B = new createjs.BitmapAnimation( spritesheets['alice_goalyell'] );
	//alice10B.scaleX = alice10B.scaleY = 1.75;
	alice10B.x = 295;
	alice10B.y = 58;
	alice10B.gotoAndStop(0);
	alice10B.visible = false;
	world_current.addChild(alice10B);

	alice10B_outlined = new createjs.Bitmap(images['alice_goalyell_outlined']);
	alice10B_outlined.x = alice10B.x + 45;
	alice10B_outlined.y = alice10B.y+1;
	alice10B_outlined.visible = false;
	world_current.addChild(alice10B_outlined);


	martha_sitting = new createjs.Bitmap(images['martha_sitting']);
	martha_sitting.x = 55;
	martha_sitting.y = 90;
	world_current.addChild(martha_sitting);

	skits_sitting = new createjs.Bitmap(images['skits_sitting']);
	skits_sitting.x = 750;
	skits_sitting.y = 60;
	world_current.addChild(skits_sitting);

	//martha container to show/hide. also, move entire container and not individual parts below
	martha10 = new createjs.Container();
	martha10.visible = false;
	martha10.x = - 10;
	martha10.y = -140;
	world_current.addChild(martha10);

	martha10tail = new createjs.BitmapAnimation( spritesheets['10_marthatail'] );
	martha10tail.x = 54;
	martha10tail.y = 218;
	martha10tail.gotoAndStop(0);
	martha10.addChild(martha10tail);

	martha10body = new createjs.Bitmap(images['10_marthabody']);
	martha10body.x = 120;
	martha10body.y = 300;
	martha10.addChild(martha10body);

	martha10head = new createjs.BitmapAnimation( spritesheets['10_marthahead'] );
	martha10head.x = 237;
	martha10head.y = 235;
	martha10head.gotoAndStop(0);
	martha10.addChild(martha10head);

	//skits container to show/hide. also, move entire container and not individual parts below
	skits10 = new createjs.Container();
	skits10.visible = false;
	world_current.addChild(skits10);
	skits10.y = -140;
	skits10.x += 66;

	skits10tail = new createjs.BitmapAnimation( spritesheets['10_skitstail'] );
	skits10tail.x = 773;
	skits10tail.y = 180;
	skits10tail.gotoAndStop(0);
	skits10.addChild(skits10tail);

	skits10body = new createjs.Bitmap(images['10_skitsbody']);
	skits10body.x = 600;
	skits10body.y = 278;
	skits10.addChild(skits10body);

	to=0;


	puck = new createjs.Bitmap(images['hockeypuck']);
	puck.regX = puck.image.width/2;
	puck.regY = puck.image.height/2;
	puck.scaleX = puck.scaleY = 0.05;
	puck.x = canvas.width/2  + 15;
	puck.y = 444;

	puck.startS = puck.scaleX;
	puck.startX = puck.x;
	puck.startY = puck.y;

	puck.midX = puck.startX + 120;

	puck.endS = 1.8;
	puck.endX = canvas.width/2;
	puck.endY = 330;
	puck.fadeS = 1.8;
	world_current.addChild(puck);


	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('10_gettingtothegame', ['transportation']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_10_gettingtothegame);

}

//level specific functions:

//called once this level is fully slid into place
function begin_10_gettingtothegame(){
	//**//**console.log("WORLD 1 BEGIN");

	playSound('10_gettingtothegame');
	
}

function narrDone_10_gettingtothegame(){
	alice10A_outlined.onPress = alice_swingUP;
		
	doPulse(alice10A_outlined);
	addShadow(alice10A_outlined);
	addShadow(alice10B_outlined);
}
function alice_swingUP(){
	alice10A.visible = true;
	alice10A_outlined.visible = false;
	
	alice10B_outlined.visible = false;

	alice10A.onPress = null;
	alice10B.onPress = null;

	createjs.Tween.removeTweens(puck);
	puck.scaleX = puck.scaleY = puck.startS;
	puck.x = puck.startX;
	puck.y = puck.startY;
	puck.alpha = 1;

     	alice10A.visible = true;
     	alice10B.visible = false;

	alice10A.onAnimationEnd = alice_swingDOWN;
	alice10A.gotoAndPlay('swingUP');

	//puck.x = puck.startX;
	createjs.Tween.get(puck, {loop:false})
	.wait(100)
     .to({x: puck.midX}, 250, createjs.Ease.linear);

}

function alice_swingDOWN(){
	alice10A.onAnimationEnd = alice_swingFINISH;
	alice10A.gotoAndPlay('swingDOWN');
}
function alice_swingFINISH(){
	alice10A.onAnimationEnd = null;
	alice10A.gotoAndPlay('swingFINISH');	

	createjs.Tween.get(puck, {loop:false})
     .to({x: puck.endX, y: puck.endY, scaleX: puck.endS, scaleY: puck.endS}, 600, createjs.Ease.linear)
     .call(function(){
     	if(!narrActive && !defActive) playSound('goal');
     	skits10tail.gotoAndPlay('wag')
		martha10tail.gotoAndPlay('wag')
		martha10head.gotoAndPlay('up')
     	to = setTimeout(function(){
     		skits10tail.stop();
     		martha10tail.stop();
     		martha10head.stop();
     		alice_anothershot();
     	} ,3000); //# millseconds until the dogs stop wagging

     	alice10A.visible = false;
     	alice10B.visible = true;

		//hiding static skits/martha images (upper), showing animated ones (lower)
		skits10.visible = true;
		martha10.visible = true;
		skits_sitting.visible = false;
		martha_sitting.visible = false;

     	alice10B.gotoAndPlay('cheer');
     	//alice10B.onAnimationEnd = alice_anothershot;
     })
     .to({alpha:0, scaleX: puck.fadeS, scaleY: puck.fadeS}, 400, createjs.Ease.linear);

}

function alice_anothershot(){
	alice10B.onAnimationEnd = null;
	alice10B_outlined.onPress = alice_swingUP;
	
	alice10B_outlined.visible = true;
	alice10B.visible = false;

	//reverting back to static skits/martha images (upper), hiding animated ones (lower)
	skits10.visible = false;
	martha10.visible = false;
	skits_sitting.visible = true;
	martha_sitting.visible = true;


}
function tick_10_gettingtothegame(){
	stage.update();
}



function end_10_gettingtothegame(){
	//**//**console.log('end_10_gettingtothegame');	
	alice10A.stop();
	alice10B.stop();

	createjs.Tween.removeTweens(puck);

	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

