//"Getting to the Game" story-specific vars

var pagenames = [
	'0_cover',		
	'1_gettingtothegame',
	'2_gettingtothegame',
	'3_gettingtothegame',
	'4_gettingtothegame',
	'5_gettingtothegame',
	'6_gettingtothegame',
	'7_gettingtothegame',
	'8_gettingtothegame',
	'9_gettingtothegame',	
	'10_gettingtothegame',
	'glossary'
];


//for use with glossary:
glossary_definitions = [];
glossary_definitions.push(
	['link','txt'],
	['travel','txt'],
	['engine','txt'],
	['rotate','txt'],
	['gear','txt'],
	['vehicle','txt'],
	['accelerate','txt'],
	['automatic','txt'],
	['transportation','txt']
);


//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/game_text';
quiz_url = "gettingtothegame_game.html";
/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	//empty
	makeSound('empty', 5.2,5.3);

	//narration: 
	makeSound('0_cover', 189.026216, 191.416492);
	makeSound('1_gettingtothegame', 0, 5.3, ["If ", "you ", "sleep ", "too ", "late ", "on ", "the ", "day ", "of ", "your ", "championship ", "hockey ", "game, ", "try ", "to ", "stay ", "calm. "], [0.084408, 0.263455, 0.356815, 0.753276, 0.986037, 1.180431, 1.319832, 1.410634, 1.589681, 1.717571, 1.874877, 2.469568, 2.874982, 3.453048, 3.690924, 3.827767, 4.129589]);
	makeSound('2_gettingtothegame', 5.831814, 13.1, ["There ", "are ", "plenty ", "of ", "different ", "types ", "of ", "transportation ", "that ", "can ", "get ", "you ", "to ", "the ", "hockey ", "game ", "on ", "time. ", "You ", "could ", "take ", "a ", "bus. "], [5.849718, 5.977609, 6.119568, 6.528818, 6.71298, 7.042938, 7.314066, 7.443236, 8.66587, 8.787366, 8.926767, 9.08791, 9.209406, 9.312997, 9.421704, 9.790029, 9.972913, 10.269619, 11.137997, 11.278676, 11.510158, 11.666185, 11.776171]);
	makeSound('3_gettingtothegame', 13.56664, 21.5, ["If ", "you ", "miss ", "the ", "bus, ", "don't ", "worry. ", "There ", "are ", "lots ", "of ", "other ", "ways ", "to ", "travel. ", "And ", "they ", "might ", "even ", "be ", "faster ", "because ", "you ", "can ", "take ", "shortcuts. "], [13.62547, 13.759755, 13.95287, 14.241903, 14.363399, 14.803343, 15.018199, 15.745897, 15.862277, 15.95308, 16.349541, 16.449295, 16.855988, 17.093864, 17.185945, 18.06967, 18.192445, 18.298594, 18.582511, 18.874102, 18.99304, 19.489256, 19.755269, 19.875486, 20.027676, 20.214396]);
	makeSound('4_gettingtothegame', 22.273435, 34.0, ["You ", "might ", "use ", "a ", "skateboard ", "to ", "travel. ", "Skateboards ", "have ", "little ", "wheels ", "that ", "rotate ", "when ", "you ", "push ", "off ", "the ", "ground ", "with ", "your ", "feet. ", "The ", "wheels ", "let ", "you ", "move ", "much ", "faster ", "than ", "if ", "you ", "were ", "walking. "], [22.369353, 22.562468, 22.78244, 22.988344, 23.084262, 23.703253, 23.850327, 25.275029, 25.941339, 26.101203, 26.483596, 26.892846, 27.065498, 27.502884, 27.642285, 27.747155, 28.015726, 28.238255, 28.327779, 28.716566, 28.848294, 28.978742, 29.972452, 30.128479, 30.472505, 30.627253, 30.765375, 31.119632, 31.397154, 31.899765, 32.025097, 32.176008, 32.320525, 32.526429]);
	makeSound('5_gettingtothegame', 34.765794, 49.0, ["If ", "you're ", "in ", "a ", "big ", "hurry, ", "you ", "might ", "want ", "to ", "use ", "a ", "bicycle ", "instead. ", "Bikes ", "have ", "wheels ", "that ", "rotate ", "using ", "a ", "chain ", "link ", "and ", "gears. ", "When ", "you ", "push ", "on ", "the ", "bike ", "pedals, ", "the ", "chain ", "link ", "and ", "gear ", "rotate, ", "making ", "the ", "wheels ", "rotate, ", "too. "], [34.846365, 34.998555, 35.175044, 35.277357, 35.361764, 35.790198, 36.43093, 36.530685, 36.728915, 36.919473, 36.970629, 37.218737, 37.314655, 37.867142, 39.05141, 39.400551, 39.57704, 40.059188, 40.134643, 40.655158, 41.024762, 41.10917, 41.497958, 41.78827, 41.973711, 42.938006, 43.099149, 43.209135, 43.496889, 43.591528, 43.753949, 43.935554, 44.794979, 44.869155, 45.22597, 45.479194, 45.639057, 45.938321, 46.727406, 47.05097, 47.164792, 47.563811, 48.116299]);
	makeSound('6_gettingtothegame', 50.317297, 59.3, ["If ", "you ", "want ", "to ", "accelerate, ", "you ", "just ", "have ", "to ", "pedal ", "faster. ", "The ", "faster ", "you ", "pedal, ", "the ", "faster ", "you'll ", "go! ", "You ", "might ", "even ", "make ", "the ", "game ", "on ", "time! "], [50.446466, 50.603772, 50.736778, 50.920941, 51.042437, 52.001617, 52.160201, 52.389125, 52.616771, 52.74594, 53.096361, 54.092629, 54.192384, 54.579892, 54.738477, 55.134938, 55.265386, 55.700214, 55.871588, 56.536619, 56.640211, 56.848672, 57.077597, 57.259201, 57.328262, 57.572533, 57.774601]);
	makeSound('7_gettingtothegame', 59.883517, 66.3, ["Unless ", "you ", "get ", "a ", "flat ", "tire-- ", "then ", "you'll ", "need ", "to ", "find ", "another ", "vehicle ", "to ", "get ", "to ", "your ", "game. "], [59.990946, 60.519134, 60.686671, 60.810725, 60.9092, 61.277526, 62.25461, 62.702227, 62.871043, 63.052648, 63.195885, 63.445272, 64.000317, 64.548968, 64.679417, 64.878926, 65.001701, 65.150054]);
	makeSound('8_gettingtothegame', 67.198863, 88.6, ["If ", "you're ", "lucky, ", "your ", "friend ", "might ", "have ", "a ", "go-cart ", "you ", "can ", "borrow. ", "And ", "if ", "you're ", "really, ", "really ", "lucky, ", "maybe ", "the ", "go-cart ", "has ", "a ", "solar-powered ","engine! ", "Solar-powered ", "engines ", "take ", "the ", "energy ", "from ", "sunlight ", "and ", "use ", "it ", "to ", "make ", "the ", "go-cart ", "wheels ", "rotate. ","Your ", "solar-powered ", "go-cart ", "moves ", "automatically. ", "Just ", "flip ", "the ", "switch ", "and ", "hang ", "on! "], [67.294781, 67.514752, 67.691242, 68.050614, 68.165716, 68.606939, 68.754013, 68.927944, 69.087807, 69.61088, 69.801437, 69.990715, 70.783637, 70.930712, 71.045813, 71.282411, 71.683988, 72.278679, 73.048581, 73.553749, 73.654783, 74.186808, 74.396548, 74.483514, 75.394095, 76.505465, 77.253625, 77.720426, 77.887963, 78.017133, 78.409757, 78.606708, 79.485317, 79.71552, 79.845969, 79.977696, 80.054431, 80.280797, 80.380552, 80.84991, 81.1901, 82.554693, 82.755481, 83.717219, 84.187856, 84.726276, 86.076801, 86.410596, 86.629289, 86.691955, 87.128062, 87.291762, 87.593584]);
	makeSound('9_gettingtothegame', 89.748542, 100, ["But ", "if ", "the ", "batteries ", "on ", "your ", "solar-powered ", "go-cart ", "run ", "out ", "of ", "energy, ", "don't ", "worry. ", "There's ", "another ", "way ", "you ", "can ", "get ", "to ", "your ", "championship ", "hockey ", "game ", "on ", "time. ", "You ", "can ", "run! "], [89.790746, 90.132214, 90.315097, 90.515886, 90.960945, 91.050469, 91.220563, 91.980234, 92.502027, 92.803849, 92.957318, 93.07242, 93.537942, 94.214483, 95.027868, 95.256792, 95.540709, 95.717198, 95.831021, 96.003673, 96.155863, 96.251781, 96.388624, 96.918092, 97.242934, 97.451396, 97.620211, 98.425922, 98.636942, 98.794247]);
	makeSound('10_gettingtothegame', 100.695981, 108.0, ["With ", "the ", "help ", "of ", "a ", "few ", "different ", "kinds ", "of ", "transportation ", "(and ", "your ", "own ", "two ", "feet), ", "you'll ", "soon ", "be ", "leading ", "your ", "team ", "to ", "victory! "], [100.754811, 100.976062, 101.070701, 101.321367, 101.446699, 101.536223, 101.858507, 102.174397, 102.450641, 102.577253, 103.859996, 104.104267, 104.280756, 104.502007, 104.778251, 105.554547, 105.742546, 106.121103, 106.243878, 106.624992, 106.828338, 107.116092, 107.324554]);

	//sfx:
	makeSound('bike_bell',	223.205,	224.350964);
	makeSound('goal',	224.801,	227.517009);
	makeSound('bus_leaving',	227.886009,	233.214943);
	makeSound('chicken_cluck',	234.024009,	242.539009);
	makeSound('electronic_alarm',	243.724009,	245.109882);
	makeSound('solar_powered_cart',	245.913009,	247.090009);
	//glossary sfx:
	makeSound('wordbones',	220.954,	222.386);
	makeSound('boing_bonk',	247.550009,	249.778036);


	//definition audio:
	makeSound('def_link', 108.512658, 118.027722);
	makeSound('def_travel', 119.501022, 123.798148);
		makeSound('def_travel.', 119.501022, 123.798148);
	makeSound('def_engine', 125.537461, 133.855469);
		makeSound('def_engine!', 125.537461, 133.855469);
	makeSound('def_rotate', 134.817206, 143.401227);
		makeSound('def_rotate.', 134.817206, 143.401227);
	makeSound('def_gear', 144.066258, 156.620004);
		makeSound('def_gears.', 144.066258, 156.620004);
	makeSound('def_vehicle', 157.520354, 164.978937);
	makeSound('def_accelerate', 166.687556, 170.483351);
		makeSound('def_accelerate,', 166.687556, 170.483351);
	makeSound('def_automatic', 171.803182, 175.987764);
		makeSound('def_automatically.', 171.803182, 175.987764);	
	makeSound('def_transportation', 177.706614, 188.827985);
	makeSound('defONLY_link',  192.767017, 197.811024);
	makeSound('defONLY_engine', 198.649987, 202.670869);
	makeSound('defONLY_rotate', 203.898619, 208.963089);
	makeSound('defONLY_gear', 210.006677, 213.935477);
	makeSound('defONLY_transportation', 214.753978, 220.483479);

	//definitions go into definitionText array (need to put word verbatim from phrase's text array above, including punctuation if necessary)
	definitionText['link'] = "A link is something that connects two things together. ";
	definitionText['travel'] = "When you travel you go from one place to another place. ";
	definitionText['engine']=definitionText['engine!'] = "An engine is a machine that uses energy to work. ";
	definitionText['rotate']=definitionText['rotate.'] = "When something rotates, it means it turns or spins on a fixed point.";
	definitionText['gear']=definitionText['gears.'] = "A gear is a part of a machine that makes another part move. ";
	definitionText['vehicle'] = "A vehicle is something, such as a car, bicycle, or airplane, used to carry and move people or things.";
	definitionText['accelerate']=definitionText['accelerate,'] = "When you accelerate, you go faster. ";
	definitionText['automatic']=definitionText['automatically.'] = "When something is automatic it works by itself. ";
	definitionText['transportation'] = "Transportation is a way for people or things to move from one place to another. ";
	definitionText['travel.']=definitionText['travel']="When you travel you go from one place to another place.";

}


//story_manifest: unique for each storybook:
function make_storymanifest(){
	//image assets:
	//for preloader, each storybook's image assets should be defined here
	//id is used within images array to reference images:  images['i_pops']
	story_manifest = [
		
		//cover image:
		{src:imgPath+"img/covers/gettingtothegame.jpg", id:"cover_story"},
		//background image;
		{src:imgPath+"img/bg/bg_purple.jpg", id:"bg_story"},

		//1:
		{src:imgPath+"img/gettingtothegame_story/1/1_alice.png", id:"1_alice"},
		{src:imgPath+"img/gettingtothegame_story/1/1_lamp.png", id:"1_lamp"},
		{src:imgPath+"img/gettingtothegame_story/1/1_poster.png", id:"1_poster"},
		{src:imgPath+"img/gettingtothegame_story/1/alarmglow.png", id:"alarmglow"},
		{src:imgPath+"img/gettingtothegame_story/1/alarmclock-with-stroke.png", id:"1_clock_stroke"},
		{src:imgPath+"img/gettingtothegame_story/1/alarmclock-no-stroke.png", id:"1_clock"},

		//2:
		{src:imgPath+"img/gettingtothegame_story/2/2_street.png", id:"2_street"},
		{src:imgPath+"img/gettingtothegame_story/2/bus-stop-foreground.png", id:"2_signpost"},		
				
		{src:imgPath+"img/gettingtothegame_story/2/bus-door-open.png", id:"busbody_outlined"},
		
		{src:imgPath+"img/gettingtothegame_story/2/bus-bg-no-stroke.png", id:"busbody"},
		{src:imgPath+"img/gettingtothegame_story/2/busdoor.png", id:"busdoor"},
		{src:imgPath+"img/gettingtothegame_story/2/buswheel.png", id:"buswheel"},

		{src:imgPath+"img/gettingtothegame_story/2/busfront_open.jpg", id:"busfront_open"},
		//uses aliceruns_2and9.png defined below

		//3:
		{src:imgPath+"img/gettingtothegame_story/3/3_alice.png", id:"3_alice"},
		{src:imgPath+"img/gettingtothegame_story/3/p3-garage-background.jpg", id:"3_bg"},
		{src:imgPath+"img/gettingtothegame_story/3/garagedoor.png", id:"3_garage"},
		{src:imgPath+"img/gettingtothegame_story/3/windowglass.jpg", id:"3_glass"},
		{src:imgPath+"img/gettingtothegame_story/3/garage-remote.png", id:"3_remote"},
		{src:imgPath+"img/gettingtothegame_story/3/garagedogs1.jpg", id:"3_dogs1"},
		{src:imgPath+"img/gettingtothegame_story/3/garagedogs2.jpg", id:"3_dogs2"},
		{src:imgPath+"img/gettingtothegame_story/3/garagedogs3.jpg", id:"3_dogs3"},
		{src:imgPath+"img/gettingtothegame_story/3/chicken.png", id:"3_chicken"},
		
		//4:
		{src:imgPath+"img/gettingtothegame_story/4/alice-skateboard-with-outline.png", id:"alice_skateboard_outlined"},
		{src:imgPath+"img/gettingtothegame_story/4/alice-skateboard.png", id:"alice_skateboard"},
		{src:imgPath+"img/gettingtothegame_story/4/p4-background.jpg", id:"4_bg"},
		
		//5:
		{src:imgPath+"img/gettingtothegame_story/5/backpedal.png", id:"backpedal"},
		{src:imgPath+"img/gettingtothegame_story/5/frontpedal.png", id:"frontpedal"},
		{src:imgPath+"img/gettingtothegame_story/5/bikeframe.png", id:"bikeframe"},
		{src:imgPath+"img/gettingtothegame_story/5/gearandchain.png", id:"gearandchain"},
		{src:imgPath+"img/gettingtothegame_story/5/bikeframe-stopped.png", id:"5_bikestopped"},

		//6:
		{src:imgPath+"img/gettingtothegame_story/6/6_tree1.png", id:"6_tree1"},
		{src:imgPath+"img/gettingtothegame_story/6/6_tree2.png", id:"6_tree2"},				
		{src:imgPath+"img/gettingtothegame_story/6/alice-bike-ride.png", id:"6_alice_bikeride"},
		{src:imgPath+"img/gettingtothegame_story/6/speed_meter_arrow.png", id:"6_arrow"},
		{src:imgPath+"img/gettingtothegame_story/6/speed_meter.png", id:"6_meter"},

		//7:
		{src:imgPath+"img/gettingtothegame_story/7/p7-background.png", id:"7_bg"},

		//8:
		{src:imgPath+"img/gettingtothegame_story/8/p8-background.jpg", id:"8_bg"},		
		{src:imgPath+"img/gettingtothegame_story/8/alice-and-solarcar-outline.png", id:"alice8_outlined"},
		{src:imgPath+"img/gettingtothegame_story/8/alice_head.png", id:"alice_head"}, //anim
		{src:imgPath+"img/gettingtothegame_story/8/solarcarwheel.png", id:"solarcarwheel"}, //anim
			{src:imgPath+"img/gettingtothegame_story/8/alicesolar_outlined.png", id:"alicesolar_outlined"},
		{src:imgPath+"img/gettingtothegame_story/8/solar_body_alice.png", id:"solar_body_alice"},
		{src:imgPath+"img/gettingtothegame_story/8/solar_body_empty.png", id:"solar_body_empty"},
		{src:imgPath+"img/gettingtothegame_story/8/solarcarshadow.png", id:"solarcarshadow"},
		{src:imgPath+"img/gettingtothegame_story/8/solarpanel.png", id:"solarpanel"},

		//9 (and 2):
		{src:imgPath+"img/gettingtothegame_story/9/aliceruns_2and9.png", id:"aliceruns"},		
		{src:imgPath+"img/gettingtothegame_story/9/alice-runs-with-stroke.png", id:"alice9_outlined"},		
		{src:imgPath+"img/gettingtothegame_story/9/p9-background.jpg", id:"9_bg"},
		
		//10:
		{src:imgPath+"img/gettingtothegame_story/10/alice_swingup.png", id:"alice_swingup"},
		{src:imgPath+"img/gettingtothegame_story/10/alice_start_outlined.png", id:"alice_swingup_outlined"},
		{src:imgPath+"img/gettingtothegame_story/10/alice_goalyell.png", id:"alice_goalyell"},
		{src:imgPath+"img/gettingtothegame_story/10/alice_end_outlined.png", id:"alice_goalyell_outlined"},
		{src:imgPath+"img/gettingtothegame_story/10/hockeypuck.png", id:"hockeypuck"},
		{src:imgPath+"img/gettingtothegame_story/10/martha_body.png", id:"10_marthabody"}, //static
		{src:imgPath+"img/gettingtothegame_story/10/martha_head.png", id:"10_marthahead"}, //anim
		{src:imgPath+"img/gettingtothegame_story/10/martha_tail.png", id:"10_marthatail"}, //anim
		{src:imgPath+"img/gettingtothegame_story/10/skits_body.png", id:"10_skitsbody"}, //static
		{src:imgPath+"img/gettingtothegame_story/10/skits_tail.png", id:"10_skitstail"}, //anim
		{src:imgPath+"img/gettingtothegame_story/10/skits_sitting.png", id:"skits_sitting"},
		{src:imgPath+"img/gettingtothegame_story/10/martha_sitting.png", id:"martha_sitting"},


		//for glossary (common assets for every use):
		{src:imgPath+"img/glossary/wordbone.png", id:"glossary-wordbone"},	
		{src:imgPath+"img/glossary/martha_only.png", id:"glossary-martha"},	
		{src:imgPath+"img/glossary/board_only.png", id:"glossary-board"},{src:imgPath+"img/glossary/glossary_title.png", id:"glossary-title"},	
		{src:imgPath+"img/glossary/bowl_only.png", id:"glossary-bowl"},	
		{src:imgPath+"img/glossary/splash_only.png", id:"glossary-splash"},			
		{src:imgPath+"img/glossary/cloud_defonly.png", id:"glossary-txtcloud"},
		{src:imgPath+"img/glossary/cloud_defandimage.png", id:"glossary-imgcloud"},		

	];

}

//each storybook should have its spritesheets created in this function
function story_spritesheets(){
	//1
	spritesheets['1_alice'] = new createjs.SpriteSheet({
	    "frames": [[1207, 554, 410, 474, 0, -218, -420], [2, 554, 384, 496, 0, -235, -350], [1468, 2, 321, 526, 0, -259, -222], [1209, 2, 255, 537, 0, -276, -114], [975, 2, 230, 547, 0, -281, -15], [2, 2, 238, 548, 0, -279, -24], [488, 2, 239, 547, 0, -276, -29], [244, 2, 240, 548, 0, -275, -33], [731, 2, 240, 547, 0, -276, -38], [662, 554, 268, 480, 0, -203, -35], [934, 554, 269, 480, 0, -226, -24], [390, 554, 268, 481, 0, -303, -49]],
	    "animations": {
	    	"rise": {
	    		"frames": [0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8],
	    		"frequency": 2,
	    		"next": false
	    	},
	    	"walk1": {
	    		"frames": [9, 9, 9, 9, 9, 9, 10, 10, 11, 11, 11, 11],
	    		"frequency": 3,
	    		"next": false
	    	}, 	    	
	    	"walk2": {
	    		"frames": [9, 10, 10, 11, 11, 11, 11],
	    		"frequency": 2,
	    		"next": false
	    	}, 	    	

	    },
		"images": [images['1_alice']]
	});	
	
	//2
	spritesheets['aliceruns'] = new createjs.SpriteSheet({
		"frames": [[2, 2, 508, 508, 0, 510, -2], [514, 2, 508, 508, 0, 510, -2], [1026, 2, 508, 508, 0, 510, -2], [1538, 2, 508, 508, 0, 510, -2], [2, 514, 508, 508, 0, 510, -2], [514, 514, 508, 508, 0, 510, -2], [1026, 514, 508, 508, 0, 510, -2], [1538, 514, 508, 508, 0, 510, -2]],
		"animations": {"run": {"frames": [0, 1, 2, 3, 4, 5, 6, 7], "next": true, "frequency":6}},
		"images": [images['aliceruns']]
	});
	spritesheets['busdoor'] = new createjs.SpriteSheet({
		"frames": [[2, 2, 124, 252, 0, 126, -2], [130, 2, 124, 252, 0, 126, -2], [258, 2, 124, 252, 0, 126, -2], [386, 2, 124, 252, 0, 126, -2], [2, 258, 124, 252, 0, 126, -2]],
		"animations": {
			"open": {"frames": [0, 1, 2, 3, 4, 4], "next": false, "frequency":3},
			"close": {"frames": [4,4,3,2,1,0], "next": false, "frequency":3}
		},
		"images": [images['busdoor']]
	});	

	//3
	spritesheets['3_remote'] = new createjs.SpriteSheet({
		"frames": [[2, 2, 321, 215, 0, -4, -3], [2, 221, 302, 195, 0, -14, -13]], 
		"animations": {
			"up": {"frames": [0], "next": false},
			"down": {"frames": [1], "next": false}
		},	
		"images": [images['3_remote']]
	});
	spritesheets['3_chicken'] = new createjs.SpriteSheet({
		"frames": [[2, 2, 252, 252, 0, 254, -2], [258, 2, 252, 252, 0, 254, -2], [2, 258, 252, 252, 0, 254, -2]],
		"animations": {"all": {"frames": [0, 1, 0, 2], "frequency":6, "next":true}
		},		
		"images": [images['3_chicken']]
	});
	//4
	spritesheets['alice_skateboard'] = new createjs.SpriteSheet({
		"frames": [[2, 2, 252, 508, 0, 254, -2], [258, 2, 252, 508, 0, 254, -2], [514, 2, 252, 508, 0, 254, -2], [770, 2, 252, 508, 0, 254, -2], [2, 514, 252, 508, 0, 254, -2], [258, 514, 252, 508, 0, 254, -2]],
		"animations": {
			//no longer using outlined frame within spritesheet, using separate png instead
			"outlined": {
				"frames": [0]
			},
				"goofy": {"frames": [1, 2, 3, 4, 5,4,3,2], "next": true, "frequency":6
			}
		},		
		"images": [images['alice_skateboard']]
	});

	//5:
	spritesheets['backpedal'] = new createjs.SpriteSheet({
		"frames": [[655, 2, 232, 175, 0, -614, -101], [494, 247, 261, 71, 0, -612, -208], [451, 2, 200, 180, 0, -613, -207], [320, 2, 127, 216, 0, -554, -207], [2, 247, 241, 143, 0, -434, -212], [247, 247, 243, 105, 0, -431, -169], [148, 2, 168, 221, 0, -505, -51], [2, 2, 142, 241, 0, -608, -34]],
		"animations": {"all": {"frames": [0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 0],"frequency": 3, "next": true}},
		"images": [images['backpedal']]
	});
	spritesheets['frontpedal'] = new createjs.SpriteSheet({
		"frames": [[637, 2, 228, 170, 0, -439, -218], [225, 239, 266, 110, 0, -398, -197], [443, 2, 190, 186, 0, -473, -87], [137, 2, 121, 225, 0, -607, -47], [2, 239, 219, 169, 0, -608, -102], [495, 239, 237, 87, 0, -610, -215], [262, 2, 177, 220, 0, -610, -216], [2, 2, 131, 233, 0, -536, -218]],
		"animations": {"all": {"frames": [0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 0],"frequency": 3, "next": true}},		
		"images": [images['frontpedal']]
	});
	spritesheets['bikeframe'] = new createjs.SpriteSheet({
		//"frames": [[2, 581, 1520, 575, 0, 0, 0], [2, 2, 1520, 575, 0, 0, 0]], 
		"frames": [[0, 575, 1520, 575, 0, 0, 0], [0, 0, 1520, 575, 0, 0, 0]],
		"animations": {"all": {"frames": [0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 1],"frequency": 5, "next": true}},		
		"images": [images['bikeframe']]
	});
	spritesheets['gearandchain'] = new createjs.SpriteSheet({
		//"frames": [[2, 223, 671, 214, 0, -76, -141], [680, 441, 672, 211, 0, -75, -142], [1349, 2, 671, 214, 0, -75, -140], [2, 2, 669, 217, 0, -76, -138], [1352, 223, 671, 213, 0, -76, -141], [2, 441, 674, 212, 0, -75, -141], [677, 223, 671, 213, 0, -75, -140], [675, 2, 670, 214, 0, -76, -140]],
		"frames": [[653, 204, 650, 189, 0, -76, -166], [1302, 2, 647, 196, 0, -75, -157], [1307, 204, 651, 188, 0, -75, -166], [2, 2, 646, 198, 0, -76, -157], [2, 404, 650, 188, 0, -76, -166], [2, 204, 647, 196, 0, -75, -157], [656, 404, 651, 187, 0, -75, -166], [652, 2, 646, 197, 0, -76, -157]],
		"animations": {"all": {"frames": [0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 0],"frequency": 3, "next": true}},
		"images": [images['gearandchain']]
	});

	//6:
	spritesheets['6_alice_bikeride'] = new createjs.SpriteSheet({			
		"frames": [[0, 279, 336, 279, 0, -2, -2], [0, 558, 336, 279, 0, -2, -2], [672, 279, 336, 279, 0, -2, -2], [336, 279, 336, 279, 0, -2, -2], [336, 558, 336, 279, 0, -2, -2], [672, 0, 336, 279, 0, -2, -2], [336, 0, 336, 279, 0, -2, -2], [0, 0, 336, 279, 0, -2, -2]],
		"animations": {			
			"s4": {"frames": [0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 0], "frequency": 1, "next": true},
			"s3": {"frames": [0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 0], "frequency": 2, "next": true},
			"s2": {"frames": [0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 0], "frequency": 4, "next": true},
			"s1": {"frames": [0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 0], "frequency": 7, "next": true},
		},
		"images": [images['6_alice_bikeride']]		
	});
	
	//8
	spritesheets['alice_head'] = new createjs.SpriteSheet({	
		"frames": [[156, 0, 75, 78, 0, -3, -2], [78, 0, 78, 78, 0, 0, -2], [0, 0, 78, 78, 0, 0, -2]],
		"animations": {"all": {"frames": [0, 1, 2], "next": true, "frequency":3}
		},
		"images": [images['alice_head']]
	});
	spritesheets['solarcarwheel'] = new createjs.SpriteSheet({	
		"frames": [[69, 2, 63, 71, 0, 0, 0], [136, 2, 63, 71, 0, 0, 0], [2, 77, 63, 71, 0, 0, 0], [2, 2, 63, 71, 0, 0, 0]],
		"animations": {
			"all": {"frames": [0, 1, 2, 3], "frequency": 3, "next":true}
		},
		"images": [images['solarcarwheel']]
	});
	//10
	spritesheets['alice_swingup'] = new createjs.SpriteSheet({
	    "frames": [[375, 462, 182, 326, 0, -11, -148], [1184, 462, 263, 306, 0, -19, -144], [879, 462, 301, 317, 0, -19, -133], [561, 462, 314, 321, 0, -19, -129], [2, 462, 369, 333, 0, -23, -117], [1646, 2, 380, 338, 0, -24, -113], [1196, 2, 172, 439, 0, -46, -19], [2, 2, 207, 456, 0, -46, -2], [213, 2, 220, 456, 0, -46, -2], [437, 2, 226, 454, 0, -46, -4], [667, 2, 256, 443, 0, -30, -15], [927, 2, 265, 439, 0, -24, -19], [1372, 2, 270, 437, 0, -21, -21]],
	    "animations": {
	    	"swingUP": {
	    		"frames": [0, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 9, 10, 10, 11, 11, 12],
	    		"frequency": 3,
	    		"next": false
	    	},
	    	"swingDOWN": {
	    		"frames": [12, 11, 11, 10, 10, 9, 9, 8, 7, 6, 5, 4, 3],
	    		"frequency": 3,
	    		"next": false
	    	},
	    	"swingFINISH": {
	    		"frames": [2,1,0],
	    		"frequency": 3,
	    		"next": false
	    	},


	    },
	    "images": [images['alice_swingup']]
	});

	spritesheets['alice_goalyell'] = new createjs.SpriteSheet({
	    "frames": [[1225, 401, 300, 362, 0, -13, -36], [922, 401, 299, 383, 0, -8, -15], [619, 401, 299, 390, 0, -6, -8], [314, 401, 301, 390, 0, -11, -8], [1562, 2, 304, 390, 0, -28, -8], [314, 2, 307, 392, 0, -42, -6], [2, 2, 308, 395, 0, -47, -3], [625, 2, 308, 392, 0, -50, -6], [937, 2, 308, 391, 0, -51, -7], [2, 401, 308, 390, 0, -52, -8], [1249, 2, 309, 390, 0, -52, -8]],
	    "animations": {
	    	"cheer": {
	    		"frames": [0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10],
	    		"next": false,
	    		"frequency": 3
	    	}
	    },
		"images": [images['alice_goalyell']]
	});

	
	spritesheets['10_marthahead'] = new createjs.SpriteSheet({
		"frames": [[285, 2, 92, 97, 0, -11, -17], [190, 2, 91, 99, 0, -8, -8], [96, 2, 90, 99, 0, -7, -6], [2, 2, 90, 100, 0, -7, -4]],
		"animations": {
			"up": {"frames": [0, 0, 1, 1, 2, 2, 3, 3], "frequency": 2, "next": 'down'},
			"down": {"frames": [3,3,2,2,1,1,0,0], "frequency": 2, "next": 'up'},
		},
		"images": [images['10_marthahead']]
	});

	spritesheets['10_marthatail'] = new createjs.SpriteSheet({
		"frames": [[94, 2, 75, 94, 0, -41, -1], [173, 2, 88, 88, 0, -28, -10], [265, 2, 97, 86, 0, -16, -19], [2, 108, 119, 75, 0, 0, -56], [366, 2, 101, 77, 0, -13, -31], [2, 2, 88, 102, 0, -25, -7]],
		"animations": {
			"wag": {"frames": [0, 1, 2, 3, 4, 5], "next": true, "frequency": 2}
		},
		"images": [images['10_marthatail']]
	});

	spritesheets['10_skitstail'] = new createjs.SpriteSheet({
		"frames": [[2, 120, 129, 79, 0, -35, -45], [350, 2, 107, 93, 0, -37, -25], [2, 2, 83, 114, 0, -38, -2], [89, 2, 77, 109, 0, -1, -10], [170, 2, 77, 102, 0, -21, -19], [251, 2, 95, 95, 0, -27, -28]],
		"animations": {"wag": {"frames": [0, 1, 2, 3, 4, 5], "next": true, "frequency":2}}, 
		"images": [images['10_skitstail']]
	});

	//glossary:
	spritesheets['glossary-martha'] = new createjs.SpriteSheet({
	    "frames": [
	        [1037, 2, 259, 217, 0, -20, -114],
	        [538, 2, 248, 227, 0, -37, -128],
	        [288, 2, 246, 229, 0, -38, -118],
	        [790, 2, 243, 220, 0, -38, -121],
	        [1755, 450, 252, 196, 0, -30, -137],
	        [2, 2, 282, 237, 0, -4, -86],
	        [577, 656, 280, 157, 0, -149, -105],
	        [861, 656, 281, 157, 0, -183, -67],
	        [2, 656, 284, 190, 0, -208, -20],
	        [290, 656, 283, 189, 0, -228, -15],
	        [1463, 450, 288, 196, 0, -237, -10],
	        [1171, 450, 288, 196, 0, -244, -9],
	        [877, 450, 290, 200, 0, -247, -7],
	        [582, 450, 291, 200, 0, -249, -7],
	        [869, 243, 289, 203, 0, -252, -8],
	        [578, 243, 287, 203, 0, -255, -10],
	        [291, 450, 287, 202, 0, -257, -18],
	        [1742, 243, 286, 203, 0, -262, -30],
	        [1452, 243, 286, 203, 0, -268, -48],
	        [1162, 243, 286, 203, 0, -276, -73],
	        [2, 450, 285, 202, 0, -287, -107],
	        [290, 243, 284, 203, 0, -302, -152],
	        [2, 243, 284, 203, 0, -322, -215],
	        [1300, 2, 276, 204, 0, -356, -310],
	        [1580, 2, 275, 204, 0, -416, -495]
	    ],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24], "next": false, "frequency": 3}},		
		"images": [images['glossary-martha']]
	});

	spritesheets['glossary-board'] = new createjs.SpriteSheet({
	    "frames": [[2, 209, 384, 69, 0, 0, -14], [2, 2, 387, 110, 0, 0, -2], [393, 2, 386, 99, 0, 0, -5], [2, 116, 386, 89, 0, 0, -8], [392, 116, 386, 79, 0, 0, -11], [580, 209, 304, 69, 0, 0, -14], [783, 2, 237, 69, 0, 0, -14], [390, 209, 186, 69, 0, 0, -14], [2, 282, 149, 68, 0, 0, -14], [782, 116, 127, 68, 0, 0, -14], [888, 209, 120, 68, 0, 0, -14]],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 0, 0, 0, 0, 5, 6, 7, 8, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10], "next": false, "frequency": 3}},
		"images": [images['glossary-board']]
	});

	spritesheets['glossary-bowl'] = new createjs.SpriteSheet({	
		"frames": [[0, 0, 629, 170, 0, 0, -1], [0, 170, 629, 166, 0, 0, -1]], 
		"animations": {"all": {"frames": [0, 1]}
		},
		"images": [images['glossary-bowl']]		
	});

	spritesheets['glossary-splash'] = new createjs.SpriteSheet({	
		"frames": [[1808, 0, 1, 1, 0, 0, 0], [451, 578, 422, 186, 0, -45, -134], [0, 578, 451, 230, 0, -30, -78], [0, 0, 543, 297, 0, 0, -4], [543, 0, 594, 295, 0, 0, 0], [1402, 297, 637, 262, 0, 0, -21], [1137, 0, 671, 282, 0, 0, 0], [0, 297, 694, 281, 0, 0, 0], [694, 297, 708, 280, 0, 0, 0]], 
		"animations": {
			"bowl_idle": {"frames": [0]}, 
			"bowl_splash": {"frames": [1, 2, 3, 4, 5, 6, 7, 8], "frequency": 4, "next": false}, 
		},			
		"images": [images['glossary-splash']]		
	});
	//**//**console.log('all spritesheet objects created');		
}