function prep_10_party(transition) {
	world_current = worlds['10_party'];

	ticker_world = tick_10_party;
	end_world = end_10_party;
	narrDone = narrDone_10_party;

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:

  var scene = new createjs.Bitmap(images['icecream10scn']);
  scene.x = 95;
  scene.y = 95;
  world_current.addChild(scene);

  dragBal0 = new createjs.BitmapAnimation(spritesheets["icecream10sprites"]);
  dragBal0.gotoAndStop(5);
  dragBal0.regX = 35;
  dragBal0.regY = 99.5;
  dragBal0.x = 265;
  dragBal0.y = 167.5;
  world_current.addChild(dragBal0);

  dragBal1 = new createjs.BitmapAnimation(spritesheets["icecream10sprites"]);
  dragBal1.gotoAndStop(2);
  dragBal1.regX = 30;
  dragBal1.regY = 111.5;
  dragBal1.x = 240;
  dragBal1.y = 155.5;
  world_current.addChild(dragBal1);

  dragBal2 = new createjs.BitmapAnimation(spritesheets["icecream10sprites"]);
  dragBal2.gotoAndStop(3);
  dragBal2.regX = 31.5;
  dragBal2.regY = 97.5;
  dragBal2.x = 214.5;
  dragBal2.y = 171.5;
  world_current.addChild(dragBal2);

  dragBal3 = new createjs.BitmapAnimation(spritesheets["icecream10sprites"]);
  dragBal3.gotoAndStop(1);
  dragBal3.regX = 30.5;
  dragBal3.regY = 104.5;
  dragBal3.x = 748.5;
  dragBal3.y = 141.5;
  world_current.addChild(dragBal3);

  dragBal4 = new createjs.BitmapAnimation(spritesheets["icecream10sprites"]);
  dragBal4.gotoAndStop(4);
  dragBal4.regX = 41.5;
  dragBal4.regY = 100;
  dragBal4.x = 784.5;
  dragBal4.y = 151;
  world_current.addChild(dragBal4);

  dragBal5 = new createjs.BitmapAnimation(spritesheets["icecream10sprites"]);
  dragBal5.gotoAndStop(0);
  dragBal5.regX = 31;
  dragBal5.regY = 94;
  dragBal5.x = 726;
  dragBal5.y = 163;
  world_current.addChild(dragBal5);

  dragBal6 = new createjs.BitmapAnimation(spritesheets["icecream10sprites"]);
  dragBal6.gotoAndStop(6);
  dragBal6.regX = 27;
  dragBal6.regY = 83;
  dragBal6.x = 770;
  dragBal6.y = 175;
  world_current.addChild(dragBal6);


	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	//providing custom linewidth and font size params for this page only:
	setNarrationText(900, 24);

	//params: sndID, defintion words in array
	renderNarration('10_party', ['communicate,']);

	setDefinitionText();

	// passing optional callback function to be called once this world_current is fully transitioned in
  initTransitionAndLoad(transition, begin_10_party);
}

//level specific functions:

//called once this level is fully slid into place
function begin_10_party() { playSound('10_party'); }

function narrDone_10_party() {
  addShadow(dragBal0);
  addShadow(dragBal1);
  addShadow(dragBal2);
  addShadow(dragBal3);
  addShadow(dragBal4);
  addShadow(dragBal5);
  addShadow(dragBal6);
  doPulse(dragBal0);
  doPulse(dragBal1);
  doPulse(dragBal2);
  doPulse(dragBal3);
  doPulse(dragBal4);
  doPulse(dragBal5);
  doPulse(dragBal6);
  dragBal0.onPress = dragBalloon;
  dragBal1.onPress = dragBalloon;
  dragBal2.onPress = dragBalloon;
  dragBal3.onPress = dragBalloon;
  dragBal4.onPress = dragBalloon;
  dragBal5.onPress = dragBalloon;
  dragBal6.onPress = dragBalloon;
}

function tick_10_party() { stage.update(); }

function end_10_party() {
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	createjs.Ticker.removeListener(ticker_world);
}

function dragBalloon(evt) {
  var dragBalMC = evt.target;
  dragBalMC.parent.addChild(dragBalMC);
  dragBalMC.scaleX = dragBalMC.scaleY = 1.075;
  var offset = {x:dragBalMC.x-evt.stageX, y:dragBalMC.y-evt.stageY};

  stage.onMouseMove = function(ev) {
    var pX = ev.stageX+offset.x;
    var pY = ev.stageY+offset.y;

    if((pX > 60) && (pX < canvas.width-50)) dragBalMC.x = pX;
    if((pY < 360) && (pY > 110)) dragBalMC.y = pY;
    
  }

  stage.onMouseUp = function(ev) {
    dragBalMC.scaleX = dragBalMC.scaleY = 1;
    dragBalMC = null;
    delete stage.onMouseMove;
    delete stage.onMouseUp;
  }
}
