function prep_1_intro(transition) {
	//**//**console.log('function: prep_1_intro');
	world_current = worlds['1_intro'];

	ticker_world = tick_1_intro;
	end_world = end_1_intro;
	narrDone = function(){};

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color or image (bitmap, and white border)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:

	var icecream1 = new createjs.BitmapAnimation(spritesheets["icecream1"]);
	icecream1.gotoAndStop("icecream1");
	icecream1.x = 166;
	icecream1.y = 281;
	world_current.addChild(icecream1);

	var icecream2 = new createjs.BitmapAnimation(spritesheets["icecream1"]);
	icecream2.gotoAndStop("icecream2");
	icecream2.x = 267;
	icecream2.y = 60;
	world_current.addChild(icecream2);

	var icecream3 = new createjs.BitmapAnimation(spritesheets["icecream1"]);
	icecream3.gotoAndStop("icecream3");
	icecream3.x = 61;
	icecream3.y = 127;
	world_current.addChild(icecream3);

	var helen = new createjs.BitmapAnimation(spritesheets["icecream1"]);
	helen.gotoAndStop("helen");
	helen.x = 418;
	helen.y = 129;
	world_current.addChild(helen);

	var icecream4 = new createjs.BitmapAnimation(spritesheets["icecream1"]);
	icecream4.gotoAndStop("icecream4");
	icecream4.x = 703;
	icecream4.y = 126;
	world_current.addChild(icecream4);

	var icecream5 = new createjs.BitmapAnimation(spritesheets["icecream1"]);
	icecream5.gotoAndStop("icecream5");
	icecream5.x = 802;
	icecream5.y = 240;
	world_current.addChild(icecream5);


	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('1_intro', ['technology,', 'communicate', 'decide']);

	setDefinitionText();


	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_1_intro);
}

//level specific functions:

//called once this level is fully slid into place
function begin_1_intro() { playSound('1_intro'); }

function tick_1_intro() { stage.update(); }

function end_1_intro() {
	//**//**console.log('end_1_intro');
	stopSound();
	createjs.Ticker.removeListener(ticker_world);
}

