function prep_4_landline(transition) {

	world_current = worlds['4_landline'];

	ticker_world = tick_4_landline;
	end_world = end_4_landline;
	narrDone = narrDone_4_landline;

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = 'What innovations have occurred in your lifetime? Describe some advances in communication you have seen. Ask your child, "What innovations would you like to see in the future?" Find out more about the history of communication online or at the library.';

	//adding background color (shape) or image: bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//page assets:

	var helen = new createjs.Bitmap(images['icecream4']);
	helen.x = 199;
	helen.y = 71;
	world_current.addChild(helen);


	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('4_landline', ['innovation']);

	setDefinitionText();


	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_4_landline);
}

//level specific functions:

//called once this level is fully slid into place
function begin_4_landline() { playSound('4_landline'); }

function narrDone_4_landline() {}

function tick_4_landline() { stage.update(); }

function end_4_landline() {
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	createjs.Ticker.removeListener(ticker_world);
}

