function prep_3_inventor(transition){
	//**////**console.log('function: prep_3_inventor');
	world_current = worlds['3_inventor'];
	
	ticker_world = (function(){
		tick_3_inventor();
	});
	end_world = (function(){
		end_3_inventor();
	});
	narrDone = (function(){
		narrDone_3_inventor();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	//teachertipcontainer.onPage = true;
	//teachertiptext.text = "Parent tip:';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['3_bg']);
	world_current.addChild(bg);


	  var ballX, ballY, blockX, blockY, enemyX, enemyY;
	  var ballSpeedX, ballSpeedY;
	  var walltopY, wallbottomY;
	  var wallleftX, wallrightX;
	  allowWin = false;


	  // PHYSICS stuff:
	  doPhysics = false; //bool set to false at start. set to true once narration is done
	  gravityX = 0;
	  gravityY = 0;	  

	  // physics objects
	  obj = {}; 
	  wall_top = {};
	  wall_bottom = {};
	  wall_left = {};
	  wall_right = {};	  
	  screen_top = 30; //y-pos of wall_top (ocean surface)
	  screen_bottom = 400; //y-pos of wall_bottom
	  screen_left = 60; //x-pos of wall_left
	  screen_right = canvas.width - screen_left;

	  pongblock_startX = 154;
	  enemyblock_startX = canvas.width - 156;

	//** page assets:
	scoreP = 0; scoreE = 0;

	scoreboardP = new createjs.Container();
	scoreboardE = new createjs.Container();
	
	boardP = new createjs.Bitmap(images['3_scoreboard']);
	boardP.regX = boardP.image.width/2;
	boardP.regY = boardP.image.height/2;
	boardP.x = canvas.width/2 - 130;
	boardP.y = 65;
	scoreboardP.addChild(boardP);

	boardE = boardP.clone();
	boardE.x = canvas.width/2 + 130;
	scoreboardE.addChild(boardE);

	scorePlayer = new createjs.Text(scoreP, "34px Nunito", "white");
	scorePlayer.x = boardP.x - 5; scorePlayer.y = boardP.y - 15;
	scorePlayer.textAlign = "center";
	scoreboardP.addChild(scorePlayer);

	scoreEnemy = new createjs.Text(scoreE, "34px Nunito", "white");
	scoreEnemy.x = boardE.x - 5; scoreEnemy.y = boardE.y - 15;
	scoreEnemy.textAlign = "center";
	scoreboardE.addChild(scoreEnemy);

	gameremote = new createjs.Bitmap(images['gameremote']);
	gameremote.regX = gameremote.image.width/2;
	gameremote.regY = gameremote.image.height/2;
	gameremote.x = 550;
	gameremote.y = 550;
	gameremote.startY = gameremote.y;

	//addtional topmost pieces of tv bevel to cover up baseball bats on edge movement
	tvmask1 = new createjs.Bitmap(images['tvmask1']);
	tvmask1.x = 138;
	tvmask1.y = 8;

	tvmask3 = new createjs.Bitmap(images['tvmask3']);
	tvmask3.x = 128;
	tvmask3.y = 395;

	tvmask4 = new createjs.Bitmap(images['tvmask4']);
	tvmask4.x = 850;
	tvmask4.y = 403;


	//creating createjs objects on canvas in proper child order:
	world_current.addChild(scoreboardP);
	world_current.addChild(scoreboardE);
	makePhysics_3_inventor(); //creates box2D world & related createjs objects on canvas
	world_current.addChild(tvmask1);
	world_current.addChild(tvmask3);
	world_current.addChild(tvmask4);
	world_current.addChild(gameremote);

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('3_inventor');

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_3_inventor);

}

//level specific functions:

function makePhysics_3_inventor(){
    ////**////**console.log('this is: ' + this);

    this.world = new EaselBoxWorld(this, frameRate, canvas, gravityX, gravityY, pixelsPerMeter);
  

    wall_top = this.world.addEntity({
    type: 'static',
    color: "blue",
    alpha:0,
    widthPixels: canvas.width *2,
    heightPixels: 10,
    xPixels: 0,
    yPixels: screen_top
    });

	walltopY = wall_top.body.GetPosition().y;

    wall_bottom = this.world.addEntity({
    type: 'static',
    color: "blue",
    alpha: 0,
    widthPixels: canvas.width *2,
    heightPixels: 10,
    xPixels: 0,
    yPixels: screen_bottom
    });

	wallbottomY = wall_bottom.body.GetPosition().y;


    wall_left = this.world.addEntity({
    type: 'static',
    color: "blue",
    alpha:0,
    heightPixels: canvas.height *2,
    widthPixels: 50,
    xPixels: 30,
    yPixels: 0
    });

	wallleftX = wall_left.body.GetPosition().x;

    wall_right = this.world.addEntity({
    type: 'static',
    color: "blue",
    alpha:0,
    heightPixels: canvas.height *2,
    widthPixels: 50,
    xPixels: canvas.width - 30,
    yPixels: 0
    });

	wallrightX = wall_right.body.GetPosition().x;

    var block_height = images['pongblock'].height;
    var block_width = images['pongblock'].width;
    var ball_width = 30;

    pongblock = this.world.addEntity({
    type: 'static',
    imgSrc: images['pongblock'],
    //scaleX: block_width / images['pongblock'].width,
    //scaleY: block_height / images['pongblock'].height,
    heightPixels: block_height,
    widthPixels: block_width,
    angleDegrees: 0,
    xPixels: pongblock_startX,
    yPixels: 200,
    });


    enemyblock = this.world.addEntity({
    type: 'static',
    imgSrc: images['pongblock'],
    //scaleX: block_width / images['pongblock'].width,
    //scaleY: block_height / images['pongblock'].height,
    heightPixels: block_height,
    widthPixels: block_width,
    angleDegrees: 0,
    xPixels: enemyblock_startX,
    yPixels: 200,
    });

    pongball = this.world.addEntity({
    type: 'dynamic',
    radiusPixels: ball_width/2,
    imgSrc: images['pongball'],
    xPixels: canvas.width/2,
    yPixels: 170,
    scaleX: ball_width / images['pongball'].width,
    scaleY: ball_width / images['pongball'].width,
    });


}

function move_pongblock(obj){
  
  doPulse(obj.easelObj);
  addShadow(obj.easelObj);

  stage.onMouseMove = function(event){
      
      if( event.stageY < (screen_top + 70) ){
        return obj.setState({
          xPixels: pongblock_startX,
          yPixels: screen_top + 70

        });
      }
      if( event.stageY > (screen_bottom - 50) ){
        return obj.setState({
          xPixels: pongblock_startX,
          yPixels: screen_bottom - 50
        });
      }

      else{
        return obj.setState({
          xPixels: pongblock_startX,      
          yPixels: event.stageY
        });
      }


  }

  obj.easelObj.onPress = function(eventPress) {

    obj.easelObj.scaleX = obj.easelObj.scaleX *1.03;
    obj.easelObj.scaleY = obj.easelObj.scaleY *1.03;

    obj.selected = true;

    eventPress.onMouseUp = function(event) {
      
		obj.selected = false;

		obj.easelObj.scaleX = obj.easelObj.scaleX /1.03;
		obj.easelObj.scaleY = obj.easelObj.scaleY /1.03;

    };
  };

}

//called once this level is fully slid into place
function begin_3_inventor(){
	//**////**console.log("WORLD 1 BEGIN");
	
	playSound('3_inventor');
	
}

function narrDone_3_inventor(){
	gameremote.alpha=1;
	createjs.Tween.get(gameremote,{loop:false}).to({y: gameremote.startY - 100},500, createjs.Ease.linear).call(function(){
		doPulse(gameremote);
		addShadow(gameremote);

		//reset game
		doPhysics=false;
		scoreE=0;
		scoreEnemy.text = scoreE;
		scoreP=0;
		scorePlayer.text = scoreP;

		//////**console.log("RESET SCORE: "+scoreP+" vs "+scoreE);

		pongball.setState({
	      xPixels: canvas.width/2,
	      yPixels: 170
	    });	
	    enemyblock.setState({
	      xPixels: enemyblock_startX,
	      yPixels: 200
	    });	
	    pongblock.setState({
	      xPixels: pongblock_startX,
	      yPixels: 200
	    });	

	    stage.onMouseMove=null;
	    pongblock.easelObj.onPress = null;
	    removeShadow(pongblock.easelObj);

		//add hit listener
		gameremote.onPress = activatePong;
	});
	
}

function activatePong(e){
	removeShadow(gameremote);	
	gameremote.onPress = null;

	createjs.Tween.get(gameremote, {loop:false})
     .to({y: gameremote.y + 100, alpha:0}, 500, createjs.Ease.linear)
     .call(function(){
		doPhysics = true;
		move_pongblock(pongblock);
		newPongRound(true);	
     });

}

//initiate a pong round
function newPongRound(win){

	//////**console.log("testball!");
	//////**console.log("wallrightX: " + wallrightX);

	allowWin = win;

	pongball.setState({
      xPixels: canvas.width/2,
      yPixels: 170
    });			


      pongball.selected = false;
      pongball.setType("dynamic");

     //randomly selecting ball movement left or right
    var rand = randomInt(0,1);
	if(rand==0) forceX = -5;
	else forceX = 5;

	forceY = randomInt(-4,4);
		
	pongball.body.ApplyImpulse(this.world.vector(forceX, forceY), this.world.vector(pongball.body.GetPosition().x, pongball.body.GetPosition().y));


}
function tick_3_inventor(){
	stage.update();
	this.world.tick();

	if(doPhysics)
	{
		////**console.log("RUN PHYSICS")

		ballX = pongball.body.GetPosition().x;
		ballY = pongball.body.GetPosition().y;

		blockX = pongblock.body.GetPosition().x;
		blockY = pongblock.body.GetPosition().y;

		enemyX = enemyblock.body.GetPosition().x;
		enemyY = enemyblock.body.GetPosition().y;

		//////**console.log('current speed x: ' + pongball.body.GetLinearVelocity().x );
		ballSpeedX = pongball.body.GetLinearVelocity().x;
		ballSpeedY = pongball.body.GetLinearVelocity().y;

		//hit detect for ball-playerblock
		if( ((ballX - blockX) > 0 ) && ((ballX - blockX) < 1  ) && (Math.abs(blockY-ballY) < 1) ){
			////**console.log("player hit");
			if(!narrActive) playSound('pong_hit');

			forceX = randomInt(4,8);
			forceY = randomInt(-5,5);
			pongball.body.ApplyImpulse(this.world.vector(forceX, forceY), this.world.vector(pongball.body.GetPosition().x, pongball.body.GetPosition().y));	
		}

		//hit detect for ball-enemyblock
		if( ((enemyX - ballX) > 0 ) && ((enemyX - ballX) < 1  ) && (Math.abs(enemyY - ballY) < 1) ){
			////**console.log("enemy hit");
			if(!narrActive) playSound('pong_hit');
			
			forceX = randomInt(-3, -6);
			forceY = randomInt(-3,3);		
			pongball.body.ApplyImpulse(this.world.vector(forceX, forceY), this.world.vector(pongball.body.GetPosition().x, pongball.body.GetPosition().y));	

		}

		//hit detect for ball-topwall:
		if( (ballY - walltopY) < 1 ){
			if(Math.abs(ballSpeedY) < 4){
				////**console.log('top wall hit');
				if(!narrActive) playSound('pong_hit');

				if(ballSpeedX < 0) forceX = randomInt(-3, -6);
				else forceX = randomInt(3,6);
				
				forceY = 3;
				pongball.body.ApplyImpulse(this.world.vector(forceX, forceY), this.world.vector(pongball.body.GetPosition().x, pongball.body.GetPosition().y));		
			}
			
		}

		//hit detect for ball-bottomwall:
		if( (wallbottomY - ballY) < 1 ){
			if(Math.abs(ballSpeedY) < 4){
				////**console.log('bottom wall hit');
				if(!narrActive) playSound('pong_hit');

				if(ballSpeedX < 0) forceX = randomInt(-3, -6);
				else forceX = randomInt(3,6);
				
				forceY = -3;
				pongball.body.ApplyImpulse(this.world.vector(forceX, forceY), this.world.vector(pongball.body.GetPosition().x, pongball.body.GetPosition().y));		
			}
			
		}

		//checking ball speed against a threshold... if ball is fast enough (in direction toward enemy), allow win!
		if(!allowWin){
			if(ballSpeedX > 16){		
				////**console.log("FAST ENOUGH FOR WIN!");
				allowWin = true;
				return;
			}
		}

		//enemyblock placement depends on allowWin true/false
		if(!allowWin){
			//enemy follows ball head-on:
			enemyblock.setState({
		      xPixels: enemyblock_startX,
		      yPixels: ballY * 30
		    });			
		}
		else{
			//enemy follows ball a little 'off' (to allow player scoring):
			var enemyOffset;
			if( (enemyY*30) > 333) enemyOffset = 110;
			else enemyOffset = -110;

			enemyblock.setState({
		      xPixels: enemyblock_startX,
		      yPixels: ballY * 30 + enemyOffset
		    });	

		}

		//hit detect ball-rightwall (to reset round, +1 player score)
		if( (wallrightX - ballX) < 2 ){
			////**console.log("Player Score!");
			if(!narrActive) playSound('pong_score');

			scoreP++;
			scorePlayer.text = scoreP;
			doPulse(scoreboardP);
			newPongRound(false);
		}
		//hit detect ball-leftwall (to reset round, +1 enemy score)
		if( (ballX - wallleftX) < 2 ){
			if(scoreP>0)
			{
				////**console.log("Enemy Score!");
				if(!narrActive) playSound('pong_lose');

				scoreE++;
				scoreEnemy.text = scoreE;
				doPulse(scoreboardE);
				newPongRound(false);
			}else{
				newPongRound(true);
			}
		}
	}

}



function end_3_inventor(){
	//**////**console.log('end_3_inventor');	
	createjs.Tween.removeTweens(gameremote);
	stopSound();
	
	createjs.Ticker.removeListener(ticker_world);
}

