function prep_5_inventor(transition){
	//**//**console.log('function: prep_5_inventor');
	world_current = worlds['5_inventor'];
	
	ticker_world = (function(){
		tick_5_inventor();
	});
	end_world = (function(){
		end_5_inventor();
	});
	narrDone = (function(){
		narrDone_5_inventor();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['5_bg']);
	world_current.addChild(bg);

	//** page assets:
	boardcovering = new createjs.Bitmap(images['5_boardmask']);
	boardcovering.x = 233;
	boardcovering.y = 91;
	world_current.addChild(boardcovering);


	boardmask = new createjs.Shape();
	boardmask.graphics.beginFill("white").drawRect(240,74, 700, 245);
	//boardmask.alpha = 0.01;
	//world_current.addChild(boardmask); //don't need to add maskshape to stage for it to work
	boardcovering.mask = boardmask;


	helenContainer = new createjs.Container();
	helenContainer.x = 69.5;
	helenContainer.y = 164;
	world_current.addChild(helenContainer);

	helenOutline = new createjs.Bitmap(images['5_helen_outline']);
	helenContainer.addChild(helenOutline);
	helenOutline.x = -6;
	helenOutline.y = -9;



	helenarm = new createjs.Bitmap(images['5_helenarm']);	
	helenarm.regX = 15;
	helenarm.x = 15;
	helenarm.y = 149;
	
		helenarm.rot1 = 0;		
		helenarm.x1 = helenarm.x;
		helenarm.y1 = helenarm.y;
		
		helenarm.rot2 = -15;
		helenarm.x2 = helenarm.x + 2;
		helenarm.y2 = helenarm.y + 5;

	helenContainer.addChild(helenarm);
	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('5_inventor',['plan.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_5_inventor);

}

//level specific functions:
function rotateHelenArm(rot, x,y){
	var gotoRot = {};
	var gotoX = {};
	var gotoY = {};

	if(rot) gotoRot = rot;
	if(x) gotoX = x;
	if(y) gotoY = y;

	if(helenarm.rotation == helenarm.rot1){
		gotoRot = helenarm.rot2;
		gotoX = helenarm.x2;
		gotoY = helenarm.y2;
	} 
	if(helenarm.rotation == helenarm.rot2){
		gotoRot = helenarm.rot1;
		gotoX = helenarm.x1;
		gotoY = helenarm.y1;

	} 

	createjs.Tween.get(helenarm, {loop:false})
     .to({x: gotoX, y:gotoY, rotation: gotoRot}, 400, createjs.Ease.linear)
     .call(rotateHelenArm);
}

function revealBoard5(){
	//650
	createjs.Tween.get(boardmask, {loop:false})
     .to({x: boardmask.x + 660 }, 8000, createjs.Ease.sineInOut)
     .call(function(){
     	createjs.Tween.removeTweens(helenarm);
     });
}
//called once this level is fully slid into place
function begin_5_inventor(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('5_inventor');

	
}

function narrDone_5_inventor(){
	createjs.Tween.removeTweens(helenarm);
	createjs.Tween.removeTweens(boardmask);
	boardmask.x=0;
	helenarm.rotation=0;
	helenarm.x=helenarm.x1;
	helenarm.y=helenarm.y1;
	helenOutline.visible=true;
	doPulse(helenContainer);
	helenContainer.onPress = drawIt;
}

function drawIt(e){
	helenOutline.visible=false;
	helenContainer.onPress=null;
	rotateHelenArm(helenarm.rot2, helenarm.x2, helenarm.y2);

	revealBoard5();
}


function tick_5_inventor(){
	stage.update();
}



function end_5_inventor(){
	//**//**console.log('end_5_inventor');	
	createjs.Tween.removeTweens(helenarm);
	createjs.Tween.removeTweens(boardmask);

	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

