function prep_8_inventor(transition){
	//**//**console.log('function: prep_8_inventor');
	world_current = worlds['8_inventor'];
	
	ticker_world = (function(){
		tick_8_inventor();
	});
	end_world = (function(){
		end_8_inventor();
	});
	narrDone = (function(){
		narrDone_8_inventor();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['8_bg']);
	world_current.addChild(bg);

	//** page assets:
	to=0; //timeout var

	dogs8 = new createjs.Bitmap(images['8_dogs']); 
	dogs8.y = 185;
	world_current.addChild(dogs8);

	//** plankContainer is what gets 'pulled' (tweened). all children go along for the ride
	plankContainer = new createjs.Container();
	plankContainer.startX = plankContainer.x;
	plankContainer.endX = plankContainer.startX - 20;
	world_current.addChild(plankContainer);

	plank_rope = new createjs.Bitmap(images['ropeLong']);
	plank_rope.rotation = 3;
	plank_rope.x = 560;
	plank_rope.y = 204;
	plankContainer.addChild(plank_rope);

	plank_rope_mask = new createjs.Shape();
	plank_rope_mask.graphics.beginFill("white").drawRect(650,200, 100, 30);
	plank_rope_mask.alpha = 0.01;
	plank_rope.mask = plank_rope_mask;
	world_current.addChild(plank_rope_mask);

	plank = new createjs.Bitmap(images['8_plank']);
	plank.x = 669;
	plank.y = 170;
	plankContainer.addChild(plank);
	//end plankContainer

	rope45 = new createjs.Bitmap(images['rope45']);
	rope45.x = 472;
	rope45.y = 80;
	world_current.addChild(rope45);




	//alarmRope needs to move/tween along with alarm clock, but only on x, not y
	alarmRope = new createjs.Bitmap(images['rope-alarm-clock']); 
	alarmRope.x = 340;
	alarmRope.startX = alarmRope.x;
	alarmRope.endX = alarmRope.x - 69;
	alarmRope.y = 86;
	world_current.addChild(alarmRope);


	alarm_rope_mask = new createjs.Shape();
	alarm_rope_mask.graphics.beginFill("white").drawRect(322,72, 140, 45);
	alarm_rope_mask.alpha = 0.01;
	alarmRope.mask = alarm_rope_mask;
	world_current.addChild(alarm_rope_mask);

	//alarmclock also tweens/moves, but differently
	alarmclock = new createjs.Bitmap(images['8_clock']); 
	alarmclock.regX = alarmclock.image.width/2;
	alarmclock.regY = alarmclock.image.height/2;
	alarmclock.x = 364;
	alarmclock.y = 92;
	alarmclock.startX = alarmclock.x;
	alarmclock.startY = alarmclock.y;
	alarmclock.endX = alarmclock.startX - 69;
	alarmclock.endY = alarmclock.startY + 10;
	world_current.addChild(alarmclock);
	
	//alarmStroked is what pulses & dropshadows, what user taps. on tap, call activateInvention8
	alarmStroked = new createjs.Bitmap(images['8_clockStroked']); 
	alarmStroked.regX = alarmStroked.image.width/2;
	alarmStroked.regY = alarmStroked.image.height/2;
	alarmStroked.x = alarmclock.x;
	alarmStroked.y = alarmclock.y;
	world_current.addChild(alarmStroked);

	pullies8 = new createjs.Bitmap(images['8_pullies']);
	pullies8.x = 440;
	pullies8.y = 50;
	world_current.addChild(pullies8);

	bottom8 = new createjs.Bitmap(images['8_bottom']);
	bottom8.x = 758;
	bottom8.y = 195;
	world_current.addChild(bottom8);

	//show and play short time after cardboard slid beyond threshold
	pouring8 = new createjs.BitmapAnimation(spritesheets['contrap_pour_step10']);
	pouring8.rotation = 25;
	pouring8.x = 748;
	pouring8.y = 235;
	pouring8.gotoAndStop(0);
	pouring8.visible = false;
	world_current.addChild(pouring8);


	//final to show once pouring is 'done'
	finalfood = new createjs.Bitmap(images['8_foodinbowl']);
	finalfood.x = 747;
	finalfood.y = 332;
	finalfood.visible = false;
	world_current.addChild(finalfood);
	

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	//providing custom linewidth and font size params for this page only:
	setNarrationText();


	//params: sndID, defintion words in array
	renderNarration('8_inventor',['envisioned,','original','plan.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_8_inventor);

}

//level specific functions:
function clockWiggle(){

	var wiggleMS = 100;

	createjs.Tween.get(alarmclock, {loop:false})
     .to({rotation:-25}, wiggleMS, createjs.Ease.linear)
     .call(function(){

		createjs.Tween.get(alarmclock, {loop:false})
	     .to({rotation:0}, wiggleMS, createjs.Ease.linear)
	     .call(function(){

			createjs.Tween.get(alarmclock, {loop:false})
		     .to({rotation:25 }, wiggleMS, createjs.Ease.linear)
		     .call(function(){

				createjs.Tween.get(alarmclock, {loop:false})
			     .to({rotation:0}, wiggleMS, createjs.Ease.linear)
			     //.wait(450)
			     .call(clockWiggle);
		     });

	     });

     });	
}

function begin_pour8(){
	//if(!_pouring8) return;

	pouring8.visible = true;
	pouring8.gotoAndPlay('start');
	pouring8.onAnimationEnd = fillbowl8;

}

function fillbowl8(){
	pouring8.onAnimationEnd = null;
	pouring8.gotoAndPlay('loop');
	
	to=setTimeout(stop_pour8, 2400);
}

function stop_pour8(){
	pouring8.visible = false;
	pouring8.stop();
	finalfood.visible = true;
	createjs.Tween.removeTweens(alarmclock);
	alarmclock.rotation = 0;
}

function pullPlank(){
	createjs.Tween.get(alarmRope, {loop:false})
     .to({x: alarmRope.endX }, 1000, createjs.Ease.linear);	

	createjs.Tween.get(alarmclock, {loop:false})
     .to({x: alarmclock.endX, y: alarmclock.endY }, 1000, createjs.Ease.linear);

	createjs.Tween.get(plankContainer, {loop:false})
     .to({x: plankContainer.endX }, 1000, createjs.Ease.linear);
	

	setTimeout(begin_pour8, 500);
}

function activateInvention8(e){
	alarmStroked.visible = false;
	
	if(!narrActive) playSound('contraption_alarm');

	clockWiggle();
	to=setTimeout(pullPlank, 1000);
	
}
//called once this level is fully slid into place
function begin_8_inventor(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('8_inventor');
	
}

function narrDone_8_inventor(){
	createjs.Tween.removeTweens(alarmclock);
	createjs.Tween.removeTweens(plankContainer);
	createjs.Tween.removeTweens(alarmRope);

	clearTimeout(to);

	alarmRope.x=alarmRope.startX;
	plankContainer.x=plankContainer.startX;

	alarmStroked.visible=true;

	alarmclock.rotation=0;
	alarmclock.x = alarmclock.startX;
	alarmclock.y = alarmclock.startY;
	alarmStroked.x=alarmclock.x;
	alarmStroked.y=alarmclock.y;

	finalfood.visible=false;
	pouring8.visible=false;
	pouring8.onAnimationEnd=null;


	doPulse(alarmStroked);
	addShadow(alarmStroked);
	alarmStroked.onPress = activateInvention8;	

}



function tick_8_inventor(){
	stage.update();
}



function end_8_inventor(){
	//**//**console.log('end_8_inventor');	
	clearTimeout(to);
	createjs.Tween.removeTweens(alarmclock);
	createjs.Tween.removeTweens(plankContainer);
	createjs.Tween.removeTweens(alarmRope);

	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

