function prep_kibble1(transition){
	//**//**console.log('function: prep_kibble1');
	world_current = worlds['kibble1'];
	
	ticker_world = (function(){
		tick_kibble1();
	});
	end_world = (function(){
		end_kibble1();
	});
	narrDone = (function(){
		narrDone_kibble1();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;
	
	//teachertip:
	teachertipcontainer.onPage = false; teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);	
	world_current.addChild(bg);

	//** page assets:

	//objects:
	bottle1 = new createjs.Bitmap(images['bottle']);
	bottle1.regX  = bottle1.image.width/2;
	bottle1.regY  = bottle1.image.height/2;
	bottle1.scaleX = bottle1.scaleY = 0.63;
	bottle1.rotation = 90;
	bottle1.x = 264; bottle1.y = 150;
	world_current.addChild(bottle1);

	cardboard1 = new createjs.Bitmap(images['cardboard']);
	cardboard1.regX  = cardboard1.image.width/2;
	cardboard1.regY  = cardboard1.image.height/2;
	cardboard1.scaleX = cardboard1.scaleY = 0.63;
	cardboard1.x = 524; cardboard1.y = 142;
	world_current.addChild(cardboard1);

	cup1a = new createjs.Bitmap(images['cup_opentop']);
	cup1a.regX  = cup1a.image.width/2;
	cup1a.regY  = cup1a.image.height/2;
	cup1a.scaleX = cup1a.scaleY = 0.56;
	cup1a.x = 730; cup1a.y = 143;
	world_current.addChild(cup1a);

	cup1b = new createjs.Bitmap(images['cup_opentop']);
	cup1b.regX  = cup1b.image.width/2;
	cup1b.regY  = cup1b.image.height/2;
	cup1b.scaleX = cup1b.scaleY = 0.56;
	cup1b.x = 800; cup1b.y = 166;
	world_current.addChild(cup1b);

	tube1 = new createjs.Bitmap(images['tube']);
	tube1.regX  = tube1.image.width/2;
	tube1.regY  = tube1.image.height/2;
	tube1.scaleX = tube1.scaleY = 0.55;
	tube1.rotation = 90;
	tube1.x = 262; tube1.y = 336;
	world_current.addChild(tube1);

	tape1 = new createjs.Bitmap(images['tape_roll']);
	tape1.regX  = tape1.image.width/2;
	tape1.regY  = tape1.image.height/2;
	tape1.scaleX = tape1.scaleY = 1;
	tape1.x = 524; tape1.y = 338;
	world_current.addChild(tape1);

	scissors1 = new createjs.Bitmap(images['scissors']);
	scissors1.regX  = scissors1.image.width/2;
	scissors1.regY  = scissors1.image.height/2;
	scissors1.scaleX = scissors1.scaleY = 1;
	scissors1.x = 766; scissors1.y = 336;
	world_current.addChild(scissors1);

	//txt labels:
	text_bottle1 = new createjs.Text("1 2-liter empty soda bottle", "22px Nunito", "black");
	text_bottle1.textAlign = "center";
	text_bottle1.lineWidth = 160;
	text_bottle1.x = 253; text_bottle1.y = 214;
	world_current.addChild(text_bottle1);

	text_cardboard1 = text_bottle1.clone();	
	text_cardboard1.text = "cardboard";
	text_cardboard1.x = 526; text_cardboard1.y = 215;
	world_current.addChild(text_cardboard1);

	text_cups1 = text_bottle1.clone();	
	text_cups1.text = "2 small paper cups";
	text_cups1.lineWidth = 120;
	text_cups1.x = 766; text_cups1.y = 215;
	world_current.addChild(text_cups1);

	text_tube1 = text_cups1.clone();	
	text_tube1.text = "1 paper towel tube";
	text_tube1.x = 258; text_tube1.y = 373;
	world_current.addChild(text_tube1);

	text_tape1 = text_cups1.clone();	
	text_tape1.text = "masking tape";
	text_tape1.x = 525; text_tape1.y = 376;
	world_current.addChild(text_tape1);

	text_scissors1 = text_cups1.clone();	
	text_scissors1.text = "scissors";
	text_scissors1.x = 765; text_scissors1.y = 376;
	world_current.addChild(text_scissors1);

	//global var to set each setTimeout to, so that clearTimeout(readMaterials1) can be used to kill the funct Timers
	readMaterials1 = {};
	//

	//********
	//text stuff:

	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	bg_wordcloudSTEP = new createjs.Bitmap(images['bg_wordcloud_STEP']);
	bg_wordcloudSTEP.x = 43;
	bg_wordcloudSTEP.y = 430;
	world_current.addChild(bg_wordcloudSTEP);

	text_step = new createjs.Text("STEP 1", "28px Nunito", "black");
	text_step.x = 115; text_step.y = 472;
	text_step.textAlign = "center";
	text_step.textBaseline = "middle";
	world_current.addChild(text_step);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('kibble1', ['materials']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_kibble1);

}

//level specific functions:

//called once this level is fully slid into place
function begin_kibble1(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('kibble1');
	
}

function narrDone_kibble1(){

	read_1a();
	btnNarration.visible = false;
}

function read_1a(){
	if(!snd_active)	return;

	readMaterials1 = setTimeout(function(){
		playSound('kibble1a', read_1c);

		doPulse(text_bottle1, true);
		doPulse(bottle1, true);
	}, 250);

}
function read_1c(){
	if(!snd_active)	return;

	readMaterials1 = setTimeout(function(){
		playSound('kibble1c', read_1e);

		doPulse(cardboard1, true);
		doPulse(text_cardboard1, true);
	}, 250);


}
function read_1e(){
	if(!snd_active)	return;

	readMaterials1 = setTimeout(function(){
		playSound('kibble1e', read_1b);

		doPulse(text_cups1, true);
		doPulse(cup1b, true);
		doPulse(cup1a, true);
	}, 250);

}
function read_1b(){
	if(!snd_active)	return;

	readMaterials1 = setTimeout(function(){
		playSound('kibble1b', read_1d);

		doPulse(tube1, true);
		doPulse(text_tube1, true);
	}, 250);


}
function read_1d(){
	if(!snd_active)	return;

	readMaterials1 = setTimeout(function(){
		playSound('kibble1d', read_1f);

		doPulse(tape1, true);
		doPulse(text_tape1, true);
	}, 250);

}
function read_1f(){
	if(!snd_active)	return;
	
	readMaterials1 = setTimeout(function(){
		playSound('kibble1f', allow_kibble1_replay);

		doPulse(scissors1, true);
		doPulse(text_scissors1, true);
	}, 250);

}

function allow_kibble1_replay(){	
	if(snd_active) btnNarration.visible = true;
}


function tick_kibble1(){
	stage.update();
}



function end_kibble1(){
	//**//**console.log('end_kibble1');	
	
	//kill the setTimeout playback of any material sounds
	clearTimeout(readMaterials1);

	stopSound(); 
	
	createjs.Ticker.removeListener(ticker_world);
}

