function prep_kibble5(transition){
	//**//**console.log('function: prep_kibble5');
	world_current = worlds['kibble5'];
	
	ticker_world = (function(){
		tick_kibble5();
	});
	end_world = (function(){
		end_kibble5();
	});
	narrDone = (function(){
		narrDone_kibble5();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false; teachertiptext.text = '';
	

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);	
	world_current.addChild(bg);

	//** page assets:

	table5 = new createjs.Bitmap(images['table']);
	table5.regX  = table5.image.width/2;
	table5.regY  = table5.image.height/2;
	table5.x = canvas.width/2; table5.y = 414;
	table5.alpha = 0.8;
	world_current.addChild(table5);

	tube5 = new createjs.Bitmap(images['tube_slit']);
	tube5.regX  = tube5.image.width/2;
	tube5.regY  = tube5.image.height/2;
	tube5.x = 392; tube5.y = 263;
	world_current.addChild(tube5);


	cardboard5_active = new createjs.Bitmap(images['cardboard_side_active']);
	cardboard5_active.regX  = cardboard5_active.image.width/2;
	cardboard5_active.regY  = cardboard5_active.image.height/2;
	cardboard5_active.x = 620; cardboard5_active.y = 282;
	cardboard5_active.startX = cardboard5_active.x;
	world_current.addChild(cardboard5_active);

	//show once the active draggable one is in place and hidden.
	cardboard5 = new createjs.Bitmap(images['cardboard_side']);
	cardboard5.regX  = cardboard5.image.width/2;
	cardboard5.regY  = cardboard5.image.height/2;
	cardboard5.x = 405; cardboard5.y = 282;
	cardboard5.visible = false;
	world_current.addChild(cardboard5);

	tube5top = new createjs.Bitmap(images['tube_slit_front']);
	tube5top.regX  = tube5top.image.width/2;
	tube5top.regY  = tube5top.image.height/2;
	tube5top.x = tube5.x; tube5top.y = tube5.y;
	world_current.addChild(tube5top);


	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	bg_wordcloudSTEP = new createjs.Bitmap(images['bg_wordcloud_STEP']);
	bg_wordcloudSTEP.x = 43;
	bg_wordcloudSTEP.y = 430;
	world_current.addChild(bg_wordcloudSTEP);

	text_step = new createjs.Text("STEP 5", "28px Nunito", "black");
	text_step.x = 115; text_step.y = 472;
	text_step.textAlign = "center";
	text_step.textBaseline = "middle";
	world_current.addChild(text_step);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('kibble5', ['assemble', 'piece']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_kibble5);

}

//level specific functions:
function dragCardboard5(obj){
	cardboard5.visible=false;
	cardboard5_active.visible=true;
	cardboard5_active.x=cardboard5_active.startX;
	

	addShadow(obj);
	doPulse(obj);

	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			target.scaleX=target.scaleY=1.1;
			
			evt.onMouseMove = function(ev) {
				////**console.log("mouse at: " + target.x);				
				if(ev.stageX > 406) target.x = ev.stageX;				
			}			
			evt.onMouseUp = function(ev){
				////**console.log("tube at: " + target.x);
				target.scaleX=target.scaleY=1;				
				if(  (target.x > 406)  && (target.x < 456) ) cardboard5_inplace();				
				else target.x = target.startX;
			}
		}	
			
	})(obj);			
}

function cardboard5_inplace(){
	////**console.log('hide it!');

	if(!narrActive) playSound('attaching_cardboard');
	cardboard5_active.visible = false;
	cardboard5.visible = true;
}

//called once this level is fully slid into place
function begin_kibble5(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('kibble5');
	
}

function narrDone_kibble5(){
	dragCardboard5(cardboard5_active);
}


function tick_kibble5(){
	stage.update();
}



function end_kibble5(){
	//**//**console.log('end_kibble5');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

