function prep_kibble7(transition){
	//**//**console.log('function: prep_kibble7');
	world_current = worlds['kibble7'];
	
	ticker_world = (function(){
		tick_kibble7();
	});
	end_world = (function(){
		end_kibble7();
	});
	narrDone = (function(){
		narrDone_kibble7();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false; teachertiptext.text = '';
	
	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);	
	world_current.addChild(bg);

	//** page assets:
	table7 = new createjs.Bitmap(images['table']);
	table7.regX  = table7.image.width/2;
	table7.regY  = table7.image.height/2;
	table7.x = canvas.width/2; table7.y = 480;		
	world_current.addChild(table7);

	//contraption7 : container holding entire starting contraption pieces
	contraption7 = new createjs.Container();
	world_current.addChild(contraption7);

	bottle_cutoff6 = new createjs.Bitmap(images['bottle_cutoff']);
	bottle_cutoff6.regX  = bottle_cutoff6.image.width/2;
	bottle_cutoff6.regY  = bottle_cutoff6.image.height/2;
	bottle_cutoff6.scaleX = bottle_cutoff6.scaleY = 0.70;
	bottle_cutoff6.x = 387; bottle_cutoff6.y = 394;	
	contraption7.addChild(bottle_cutoff6);

	cupattached6 = new createjs.Bitmap(images['cup_openbtm']);
	cupattached6.regX  = cupattached6.image.width/2;
	cupattached6.regY  = cupattached6.image.height/2;
	cupattached6.scaleX = cupattached6.scaleY = 0.75;
	cupattached6.x = bottle_cutoff6.x; cupattached6.y = bottle_cutoff6.y - 116;
	contraption7.addChild(cupattached6);

	tapebunch6 = new createjs.Bitmap(images['tape1']);
	tapebunch6.regX  = tapebunch6.image.width/2;
	tapebunch6.regY  = tapebunch6.image.height/2;
	tapebunch6.scaleX = tapebunch6.scaleY = 0.75;
	tapebunch6.x = cupattached6.x; tapebunch6.y = cupattached6.y + 40;
	contraption7.addChild(tapebunch6);	

	tubedone6 = new createjs.Bitmap(images['tube_card']);
	tubedone6.regX  = tubedone6.image.width/2;
	tubedone6.regY  = tubedone6.image.height/2;
	tubedone6.x = cupattached6.x + 9; tubedone6.y = cupattached6.y - 123;
	contraption7.addChild(tubedone6);

	cupattached6_front = new createjs.Bitmap(images['cup_openbtm_front']);
	cupattached6_front.regX  = cupattached6_front.image.width/2;
	cupattached6_front.regY  = cupattached6_front.image.height/2;
	cupattached6_front.scaleX = cupattached6_front.scaleY = 0.75;
	cupattached6_front.x = bottle_cutoff6.x; cupattached6_front.y = bottle_cutoff6.y - 116;
	contraption7.addChild(cupattached6_front);

	tapefinished6a = tapebunch6.clone();
	contraption7.addChild(tapefinished6a);

	tapefinished6b = new createjs.Bitmap(images['tape2']);
	tapefinished6b.regX  = tapefinished6b.image.width/2;
	tapefinished6b.regY  = tapefinished6b.image.height/2;
	tapefinished6b.scaleX = tapefinished6b.scaleY = 0.70;
	tapefinished6b.x = cupattached6_front.x; tapefinished6b.y = cupattached6_front.y - 25;
	contraption7.addChild(tapefinished6b);

	contraption7.x -= 15;
	contraption7.y += 43;
	//

	cupbottom7 = new createjs.Bitmap(images['cup_cutoff_btm']);
	cupbottom7.regX = cupbottom7.image.width/2;
	cupbottom7.regY = cupbottom7.image.height/2;
	cupbottom7.scaleX = cupbottom7.scaleY = 0.70;
	cupbottom7.x = 756; cupbottom7.y = 423;
	world_current.addChild(cupbottom7);

	//cup to be dragged on top of hitregion7:
	cupactive7 = new createjs.Bitmap(images['cup_opentop_active']);
	cupactive7.regX = cupactive7.image.width/2;
	cupactive7.regY = cupactive7.image.height/2;
	cupactive7.scaleX = cupactive7.scaleY = 0.70;
	cupactive7.x = 616; cupactive7.y = 370;
	cupactive7.startX = cupactive7.x;
	cupactive7.startY = cupactive7.y;
	world_current.addChild(cupactive7);

	//hit region that accepts cupactive7 for drag-drop:
	hitregion7 = new createjs.Shape();
	hitregion7.graphics.beginFill("white").drawRect(282,25, 200, 290);
	hitregion7.alpha = 0.01;
	world_current.addChild(hitregion7);


	//finishedresult7: hidden container to show upon successful drag-drop
	finishedresult7 = new createjs.Container();
	finishedresult7.visible = false;
	world_current.addChild(finishedresult7);

	cup_opentop7 = new createjs.Bitmap(images['cup_opentop']);
	cup_opentop7.regX = cup_opentop7.image.width/2;
	cup_opentop7.regY = cup_opentop7.image.height/2;
	cup_opentop7.scaleX = cup_opentop7.scaleY = 0.75;
	cup_opentop7.x = 370; cup_opentop7.y = 102;
	finishedresult7.addChild(cup_opentop7);

	tapeFinal7 = new createjs.Bitmap(images['tape3']);
	tapeFinal7.regX = tapeFinal7.image.width/2;
	tapeFinal7.regY = tapeFinal7.image.height/2;
	tapeFinal7.scaleX = tapeFinal7.scaleY = 0.70;
	tapeFinal7.x = 373; tapeFinal7.y = 150;
	finishedresult7.addChild(tapeFinal7);

	finishedresult7.y -=8;


	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	bg_wordcloudSTEP = new createjs.Bitmap(images['bg_wordcloud_STEP']);
	bg_wordcloudSTEP.x = 43;
	bg_wordcloudSTEP.y = 430;
	world_current.addChild(bg_wordcloudSTEP);

	text_step = new createjs.Text("STEP 7", "28px Nunito", "black");
	text_step.x = 115; text_step.y = 472;
	text_step.textAlign = "center";
	text_step.textBaseline = "middle";
	world_current.addChild(text_step);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('kibble7', ['fertilize']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_kibble7);

}

//level specific functions:

function dragCup7(obj){
	addShadow(obj);
	doPulse(obj);

	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			target.scaleX *= 1.02;
			target.scaleY *= 1.02;

			evt.onMouseMove = function(ev) {
				target.x = ev.stageX;
				target.y = ev.stageY;
			}			
			evt.onMouseUp = function(ev){
				target.scaleX /= 1.02;
				target.scaleY /= 1.02;

				////**console.log("tube at: " + target.x);				
				var pt = target.localToLocal(target.regX, target.regY,hitregion7);
				if (hitregion7.hitTest(pt.x, pt.y)) { 
					////**console.log("attach the tube!");
					cupOn7();
				}
				else{
					target.x = target.startX;
					target.y = target.startY;					
				}
			}
		}	
			
	})(obj);			
}

function cupOn7(){
	if(!narrActive) playSound('sticky_tape');
	
	cupactive7.visible = false;
	finishedresult7.visible = true;	
}

//called once this level is fully slid into place
function begin_kibble7(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('kibble7');
	
}

function narrDone_kibble7(){
	dragCup7(cupactive7);
}


function tick_kibble7(){
	stage.update();
}



function end_kibble7(){
	//**//**console.log('end_kibble7');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

