function prep_1_intro(transition){
	//**//**console.log('function: prep_1_intro');
	world_current = worlds['1_intro'];
	
	ticker_world = (function(){
		tick_1_intro();
	});
	end_world = (function(){
		end_1_intro();
	});
	narrDone = (function(){
		narrDone_1_intro();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: When you read with your child, pause to discuss the text on screen. It's helpful to reuse any new words your child might be hearing for the first time. You could say, \"What do you think the word measure means? Can you remember a time when you measured something?\"";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	helen = new createjs.Bitmap(images['1-helen']);
	helen.x = 260; helen.y = 64;
	world_current.addChild(helen);

	dogs = new createjs.Bitmap(images['1-dogs']);
	dogs.x = 506; dogs.y = 218;
	world_current.addChild(dogs);
	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText(830);

	//params: sndID, defintion words in array
	renderNarration('1_intro', ['measure.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_1_intro);

}

//level specific functions:

//called once this level is fully slid into place
function begin_1_intro(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('1_intro');
	
}

function narrDone_1_intro(){
	//play PAWS audio for this page:
	//playSound('1_intro_PAWS');
}

function tick_1_intro(){
	stage.update();
}



function end_1_intro(){
	//**//**console.log('end_1_intro');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

