function prep_7_reuse(transition){
	//**//**console.log('function: prep_7_reuse');
	world_current = worlds['7_reuse'];
	
	ticker_world = (function(){
		tick_7_reuse();
	});
	end_world = (function(){
		end_7_reuse();
	});
	narrDone = (function(){
		narrDone_7_reuse();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: List ways your family already repurposes things. Do you refill the soap dispenser from a bigger bottle? Do old T-shirts become rags? What about hand-me-downs? Ask, \"How would you like to reuse a soup can?\" If possible, put your child's idea into action. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:

	can7back = new createjs.Bitmap(images['7can_back']);
	can7back.regX = can7back.image.width/2;
	can7back.regY = can7back.image.height/2;
	can7back.x = canvas.width/2;
	can7back.y = 350;
	world_current.addChild(can7back);

	can7front = new createjs.Bitmap(images['7can_front']);
	can7front.regX = can7front.image.width/2;
	can7front.regY = can7front.image.height/2;
	can7front.x = can7back.x;
	can7front.y = can7back.y;
	

	can7HitRegion = new createjs.Shape();
	can7HitRegion.graphics.beginFill("white").drawRect(386,180, 250, 285);
	can7HitRegion.alpha = 0.01;
	world_current.addChild(can7HitRegion);


	dragFlowers = new createjs.Bitmap(images['7drag_flowers']);
	dragFlowers.regX = dragFlowers.image.width/2;
	dragFlowers.regY = dragFlowers.image.height/2;
	dragFlowers.x = 235; dragFlowers.startX = dragFlowers.x;
	dragFlowers.y = 160; dragFlowers.startY = dragFlowers.y;
	world_current.addChild(dragFlowers); 


	dragCrayons = new createjs.Bitmap(images['7drag_crayons']);
	dragCrayons.regX = dragCrayons.image.width/2;
	dragCrayons.regY = dragCrayons.image.height/2;
	dragCrayons.x = 235; dragCrayons.startX = dragCrayons.x;
	dragCrayons.y = 360; dragCrayons.startY = dragCrayons.y;
	world_current.addChild(dragCrayons); 


	dragBrushes = new createjs.Bitmap(images['7drag_brushes']);
	dragBrushes.regX = dragBrushes.image.width/2;
	dragBrushes.regY = dragBrushes.image.height/2;
	dragBrushes.x = 765; dragBrushes.startX = dragBrushes.x;
	dragBrushes.y = 160; dragBrushes.startY = dragBrushes.y;
	world_current.addChild(dragBrushes); 


	dragSpoons = new createjs.Bitmap(images['7drag_spoons']);
	dragSpoons.regX = dragSpoons.image.width/2;
	dragSpoons.regY = dragSpoons.image.height/2;
	dragSpoons.x = 765; dragSpoons.startX = dragSpoons.x;
	dragSpoons.y = 360; dragSpoons.startY = dragSpoons.y;
	world_current.addChild(dragSpoons); 


	canFlowers = new createjs.Bitmap(images['7can_flowers']);
	canFlowers.regX = canFlowers.image.width/2;
	canFlowers.regY = canFlowers.image.height/2;
	canFlowers.x = can7back.x; canFlowers.canX = canFlowers.x;
	canFlowers.y = can7back.y - 127; canFlowers.canY = canFlowers.y;
	canFlowers.visible = false;
	world_current.addChild(canFlowers); 

	canCrayons = new createjs.Bitmap(images['7can_crayons']);
	canCrayons.regX = canCrayons.image.width/2;
	canCrayons.regY = canCrayons.image.height/2;
	canCrayons.x = can7back.x; canCrayons.canX = canCrayons.x;
	canCrayons.y = can7back.y - 92; canCrayons.canY = canCrayons.y;
	canCrayons.visible = false;
	world_current.addChild(canCrayons); 

	canBrushes = new createjs.Bitmap(images['7can_brushes']);
	canBrushes.regX = canBrushes.image.width/2;
	canBrushes.regY = canBrushes.image.height/2;
	canBrushes.x = can7back.x; canBrushes.canX = canBrushes.x;
	canBrushes.y = can7back.y - 92; canBrushes.canY = canBrushes.y;
	canBrushes.visible = false;
	world_current.addChild(canBrushes); 

	canSpoons = new createjs.Bitmap(images['7can_spoons']);
	canSpoons.regX = canSpoons.image.width/2;
	canSpoons.regY = canSpoons.image.height/2;
	canSpoons.x = can7back.x - 10; canSpoons.canX = canSpoons.x;
	canSpoons.y = can7back.y - 92; canSpoons.canY = canSpoons.y;
	canSpoons.visible = false;
	world_current.addChild(canSpoons); 


	world_current.addChild(can7front);


	currentInCan = {}; //object that will equal whichever object is currently in can (meaning, hidden and has its inCan obj showing)
	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText(910, 28);

	//params: sndID, defintion words in array
	renderNarration('7_reuse', ['reuse', 'repurpose']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_7_reuse);

}

//level specific functions:

function drag7(obj){
	doPulse(obj);
	addShadow(obj);

	(function(target) {
		obj.onPress = function(evt) {
			
			
			// bump the target in front of it's siblings:
			world_current.addChild(target);

			target.scaleX = target.scaleY = 1.02;

			var offset = {x:target.x-evt.stageX, y:target.y-evt.stageY};

			evt.onMouseMove = function(ev) {				
				target.x = ev.stageX+offset.x;
				target.y = ev.stageY+offset.y;
			}


			evt.onMouseUp = function(ev){
				target.scaleX = target.scaleY = 1.0;

				var pt;
				//if hitTest w/ can7HitRegion is true
				pt = target.localToLocal(target.regX, target.regY,can7HitRegion);
				if (can7HitRegion.hitTest(pt.x, pt.y)) { 				
					newInCan(target);
					return;	
				}

				else{ //if no hit with can
					target.x = target.startX;
					target.y = target.startY;
				}
				
			}

		}
		
	})(obj);
}

function newInCan(obj){
	currentInCan.x = currentInCan.startX;
	currentInCan.y = currentInCan.startY;
	currentInCan.visible = true;

	obj.visible = false;

	var canObj = {};
	
	switch(obj){
		case dragFlowers: canObj = canFlowers; break;
		case dragCrayons: canObj = canCrayons; break;
		case dragBrushes: canObj = canBrushes; break;
		case dragSpoons: canObj = canSpoons; break;
	}

	canFlowers.visible = false;
	canSpoons.visible = false;
	canBrushes.visible = false;
	canCrayons.visible = false;

	//simple show of new obj in can, instant:
	//canObj.visible = true;

	//OR
	
	//pass canObj to tween function
	tweenIntoCan(canObj);

	//set current dragged object as currentInCan (so it can be reset on next obj)
	currentInCan = obj;
}

function tweenIntoCan(canObj){
	createjs.Tween.removeTweens(canObj);
	canObj.y = canObj.canY - 150;
	canObj.visible = true;

	createjs.Tween.get(canObj, {loop:false})
     .to({y: canObj.canY}, 500, createjs.Ease.linear);


}
//called once this level is fully slid into place
function begin_7_reuse(){
	//**//**console.log("WORLD 1 BEGIN");

	playSound('7_reuse');
	
}

function narrDone_7_reuse(){
	drag7(dragSpoons);
	drag7(dragBrushes);
	drag7(dragCrayons);
	drag7(dragFlowers);
}


function tick_7_reuse(){
	stage.update();
}



function end_7_reuse(){
	//**//**console.log('end_7_reuse');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

