//"A Tale of Two Soup Cans" Quiz vars


//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'soupcan_quiz_end';
worlds[ quiz_end ] = new createjs.Container();

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)

*/



var quiz_words = ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9','q10']; 
var quiz_content = [];

//txt questions
quiz_content['q1'] = ["When you use something that you could have thrown away you are...", 'reusing it', 'recycling it', 'composting it', 'easy'];
quiz_content['q2'] = ["Anything you throw away is called…",'garbage', 'bottle', 'can', 'medium'];
quiz_content['q3'] = ["When you pick between two different things, you make a...", 'choice', 'landfill', 'thought', 'medium'];
quiz_content['q4'] = ["What is the word for all the things in nature that surround you, including plants, animals, air, and water?", 'environment', 'trees', 'flowers' ,'hard'];
quiz_content['q5'] = ["It's important to throw garbage in the trash can rather than the ground so you don't...", 'pollute', 'recycle', 'compost' ,'hard']; //'pollute', 'recycle', 'compost'
quiz_content['q6'] = ["When you've finally made up your mind about something you've thought about for a while, this is called a...",'decision', 'landfill', 'container', 'hard'];
quiz_content['q7'] = ["Before you make a decision you should always think about the things that might happen because of that decision. What is another word for this?", 'consequences', 'choice', 'thought' ,'hard']
quiz_content['q8'] = ["When you use something in a different way than how it was originally used you are...",'repurposing', 'recycling', 'composting', 'hard'];
quiz_content['q9'] = ["What is the place where the garbage is taken to, and eventually covered up with dirt?", 'landfill', 'trash bin', 'environment' ,'hard'];
quiz_content['q10'] = ["When something rots, it breaks down into smaller and smaller pieces until it's gone. Another word for this is...", 'decompose', 'compost', 'rust' ,'hard'];

//FOR FIRST question:
//pull a random quiz question... 
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
quiz_doCover();

//

//for quiz only: set narrDone to nothing:
function narrDone(){}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/tale_quiz';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)
	
	//quiz sfx:
	makeSound('sfx_biscuits', 133.158373, 134.131983);
	makeSound('sfx_splat', 134.410686, 135.521525);
	makeSound('sfx_pie', 135.604532, 136.414434);
	makeSound('sfx_lazer', 136.583777, 138.626938);
	makeSound('sfx_wrong', 139.190187, 140.530207);

	//question-specific audio:
	makeSound('q_q1', 1.000000, 4.307802);
	makeSound('reusing it', 4.555071, 5.712102);
	makeSound('recycling it', 6.332606, 7.502740);
	makeSound('composting it', 7.624935, 8.674661);
	makeSound('f_q1', 8.828620, 11.831004);
	makeSound('q_q2', 12.076289, 14.403241);
	makeSound('garbage', 14.542858, 15.170543);
	makeSound('bottle', 15.310752, 15.812795);
	makeSound('can', 15.901438, 16.409972);
	makeSound('f_q2', 16.520766, 19.031953);
	makeSound('q_q3', 20.197350, 23.408143);
	makeSound('choice', 23.478351, 24.116327);
	makeSound('thought', 24.252589, 24.784450);
	makeSound('f_q3', 24.897792, 28.272887);
	makeSound('q_q4', 28.670767, 34.787168);
	makeSound('environment', 34.824492, 35.753033);
	makeSound('trees', 35.790239, 36.504053);
	makeSound('flowers', 36.592733, 37.404484);
	makeSound('q_q5', 37.535117, 42.510485);
	makeSound('pollute', 42.604382, 43.324676);
	makeSound('f_q5', 43.917744, 47.015010);
	makeSound('decision', 47.426865, 48.143058);
	makeSound('container', 48.289973, 49.101761);
	makeSound('f_q6', 49.176070, 53.804532);
	makeSound('q_q7', 53.972488, 61.945737);
	makeSound('consequences', 62.043711, 63.247397);
	makeSound('choice', 63.312713, 63.939638);
	makeSound('thought', 63.951879, 64.469744);
	makeSound('f_q7', 64.495399, 68.076282);
	makeSound('q_q8', 68.449370, 72.699592);
	makeSound('repurposing', 72.732251, 73.879951);
	makeSound('recycling', 73.912609, 74.836367);
	makeSound('composting', 74.881023, 75.911867);
	makeSound('f_q8', 75.974691, 80.584567);
	makeSound('q_q9', 80.908741, 85.109682);
	makeSound('landfill', 85.133009, 86.018437);
	makeSound('q_q10', 86.285375, 93.675443);
	makeSound('decompose', 93.834578, 95.019092);
	makeSound('compost', 95.048789, 96.054821);
	makeSound('rust', 96.096810, 96.719998);
	makeSound('f_q10', 96.824711, 103.141635);
	makeSound('f_q4', 103.310037, 110.430664);
	makeSound('q_q6', 123.126989, 128.374171);
	makeSound('f_q9', 128.563657, 132.801473);
	makeSound('a_sandwich', 118.964889, 120.210846);
	makeSound('trash bin', 120.326155, 121.154927);
	makeSound('recycle', 121.245301, 122.075585);
	
	//required for quiz question outocomes:
	makeSound('empty', 0.5,0.6);
	makeSound('quizmo', 110.727481, 111.669896);
	makeSound('correct_1', 112.449425, 113.452273);
	makeSound('correct_2', 113.750862, 114.819249);
	makeSound('incorrect_1', 115.346445, 116.517472);
	makeSound('incorrect_2', 117.427234, 118.672909);	

}
