function prep_1_intro(transition){
	//**//**console.log('function: prep_1_intro');
	world_current = worlds['1_intro'];
	
	ticker_world = (function(){
		tick_1_intro();
	});
	end_world = (function(){
		end_1_intro();
	});
	narrDone = (function(){
		narrDone_1_intro();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = false;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	//teachertiptext.text = "Parent tip: When you read with your child, pause to discuss the text on screen. It's helpful to reuse any new words your child might be hearing for the first time. You could say, \"What do you think the word measure means? Can you remember a time when you measured something?\"";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	if(!bg) bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//********
	//text stuff:
	if(!bg_textBG_title) bg_textBG_title = new createjs.Bitmap(images['pageTextBG_title_png']);
	world_current.addChild(bg_textBG_title);
	bg_textBG_title.x = 40; bg_textBG_title.y = 30;

	setNarrationTextCustom(75, 545);

	btnNarration.y = 586 - 20;
	btnNarrationOver.y = btnNarration.y;

	//params: sndID, defintion words in array
	renderNarration('1_intro', null);

	//setDefinitionText();
	//********

	text_page2.alpha = 0;
	narrationMask.visible = true;

	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_1_intro);

}

//level specific functions:

function begin_1_intro(){
	//**//**console.log("WORLD 0 BEGIN");
	
	//FIX FOR ANDROID: play ~100ms of silence muted before playing actual cover audio
    var empty0 =  sounds['empty'][0] * 1000;
    var empty1 =  sounds['empty'][1] * 1000;
    soundManager.mute('multisound');
	playFromTo(empty0, empty1, audio_0_cover); 
}

function audio_0_cover(){
	soundManager.unmute('multisound');
	var s0 =  sounds['0_cover'][0] * 1000;
    var s1 =  sounds['0_cover'][1] * 1000;

	playFromTo(s0,s1, sunflower_intro); 
}

function sunflower_intro(){
	text_page2.alpha = 1;
	playSound('1_intro');
}

function narrDone_1_intro(){

	stopSound();
}

function tick_1_intro(){
	stage.update();
}



function end_1_intro(){
	////**console.log('end_1_intro');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	//fix for pg1 only- hide btnNarration b/c it appears on switch to next pg
	btnNarration.visible=false;
	
	world_current.removeChild(bg);
	world_current.removeChild(bg_textBG_title);

	createjs.Ticker.removeListener(ticker_world);
}

