function prep_2_instruct(transition){
	//**//**console.log('function: prep_2_instruct');
	world_current = worlds['2_instruct'];
	
	ticker_world = (function(){
		tick_2_instruct();
	});
	end_world = (function(){
		end_2_instruct();
	});
	narrDone = (function(){
		narrDone_2_instruct();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	//teachertiptext.text = "Parent tip: When you read with your child, pause to discuss the text on screen. It's helpful to reuse any new words your child might be hearing for the first time. You could say, \"What do you think the word measure means? Can you remember a time when you measured something?\"";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	if(!bg) bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	// display ingredients window
	ingredientsSetUp(); // in sunflowerbiscuits_story.js

	//********
	//text stuff:
	if(!instruct_people_png) instruct_people_png = new createjs.Bitmap(images['instruct_people_png']);
	world_current.addChild(instruct_people_png);
	instruct_people_png.x = 225; instruct_people_png.y = 80;

	if(!pageTextBG_1_png) pageTextBG_1_png = new createjs.Bitmap(images['pageTextBG_1_png']);
	world_current.addChild(pageTextBG_1_png);
	pageTextBG_1_png.x = 35; pageTextBG_1_png.y = 435;

	setNarrationTextCustom(80, 500);	

	btnNarration.y = 586 - 30;
	btnNarrationOver.y = btnNarration.y;

	//params: sndID, defintion words in array
	renderNarration('2_instruct', null);

	//setDefinitionText();
	//********

	text_page2.alpha = 0;
	narrationMask.visible = true;

	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_2_instruct);

}

//level specific functions:

//called once this level is fully slid into place
function begin_2_instruct(){
	//**//**console.log("WORLD 1 BEGIN");
	stage.addChild(ingredientsWindow);
	stage.addChild( ingredButton );

	text_page2.alpha = 1;
	narrationMask.visible = false;
	
	playSound('2_instruct');
	
}

function narrDone_2_instruct(){
	
	stopSound();
}

function tick_2_instruct(){
	stage.update();
}



function end_2_instruct(){
	//**//**console.log('end_2_instruct');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	world_current.removeChild(instruct_people_png);

	world_current.removeChild(pageTextBG_1_png);

	ingredientsShutDown(); // in sunflowerbiscuits_story.js

	world_current.removeChild(bg);

	createjs.Ticker.removeListener(ticker_world);
}

