function prep_4_step2(transition){
	//**//**console.log('function: prep_4_step2');
	world_current = worlds['4_step2'];
	
	ticker_world = (function(){
		tick_4_step2();
	});
	end_world = (function(){
		end_4_step2();
	});
	narrDone = (function(){
		narrDone_4_step2();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	//teachertiptext.text = "Parent tip: When you read with your child, pause to discuss the text on screen. It's helpful to reuse any new words your child might be hearing for the first time. You could say, \"What do you think the word measure means? Can you remember a time when you measured something?\"";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	if(!bg) bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	// display ingredients window
	ingredientsSetUp(); // in sunflowerbiscuits_story.js

	if(!step2InterInstance) step2InterInstance = new pageContentLib.InteractiveStep2(images);
	world_current.addChild(step2InterInstance);
	step2InterInstance.x = 0; step2InterInstance.y = 0;

	//********
	//text stuff:
	if(pageTextBG_2_png) {
		pageTextBG_2_png = new createjs.Bitmap(images['pageTextBG_2_png']);
		world_current.addChild(pageTextBG_2_png);
	}
	pageTextBG_2_png.x = 35; pageTextBG_2_png.y = 415;

	titleTextCntr = createText("Step 2", FONT_STYLE_SUBTITLE_TEXT, FONT_COLOR_BLACK, 80, 465, 511, 60); //text, fontSettings, hexColor, x, y, width, height
	titleTextCntr.textBaseline = "middle";
	world_current.addChild(titleTextCntr);

	setNarrationText(880, 26, 32, [80, 490]);

	btnNarration.y = 586 - 20;
	btnNarrationOver.y = btnNarration.y;

	//params: sndID, defintion words in array
	renderNarration('4_step2', ['measure', 'ingredients.', 'check', 'amount', 'level']);

	setDefinitionText();
	//********
	text_page2.alpha = 0;
	narrationMask.visible = true;

	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_4_step2);

}

//level specific functions:

//called once this level is fully slid into place
function begin_4_step2(){
	//**//**console.log("WORLD 1 BEGIN");
	stopSound();
	stage.addChild(ingredientsWindow);
	stage.addChild( ingredButton );

	
	text_page2.alpha = 1;
	narrationMask.visible = false;
	
	playSound('4_step2');	
}

function narrDone_4_step2(){
	stopSound();

	step2InterInstance.muteAudio(false);
	step2InterInstance.enable();
	
}

function tick_4_step2(){
	stage.update();
}

function end_4_step2(){
	//**//**console.log('end_4_step2');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	step2InterInstance.reset();
	world_current.removeChild(step2InterInstance);

	ingredientsShutDown(); // in sunflowerbiscuits_story.js

	world_current.removeChild(bg);

	createjs.Ticker.removeListener(ticker_world);
}

