function prep_8_step6(transition){
	//**//**console.log('function: prep_8_step6');
	world_current = worlds['8_step6'];
	
	ticker_world = (function(){
		tick_8_step6();
	});
	end_world = (function(){
		end_8_step6();
	});
	narrDone = (function(){
		narrDone_8_step6();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	
	//adding background color (shape) or image (bitmap, and white border (bitmap)
	if(!bg) bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	// display ingredients window
	ingredientsSetUp(); // in sunflowerbiscuits_story.js

	if(!step6InterInstance) step6InterInstance = new pageContentLib.InteractiveStep6(images);
	world_current.addChild(step6InterInstance);
	step6InterInstance.x = 0; step6InterInstance.y = 0;

	//********
	//text stuff:
	if(pageTextBG_2_png) {
		pageTextBG_2_png = new createjs.Bitmap(images['pageTextBG_2_png']);
		world_current.addChild(pageTextBG_2_png);
	}
	pageTextBG_2_png.x = 35; pageTextBG_2_png.y = 415;

	titleTextCntr = createText("Step 6", FONT_STYLE_SUBTITLE_TEXT, FONT_COLOR_BLACK, 80, 465, 511, 60); //text, fontSettings, hexColor, x, y, width, height
	titleTextCntr.textBaseline = "middle";
	world_current.addChild(titleTextCntr);

	setNarrationText(860, 26, 32, [80, 490]);

	btnNarration.y = 586 - 20;
	btnNarrationOver.y = btnNarration.y;

	//params: sndID, defintion words in array
	renderNarration('8_step6', ['divide', 'portions']);

	setDefinitionText();
	//********
	text_page2.alpha = 0;
	narrationMask.visible = true;

	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_8_step6);

}

//level specific functions:

//called once this level is fully slid into place
function begin_8_step6(){
	//**//**console.log("WORLD 1 BEGIN");
	stage.addChild(ingredientsWindow);
	stage.addChild( ingredButton );

	text_page2.alpha = 1;
	narrationMask.visible = false;
	
	playSound('8_step6');
	
}

function narrDone_8_step6(){
	stopSound();

	step6InterInstance.enable();
	//step6InterInstance.muteAudio(false);
}

function tick_8_step6(){
	stage.update();
}

function end_8_step6(){
	//**//**console.log('end_8_step6');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	step6InterInstance.reset();
	world_current.removeChild(step6InterInstance);

	ingredientsShutDown(); // in sunflowerbiscuits_story.js

	world_current.removeChild(bg);

	createjs.Ticker.removeListener(ticker_world);
}

