function prep_4_lizard(transition){
	//**//**console.log('function: prep_4_lizard');
	world_current = worlds['4_lizard'];
	
	ticker_world = (function(){
		tick_4_lizard();
	});
	end_world = (function(){
		end_4_lizard();
	});
	narrDone = (function(){
		narrDone_4_lizard();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: To explore the topic further, unwrap a bandage and look at it carefully. Ask your child why one part of it does not stick (so it doesn't pull on the scrape or cut). Have your child mimic what sometimes happens when a bandage is removed. ";
	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:

	lizard = new createjs.Bitmap(images['4_lizard']);
	lizard.y=20;
	world_current.addChild(lizard);
	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText(900, 25, 27); //chaning text width offsets vocab highlight.. why?

	//params: sndID, defintion words in array
	renderNarration('4_lizard', ['mimic','discovery']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_4_lizard);

}

//level specific functions:

//called once this level is fully slid into place
function begin_4_lizard(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('4_lizard');
	
}

function narrDone_4_lizard(){
	
}


function tick_4_lizard(){
	stage.update();
}



function end_4_lizard(){
	//**//**console.log('end_4_lizard');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

