function prep_6_snorkel(transition){
	//**//**console.log('function: prep_6_snorkel');
	world_current = worlds['6_snorkel'];
	
	ticker_world = (function(){
		tick_6_snorkel();
	});
	end_world = (function(){
		end_6_snorkel();
	});
	narrDone = (function(){
		narrDone_6_snorkel();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	snorkel = new createjs.Bitmap(images['6_snorkel']);
	snorkel.x=230;
	snorkel.y=60;
	world_current.addChild(snorkel);

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	//providing custom linewidth and font size params for this page only:
	setNarrationText(910, 26, 28);


	//params: sndID, defintion words in array
	renderNarration('6_snorkel', ['concept']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_6_snorkel);

}

//level specific functions:

//called once this level is fully slid into place
function begin_6_snorkel(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('6_snorkel');
	
}

function narrDone_6_snorkel(){
	
}


function tick_6_snorkel(){
	stage.update();
}



function end_6_snorkel(){
	//**//**console.log('end_6_snorkel');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

