
function prep_3_gum(transition){
	//**//**console.log('function: prep_3_gum');
	world_current = worlds['3_gum'];
	
	ticker_world = (function(){
		tick_3_gum();
	});
	end_world = (function(){
		end_3_gum();
	});
	narrDone = (function(){
		narrDone_3_gum();
	});


	//teachertip:
	/*teachertipcontainer.onPage = false;
	teachertiptext.text = '';*/

	currentTab="ingredients";
	currentStep=1;
	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:

	/*txt = new createjs.Text("How Gum is Made","27px Nunito","black");
	txt.x = canvas.width/2;
	txt.y = canvas.height/2;
	world_current.addChild(txt);*/

	ingredientsContainer = new createjs.Container();
	ingredientsBG = new createjs.Bitmap(images['ingredients_bg']);
	ingredientsContainer.addChild(ingredientsBG);
	ingredientsContainer.x = 140;
	ingredientsContainer.y = 160;

	ingredientsTxt = new createjs.Text("ingredients","25px Nunito","black");
	ingredientsTxt.x = 350;
	ingredientsTxt.y = 20;
	ingredientsContainer.addChild(ingredientsTxt);

	ingredientsHitArea = new createjs.Shape();
	ingredientsHitArea.graphics.beginFill('#003300').drawRect(-40,-10,210,60);
	ingredientsHitArea.x = ingredientsTxt.x;
	ingredientsHitArea.y = ingredientsTxt.y;
	ingredientsHitArea.alpha = .01;
	ingredientsHitArea.name="ingredients";
	ingredientsContainer.addChild(ingredientsHitArea);

	var ypos=180;
	for(var i=0; i<4; i++)
	{
		dot = new createjs.Shape();
		dot.graphics.beginFill('black').drawCircle(0,0,5);
		dot.x=90;
		dot.y=ypos;
		if(i<2) ypos+=38; else ypos+=101;
		ingredientsContainer.addChild(dot);
	}


	stepsContainer = new createjs.Container();
	stepsBG = new createjs.Bitmap(images['steps_bg']);
	stepsContainer.addChild(stepsBG);
	stepsContainer.x = 135;
	stepsContainer.y = 160;

	stepsTxt = new createjs.Text("steps","25px Nunito","black");
	stepsTxt.x = 610;
	stepsTxt.y = 20;
	stepsContainer.addChild(stepsTxt);

	stepsHitArea = new createjs.Shape();
	stepsHitArea.graphics.beginFill('#003300').drawRect(-50,-10,190,60);
	stepsHitArea.x = stepsTxt.x;
	stepsHitArea.y = stepsTxt.y;
	stepsHitArea.alpha = .01;
	stepsHitArea.name="steps";
	stepsContainer.addChild(stepsHitArea);

	arrowR = new createjs.Bitmap(images['gum_arrow']);
	stepsContainer.addChild(arrowR);
	arrowR.x = 650;
	arrowR.y=230;

	arrowL = new createjs.Bitmap(images['gum_arrow']);
	stepsContainer.addChild(arrowL);
	arrowL.scaleX=-1;
	arrowL.x = 120;
	arrowL.y=230;
	arrowL.visible=false;

	imgArr = [];

	for(var i=1; i<=5; i++)
	{
		stepImg = new createjs.Bitmap(images['gum_step'+i]);
		stepsContainer.addChild(stepImg);
		stepImg.x = 10;
		stepImg.y = 10;
		if(i>1) stepImg.visible=false;
		imgArr.push(stepImg);
	}

	/*stepNum = new createjs.Text("Step 1:","30px Nunito", "black");
	stepNum.x=70;
	stepNum.y=100;
	stepsContainer.addChild(stepNum);*/

	world_current.addChild(stepsContainer);
	world_current.addChild(ingredientsContainer);

	stepsHitArea.onPress = showSteps;
	ingredientsHitArea.onPress = showIngredients;

	stepsHitArea.onMouseOver = function(e){
		document.body.style.cursor='pointer';
	}
	ingredientsHitArea.onMouseOver = function(e){
		document.body.style.cursor='pointer';
	}
	stepsHitArea.onMouseOut = function(e){
		document.body.style.cursor='default';
	}
	ingredientsHitArea.onMouseOut = function(e){
		document.body.style.cursor='default';	
	}

	arrowL.onPress = goPrev;
	arrowR.onPress = goNext;

	arrowL.onMouseOver = function(e){		
		document.body.style.cursor='pointer';
	}
	arrowR.onMouseOver = function(e){		
		document.body.style.cursor='pointer';
	}
	arrowL.onMouseOut = function(e){		
		document.body.style.cursor='default';
	}
	arrowR.onMouseOut = function(e){		
		document.body.style.cursor='default';
	}


	//

	//********
	//text stuff:
	/*bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);*/

	/*setNarrationText();*/

	//params: sndID, defintion words in array
	//renderNarration('3_gum', ['fertilize']);

	/*setDefinitionText();*/

	setNarrationText(260,270,'3_gum_ingredients',"left",570);
	renderNarration('3_gum_ingredients',['Ingredients:','improvise']);
	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_3_gum);

}

//level specific functions:

//called once this level is fully slid into place
function begin_3_gum(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('3_gum_'+currentTab);
	
}

function narrDone_3_gum(){
	
}

function goNext(e){
	//**console.log("NEXT TEXT!")
	if(currentStep<5)
	{
		clearAllText();
		//hideNarrationText('3_gum_step'+currentStep);
		imgArr[currentStep-1].visible=false;
		imgArr[currentStep].visible=true;
		currentStep++;
		arrowL.visible=true;
	}
	if(currentStep==5){
		arrowR.visible=false;
	}
	currentTab = "step"+currentStep;
	setNarrationText(260,280,'3_gum_step'+currentStep,"left",550);
	renderNarration('3_gum_step'+currentStep,['Prepare']);
	currentTab = "step"+currentStep;
	setDefinitionText();

	playSound('3_gum_step'+currentStep, show_btnNarration);
}

function goPrev(e) {
	if(currentStep>1)
	{
		clearAllText();
		//hideNarrationText('3_gum_step'+currentStep);
		imgArr[currentStep-1].visible=false;
		imgArr[currentStep-2].visible=true;
		currentStep--;
		arrowR.visible=true;
	}
	if(currentStep==1){
		arrowL.visible=false;
	}
	currentTab = "step"+currentStep;
	setNarrationText(260,280,'3_gum_step'+currentStep,"left",550);
	renderNarration('3_gum_step'+currentStep,['Prepare']);
	currentTab = "step"+currentStep;
	setDefinitionText();

	playSound('3_gum_step'+currentStep, show_btnNarration);
}

function show_btnNarration(){
	////**console.log('show btnNarration')
	if(snd_active) btnNarration.visible = true;
}

function showSteps(e){
	if(currentTab=="ingredients")
	{
		stopSound();
		clearAllText();
		//hideNarrationText('3_gum_ingredients');
		world_current.addChildAt(stepsContainer,world_current.getChildIndex(ingredientsContainer));
		setNarrationText(260,280,'3_gum_step'+currentStep,"left",550);
		renderNarration('3_gum_step'+currentStep,['Prepare']);
		currentTab = "step"+currentStep;
		setDefinitionText();
		enableDefinitions();
		playSound('3_gum_step'+currentStep);
	}
	
}

function showIngredients(e){
	if(currentTab!="ingredients")
	{
		stopSound();
		clearAllText();
		//hideNarrationText('3_gum_step'+currentStep);
		world_current.addChildAt(ingredientsContainer,world_current.getChildIndex(stepsContainer));
		setNarrationText(260,270,'3_gum_ingredients',"left",580);
		renderNarration('3_gum_ingredients',['Ingredients:','improvise']);
		setDefinitionText();
		playSound('3_gum_ingredients');
		if(!snd_active)
		{
			//**console.log("DONE!!")
			enableDefinitions();
		}
	}
	currentTab = e.target.name;
}


function tick_3_gum(){
	stage.update();
}



function end_3_gum(){
	//**//**console.log('end_3_gum');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	clearNarrationText(['3_gum_ingredients','3_gum_step1','3_gum_step2','3_gum_step3','3_gum_step4','3_gum_step5']);
	createjs.Ticker.removeListener(ticker_world);
}

