function prep_1_intro(transition){
	//**//**console.log('function: prep_1_intro');
	world_current = worlds['1_intro'];
	
	ticker_world = (function(){
		tick_1_intro();
	});
	end_world = (function(){
		end_1_intro();
	});
	narrDone = (function(){
		narrDone_1_intro();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	if(!bg) bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//********
	//text stuff:
	if(!bg_textBG_title) bg_textBG_title = new createjs.Bitmap(images['pageTextBG_1_png']);
	world_current.addChild(bg_textBG_title);
	bg_textBG_title.x = 35; bg_textBG_title.y = 455;

	//setNarrationTextCustom(65, 600);

	btnNarration.y = 586 - 10;
	btnNarrationOver.y = btnNarration.y;

	if(!sec1InterInstance) sec1InterInstance = new pageContentLib.MaterialsInteractive(images);
	world_current.addChild(sec1InterInstance);
	sec1InterInstance.x = 0; sec1InterInstance.y = 0;


	sec1InterInstance.reset();
	narrRead1 = false;

	//params: sndID, defintion words in array
	renderNarration('1_intro', ["dispose", "garbage,", "materials"]);

	setDefinitionText();

	text_page.alpha = 1;
	dummyText.alpha = 1;
	text_page2.alpha = 1;
	//********

	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_1_intro);

}

//level specific functions:

//called once this level is fully slid into place
function begin_1_intro(){
	////**console.log("WORLD 1 BEGIN");
		
	playSound('1_intro');
	
}

function narrDone_1_intro(){
	stopSound();
	
	sec1InterInstance.muteAudio(false);

	//only have objects become 'active' and pulse ONCE on narrDone or mute. subsequent times narration finishes no need for this.
	if(!narrRead1){
		narrRead1 = true;
		sec1InterInstance.enable();	
	} 
}

function tick_1_intro(){
	stage.update();
}

function end_1_intro(){
	////**console.log('end_1_intro');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	world_current.removeChild(bg_textBG_title);
	world_current.removeChild(sec1InterInstance);
	world_current.removeChild(bg);

	createjs.Ticker.removeListener(ticker_world);
}

