function prep_6_page5(transition){
	//**//**console.log('function: prep_6_page5');
	world_current = worlds['6_page5'];
	
	ticker_world = (function(){
		tick_6_page5();
	});
	end_world = (function(){
		end_6_page5();
	});
	narrDone = (function(){
		narrDone_6_page5();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	//teachertiptext.text = "Parent tip: When you read with your child, pause to discuss the text on screen. It's helpful to reuse any new words your child might be hearing for the first time. You could say, \"What do you think the word measure means? Can you remember a time when you measured something?\"";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	if(!bg) bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	if(!sec6InterInstance) sec6InterInstance =  new pageContentLib.ConveyorInteractive(images);
	world_current.addChild(sec6InterInstance);
	sec6InterInstance.x = 0; sec6InterInstance.y = 0;

	//********
	//text stuff:
	if(!pageTextBG_1_png) pageTextBG_1_png = new createjs.Bitmap(images['pageTextBG_1_png']);
	world_current.addChild(pageTextBG_1_png);
	pageTextBG_1_png.x = 35; pageTextBG_1_png.y = 455;

	setNarrationText(860, 26, 32, [80, 490]);

	btnNarration.y = 586 - 10;
	btnNarrationOver.y = btnNarration.y;

	//params: sndID, defintion words in array
	renderNarration('6_page5', ['material', 'separated']);

	setDefinitionText();
	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_6_page5);

}

//level specific functions:

//called once this level is fully slid into place
function begin_6_page5(){
	//**//**console.log("WORLD 1 BEGIN");
	text_page2.alpha = 1;
	narrationMask.visible = false;
	
	playSound('6_page5');
	
}

function narrDone_6_page5(){
	stopSound();

	sec6InterInstance.muteAudio(false);
	sec6InterInstance.enable();
	
}

function tick_6_page5(){
	stage.update();
}

function end_6_page5(){
	//**//**console.log('end_6_page5');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page

	sec6InterInstance.reset();
	world_current.removeChild(sec6InterInstance);
	world_current.removeChild(pageTextBG_1_png);
	world_current.removeChild(bg);

	createjs.Ticker.removeListener(ticker_world);
}

