var pageContentLib = {};

// create scope of Class

(function(window){

	// Step InteractiveSteps

	// //TitleDisplay
	// (pageContentLib.TitleDisplay = function(images){

	// 	var titleGraphic = new createjs.Bitmap(images["title_graphic_png);
	// 	this.addChild(titleGraphic);
	// 	titleGraphic.x = 105;
	// 	titleGraphic.y = 65;

	// }).prototype = new createjs.Container();
	// window.pageContentLib.TitleDisplay = pageContentLib.TitleDisplay;

	//TitleDisplay
	(pageContentLib.TitleDisplay = function(images){

		var titleGraphic = new createjs.Bitmap(images["title_graphic"]);
		this.addChild(titleGraphic);
		titleGraphic.x = 165;
		titleGraphic.y = 50;

	}).prototype = new createjs.Container();

	window.pageContentLib.MaterialsInteractive = pageContentLib.MaterialsInteractive;


	(pageContentLib.MaterialsInteractive = function(images){
		var active = false;
		var animate = false;

		var step2Interative = new createjs.Container();

		var popupWindowDescript = new createjs.Container();

		//var audioButtonIMG = new createjs.Bitmap(images["audio_button_png);
		//var closeButtonIMG = new createjs.Bitmap(images["close_btn_png);

		var windowAlumIMG = new createjs.Bitmap(images["popup_window_alum_png"]);
		popupWindowDescript.addChild(windowAlumIMG);
		var windowPaperIMG = new createjs.Bitmap(images["popup_window_paper_png"]);
		popupWindowDescript.addChild(windowPaperIMG);
		var windowPlasticIMG = new createjs.Bitmap(images["popup_window_plastic_png"]);
		popupWindowDescript.addChild(windowPlasticIMG);
		var windowGlassIMG = new createjs.Bitmap(images["popup_window_glass_png"]);
		popupWindowDescript.addChild(windowGlassIMG);

		//var materialAudio;

		//popupWindowDescript.addChild(audioButtonIMG);
		//popupWindowDescript.addChild(closeButtonIMG);

		// audioButtonIMG.x = 20;
		// audioButtonIMG.y = 12;
		// closeButtonIMG.x = 794;
		// closeButtonIMG.y = 12;
		popupWindowDescript.x = 75 + 808/2;
		popupWindowDescript.regX = 808/2;
		popupWindowDescript.y = 25;
		popupWindowDescript.alpha = 0;
		popupWindowDescript.visible = false;
		//popupWindowDescript.cursor = "pointer";

		// closeButtonIMG.addEventListener("click", function(e){
		// 	popupWindowDescript.alpha = 0;
		// 	popupWindowDescript.visible = false;
		// 	resetMaterials();
		// });

		// audioButtonIMG.addEventListener("click", function(e){
		// 	logger("Play Audio Descript");
		// });

		var spriteMaterials  = new createjs.SpriteSheet({
            "images": [images["materialItem_sheet_png"]],
			"frames": [

			    [116, 228, 114, 235], 
			    [1, 228, 114, 235], 
			    [341, 460, 109, 210], 
			    [231, 460, 109, 210], 
			    [231, 228, 112, 231], 
			    [344, 228, 109, 231], 
			    [218, 1, 216, 226], 
			    [1, 1, 216, 226]
			],
			"animations": {
			    
			        "01_bottle":[0], 
			        "01_bottle_selected":[1], 
			        "02_can":[2], 
			        "02_can_selected":[3], 
			        "03_plastic":[4], 
			        "03_plastic_selected":[5], 
			        "04_paper":[6], 
			        "04_paper_selected":[7]
			}
         });
		var bottleElement = new createjs.BitmapAnimation(spriteMaterials);
		bottleElement.gotoAndStop("01_bottle");
        bottleElement.x = 130 + 114 / 2;
        bottleElement.regX = 114 / 2;
        bottleElement.y = 200;
        bottleElement.cursor = "pointer";
        step2Interative.addChild(bottleElement);

        //var isCurrentSoundPlaying = false;

        bottleElement.addEventListener("click", function(e){
        	if( !active ) return;        	
        	
    		resetMaterials();
    		e.target.gotoAndPlay("01_bottle_selected");
    		//removeShadow(e.target);

    		popupWindowDescript.alpha = 1;
    		popupWindowDescript.visible = true;
    		//doPulse(popupWindowDescript);
    		windowGlassIMG.alpha = 1;
    		if(!audioMuted && !narrActive) {
    			stopSound();
    			playSound("glass_materialDef");
			}
        	
        });

        var canElement = new createjs.BitmapAnimation(spriteMaterials);
		canElement.gotoAndStop("02_can");
        canElement.x = 320 + 109 / 2;
        canElement.regX = 109 / 2;
        canElement.y = 200;
        canElement.cursor = "pointer";
        step2Interative.addChild(canElement);

        canElement.addEventListener("click", function(e){
        	if( !active ) return;        	

    		resetMaterials();

    		e.target.gotoAndPlay("02_can_selected");
    		//removeShadow(e.target);

    		popupWindowDescript.alpha = 1;
    		popupWindowDescript.visible = true;
    		//doPulse(popupWindowDescript);
    		windowAlumIMG.alpha = 1;
    		if(!audioMuted && !narrActive) {
    			stopSound();
    			playSound("alum_materialDef");
			}
    
        });

        var plasticElement = new createjs.BitmapAnimation(spriteMaterials);
		plasticElement.gotoAndStop("03_plastic");
        plasticElement.x = 520 + 113 / 2;
        plasticElement.regX = 113 / 2;
        plasticElement.y = 200;
        plasticElement.cursor = "pointer";
        step2Interative.addChild(plasticElement);

        plasticElement.addEventListener("click", function(e){
        	if( !active ) return;        	

    		resetMaterials();
    		
    		e.target.gotoAndPlay("03_plastic_selected");
    		//removeShadow(e.target);

    		popupWindowDescript.alpha = 1;
    		popupWindowDescript.visible = true;
    		//doPulse(popupWindowDescript);
    		windowPlasticIMG.alpha = 1;
    		if(!audioMuted && !narrActive) {
    			stopSound();
    			playSound("plastic_materialDef");
			}
        	
        });

        var paperElement = new createjs.BitmapAnimation(spriteMaterials);
		paperElement.gotoAndStop("04_paper");
        paperElement.x = 690 + 216 / 2;
        paperElement.regX = 216 / 2;
        paperElement.y = 200;
        paperElement.cursor = "pointer";
        step2Interative.addChild(paperElement);

        paperElement.addEventListener("click", function(e){
        	if( !active ) return;        	

        	resetMaterials();
        	
        	e.target.gotoAndPlay("04_paper_selected");
        	//removeShadow(e.target);

    		popupWindowDescript.alpha = 1;
    		popupWindowDescript.visible = true;
    		//doPulse(popupWindowDescript);
    		windowPaperIMG.alpha = 1;
    		if(!audioMuted && !narrActive) {
    			stopSound();
    			playSound("paper_materialDef");
			}
        	
        });

        function resetMaterials(){

        	bottleElement.gotoAndStop("01_bottle");
        	canElement.gotoAndStop("02_can");
        	plasticElement.gotoAndStop("03_plastic");
        	paperElement.gotoAndStop("04_paper");
        	windowGlassIMG.alpha = 0;
        	windowAlumIMG.alpha = 0;
        	windowPaperIMG.alpha = 0;
        	windowPlasticIMG.alpha = 0;
        }


        step2Interative.addChild(popupWindowDescript);

        this.addChild(step2Interative);

		this.enable = function(){
			 //if(materialAudio) materialAudio.stop(); // reset any audio playing from selections
			 active = true;
			 addShadow(bottleElement);
			 addShadow(canElement);
			 addShadow(plasticElement);
			 addShadow(paperElement);

			 doPulse(bottleElement);
			 doPulse(canElement, 200);
			 doPulse(plasticElement, 400);
			 doPulse(paperElement,800);
			 
			 resetMaterials();
			
		}

		this.reset = function(){
			 //if(materialAudio) materialAudio.stop(); // reset any audio playing from selections
			 active = false;
			 removeShadow(bottleElement);
			 removeShadow(canElement);
			 removeShadow(plasticElement);
			 removeShadow(paperElement);
			 resetMaterials();
		}

		this.muteAudio = function(value){
			audioMuted = value;
		}

		this.destroy = function(){
			//if(materialAudio) materialAudio.stop();
		}


	}).prototype = new createjs.Container();

	window.pageContentLib.MaterialsInteractive = pageContentLib.MaterialsInteractive;



	(pageContentLib.EarthRunInteractive = function(images){
		var active = false;

		var sectionInterative = new createjs.Container();

		var layer1IMG = new createjs.Bitmap(images["earthRun_bg_jpg"]);
		sectionInterative.addChild(layer1IMG);
		layer1IMG.x = 10;

		var tree02IMG = new createjs.Bitmap(images["earthRun_tree_02_png"]);
		sectionInterative.addChild(tree02IMG);
		tree02IMG.addEventListener("click", function(e){ 
			if(!active) return;
			doPulse(e.target); 
			createjs.Tween.get(e.target).to({alpha: 0}, 200); 
		});
		tree02IMG.regX = tree02IMG.image.width / 2;
		tree02IMG.regY = tree02IMG.image.height / 2;
		tree02IMG.x = tree02IMG.regX;
		tree02IMG.y = tree02IMG.regY;


		var tree04IMG = new createjs.Bitmap(images["earthRun_tree_04_png"]);
		sectionInterative.addChild(tree04IMG);
		tree04IMG.addEventListener("click", function(e){ 
			if(!active) return;
			doPulse(e.target); 
			createjs.Tween.get(e.target).to({alpha: 0}, 200); 
		});
		tree04IMG.regX = tree04IMG.image.width / 2;
		tree04IMG.regY = tree04IMG.image.height / 2;
		tree04IMG.x = tree04IMG.regX;
		tree04IMG.y = tree04IMG.regY;

		var tree05IMG = new createjs.Bitmap(images["earthRun_tree_05_png"]);
		sectionInterative.addChild(tree05IMG);
		tree05IMG.addEventListener("click", function(e){ 
			if(!active) return;
			doPulse(e.target); 
			createjs.Tween.get(e.target).to({alpha: 0}, 200); 
		});
		tree05IMG.regX = tree05IMG.image.width / 2;
		tree05IMG.regY = tree05IMG.image.height / 2;
		tree05IMG.x = tree05IMG.regX;
		tree05IMG.y = tree05IMG.regY;

		var tree06IMG = new createjs.Bitmap(images["earthRun_tree_06_png"]);
		sectionInterative.addChild(tree06IMG);
		tree06IMG.addEventListener("click", function(e){
			if(!active) return; 
			doPulse(e.target); 
			createjs.Tween.get(e.target).to({alpha: 0}, 200); 
		});
		tree06IMG.regX = tree06IMG.image.width / 2;
		tree06IMG.regY = tree06IMG.image.height / 2;
		tree06IMG.x = tree06IMG.regX;
		tree06IMG.y = tree06IMG.regY;

		var tree07IMG = new createjs.Bitmap(images["earthRun_tree_07_png"]);
		sectionInterative.addChild(tree07IMG);
		tree07IMG.addEventListener("click", function(e){
			if(!active) return; 
			doPulse(e.target); 
			createjs.Tween.get(e.target).to({alpha: 0}, 200); 
		});
		tree07IMG.regX = tree07IMG.image.width / 2;
		tree07IMG.regY = tree07IMG.image.height / 2;
		tree07IMG.x = tree07IMG.regX;
		tree07IMG.y = tree07IMG.regY;

		var tree03IMG = new createjs.Bitmap(images["earthRun_tree_03_png"]);
		sectionInterative.addChild(tree03IMG);
		tree03IMG.addEventListener("click", function(e){
			if(!active) return; 
			doPulse(e.target); 
			createjs.Tween.get(e.target).to({alpha: 0}, 200); 
		});
		tree03IMG.regX = tree03IMG.image.width / 2;
		tree03IMG.regY = tree03IMG.image.height / 2;
		tree03IMG.x = tree03IMG.regX;
		tree03IMG.y = tree03IMG.regY;

		var tree01IMG = new createjs.Bitmap(images["earthRun_tree_01_png"]);
		sectionInterative.addChild(tree01IMG);
		tree01IMG.addEventListener("click", function(e){ 
			if(!active) return;
			doPulse(e.target); 
			createjs.Tween.get(e.target).to({alpha: 0}, 200); 
		});
		
		tree01IMG.regX = tree01IMG.image.width / 2;
		tree01IMG.regY = tree01IMG.image.height / 2;
		tree01IMG.x = tree01IMG.regX;
		tree01IMG.y = tree01IMG.regY;

		var helenIMG = new createjs.Bitmap(images["helen_png"]);
		sectionInterative.addChild(helenIMG);
		helenIMG.x = 121;
		helenIMG.y = 121;

        this.addChild(sectionInterative);


        function resetDisplay(){
        	tree01IMG.alpha = tree02IMG.alpha = tree03IMG.alpha = tree04IMG.alpha = tree05IMG.alpha = tree06IMG.alpha = 1;
        	tree07IMG.alpha = 1;
        }

        function addTreeFormat(treeIMG){
        	treeIMG.cursor = "pointer";
        	doPulse(treeIMG);
        	addShadow(treeIMG);
        }

        function removeTreeFormat(treeIMG){
        	treeIMG.cursor = "default";
        	removeShadow(tree01IMG);
        }

		this.enable = function(){
			active = true;
			resetDisplay();
			addTreeFormat(tree01IMG);
			addTreeFormat(tree02IMG);
			addTreeFormat(tree03IMG);
			addTreeFormat(tree04IMG);
			addTreeFormat(tree05IMG);
			addTreeFormat(tree06IMG);
			addTreeFormat(tree07IMG);
		}

		this.reset = function(){
			active = false;
			resetDisplay();
			removeTreeFormat(tree01IMG);
			removeTreeFormat(tree02IMG);
			removeTreeFormat(tree03IMG);
			removeTreeFormat(tree04IMG);
			removeTreeFormat(tree05IMG);
			removeTreeFormat(tree06IMG);
			// removeShadow(tree07IMG);

		}

		this.muteAudio = function(soundOn){
			// no audio to mute
		}

		this.destroy = function(){}

	}).prototype = new createjs.Container();

	window.pageContentLib.EarthRunInteractive = pageContentLib.EarthRunInteractive;  


	(pageContentLib.RecycleArrowsInteractive = function(images){
		var active = false;
		var showPaperPadOn = false;

		var sectionInterative = new createjs.Container();

		var recycleArrowIMG = new createjs.Bitmap(images["recycle_arrow_png"]);
		sectionInterative.addChild(recycleArrowIMG);
		recycleArrowIMG.regX = recycleArrowIMG.image.width/2;
		recycleArrowIMG.regY = recycleArrowIMG.image.height/2;
		recycleArrowIMG.x = 250 + recycleArrowIMG.regX;
		recycleArrowIMG.y = recycleArrowIMG.regY;
		recycleArrowIMG.cursor = "pointer";

		var recycleBookIMG = new createjs.Bitmap(images["recycle_book_png"]);
		sectionInterative.addChild(recycleBookIMG);
		recycleBookIMG.visible = true;
		recycleBookIMG.regX = recycleBookIMG.image.width / 2;
		recycleBookIMG.regY = recycleBookIMG.image.height / 2;
		recycleBookIMG.x = 350 + recycleBookIMG.regX;
		recycleBookIMG.y = 140 + recycleBookIMG.regY;
		recycleBookIMG.addEventListener("click", clickOnPaperProducts);
		recycleBookIMG.cursor = "pointer";


		var recyclePaperPadIMG = new createjs.Bitmap(images["recycle_paper_pad_png"]);
		sectionInterative.addChild(recyclePaperPadIMG);
		recyclePaperPadIMG.visible = false;
		recyclePaperPadIMG.regX = recyclePaperPadIMG.image.width / 2;
		recyclePaperPadIMG.regY = recyclePaperPadIMG.image.height / 2;
		recyclePaperPadIMG.x = 350 + recyclePaperPadIMG.regX;
		recyclePaperPadIMG.y = 140 + recyclePaperPadIMG.regY;
		recyclePaperPadIMG.addEventListener("click", clickOnPaperProducts);
		recyclePaperPadIMG.cursor = "pointer";

		var recyclePaperIMG = new createjs.Bitmap(images["recycle_paper_png"]);
		sectionInterative.addChild(recyclePaperIMG);
		recyclePaperIMG.visible = false;
		recyclePaperIMG.regX = recyclePaperIMG.image.width / 2;
		recyclePaperIMG.regY = recyclePaperIMG.image.height / 2;
		recyclePaperIMG.x = 350 + recyclePaperIMG.regX;
		recyclePaperIMG.y = 140 + recyclePaperIMG.regY;
		recyclePaperIMG.addEventListener("click", clickOnPaperProducts);

        this.addChild(sectionInterative);

        function moveArrows(){
        	if (!active) return;
        	recycleArrowIMG.rotation = 0;
        	createjs.Tween.get(recycleArrowIMG).to({rotation:-180}, 600);
        }

        function clickOnPaperProducts(){
        	if (!active) return;
        	moveArrows();
        	if(recyclePaperPadIMG.visible){
        		recycleBookIMG.visible = false;
				recyclePaperPadIMG.visible = false;
				recyclePaperIMG.visible = true;
				//doPulse(recyclePaperIMG);
        	}else if(recyclePaperIMG.visible){
        		recycleBookIMG.visible = true;
				recyclePaperPadIMG.visible = false;
				recyclePaperIMG.visible = false;
				//doPulse(recycleBookIMG);
        	}else if(recycleBookIMG.visible){
        		recycleBookIMG.visible = false;
				recyclePaperPadIMG.visible = true;
				recyclePaperIMG.visible = false;
				//doPulse(recyclePaperPadIMG);
        	}

        }

		this.enable = function(){
			active = true;
			//createjs.Ticker.removeEventListener("tick", moveArrows);
			//createjs.Ticker.addEventListener("tick", moveArrows);
			addShadow(recycleBookIMG);
			addShadow(recyclePaperPadIMG);
			addShadow(recyclePaperIMG);
			doPulse(recycleBookIMG);
			recyclePaperPadIMG.cursor = "pointer";
			recyclePaperIMG.cursor = "pointer";
			recycleBookIMG.cursor = "pointer";
		}

		this.reset = function(){
			//createjs.Ticker.removeEventListener("tick", moveArrows);
			active = false;
			showPaperPadOn = false;
			createjs.Tween.removeAllTweens();
			recycleBookIMG.visible = true;
			recyclePaperPadIMG.visible = false;
			recyclePaperIMG.visible = false;
			removeShadow(recycleBookIMG);
			removeShadow(recyclePaperPadIMG);
			removeShadow(recyclePaperIMG);
			recyclePaperPadIMG.cursor = "default";
			recyclePaperIMG.cursor = "default";
			recycleBookIMG.cursor = "default";

		}

		this.muteAudio = function(soundOn){
			// no audio to mute
		}

		this.destroy = function(){}

	}).prototype = new createjs.Container();

	window.pageContentLib.RecycleArrowsInteractive = pageContentLib.RecycleArrowsInteractive; 



	(pageContentLib.CompostInteractive = function(images){
		var active = false;

		var sectionInterative = new createjs.Container();
		var backgroundIMG = new createjs.Bitmap(images["compost_shovel_jpg"]);
		sectionInterative.addChild(backgroundIMG);
		backgroundIMG.x = 10;
		backgroundIMG.y = 10;

        this.addChild(sectionInterative);

		this.enable = function(){
		}

		this.reset = function(){
		}

		this.muteAudio = function(soundOn){
			// no audio to mute
		}

		this.destroy = function(){}

	}).prototype = new createjs.Container();

	window.pageContentLib.CompostInteractive = pageContentLib.CompostInteractive; 




	(pageContentLib.RecycleMaterialInteractive = function(images){
		var active = false;
		var animate = false;

		var step2Interative = new createjs.Container();

		var popupWindowDescript = new createjs.Container();

		//var audioButtonIMG = new createjs.Bitmap(images["audio_button_png"]);
		//var closeButtonIMG = new createjs.Bitmap(images["close_btn_png"]);

		var windowAlumIMG = new createjs.Bitmap(images["sec8_popup_window_alum_png"]);
		popupWindowDescript.addChild(windowAlumIMG);
		var windowPaperIMG = new createjs.Bitmap(images["sec8_popup_window_paper_png"]);
		popupWindowDescript.addChild(windowPaperIMG);
		var windowPlasticIMG = new createjs.Bitmap(images["sec8_popup_window_plastic_png"]);
		popupWindowDescript.addChild(windowPlasticIMG);
		var windowGlassIMG = new createjs.Bitmap(images["sec8_popup_window_glass_png"]);
		popupWindowDescript.addChild(windowGlassIMG);

		//var materialAudio;

		//popupWindowDescript.addChild(audioButtonIMG);
		//popupWindowDescript.addChild(closeButtonIMG);

		// audioButtonIMG.x = 20;
		// audioButtonIMG.y = 12;
		// closeButtonIMG.x = 794;
		// closeButtonIMG.y = 12;
		popupWindowDescript.x = 90 + 808/2;
		popupWindowDescript.regX = 808/2;
		popupWindowDescript.y = 25;
		popupWindowDescript.alpha = 0;
		popupWindowDescript.visible = false;

		// closeButtonIMG.addEventListener("click", function(e){
		// 	popupWindowDescript.alpha = 0;
		// 	popupWindowDescript.visible = false;
		// 	resetMaterials();
		// });

		// audioButtonIMG.addEventListener("click", function(e){
		// 	logger("Play Audio Descript");
		// });

		var spriteMaterials  = new createjs.SpriteSheet({
            "images": [images["materialItem_sheet_png"]],
			"frames": [

			    [116, 228, 114, 235], 
			    [1, 228, 114, 235], 
			    [341, 460, 109, 210], 
			    [231, 460, 109, 210], 
			    [231, 228, 112, 231], 
			    [344, 228, 109, 231], 
			    [218, 1, 216, 226], 
			    [1, 1, 216, 226]
			],
			"animations": {
			    
			        "01_bottle":[0], 
			        "01_bottle_selected":[1], 
			        "02_can":[2], 
			        "02_can_selected":[3], 
			        "03_plastic":[4], 
			        "03_plastic_selected":[5], 
			        "04_paper":[6], 
			        "04_paper_selected":[7]
			}
         });
		var bottleElement = new createjs.BitmapAnimation(spriteMaterials);
		bottleElement.gotoAndStop("01_bottle");
        bottleElement.x = 130 + 114 / 2;
        bottleElement.regX = 114 / 2;
        bottleElement.y = 200;
        bottleElement.cursor = "pointer";
        step2Interative.addChild(bottleElement);

        //var isCurrentSoundPlaying = false;

        bottleElement.addEventListener("click", function(e){
        	if(!active) return;

    		resetMaterials();
    	
    		e.target.gotoAndPlay("01_bottle_selected");
    		//removeShadow(e.target);

    		popupWindowDescript.alpha = 1;
    		popupWindowDescript.visible = true;
    		//doPulse(popupWindowDescript);
    		windowGlassIMG.alpha = 1;
    		if(!audioMuted && !narrActive) {
    			stopSound();
    			playSound("glass_recycle_materialDef");
    		}
        	
        });

        var canElement = new createjs.BitmapAnimation(spriteMaterials);
		canElement.gotoAndStop("02_can");
        canElement.x = 320 + 109 / 2;
        canElement.regX = 109 / 2;
        canElement.y = 200;
        canElement.cursor = "pointer";
        step2Interative.addChild(canElement);

        canElement.addEventListener("click", function(e){
        	if(!active) return;

    		resetMaterials();

    		e.target.gotoAndPlay("02_can_selected");
    		//removeShadow(e.target);

    		popupWindowDescript.alpha = 1;
    		popupWindowDescript.visible = true;
    		//doPulse(popupWindowDescript);
    		windowAlumIMG.alpha = 1;
    		if(!audioMuted && !narrActive) {
    			stopSound();
    			playSound("alum_recycle_materialDef");
    		}
        	
        });

        var plasticElement = new createjs.BitmapAnimation(spriteMaterials);
		plasticElement.gotoAndStop("03_plastic");
        plasticElement.x = 520 + 113 / 2;
        plasticElement.regX = 113 / 2;
        plasticElement.y = 200;
        plasticElement.cursor = "pointer";
        step2Interative.addChild(plasticElement);

        plasticElement.addEventListener("click", function(e){
        	if(!active) return;

    		resetMaterials();
    		
    		e.target.gotoAndPlay("03_plastic_selected");
    		//removeShadow(e.target);

    		popupWindowDescript.alpha = 1;
    		popupWindowDescript.visible = true;
    		//doPulse(popupWindowDescript);
    		windowPlasticIMG.alpha = 1;
    		if(!audioMuted && !narrActive) {
    			stopSound();
    			playSound("plastic_recycle_materialDef");
    		}
        	
        });

        var paperElement = new createjs.BitmapAnimation(spriteMaterials);
		paperElement.gotoAndStop("04_paper");
        paperElement.x = 690 + 216 / 2;
        paperElement.regX = 216 / 2;
        paperElement.y = 200;
        paperElement.cursor = "pointer";
        step2Interative.addChild(paperElement);

        paperElement.addEventListener("click", function(e){
        	if(!active) return;

    		resetMaterials();
    	
    		e.target.gotoAndPlay("04_paper_selected");
    		//removeShadow(e.target);

    		popupWindowDescript.alpha = 1;
    		popupWindowDescript.visible = true;
    		//doPulse(popupWindowDescript);
    		windowPaperIMG.alpha = 1;
    		if(!audioMuted && !narrActive) {
    			stopSound();
    			playSound("paper_recycle_materialDef");
    		}
        	
        });

        // function playCurrentSound(soundID){
        // 	if(isCurrentSoundPlaying) return;
        // 	//if(materialAudio) materialAudio.stop();
        	
        // 	materialAudio = playSound(soundID);
        // 	isCurrentSoundPlaying = true;

        // 	materialAudio.onComplete = function(){
        // 		isCurrentSoundPlaying = false;
        // 	}
        // }

        function resetMaterials(){
        	bottleElement.gotoAndStop("01_bottle");
        	canElement.gotoAndStop("02_can");
        	plasticElement.gotoAndStop("03_plastic");
        	paperElement.gotoAndStop("04_paper");
        	windowGlassIMG.alpha = 0;
        	windowAlumIMG.alpha = 0;
        	windowPaperIMG.alpha = 0;
        	windowPlasticIMG.alpha = 0;
        }

        step2Interative.addChild(popupWindowDescript);

        this.addChild(step2Interative);

		this.enable = function(){
			 //if(materialAudio) materialAudio.stop(); // reset any audio playing from selections
			 active = true;			 	
			 addShadow(bottleElement);
			 addShadow(canElement);
			 addShadow(plasticElement);
			 addShadow(paperElement);

			 doPulse(bottleElement);
			 doPulse(canElement, 200);
			 doPulse(plasticElement, 400);
			 doPulse(paperElement,800);
			 resetMaterials();
			
		}

		this.reset = function(){				
			 //if(materialAudio) materialAudio.stop(); // reset any audio playing from selections
			 active = false;
			 removeShadow(bottleElement);
			 removeShadow(canElement);
			 removeShadow(plasticElement);
			 removeShadow(paperElement);
			 resetMaterials();
		}

		this.muteAudio = function(value){
			audioMuted = value;
		}

		this.destroy = function(){
			//if(materialAudio) materialAudio.stop();
		}


	}).prototype = new createjs.Container();

	window.pageContentLib.RecycleMaterialInteractive = pageContentLib.RecycleMaterialInteractive;


	(pageContentLib.RecycleBinTruckInteractive = function(images){
		var active = false;

		var sectionInterative = new createjs.Container();

		var recycleBinIMG = new createjs.Bitmap(images["recycle_bin_png"]);
		sectionInterative.addChild(recycleBinIMG);
		recycleBinIMG.regX = 198 / 2;
		recycleBinIMG.regY = 278 / 2;
		recycleBinIMG.x = 625 + recycleBinIMG.regX;
		recycleBinIMG.y = 50 + recycleBinIMG.regY;

		var trashContainer = new createjs.Container();
		trashContainer.x = 20;
		trashContainer.y = 20;
		var staticClearBottle = new createjs.Bitmap(images["trash_clear_bottle_png"]);
		trashContainer.addChild(staticClearBottle);
		staticClearBottle.x = 245;
		staticClearBottle.y = 210;
		staticClearBottle.rotation = 20;
				
		var staticBlueBottle = new createjs.Bitmap(images["trash_blue_bottle_png"]);
		trashContainer.addChild(staticBlueBottle);
		staticBlueBottle.x = 400;
		staticBlueBottle.y = 210;
		staticBlueBottle.rotation = 20;

		var trashKetcup = new createjs.Bitmap(images["trash_ketcup_png"]);
		var trashBlueBottle = new createjs.Bitmap(images["trash_blue_bottle_png"]);
		var trashClearBottle01 = new createjs.Bitmap(images["trash_clear_bottle_png"]);
		var trashClearBottle02 = new createjs.Bitmap(images["trash_clear_bottle_png"]);

		var dumpsterBackIMG = new createjs.Bitmap(images["dumpster_back_png"]);
		var dumpsterFrontIMG = new createjs.Bitmap(images["dumpster_front_png"]);

		sectionInterative.addChild(dumpsterBackIMG);
		dumpsterBackIMG.x = 110;
		dumpsterBackIMG.y = 225;

		trashContainer.addChild(trashKetcup);
		trashKetcup.x = -20;
		trashKetcup.y = 0;
		trashContainer.addChild(trashClearBottle01);
		trashClearBottle01.x = -20;
		trashClearBottle01.y = 0;
		trashContainer.addChild(trashBlueBottle);
		trashBlueBottle.x = -20;
		trashBlueBottle.y = 0;
		trashContainer.addChild(trashClearBottle02);
		trashClearBottle02.x = -20;
		trashClearBottle02.y = 0;

		var maskForTrash = createSquare(520, 400, 130, 20, createjs.Graphics.getRGB(0,0,0) );
		sectionInterative.addChild(maskForTrash);
		maskForTrash.alpha = 0.01;

		sectionInterative.addChild(trashContainer);

		trashContainer.mask = maskForTrash;

		sectionInterative.addChild(dumpsterFrontIMG);
		dumpsterFrontIMG.x = dumpsterBackIMG.x;
		dumpsterFrontIMG.y = dumpsterBackIMG.y;

        this.addChild(sectionInterative);

        recycleBinIMG.addEventListener("click", function(e){
        	if(!active)	return;

        	if(!narrActive){
	        	stopSound();
	        	playSound('sfx_can');    		
        	}

    		recycleBinIMG.rotation = -65;
    		
			trashKetcup.x = 490;
			trashKetcup.y = 0;
			trashKetcup.rotation = 0;
			trashBlueBottle.x = 425;
			trashBlueBottle.y = 0;
			trashBlueBottle.rotation = 0;
			trashClearBottle01.x = 425;
			trashClearBottle01.y = 0;
			trashClearBottle01.rotation = 0;
			trashClearBottle02.x = 500;
			trashClearBottle02.y = 0;
			trashClearBottle02.rotation = 0;

			createjs.Tween.get(trashKetcup).to({x: 480, y: 200, rotation: 60}, 1200, createjs.Ease.bounceOut);
			createjs.Tween.get(trashBlueBottle).to({x: 350, y: 200, rotation: 45}, 1200, createjs.Ease.bounceOut);
			createjs.Tween.get(trashClearBottle01).to({x: 245, y: 200, rotation: 10}, 800, createjs.Ease.bounceOut);
			createjs.Tween.get(trashClearBottle02).to({x: 160, y: 200, rotation: 20}, 1000, createjs.Ease.bounceOut);
			
			createjs.Tween.get(recycleBinIMG).to({rotation: 0}, 500, createjs.Ease.linearIn);
        });

		this.enable = function(){
			 active = true;
			 addShadow(recycleBinIMG);
			 doPulse(recycleBinIMG);
			 recycleBinIMG.cursor = "pointer";
		}

		this.reset = function(){				
			active = false;
			removeShadow(recycleBinIMG);
			recycleBinIMG.cursor = null;
		}

		this.muteAudio = function(soundOn){
			// no audio to mute
		}

		this.destroy = function(){}

	}).prototype = new createjs.Container();

	window.pageContentLib.RecycleBinTruckInteractive = pageContentLib.RecycleBinTruckInteractive; 


	(pageContentLib.ConveyorInteractive = function(images){
		var active = false;
		var audioMuted = true;

		var sectionInterative = new createjs.Container();
		
		var conveyorBeltIMG = new createjs.Bitmap(images["trash_conveyor_belt_png"]);
		sectionInterative.addChild(conveyorBeltIMG);
		conveyorBeltIMG.x = 20;
		conveyorBeltIMG.y = 370;

		var magnetDescriptAudioHasPlayed = false;
		var blowerDescriptAudioHasPlayed = false;
		var glassBinsDescriptAudioHasPlayed = false;

		//var isReadyForNextState = true;
		var isDescriptionAudioPlaying = false;
		var isInteractiveReady = false;


		// glass bins
		var glassBottleBinsContainer = new createjs.Container();
		var glassBins = new createjs.Container();
		var brownGlassBin = new createjs.Bitmap(images["glass_bin_brown_png"]);
		glassBins.addChild(brownGlassBin);
		var clearGlassBin = new createjs.Bitmap(images["glass_bin_clear_png"]);
		glassBins.addChild(clearGlassBin);
		clearGlassBin.x = 225;
		var greenGlassBin = new createjs.Bitmap(images["glass_bin_green_png"]);
		glassBins.addChild(greenGlassBin);
		greenGlassBin.x = 450;

		glassBottleBinsContainer.addChild(glassBins);
		glassBins.x = 200;
		glassBins.y = 150;

		var brownGlassBinMask = createSquare(900, 150, 50, 15, FONT_COLOR_BLACK);
		glassBottleBinsContainer.addChild(brownGlassBinMask);
		brownGlassBinMask.alpha = 0;

		var glassBinDescriptIMG = new createjs.Bitmap(images["conveyor_glass_bin_descript_png"]);
		glassBottleBinsContainer.addChild(glassBinDescriptIMG);
		glassBinDescriptIMG.x = 90;
		glassBinDescriptIMG.y = 40;

		var clearBottle01 = new createjs.Bitmap(images["clear_bottle_01_png"]);
		clearBottle01.regX = clearBottle01.image.width / 2;
		clearBottle01.regY = clearBottle01.image.height / 2;
		clearBottle01.x = 160 + clearBottle01.regX;
		clearBottle01.y = 345 + clearBottle01.regY;
		glassBottleBinsContainer.addChild(clearBottle01);
		var originClearBottle01 = [clearBottle01.x, clearBottle01.y];
		
		var clearBottle02 = new createjs.Bitmap(images["clear_bottle_02_png"]);
		clearBottle02.regX = clearBottle02.image.width / 2;
		clearBottle02.regY = clearBottle02.image.height / 2;
		clearBottle02.x = 360 + clearBottle02.regX;
		clearBottle02.y = 320 + clearBottle02.regX;
		glassBottleBinsContainer.addChild(clearBottle02);
		var originClearBottle02 = [clearBottle02.x, clearBottle02.y];

		var greenBottle01 = new createjs.Bitmap(images["green_bottle_01_png"]);
		greenBottle01.regX = greenBottle01.image.width / 2;
		greenBottle01.regY = greenBottle01.image.height / 2;
		greenBottle01.x = 455 + greenBottle01.regX;
		greenBottle01.y = 340 + greenBottle01.regY;
		glassBottleBinsContainer.addChild(greenBottle01);
		var originGreenBottle01 = [greenBottle01.x, greenBottle01.y];

		var greenBottle02 = new createjs.Bitmap(images["green_bottle_02_png"]);
		greenBottle02.regX = greenBottle02.image.width / 2;
		greenBottle02.regY = greenBottle02.image.height / 2;
		greenBottle02.x = 545 + greenBottle02.regX;
		greenBottle02.y = 326 + greenBottle02.regX;
		glassBottleBinsContainer.addChild(greenBottle02);
		var originGreenBottle02 = [greenBottle02.x, greenBottle02.y];

		var greenBottle03 = new createjs.Bitmap(images["green_bottle_03_png"]);
		greenBottle03.regX = greenBottle03.image.width / 2;
		greenBottle03.regY = greenBottle03.image.height / 2;
		greenBottle03.x = 230 + greenBottle03.regX;
		greenBottle03.y = 375 + greenBottle03.regY;
		glassBottleBinsContainer.addChild(greenBottle03);
		var originGreenBottle03 = [greenBottle03.x, greenBottle03.y];

		var brownBottle01 = new createjs.Bitmap(images["brown_bottle_01_png"]);
		brownBottle01.regX = brownBottle01.image.width / 2;
		brownBottle01.regY = brownBottle01.image.height / 2;
		brownBottle01.x = 116 + brownBottle01.regX;
		brownBottle01.y = 360 + brownBottle01.regY;
		glassBottleBinsContainer.addChild(brownBottle01);
		var originBrownBottle01 = [brownBottle01.x, brownBottle01.y];

		var brownBottle02 = new createjs.Bitmap(images["brown_bottle_02_png"]);
		brownBottle02.regX = brownBottle02.image.width / 2;
		brownBottle02.regY = brownBottle02.image.height / 2;
		brownBottle02.x = 580 + brownBottle02.regX;
		brownBottle02.y = 365 + brownBottle02.regY;
		glassBottleBinsContainer.addChild(brownBottle02);
		var originBrownBottle02 = [brownBottle02.x, brownBottle02.y];

		var bottleCount = 0;

		function addEventListenerToGlass(glass, correctBin, resetX, resetY){
			glass.addEventListener("mousedown", onMouseDownBottle);
			glass.cursor = "pointer";

			var intersection;

			var moveGlassIntoBinXPos = 250;
			switch(correctBin){
				case brownGlassBin:
					moveGlassIntoBinXPos = 280;
				break;

				case clearGlassBin:
					moveGlassIntoBinXPos = 520;
				break;

				case greenGlassBin:
					moveGlassIntoBinXPos = 740;
				break;

			}

			function onMouseDownBottle(e){
				if(!active) return;

				showBottleCansBinDescript();

				e.target.scaleX = e.target.scaleY = 1.2;

				var offset = {x:e.target.x - e.stageX, y:e.target.y - e.stageY};

				e.addEventListener("mousemove", function(ev) {
					ev.target.x = ev.stageX + offset.x;
					ev.target.y = ev.stageY + offset.y;

					intersection = ndgmr.checkRectCollision(glass,correctBin);
				});  

				e.addEventListener("mouseup", function(ev) {
					
					e.target.scaleX = e.target.scaleY = 1;

					if(intersection){
						glass.removeEventListener("mousedown", onMouseDownBottle);
						
						createjs.Tween.get(glass).to({x: moveGlassIntoBinXPos, y: 10}, 500, createjs.Ease.quadOut).call(function(){
							glass.mask = brownGlassBinMask;
							brownGlassBinMask.alpha = 0.01;
							e.target.scaleX = e.target.scaleY = .8;
						}).to({y: 250}, 500, createjs.Ease.quadOut).call(function(){
							glass.alpha = 0;
							glass.mask = null;
							brownGlassBinMask.alpha = 0;
							e.target.scaleX = e.target.scaleY = 1;

							bottleCount++;

							//logger("bottleCount " + bottleCount);
							if(bottleCount == 7){
								//isReadyForNextState = true;
								isInteractiveReady = true;
								nextViewState(1); // back to magnet can state
							}


						});

						
						
					}else{
						createjs.Tween.get(glass).to({x: resetX, y: resetY}, 500, createjs.Ease.quadOut);
					}
					 
				});

			}
		}

		function removeEventListenerToGlass(glass, resetX, resetY){
			glass.x = resetX;
			glass.y = resetY;
			glass.alpha = 1;
			glass.cursor = "default";
		}

		sectionInterative.addChild(glassBottleBinsContainer);
		hideBottleCansBin();

		// blower - plastic
		var blowerPlasticContainer = new createjs.Container();
		var blower = new createjs.Container();
		var blowerPlasticOff = new createjs.Bitmap(images["blower_off_png"]);
		blower.addChild(blowerPlasticOff);
		blowerPlasticOff.visible = true;
		var blowerPlasticOn = new createjs.Bitmap(images["blower_on_png"]);
		blower.addChild(blowerPlasticOn);
		blowerPlasticOn.visible = false;

		blowerPlasticContainer.addChild(blower);
		blower.regX = 373 / 2; 
		blower.regY = 275 / 2;
		blower.x = blower.regX + 500;
		blower.y = blower.regY + 80;
		var originalBlowerPos = [blower.x, blower.y];

		var blowerDescriptIMG = new createjs.Bitmap(images["conveyor_blower_descript_png"]);
		blowerPlasticContainer.addChild(blowerDescriptIMG);
		blowerDescriptIMG.x = 90;
		blowerDescriptIMG.y = 40;

		var plastic04 = new createjs.Bitmap(images["plastic_04_png"]);
		plastic04.x = 160;
		plastic04.y = 285;
		blowerPlasticContainer.addChild(plastic04);
		var plastic01 = new createjs.Bitmap(images["plastic_01_png"]);
		plastic01.x = 180;
		plastic01.y = 225;
		blowerPlasticContainer.addChild(plastic01);
		var plastic03 = new createjs.Bitmap(images["plastic_03_png"]);
		plastic03.x = 370;
		plastic03.y = 300;
		blowerPlasticContainer.addChild(plastic03);
		var plastic02 = new createjs.Bitmap(images["plastic_02_png"]);
		plastic02.x = 280;
		plastic02.y = 220;
		blowerPlasticContainer.addChild(plastic02);
		var plastic05 = new createjs.Bitmap(images["plastic_05_png"]);
		plastic05.x = 410;
		plastic05.y = 330;
		blowerPlasticContainer.addChild(plastic05);

		blower.addEventListener("mousedown", onMouseDownBlower);
		var hasBlowerCleared = false;

		function onMouseDownBlower(e){
			if(!active) return;

			showPlasticBlowerDescript();

			e.target.scaleX = e.target.scaleY = 1.1;

			//blowerPlasticOff.visible = false;
			blowerPlasticOn.visible = true;
			doPulse(e.target);

			//e.target.gotoAndStop("step7_bone_shape");
			var offset = {x:e.target.x - e.stageX, y:e.target.y - e.stageY};


			e.addEventListener("mousemove", function(ev) {
				//hasBlowerCleared = true;
				ev.target.x = ev.stageX + offset.x;
				ev.target.y = ev.stageY + offset.y;
				
				createjs.Tween.get(plastic01).to({x: -150, rotation: -10}, 1000, createjs.Ease.quadOut);
				createjs.Tween.get(plastic02).to({x: -150, rotation: -10}, 1000, createjs.Ease.quadOut);
				createjs.Tween.get(plastic03).to({x: -150, rotation: -10}, 1000, createjs.Ease.quadOut);
				createjs.Tween.get(plastic04).to({x: -150, rotation: -10}, 1000, createjs.Ease.quadOut);
				createjs.Tween.get(plastic05)
					.to({x: -150, rotation: -10}, 1000, createjs.Ease.quadOut)
					.call(function(){hasBlowerCleared = true});

			});  

			e.addEventListener("mouseup", function(ev) {
				allThingsBlown();
			});
		}

			function allThingsBlown(){
				////**console.log("hasBlowerCleared: " + hasBlowerCleared);

				if(!hasBlowerCleared) return;
				if(isDescriptionAudioPlaying) return
				
				blowerPlasticOn.visible = false;
				blower.scaleX = blower.scaleY = 1;

				hasBlowerCleared = false;
				isDescriptionAudioPlaying = false;

				//isReadyForNextState = true;
				isInteractiveReady = true;
				nextViewState(3); // to glass bins state
				 hidePlasticBlower();
				 showBottleCansBin();
				 

			}

		sectionInterative.addChild(blowerPlasticContainer);
		hidePlasticBlower();

		// magnet - cans
		var hasMagnetCollectCan01 = false;
		var hasMagnetCollectCan02 = false;
		var hasMagnetCollectCan03 = false;
		var magnetCansContainer = new createjs.Container();
		var magnet = new createjs.Bitmap(images["magnet_horseshoe_png"]);
		magnetCansContainer.addChild(magnet);
		magnet.regX = magnet.image.width / 2;
		magnet.regY = magnet.image.height / 2;
		magnet.x = 640 + magnet.regX;
		magnet.y = 50 + magnet.regY;
		var originalMagnetPos = [magnet.x, magnet.y];

		var magnetDescriptIMG = new createjs.Bitmap(images["conveyor_magnet_descript_png"]);
		magnetCansContainer.addChild(magnetDescriptIMG);
		magnetDescriptIMG.x = 90;
		magnetDescriptIMG.y = 40;

		var can01IMG = new createjs.Bitmap(images["can_01_png"]);
		magnetCansContainer.addChild(can01IMG); 
		can01IMG.x = 535;
		can01IMG.y = 300;

		var can02IMG = new createjs.Bitmap(images["can_02_png"]);
		magnetCansContainer.addChild(can02IMG);
		can02IMG.x = 390;
		can02IMG.y = 260;

		var can03IMG = new createjs.Bitmap(images["can_02_png"]);
		magnetCansContainer.addChild(can03IMG);
		can03IMG.x = 635;
		can03IMG.y = 300;

		magnet.addEventListener("mousedown", onMouseDownMagnet);

		function onMouseDownMagnet(e){
			if(!active) return;

			showMagnetDescript();

			//doPulse(e.target);

			e.target.scaleX = e.target.scaleY = 1.1;

			//e.target.gotoAndStop("step7_bone_shape");
			var offset = {x:e.target.x - e.stageX, y:e.target.y - e.stageY};


			e.addEventListener("mousemove", function(ev) {
				ev.target.x = ev.stageX + offset.x;
				ev.target.y = ev.stageY + offset.y;

				var intersection1 = ndgmr.checkRectCollision(magnet,can01IMG);
				if(intersection1){
					if(!hasMagnetCollectCan01){
						createjs.Tween.get(can01IMG).to({x: ev.target.x, y: ev.target.y, rotation: 10}, 500, createjs.Ease.quadOut);
						hasMagnetCollectCan01 = true;
					}else{
						can01IMG.x = ev.target.x;
						can01IMG.y = ev.target.y;
					}
					
					
				}

				var intersection2 = ndgmr.checkRectCollision(magnet,can02IMG);
				if(intersection2){
					
					if(!hasMagnetCollectCan02){
						createjs.Tween.get(can02IMG).to({x: ev.target.x - 120, y: ev.target.y, rotation: 10}, 500, createjs.Ease.quadOut);
						hasMagnetCollectCan02 = true;
					}else{
						can02IMG.x = ev.target.x - 120;
						can02IMG.y = ev.target.y;
					}
				}

				var intersection3 = ndgmr.checkRectCollision(magnet,can03IMG);
				if(intersection3){
					if(!hasMagnetCollectCan03){
						createjs.Tween.get(can03IMG).to({x: ev.target.x - 100, y: ev.target.y, rotation: 10}, 500, createjs.Ease.quadOut);
						hasMagnetCollectCan03 = true;
					}else{
						can03IMG.x = ev.target.x - 100;
						can03IMG.y = ev.target.y;
					}
				}
			});  

			e.addEventListener("mouseup", function(ev) {
				//logger("mouseup test");
				e.target.scaleX = e.target.scaleY = 1;

				allCansCollected();
			});

		}

		function allCansCollected(){
			if(isDescriptionAudioPlaying) return;

			if(hasMagnetCollectCan01 && hasMagnetCollectCan02 && hasMagnetCollectCan03){
				logger("All Cans Collected");
				isReadyForNextState = true;
				isInteractiveReady = true;
			 	
			 	isDescriptionAudioPlaying = false;
				nextViewState(2); // to plastic blower state
				//showPlasticBlower();


			}else{
				//logger("All Cans Not Collected");
			}
		}

		sectionInterative.addChild(magnetCansContainer);
		hideMagnetCans();

		function showMagnetCans(){
			magnet.visible = true;
			isInteractiveReady = false;
				
			addShadow(magnet);
			doPulse(magnet);
			hasMagnetCollectCan01 = hasMagnetCollectCan02 = hasMagnetCollectCan03 = false;
			magnet.cursor = "pointer";

			logger("audioMuted " + audioMuted);						
			if(audioMuted) magnetDescriptIMG.visible = true;
		}

		function showMagnetDescript(){
			magnetDescriptIMG.visible = true;
			if(!audioMuted && !magnetDescriptAudioHasPlayed) {
				if(!narrActive) playSound("conveyor_magnetDef", magnetAudioDefComplete);
				//soundManagerStub.addEventListener("SOUND_COMPLETE", magnetAudioDefComplete);
				if(snd_active){
					isDescriptionAudioPlaying = true;
					magnetDescriptAudioHasPlayed = true;
				}
			}
		}

		function magnetAudioDefComplete(){
			//soundManagerStub.removeEventListener("SOUND_COMPLETE", magnetAudioDefComplete);
			
			isDescriptionAudioPlaying = false;			
			//nextViewState(2); // to plastic blower state
			allCansCollected();
		}

		function showPlasticBlower(){
			blower.visible = true;
			isInteractiveReady = false;
			addShadow(blowerPlasticOff);
			doPulse(blower);
			blower.cursor = "pointer";

			if(audioMuted) blowerDescriptIMG.visible = true;
		}

		function showPlasticBlowerDescript(){
			blowerDescriptIMG.visible = true;
			if(!audioMuted && !blowerDescriptAudioHasPlayed) {
				if(!narrActive) playSound("conveyor_plasticblowerDef", plasticAudioDefComplete); 
				//soundManagerStub.addEventListener("SOUND_COMPLETE", plasticAudioDefComplete);
				if(snd_active){
					isDescriptionAudioPlaying = true;
					blowerDescriptAudioHasPlayed = true;					
				}
			}
		}

		function plasticAudioDefComplete(){
			//soundManagerStub.removeEventListener("SOUND_COMPLETE", plasticAudioDefComplete);
			
			isDescriptionAudioPlaying = false;
			//isReadyForNextState = true;
			nextViewState(3); // to glass bins state
			if(snd_active) allThingsBlown();
		}

		function showBottleCansBin(){
			glassBins.visible = true;
			isInteractiveReady = false;
			doPulse(glassBins);
			doPulse(clearBottle01);
			doPulse(clearBottle02);
			doPulse(greenBottle01);
			doPulse(greenBottle02);
			doPulse(greenBottle03);
			doPulse(brownBottle01);
			doPulse(brownBottle02);
			addShadow(glassBins);
			addShadow(clearBottle01);
			addShadow(clearBottle02);
			addShadow(greenBottle01);
			addShadow(greenBottle02);
			addShadow(greenBottle03);
			addShadow(brownBottle01);
			addShadow(brownBottle02);

			addEventListenerToGlass(clearBottle01, clearGlassBin, originClearBottle01[0], originClearBottle01[1]);
			addEventListenerToGlass(clearBottle02, clearGlassBin, originClearBottle02[0], originClearBottle02[1]);
			addEventListenerToGlass(greenBottle01, greenGlassBin, originGreenBottle01[0], originGreenBottle01[1]);
			addEventListenerToGlass(greenBottle02, greenGlassBin, originGreenBottle02[0], originGreenBottle02[1]);
			addEventListenerToGlass(greenBottle03, greenGlassBin, originGreenBottle03[0], originGreenBottle03[1]);
			addEventListenerToGlass(brownBottle01, brownGlassBin, originBrownBottle01[0], originBrownBottle01[1]);
			addEventListenerToGlass(brownBottle02, brownGlassBin, originBrownBottle02[0], originBrownBottle02[1]);

			if(audioMuted) glassBinDescriptIMG.visible = true;
			
		}

		function showBottleCansBinDescript(){
			glassBinDescriptIMG.visible = true;
			if(!audioMuted && !glassBinsDescriptAudioHasPlayed) {
				if(!narrActive) playSound("conveyor_glassbinsDef", glassAudioDefComplete); 
				//soundManagerStub.addEventListener("SOUND_COMPLETE", glassAudioDefComplete);
				isDescriptionAudioPlaying = true;
				glassBinsDescriptAudioHasPlayed = true;
			}
		}

		function glassAudioDefComplete(){
			//soundManagerStub.removeEventListener("SOUND_COMPLETE", glassAudioDefComplete);
			isDescriptionAudioPlaying = false;
			nextViewState(1); // back to magnet cans state
		}

		function hideMagnetCans(){
			magnet.visible = false;
			magnet.cursor = "default";
			removeShadow(magnet);
			magnetDescriptIMG.visible = false;
			magnet.x = originalMagnetPos[0];
			magnet.y = originalMagnetPos[1];
			magnetDescriptAudioHasPlayed = false;
			
		}

		function hidePlasticBlower(){
			blower.visible = false;
			blower.cursor = "default";
			removeShadow(blowerPlasticOff);
			blowerDescriptIMG.visible = false;
			blower.x = originalBlowerPos[0];
			blower.y = originalBlowerPos[1];
			blowerDescriptAudioHasPlayed = false;
		}

		function hideBottleCansBin(){
			glassBins.visible = false;
			glassBinDescriptIMG.visible = false;
			removeShadow(glassBins);
			removeShadow(clearBottle01);
			removeShadow(clearBottle02);
			removeShadow(greenBottle01);
			removeShadow(greenBottle02);
			removeShadow(greenBottle03);
			removeShadow(brownBottle01);
			removeShadow(brownBottle02);

			removeEventListenerToGlass(clearBottle01, originClearBottle01[0], originClearBottle01[1]);
			removeEventListenerToGlass(clearBottle02, originClearBottle02[0], originClearBottle02[1]);
			removeEventListenerToGlass(greenBottle01, originGreenBottle01[0], originGreenBottle01[1]);
			removeEventListenerToGlass(greenBottle02, originGreenBottle02[0], originGreenBottle02[1]);
			removeEventListenerToGlass(greenBottle03, originGreenBottle03[0], originGreenBottle03[1]);
			removeEventListenerToGlass(brownBottle01, originBrownBottle01[0], originBrownBottle01[1]);
			removeEventListenerToGlass(brownBottle02, originBrownBottle02[0], originBrownBottle02[1]);
			bottleCount = 0;
			glassBinsDescriptAudioHasPlayed = false;
			
		}

		function resetTrash(){
			can01IMG.alpha = 1;
			can02IMG.alpha = 1;
			can03IMG.alpha = 1;
			can01IMG.x = 535;
			can01IMG.y = 300;
			can02IMG.x = 390;
			can02IMG.y = 260;
			can03IMG.x = 635;
			can03IMG.y = 300;

			plastic04.x = 160;
			plastic04.y = 285;
			plastic01.x = 180;
			plastic01.y = 225;
			plastic03.x = 370;
			plastic03.y = 300;
			plastic02.x = 280;
			plastic02.y = 220;
			plastic05.x = 410;
			plastic05.y = 330;
		}


		function nextViewState(viewState){
			//"isReadyForNextState " + isReadyForNextState + 
			// logger("isDescriptionAudioPlaying " + isDescriptionAudioPlaying +
			// 	" isInteractiveReady " + isInteractiveReady);

			if ( !isInteractiveReady ) return;
			if ( isDescriptionAudioPlaying ) return;

			switch(viewState){
				case 1: //magnet
				hideBottleCansBin();
				resetTrash();
				showMagnetCans();
				break;

				case 2: // blower
				hideMagnetCans();
				can01IMG.alpha = 0;
				can02IMG.alpha = 0;
				can03IMG.alpha = 0;
				showPlasticBlower();
				break;

				case 3: // glass bins
				hidePlasticBlower();
				showBottleCansBin();
				hasBlowerCleared = false;
				break;
			}

			//if(!audioMuted) isReadyForNextState = false;
		}

		function resetDisplay(){
			resetTrash();
			hideMagnetCans();
			hidePlasticBlower();
			hideBottleCansBin();
			magnetDescriptAudioHasPlayed = false;
			blowerDescriptAudioHasPlayed = false;
			glassBinsDescriptAudioHasPlayed = false;
		}

        this.addChild(sectionInterative);

		this.enable = function(){
			resetDisplay();
			active = true;
			isReadyForNextState = true;
			isDescriptionAudioPlaying = false;
			showMagnetCans();
		}

		this.reset = function(){
			active = false;
			resetDisplay();
		}

		this.muteAudio = function(value){
			audioMuted = value;
		}

		this.destroy = function(){}

	}).prototype = new createjs.Container();

	window.pageContentLib.ConveyorInteractive = pageContentLib.ConveyorInteractive; 



	(pageContentLib.FinalSectionInteractive = function(images){
		var active = false;

		var sectionInterative = new createjs.Container();
		var backgroundIMG = new createjs.Bitmap(images["bg_final_jpg"]);
		sectionInterative.addChild(backgroundIMG);

        this.addChild(sectionInterative);

		this.enable = function(){
		}

		this.reset = function(){
		}

		this.muteAudio = function(soundOn){
			// no audio to mute
		}

		this.destroy = function(){}

	}).prototype = new createjs.Container();

	window.pageContentLib.FinalSectionInteractive = pageContentLib.FinalSectionInteractive; 

}(window));