function prep_6_fertilize(transition){
	//**//**console.og('function: prep_6_fertilize');
	world_current = worlds['6_fertilize'];
	
	ticker_world = (function(){
		tick_6_fertilize();
	});
	end_world = (function(){
		end_6_fertilize();
	});
	narrDone = (function(){
		narrDone_6_fertilize();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: To expand your child's vocabulary, see how many words he or she can use to describe a worm—wiggly, mushy, skinny—or make up a new word! Imitate how worms slither through the earth. Then, to learn more, read Linda Glaser's book, \"Wonderful Worms.\"";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['6_bg']);
	world_current.addChild(bg);

	//** page assets:
	flowersArr = [];
	flowerIndx=0;
	to=0;

	flowersContainer = new createjs.Container();
	flowersContainer.x=620;
	flowersContainer.y=320;
	flowersContainer.regX=300;
	flowersContainer.regY=100;
	world_current.addChild(flowersContainer);

	flower1 = new createjs.BitmapAnimation(spritesheets['6_flowers']);
	flower1.gotoAndStop(0);
	flower1.x=0;
	flower1.y=0;

	flower2 = flower1.clone();
	flower2.x=250;
	flower2.y=10;

	flower3 = flower1.clone();
	flower3.x=110;
	flower3.y=50;

	flower4 = flower1.clone();
	flower4.x=400;
	flower4.y=53;

	flower5 = flower1.clone();
	flower5.scaleX = -1;
	//flower5.gotoAndPlay('grow');
	flower5.x=560;
	flower5.y=60;

	flower6 = flower1.clone();
	flower6.x=-50;
	flower6.y=67;

	flowersContainer.addChild(flower1);
	flowersContainer.addChild(flower2);
	flowersContainer.addChild(flower3);
	flowersContainer.addChild(flower4);
	flowersContainer.addChild(flower5);
	flowersContainer.addChild(flower6);

	flowersArr.push(flower1);
	flowersArr.push(flower2);
	flowersArr.push(flower3);
	flowersArr.push(flower4);
	flowersArr.push(flower5);
	flowersArr.push(flower6);

	flowersArr = shuffle(flowersArr);

	hitarea = new createjs.Shape();
	hitarea.graphics.beginFill('white').drawRect(0,30,630,200);
	hitarea.alpha=0.01;
	flowersContainer.addChild(hitarea);
	/*butterfly1 = new createjs.BitmapAnimation( spritesheets['butterfly1'] );
	butterfly1.gotoAndPlay('flap');
	butterfly1.regX = 24;
	butterfly1.regY = 24;
	butterfly1.scaleX = butterfly1.scaleY = 1.6;	
			butterfly1.pos = 0; //int that will increment as butterfly1 hits a pathpoint (to match that point's index in path1[])
			butterfly1.vX = 1; //butterfly1's.travelTime (pixels per second) 
			butterfly1.travelTime = 0; //travel time in ms for ball to tween between path1 -- uses butterfly1.vX as well distance between path1 each time
	world_current.addChild(butterfly1);


	butterfly2 = new createjs.BitmapAnimation( spritesheets['butterfly2'] );
	butterfly2.gotoAndPlay('flap');
	butterfly2.regX = 24;
	butterfly2.regY = 24;
	butterfly2.scaleX = butterfly2.scaleY = 1.1;
	butterfly2.scaleX *= -1;
			butterfly2.pos = 0;
			butterfly2.vX = 3;
			butterfly2.travelTime = 0;
	world_current.addChild(butterfly2);

	butterfly3 = new createjs.BitmapAnimation( spritesheets['butterfly3'] );
	butterfly3.gotoAndPlay('flap');
	butterfly3regX = 24;
	butterfly3.regY = 24;	
	butterfly3.scaleX = butterfly3.scaleY = 0.9;
			butterfly3.pos = 0;
			butterfly3.vX = 2;
			butterfly3.travelTime = 0;	
	world_current.addChild(butterfly3);

	path1 = [[191.12419361759788, 394.514435695538],[147.6172731077011, 378.6561679790026],[118.22070519560872, 361.62204724409446],[90, 345.76377952755905],[62.95515752087498, 325.2020997375328],[42.96549134065215, 298.76115485564304],[31.206864175815184, 267.61679790026244],[21.79996244394561, 227.06561679790028],[7.689609846141257, 186.51443569553803], [-30, 160]];
	butterfly1.x = path1[0][0];
	butterfly1.y = path1[0][1];

	path2 = [[10.041335279108644, 246.35695538057743],[28.855138742847792, 226.9711286089239],[54.7241185054891, 216.99212598425197],[81.76896098461413, 203.48556430446195],[109.98966618022286, 195.85826771653544],[138.21037137583153, 189.40682414698165],[168.78280200440764, 184.1312335958005],[207.5862716483696, 177.67979002624676],[249.9173294417827, 175.9317585301837],[294.6001126681632, 177.71128608923885],[341.634621327511, 179.490813648294],[392.19671813631, 184.79790026246718],[450.98985396049477, 194.80839895013125],[501.55195076929374, 203.6430446194226],[546.2347339956742, 216.00524934383205],[594.4451053715057, 234.246719160105],[653.2382411956906, 254.8398950131234],[696.7451617055874, 271.90551181102364],[748.48312123087, 284.26771653543307],[795.5176298902178, 294.27821522309716],[846.0797266990169, 300.7611548556431],[886.9590402814353, 302.7979002624672],[925.7625099253974, 302.2257217847769],[970.4452931517777, 298.1259842519685],[1003.3694492133212, 288.14698162729655],[1023.3591153935441, 280.5196850393701]];
	butterfly2.x = path2[0][0];
	butterfly2.y = path2[0][1];

	path3 = [[1025.7108408265117, 188.29396325459317],[988.0832338990332, 195.9212598425197],[950.4556269715549, 208.25196850393704],[918.707333626495, 222.93438320209972],[882.2555894155005, 241.14435695538057],[851.6831587869244, 264.0577427821522],[818.7590027253808, 289.3228346456693],[791.7141602462558, 314.58792650918633],[765.8451804836145, 341.0288713910761],[739.9762007209732, 369.82152230971127],[720.2624160352613, 403.0603674540682],[679.1072209583319, 356.59842519685037],[643.831339463821, 327.77427821522315],[613.2589088352449, 302.477690288714],[577.983027340734, 279.5328083989502],[542.7071458462232, 256.5879265091864],[507.43126435171223, 237.17060367454073],[473.331245573685, 223.63254593175856],[434.527775929723, 214.79790026246718],[393.37258085279365, 202.43569553805773],[359.2725620747665, 194.77690288713907],[325.1725432967393, 190.64566929133858],[291.0725245187121, 186.51443569553808],[242.86215314288057, 183.55905511811022],[195.82764448353268, 182.95538057742786],[157.02417483957072, 184.7034120734908],[115.86897976264133, 188.80314960629923],[77.06551011867934, 196.43044619422574],[42.965491340652136, 201.70603674540683],[14.744786145043427, 209.33333333333331],[-7.5966054681468025, 211.0813648293963], [-30, 190]];
	butterfly3.x = path3[0][0];
	butterfly3.y = path3[0][1];*/

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('6_fertilize', ['fertilize']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_6_fertilize);

}

//level specific functions:

//iterates through path1[], tweens butterfly1 to each pathpoint's position
/*function butterfly_forward(bf, pathlist){

	bf.pos++;	

	//for ending the tweening at end of pathlist
	if (bf.pos == (pathlist.length)){
		//**console.og("bf reached the end!");
		return;
	}

	var pointDest = {};
	var pointPrev = {};

	pointDest.x = pathlist[bf.pos][0];
	pointDest.y = pathlist[bf.pos][1];

	pointPrev.x = pathlist[bf.pos -1][0];
	pointPrev.y = pathlist[bf.pos -1][1];


	//gathering proper travelTime for travelling between these points, using distance between points and set speed (bf.vX)
	//use bf.vX to determine uniform tween time (travelTime) regardless of distance....
	var dist = lineDistance(pointDest,pointPrev);
	bf.travelTime = (dist * 20) / bf.vX;
	
	//**console.og("to pathpoint["+ bf.pos +"]: " + pointDest.x + ", " + pointDest.y);
	////**console.og('dist is: ' + dist);		
	////**console.og('travelTime is: ' + bf.travelTime);

	createjs.Tween.get(bf, {loop:false})
     .to({x:pointDest.x, y:pointDest.y}, bf.travelTime, createjs.Ease.linear)
     .call(function(){
     	butterfly_forward(bf, pathlist);
     });
	
}*/
//called once this level is fully slid into place
function begin_6_fertilize(){
	//**//**console.og("WORLD 1 BEGIN");
	
	playSound('6_fertilize');

	//butterfly_forward(butterfly1, path1);
	//butterfly_forward(butterfly2, path2);
	//butterfly_forward(butterfly3, path3);
	
}

function narrDone_6_fertilize(){
	for(var i=0; i<flowersArr.length; i++)
	{
		flowersArr[i].gotoAndStop(0);
	}

	addShadow(flowersContainer);
	doPulse(flowersContainer);
	flowersContainer.onPress = growAnim;
	//hitarea.onPress = growAnim;
}

function growAnim(e){
	//hitarea.onPress=null;
	flowersContainer.onPress = null;
	removeShadow(flowersContainer);

	if(!narrActive) playSound('flowers');
	
	for(var i=0; i<flowersArr.length; i++)
	{
		flowersArr[i].gotoAndPlay('grow');
	}
	//growFlower();
}

function growFlower(){
	/*flowersArr[flowerIndx].gotoAndPlay('grow');
	flowerIndx++;
	if(flowerIndx<flowersArr.length)
	{
		to=setTimeout(growFlower,randomNum(100,700));
	}*/
}


function tick_6_fertilize(){
	stage.update();
}



function end_6_fertilize(){
	//**//**console.og('end_6_fertilize');	
	/*createjs.Tween.removeTweens(butterfly1);
	createjs.Tween.removeTweens(butterfly2);
	createjs.Tween.removeTweens(butterfly3);*/

	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

