function prep_9_identify(transition){
	//**//**console.log('function: prep_9_identify');
	world_current = worlds['9_identify'];
	
	ticker_world = (function(){
		tick_9_identify();
	});
	end_world = (function(){
		end_9_identify();
	});
	narrDone = (function(){
		narrDone_9_identify();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: Take a nature walk! Encourage your child to look carefully for wildlife, whether you are in the city or country.  Take notes together. How many ecosystems you can find? When you come home, draw pictures or write about what you saw. ";


	bg = new createjs.Bitmap(images['9middle']);
	world_current.addChild(bg);

	//** page assets:
	/*back9 = new createjs.Bitmap(images['9back']);
	back9.regX = back9.image.width/2;
	back9.regY = back9.image.height/2;
	back9.x = canvas.width/2;
	back9.y = 100;
	container9.addChild(back9);

	front9 = new createjs.Bitmap(images['9front']);
	front9.regX = front9.image.width/2;
	front9.regY = front9.image.height/2;
	front9.x = canvas.width/2;
	front9.y = 370;
	container9.addChild(front9);


	pmouseX = {};
	pmouseY = {};
	mouseDown = false;*/
	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('9_identify', ['creatures', 'identify','ecosystem']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_9_identify);

}

//level specific functions:
/*function parallax9(obj){	
	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			mouseDown = true; //when mouse/touch down, will NOT be doing the on mouse move parallax in ticker
			
			////**console.log('entire bg pressed');
			var prevX =  evt.stageX;
			var prevY =  evt.stageY;

			evt.onMouseMove = function(ev) {
				////**console.log("mouseX, mouseY: "  + ev.stageX +" , " + ev.stageY);

				if(ev.stageX > prevX){
					front9.x += 0.25;
					back9.x -=0.25;
				}
				if(ev.stageX < prevX){
					front9.x -=0.25;
					back9.x += 0.25;
				}

				
				if(ev.stageY > prevY){
					front9.y += 0.1;
					back9.y -= 0.1;
				}
				if(ev.stageY < prevY){
					front9.y -= 0.1;
					back9.y += 0.1;
				}				

				prevX =  ev.stageX;
				prevY =  ev.stageY;

			}			
			evt.onMouseUp = function(ev){
				mouseDown = false;
			}
		}	
			
	})(obj);			
}*/

//called once this level is fully slid into place
function begin_9_identify(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('9_identify');

	//parallax9(container9);
	
}

function narrDone_9_identify(){
	/*doPulse(back9);
	setTimeout(function(){
		doPulse(front9);
	}, 800);*/
}


function tick_9_identify(){
	stage.update();

	/*if (!mouseDown){
		if(stage.mouseX > pmouseX){
			front9.x += 0.25;
			back9.x -=0.25;
		}
		if(stage.mouseX < pmouseX){
			front9.x -=0.25;
			back9.x += 0.25;
		}

		
		if(stage.mouseY > pmouseY){
			front9.y += 0.1;
			back9.y -= 0.1;
		}
		if(stage.mouseY < pmouseY){
			front9.y -= 0.1;
			back9.y += 0.1;
		}

		pmouseX =  stage.mouseX;
		pmouseY =  stage.mouseY;
	}*/

}



function end_9_identify(){
	//**//**console.log('end_9_identify');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

