//"Can You Dig It?" Quiz vars


//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'digit_quiz_end';
worlds[quiz_end ] = new createjs.Container();

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)
*/

var quiz_words = ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9']; 
var quiz_content = [];

//txt questions
quiz_content['q1'] = ["Which of these is a creature?", 'worm', 'tree', 'flowers', 'easy'];
quiz_content['q2'] = ["The place where a plant or animal lives is its...",'habitat', 'creature', 'compost', 'medium'];
quiz_content['q3'] = ["All the living and non-living things that are found in the same place are part of its...", 'ecosystem', 'creature', 'waste', 'medium'];
quiz_content['q4'] = ["What do the plants depend on in order to provide them with fertilized soil?", 'worms', 'birds', 'butterfly' ,'hard'];
quiz_content['q5'] = ["When a flower dries up, shrinks, and breaks down into little pieces, that means it is in the process of...", 'decaying', 'composting', 'repurposing' ,'hard']
quiz_content['q6'] = ["What can you add to the dirt to help plants grow stronger?",'fertilizer', 'mud', 'seeds', 'hard'];
quiz_content['q7'] = ["What's one ingredient you can use to make compost?", 'fruit scraps', 'seeds', 'fertilizer' ,'hard']
quiz_content['q8'] = ["When you're exploring an ecosystem, it's important to watch your environment closely. What's another word for this?",'observe', 'identify', 'touch', 'hard'];
quiz_content['q9'] = ["When you know what something is and can name it, that means you can...", 'identify it', 'check it', 'estimate it' ,'hard'];


//FOR FIRST question:
//pull a random quiz question... 
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
quiz_doCover();


//

//for quiz only: set narrDone to nothing:
function narrDone(){}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/dig_quiz';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)
	
	//quiz sfx:
	makeSound('sfx_biscuits', 175.143304, 176.116914);
	makeSound('sfx_splat', 176.395617, 177.506456);
	makeSound('sfx_pie', 177.589462, 178.399364);
	makeSound('sfx_lazer', 178.568707, 180.611868);
	makeSound('sfx_wrong', 181.175118, 182.515137);


	//question-specific audio:
	makeSound('q_q1', 0.403591, 2.320649);
	makeSound('q_q2', 9.736635, 12.914915);
	makeSound('q_q3', 13.822995, 18.666088);
	makeSound('q_q4', 19.675066, 23.811874);
	makeSound('q_q5', 25.829830, 32.035043);
	makeSound('q_q6', 35.061976, 38.240256);
	makeSound('q_q8', 41.418535, 48.128237);
	makeSound('q_q7', 49.893948, 53.021779);
	makeSound('q_q9', 55.291979, 59.126094);

	//makeSound('q_q10', 33.4994,38.224661);

	makeSound('f_q1', 5.549377, 8.897906);
	makeSound('worm', 2.572893, 3.279178);
	makeSound('tree', 3.430524, 4.187258);
	makeSound('flowers', 4.338604, 5.246684);
	makeSound('habitat', 59.882828, 60.757669);
	makeSound('creature', 60.757669, 61.361007);
	makeSound('compost', 61.522417, 62.306757);
	makeSound('f_q2', 62.430496, 65.130436);
	makeSound('ecosystem', 65.255634, 66.341643);
	makeSound('f_q3', 67.223141, 75.066541);
	makeSound('waste', 173.367597,174.830510);
	makeSound('worms', 77.085898, 77.766958);
	makeSound('birds', 77.918304, 78.700262);
	makeSound('butterfly', 78.876833, 79.709240);
	makeSound('decaying', 80.541647, 81.222707);
	makeSound('composting', 81.323604, 82.354448);
	makeSound('repurposing', 82.458704, 83.540737);
	makeSound('fertilizer', 84.602782, 85.409964);
	makeSound('mud', 85.561311, 85.990126);
	makeSound('seeds', 86.797308, 87.629715);
	makeSound('fruit scraps', 89.773793, 90.782770);
	makeSound('seeds', 90.984566, 91.766524);
	makeSound('f_q4', 95.323170, 103.196738);
	makeSound('f_q5', 103.394992, 111.268559);
	makeSound('f_q6', 111.492038, 116.529915);
	makeSound('f_q7', 116.637825, 121.675701);
	makeSound('f_q5', 149.278250, 162.256606);
	makeSound('f_q7', 162.256606, 173.226513);
	makeSound('observe', 121.985406, 122.739580);
	makeSound('identify', 122.969160, 123.978137);
	makeSound('touch', 124.457402, 124.987115);
	makeSound('f_q8', 125.188911, 129.668699);
	makeSound('identify it', 129.880657, 130.979964);
	makeSound('f_q9', 133.386855, 136.916385);
	makeSound('check it', 145.847730, 146.658878);
	makeSound('estimate it', 146.932381, 147.768109);
	
	//required for quiz question outocomes:	
	makeSound('empty', 0.2,0.3);
	makeSound('quizmo', 137.321868, 138.532641);
	makeSound('correct_1', 139.087579, 140.147005);
	makeSound('correct_2', 140.399250, 141.584799);
	makeSound('incorrect_1', 141.837043, 143.098265);
	makeSound('incorrect_2', 143.829774, 145.242343);
}
