//"Martha in the Doghouse" Quiz vars

//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'doghouse_quiz_end';
worlds[quiz_end ] = new createjs.Container();

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)
*/

var quiz_words = ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8']; 
var quiz_content = [];

//txt questions
quiz_content['q1'] = ["A shelter is a type of…", 'building', 'boat', 'dollhouse', 'easy'];
quiz_content['q2'] = ["Which of these is a type of building?",'doghouse', 'lumber', 'rock', 'medium'];
quiz_content['q3'] = ["What's another word for build?", 'construct', 'play', 'hammer', 'medium'];
quiz_content['q4'] = ["Which of these is a tool you would need to construct a doghouse?", 'hammer', 'rock', 'a doghouse' ,'hard'];
quiz_content['q5'] = ["Before you begin building a doghouse, it's important to have a...", 'sketch', 'hammer', 'lumber' ,'hard']
quiz_content['q6'] = ["What do you call a person who makes plans for building things, like houses?",'an architect', 'a carpenter', 'lumberjack', 'hard'];
quiz_content['q7'] = ["What kind of a plan does an architect create before they begin constructing a building?", 'blueprint', 'ruler', 'sketches' ,'hard']
quiz_content['q8'] = ["What is a small version of a house called?",'model', 'blueprint', 'doghouse', 'hard'];

//FOR FIRST question:
//pull a random quiz question... 
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
quiz_doCover();
//

//for quiz only: set narrDone to nothing:
function narrDone(){}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/doghouse_quiz';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)	
	//quiz sfx:
	//question-specific audio:
	makeSound('q_q1', 0.000000, 2.663038);
	makeSound('q_q2', 3.200317, 5.816635);
	makeSound('q_q3', 7.031354, 9.811192);
	makeSound('q_q4', 10.535351, 14.576628);
	makeSound('q_q5', 15.978227, 20.229743);
	makeSound('q_q6', 21.724782, 26.443498);
	makeSound('q_q7', 27.611497, 33.171172);
	makeSound('q_q8', 35.063330, 37.632928);

	makeSound('a doghouse', 38.847647, 40.249246);
	makeSound('construct', 40.833246, 42.234844);
	makeSound('hammer', 42.865564, 43.683163);
	makeSound('an architect', 44.150363, 45.411802);
	makeSound('boat', 46.416281, 47.070360);
	makeSound('lumber', 48.144919, 49.079319);
	makeSound('play', 50.013718, 50.854677);
	makeSound('rock', 51.648916, 52.513236);
	makeSound('a carpenter', 53.377555, 54.522194);
	makeSound('dollhouse', 55.386513, 56.484432);
	makeSound('lumberjack', 57.255312, 58.633551);
	makeSound('sketches', 59.147470, 60.455629);
	makeSound('building', 60.619149, 61.280159);
	makeSound('sketch', 61.740428, 62.541267);
	makeSound('blueprint', 62.814987, 63.666673);
	makeSound('model', 63.982986, 64.491455);
	makeSound('doghouse', 64.847305, 65.764185);
	makeSound('f_q1', 66.108744, 71.388100);
	makeSound('f_q2', 72.112259, 77.765374);
	makeSound('f_q3', 78.559614, 80.872252);
	makeSound('f_q4', 81.736571, 87.623286);
	makeSound('f_q5', 88.183926, 92.926002);
	makeSound('f_q6', 93.276401, 97.761518);
	makeSound('f_q7', 98.672557, 102.386794);
	makeSound('f_q8', 102.853993, 106.801830);
	
	//required for quiz question outocomes:
	makeSound('empty', 0.1,0.2);
	makeSound('quizmo',	106.94783,	108.253389);
	makeSound('correct_1',	108.62514,	109.811885);
	makeSound('correct_2',	109.969165,	111.174046);
	makeSound('incorrect_1',	111.514706,	112.771598);
	makeSound('incorrect_2',	113.500803,	114.809737);
	makeSound('ruler',	115.001183,	115.732027);
	makeSound('sfx_biscuits',	116.292,	117.028);
	makeSound('sfx_splat',	117.472,	118.207);
	makeSound('sfx_pie',	118.546,	119.165);
	makeSound('sfx_lazer',	119.516,	121.63);
	makeSound('sfx_wrong',	122.12,	123.142);	
}
