//"How To Plan Your Elephant's Birthday Party" Quiz vars


//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'elephantparty_quiz_end';
worlds[quiz_end ] = new createjs.Container();

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)
*/


//testing quiz_words as 2D array: [0] holds  words being tested, [1] holds type: txt or img
var quiz_words = ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9']; 
var quiz_content = [];

//txt questions
quiz_content['q1'] = ["Which of these is really heavy?", 'an elephant', 'a scale', 'a balloon', 'easy'];
quiz_content['q2'] = ["Which of these is really huge?",'a bus', 'a doghouse', 'a picnic table', 'medium'];
quiz_content['q3'] = ["Which of these tells how big or small something is?", 'size', 'color', 'shape', 'medium'];
quiz_content['q4'] = ["What is equal in length to Jeffy?", 'ten magic wands', 'five magic wands', 'fifty magic wands' ,'hard'];
quiz_content['q5'] = ["When you think about how things are the same, alike, or different from each other, you...", 'compare', 'estimate', 'measure' ,'hard']
quiz_content['q6'] = ["What do you do when you want to make sure your answer is right?",'check it', 'estimate it', 'weigh it', 'hard'];
quiz_content['q7'] = ["When something is exact it is...", 'just right', 'too much', 'not enough' ,'hard']
quiz_content['q8'] = ["Estimating is kind of like...",'guessing', 'checking', 'measuring', 'hard'];
quiz_content['q9'] = ["When you make a guess about something using what you already know about it, you...", 'approximate', 'measure', 'compare' ,'hard']


//FOR FIRST question:
//pull a random quiz question... 
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
quiz_doCover();

//

//for quiz only: set narrDone to nothing:
function narrDone(){}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/elephant_quiz'; //'sound/elephantparty_quiz_BB';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)
	
	makeSound('sfx_biscuits', 137.099249, 138.072859);
	makeSound('sfx_splat', 138.351562, 139.462401);
	makeSound('sfx_pie', 139.545407, 140.355309);
	makeSound('sfx_lazer', 140.524652, 142.567813);
	makeSound('sfx_wrong', 143.131063, 144.471082);
	//question-specific audio:
	//required for quiz question outocomes:
	makeSound('q_q1', 0.417864, 2.679248);
	makeSound('q_q2', 3.908261, 6.071324);
	makeSound('q_q3', 7.202016, 10.274548);
	makeSound('q_q4', 11.847684, 13.912426);
	makeSound('q_q5', 15.485563, 19.737947);
	makeSound('q_q6', 21.458565, 24.752320);
	makeSound('q_q7', 26.153395, 28.783482);
	makeSound('q_q8', 30.528681, 32.544262);
	makeSound('q_q9', 34.412361, 38.664746);

	makeSound('an elephant', 40.385364, 41.442315);
	makeSound('a bus', 42.474686, 43.236674);
	makeSound('ten magic wands', 44.023242, 45.571798);
	makeSound('check it', 46.604169, 47.415318);
	makeSound('just right', 48.275627, 49.357158);
	makeSound('guessing', 50.733653, 51.446480);
	makeSound('a scale', 52.822975, 53.732444);
	makeSound('a doghouse', 54.691074, 55.895507);
	makeSound('color', 56.706655, 57.370322);
	makeSound('five magic wands', 58.255212, 59.828348);
	makeSound('estimate it', 61.696448, 62.532177);
	makeSound('too much', 63.761189, 64.768980);
	makeSound('checking', 65.948832, 66.563339);
	makeSound('a balloon', 67.694031, 68.652661);
	makeSound('a picnic table', 69.390069, 70.545341);
	makeSound('shape', 71.356489, 72.020156);
	makeSound('fifty magic wands', 72.782144, 74.601083);
	makeSound('weigh it', 75.559713, 76.272541);
	makeSound('not enough', 77.255751, 78.017739);
	makeSound('measuring', 79.123851, 79.910419);
	makeSound('compare', 80.672407, 81.356555);
	makeSound('size', 82.220963, 82.934224);
	makeSound('estimate', 83.793667, 84.492371);
	makeSound('measure', 84.850618, 85.378693);
	makeSound('approximate', 135.117249, 136.104873);
	makeSound('f_q1', 85.858408, 89.031690);
	makeSound('f_q2', 89.864990, 94.202780);
	makeSound('f_q3', 94.781042, 97.634085);
	makeSound('f_q4', 98.246858, 101.885943);
	makeSound('f_q5', 102.622144, 108.546575);
	makeSound('f_q6', 109.455456, 112.686963);
	makeSound('f_q7', 113.560359, 116.588078);
	makeSound('f_q8', 117.296558, 120.382502);
	makeSound('f_q9', 120.836116, 125.901722);
	
	//required for quiz question outocomes:
	makeSound('empty', 3.2,3.3);
	makeSound('quizmo', 126.759958, 127.939810);
	makeSound('correct_1', 128.529736, 129.463786);
	makeSound('correct_2', 129.783329, 130.864861);
	makeSound('incorrect_1', 131.282725, 132.487158);
	makeSound('incorrect_2', 133.322887, 134.428998);
	
}



