function prep_1_gettingtothegame(transition){
	//**//**console.log('function: prep_1_gettingtothegame');
	world_current = worlds['1_gettingtothegame'];
	
	ticker_world = (function(){
		tick_1_gettingtothegame();
	});
	end_world = (function(){
		end_1_gettingtothegame();
	});
	narrDone = (function(){
		narrDone_1_gettingtothegame();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:

	lamp1 = new createjs.Bitmap(images['1_lamp']);
	lamp1.x = 53; lamp1.y = 58;
	world_current.addChild(lamp1);

	poster1 = new createjs.Bitmap(images['1_poster']);
	poster1.x = 560; poster1.y = 30;
	world_current.addChild(poster1);

	clockContainer = new createjs.Container();
	//clockContainer.regX = -100;
	clockContainer.regY = 75;
	clockContainer.x = 355;
	clockContainer.y = 420;

	world_current.addChild(clockContainer);

	clockStroke = new createjs.Bitmap(images['1_clock_stroke']);
	clockStroke.regX = clockStroke.image.width/2;
	clockStroke.regY = clockStroke.image.height/2;
	clockStroke.scaleX = clockStroke.scaleY = 0.55;
	clockContainer.addChild(clockStroke);

	clockNoStroke = new createjs.Bitmap(images['1_clock']);
	clockNoStroke.regX = clockNoStroke.image.width/2;
	clockNoStroke.regY = clockNoStroke.image.height/2;
	clockNoStroke.scaleX = clockNoStroke.scaleY = 0.55;
	clockContainer.addChild(clockNoStroke);

	alarmglow = new createjs.Bitmap(images['alarmglow']);
	alarmglow.regX = alarmglow.image.width/2;
	alarmglow.regY = alarmglow.image.height/2;
	alarmglow.scaleX = alarmglow.scaleY = 0.88;
	alarmglow.x = clockStroke.x + 49;
	alarmglow.y = clockStroke.y + 53;
	alarmglow.alpha = 0;
	clockContainer.addChild(alarmglow);


	alice1 = new createjs.BitmapAnimation( spritesheets['1_alice'] );
	alice1.scaleX = alice1.scaleY = 1.75;
	alice1.x = 100;
	alice1.y = 230; // --> tween to 0
	alice1.startX = alice1.x;
	alice1.startY = alice1.y;
	alice1.gotoAndStop(0);
	world_current.addChild(alice1);
	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('1_gettingtothegame');

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_1_gettingtothegame);

}

//level specific functions:
function clockWiggle(){

	var wiggleMS = 200;

	createjs.Tween.get(clockContainer, {loop:false})
     .to({rotation:-25}, wiggleMS, createjs.Ease.linear)
     .call(function(){

		createjs.Tween.get(clockContainer, {loop:false})
	     .to({rotation:0}, wiggleMS, createjs.Ease.linear)
	     .call(function(){

			createjs.Tween.get(clockContainer, {loop:false})
		     .to({rotation:25 }, wiggleMS, createjs.Ease.linear)
		     .call(function(){

				createjs.Tween.get(clockContainer, {loop:false})
			     .to({rotation:0}, wiggleMS, createjs.Ease.linear)
			     //.wait(450)
			     .call(clockWiggle);
		     });

	     });

     });	
}

function alarmglow_fade(){
	createjs.Tween.get(alarmglow, {loop:false})
     .to({alpha:1}, 300, createjs.Ease.linear)
     .call(function(){
		createjs.Tween.get(alarmglow, {loop:false})
	     .to({alpha:0}, 300, createjs.Ease.linear)
	     .call(function(){
	     	alarmglow_fade();
	     });
     });

}

function stopAlarm1(e){
	clockWiggle();
	alarmglow_fade();
	alice1.visible=true;


	if(!narrActive) playSound('electronic_alarm');

	clockContainer.onPress = null;

	createjs.Tween.get(alice1, {loop:false})
     .to({y:-15}, 100, createjs.Ease.linear)
     .call(function(){
		alice1.gotoAndPlay('rise');
		alice1.onAnimationEnd = alice_walk1;
     });

	//alice1.gotoAndPlay('rise');
}

function alice_walk1(){	
	clockContainer.rotation = 0;
	clockStroke.visible = false;
	createjs.Tween.removeTweens(clockContainer);
	createjs.Tween.removeTweens(alarmglow);
	alarmglow.alpha = 0;
	alice1.gotoAndPlay('walk1');
	alice1.onAnimationEnd = alice_walk2;
}
function alice_walk2(){	
	alice1.x += 176;
	alice1.y += 26;
	alice1.gotoAndPlay('walk2');
	
	alice1.onAnimationEnd = alice_walk3;
}
function alice_walk3(){	
	alice1.x += 176;
	alice1.y += 26;
	alice1.gotoAndPlay('walk2');
	
	alice1.onAnimationEnd = alice_walk4;
}
function alice_walk4(){
	alice1.onAnimationEnd = null;	
	alice1.visible = false;
	addShadow(clockStroke);
	clockStroke.visible=true;
	alice1.gotoAndStop(0);
	alice1.x = alice1.startX;
	alice1.y = alice1.startY;
	doPulse(clockContainer);
	clockContainer.onPress = stopAlarm1;
}
//called once this level is fully slid into place
function begin_1_gettingtothegame(){
	//**//**console.log("WORLD 1 BEGIN");
	createjs.Tween.removeTweens(clockContainer);
	createjs.Tween.removeTweens(alarmglow);
	createjs.Tween.removeTweens(alice1);
	clockContainer.rotation = 0;
	clockStroke.visible = false;
	alarmglow.alpha = 0;
	alice1.gotoAndStop(0);
	alice1.x = alice1.startX;
	alice1.y = alice1.startY;
	playSound('1_gettingtothegame');
}

function narrDone_1_gettingtothegame(){
	addShadow(clockStroke);
	clockStroke.visible = true;
	doPulse(clockContainer);
	clockContainer.onPress = stopAlarm1;
}



function tick_1_gettingtothegame(){
	stage.update();
}



function end_1_gettingtothegame(){
	//**//**console.log('end_1_gettingtothegame');	
	createjs.Tween.removeTweens(clockContainer);
	createjs.Tween.removeTweens(alarmglow);
	createjs.Tween.removeTweens(alice1);
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

