function prep_4_gettingtothegame(transition){
	//**//**console.log('function: prep_4_gettingtothegame');
	world_current = worlds['4_gettingtothegame'];
	
	ticker_world = (function(){
		tick_4_gettingtothegame();
	});
	end_world = (function(){
		end_4_gettingtothegame();
	});
	narrDone = (function(){
		narrDone_4_gettingtothegame();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: Has your child seen or used roller skates? If you have a pair, find them and spin the wheels so that they rotate. Help your child find another toy or object with wheels to rotate. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	/*
	tree4A = new createjs.Bitmap(images['6_tree2']); 
	tree4A.scaleX = tree4A.scaleY = 1.1;
	tree4A.scaleX *= -1;
	tree4A.x = 325;
	tree4A.y = 14;
	world_current.addChild(tree4A);

	tree4B = new createjs.Bitmap(images['7_tree2']);
	tree4B.x = canvas.width - 355;
	tree4B.y = 12;
	world_current.addChild(tree4B);
	*/

	streetbg = new createjs.Bitmap(images['4_bg']);
	streetbg.x = 0;
	streetbg.y = 320;
	world_current.addChild(streetbg);


	alice_skateboard = new createjs.BitmapAnimation(spritesheets['alice_skateboard']);
	alice_skateboard.x = 385;
	alice_skateboard.startX = alice_skateboard.x;
	alice_skateboard.endX = 1300;
	alice_skateboard.leftX = -150;
	alice_skateboard.y = 120;
	alice_skateboard.gotoAndStop(1);
	world_current.addChild(alice_skateboard);	
	alice_skateboard.visible = false;

	alice_skateboard_outlined = new createjs.Bitmap(images['alice_skateboard_outlined']); 
	alice_skateboard_outlined.regX = alice_skateboard_outlined.image.width/2;
	alice_skateboard_outlined.regY = alice_skateboard_outlined.image.height/2;
	alice_skateboard_outlined.x = 250;
	alice_skateboard_outlined.y = 257;
	world_current.addChild(alice_skateboard_outlined);

	_alice_skateboard = false;
	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText(900,28,30);

	//params: sndID, defintion words in array
	renderNarration('4_gettingtothegame', ['travel.','rotate']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_4_gettingtothegame);

}

//level specific functions:
function move_alice4(e){
	if(_alice_skateboard) return;

	_alice_skateboard = true;

	alice_skateboard_outlined.visible = false;
	alice_skateboard.visible = true;

	alice_skateboard.gotoAndPlay('goofy');
	
	createjs.Tween.get(alice_skateboard, {loop:false})	
	 .to({x: alice_skateboard.endX}, 3000, createjs.Ease.linear)
	 .call(function(){
	 	alice_skateboard.x = alice_skateboard.leftX;
	 	return_alice4();
	 });
}

function return_alice4(){
	createjs.Tween.get(alice_skateboard, {loop:false})	
	 .to({x: alice_skateboard.startX}, 2000, createjs.Ease.linear)
	 .call(function(){	
		alice_skateboard.gotoAndStop(1);

		alice_skateboard_outlined.visible = true;
		alice_skateboard.visible = false;
		
		_alice_skateboard = false;
		
	 });

}

//called once this level is fully slid into place
function begin_4_gettingtothegame(){
	//**//**console.log("WORLD 1 BEGIN");

	playSound('4_gettingtothegame');
	
}

function narrDone_4_gettingtothegame(){
	addShadow(alice_skateboard_outlined);
	doPulse(alice_skateboard_outlined);

	alice_skateboard_outlined.onPress = move_alice4;
}


function tick_4_gettingtothegame(){
	stage.update();
}



function end_4_gettingtothegame(){
	//**//**console.log('end_4_gettingtothegame');	
	createjs.Tween.removeTweens(alice_skateboard);

	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

