function prep_5_gettingtothegame(transition){
	//**//**console.log('function: prep_5_gettingtothegame');
	world_current = worlds['5_gettingtothegame'];
	
	ticker_world = (function(){
		tick_5_gettingtothegame();
	});
	end_world = (function(){
		end_5_gettingtothegame();
	});
	narrDone = (function(){
		narrDone_5_gettingtothegame();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	bikestopped = new createjs.Bitmap(images['5_bikestopped']);
	bikestopped.x = -1;
	bikestopped.y = 1;	

	backpedal = new createjs.BitmapAnimation(spritesheets['backpedal']);
	backpedal.x = 0; backpedal.y = 0;
	backpedal.gotoAndStop(0);	

	bikeframe = new createjs.BitmapAnimation(spritesheets['bikeframe']);
	bikeframe.x = 0; bikeframe.y = 0;
	bikeframe.gotoAndStop(0);	

	gearandchain = new createjs.BitmapAnimation(spritesheets['gearandchain']);
	gearandchain.x = 0; gearandchain.y = 0;
	gearandchain.gotoAndStop(0);	

	frontpedal = new createjs.BitmapAnimation(spritesheets['frontpedal']);
	frontpedal.x = 500; frontpedal.y = 200;
	frontpedal.regX = 500;
	frontpedal.regY = 200;
	frontpedal.gotoAndStop(0);	

	bikehitregion = new createjs.Shape();	
	bikehitregion.graphics.beginFill("white").drawRect(405,50, 470, 400);
	bikehitregion.alpha = 0.01;	


	_bikemoving = false;

	//initial child ordering
	world_current.addChild(backpedal);
	world_current.addChild(bikestopped);	
	world_current.addChild(bikeframe);
	world_current.addChild(gearandchain);
	world_current.addChild(frontpedal);
	world_current.addChild(bikehitregion);	

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText(900,24);

	//params: sndID, defintion words in array
	renderNarration('5_gettingtothegame', ['rotate','link','gears.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_5_gettingtothegame);

}

//level specific functions:
function enable_frontpedal(obj){
	doPulse(bikehitregion); //pulsing hitregion b/c doPulse adds pointer onMouseOver
	doPulse(frontpedal);
	addShadow(frontpedal);

	(function(target) {
		obj.onPress = function(evt) {
			//**//**console.log(evt.target + " pressed!");
			//bikeON();
			if(!_bikemoving){
					_bikemoving = true;	
					bikeON();
				}
			evt.onMouseUp = function(ev){				
				bikeOFF();
			}

		}
		
	})(obj);
}
//called once this level is fully slid into place
function begin_5_gettingtothegame(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('5_gettingtothegame');
	
}

function narrDone_5_gettingtothegame(){
	//pedaling animation via tap and move on backpedal only
	//enable_frontpedal(frontpedal);
	
	//pedaling animation via tap and move on any of bikehitregion shpae
	enable_frontpedal(bikehitregion);
}

function bikeON(){
	bikestopped.visible = false;
	bikeframe.visible = true;

	backpedal.gotoAndPlay('all');
	bikeframe.gotoAndPlay('all');
	gearandchain.gotoAndPlay('all');	
	frontpedal.gotoAndPlay('all');	
}
function bikeOFF(){
	bikestopped.visible = true;
	bikeframe.visible = false;

	_bikemoving = false;
	
	backpedal.stop();
	bikeframe.stop();
	gearandchain.stop();
	frontpedal.stop();
}

function tick_5_gettingtothegame(){
	stage.update();
}



function end_5_gettingtothegame(){
	//**//**console.log('end_5_gettingtothegame');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

