function prep_7_gettingtothegame(transition){
	//**//**console.log('function: prep_7_gettingtothegame');
	world_current = worlds['7_gettingtothegame'];
	
	ticker_world = (function(){
		tick_7_gettingtothegame();
	});
	end_world = (function(){
		end_7_gettingtothegame();
	});
	narrDone = (function(){
		narrDone_7_gettingtothegame();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: When children relate what they are reading to their own lives, it helps them to understand and remember information. Together, see how many vehicles you can name. How many has your child used? Ask your child to recount a special trip he or she took in that vehicle. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg1 = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg1);

	bg = new createjs.Bitmap(images['7_bg']);
	world_current.addChild(bg);

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('7_gettingtothegame', ['vehicle']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_7_gettingtothegame);

}

//level specific functions:

//called once this level is fully slid into place
function begin_7_gettingtothegame(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('7_gettingtothegame');
	
}

function narrDone_7_gettingtothegame(){
	
}


function tick_7_gettingtothegame(){
	stage.update();
}



function end_7_gettingtothegame(){
	//**//**console.log('end_7_gettingtothegame');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

