function prep_8_gettingtothegame(transition){
	//**//**console.log('function: prep_8_gettingtothegame');
	world_current = worlds['8_gettingtothegame'];
	
	ticker_world = (function(){
		tick_8_gettingtothegame();
	});
	end_world = (function(){
		end_8_gettingtothegame();
	});
	narrDone = (function(){
		narrDone_8_gettingtothegame();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	streetbg = new createjs.Bitmap(images['8_bg']);
	streetbg.x = 0;
	streetbg.y = 0;
	world_current.addChild(streetbg);


	cartOutlined = new createjs.Bitmap(images['alice8_outlined']);
	cartOutlined.regX = cartOutlined.image.width/2;
	cartOutlined.regY = cartOutlined.image.height/2;
	cartOutlined.x = 323;
	cartOutlined.y = 250;
	

	//solarcar container is what should be moved and tweened. all child objects are positioned within solarcar and shouldn't move
	solarcar = new createjs.Container();
	solarcar.scaleX = solarcar.scaleY = 0.875;
	solarcar.x  = 115; solarcar.y = 90;
	solarcar.startX = solarcar.x;
	solarcar.rightX = 1100;
	solarcar.leftX = -500;

	solarcarshadow = new createjs.Bitmap(images['solarcarshadow']);
	solarcarshadow.x = 46; solarcarshadow.y = 312;

	
	carAlice = new createjs.Bitmap(images['solar_body_alice']);
		carAlice.x +=0.5; carAlice.y +=0.5; //fix of slight position diff between solarcar body imgs
	carAlice.visible = false;
	
	solarpanel = new createjs.Bitmap(images['solarpanel']);
	solarpanel.x = 14; solarpanel.y = 6;
	solarpanel.alpha = 0;

	wheel1 = new createjs.BitmapAnimation( spritesheets['solarcarwheel'] );	
	wheel1.x = 68; wheel1.y = 280;
	wheel1.gotoAndStop(0);

	wheel2 = wheel1.clone();
	wheel2.x = 333; wheel2.y= 290;
	
	wheel3 = wheel1.clone();
	wheel3.x = 152; wheel3.y= 266;

	wheel4 = wheel1.clone();
	wheel4.x = 400; wheel4.y= 274;
	
	wheels = [wheel1,wheel2,wheel3,wheel4];


	alicehead8 = new createjs.BitmapAnimation( spritesheets['alice_head'] );	
	alicehead8.x = 207; alicehead8.y = 76;
	alicehead8.gotoAndPlay('all');
	alicehead8.visible = false;

	hitarea  = new createjs.Shape();
	hitarea.graphics.beginFill('white').drawRect(-30,0,560,400);
	hitarea.alpha=.01;

	solarcar.addChild(solarcarshadow);
	solarcar.addChild(wheel3);
	solarcar.addChild(wheel4);

	
	solarcar.addChild(carAlice);
	solarcar.addChild(solarpanel);

	solarcar.addChild(wheel1);
	solarcar.addChild(wheel2);

	solarcar.addChild(alicehead8);
	solarcar.addChild(hitarea);
	//

	world_current.addChild(solarcar);
	world_current.addChild(cartOutlined);

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	//setNarrationText(910,23,26);
	setNarrationTextCustom(65, 492);

	//params: sndID, defintion words in array
	renderNarration('8_gettingtothegame', ['engine!','rotate.','automatically.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_8_gettingtothegame);

}

//level specific functions:
function startwheels8(){
	for(var i=0;i<wheels.length;i++){
		wheels[i].gotoAndPlay('all');
	}
}
function stopwheels8(){
	for(var i=0;i<wheels.length;i++){
		wheels[i].stop();
	}
}

function solarpanel_fade(){
	createjs.Tween.get(solarpanel, {loop:false})
     .to({alpha:1}, 300, createjs.Ease.linear)
     .call(function(){
		createjs.Tween.get(solarpanel, {loop:false})
	     .to({alpha:0}, 300, createjs.Ease.linear)
	     .call(function(){
	     	solarpanel_fade();
	     });
     });

}



function solarcarPressed(e){
	alicehead8.visible = true;
	carAlice.visible = true;
	
	cartOutlined.visible = false;

	alicehead8.gotoAndPlay('all');

	startwheels8();
	solarpanel_fade();
	
	solarcar.onPress = null;
	solarCarDrive();
}


function solarCarDrive(){
	if(!narrActive) playSound('solar_powered_cart');
	
	createjs.Tween.get(solarcar, {loop:false})	
		.to({x: solarcar.rightX}, 3000, createjs.Ease.circIn)
		.wait(400)
		.call(function(){
			solarcar.x = solarcar.leftX;
			solarcarReturn();
		});
}

function solarcarReturn(){

	createjs.Tween.get(solarcar, {loop:false})	
		.to({x: solarcar.startX}, 2000, createjs.Ease.linear)
		.call(function(){
			createjs.Tween.removeTweens(solarpanel);
			solarpanel.alpha = 0;
			alicehead8.stop();
			stopwheels8();

			//doPulse(solarcar);
			cartOutlined.visible = true;
		});

}
//called once this level is fully slid into place
function begin_8_gettingtothegame(){
	//**//**console.log("WORLD 1 BEGIN");
	
	
	playSound('8_gettingtothegame');
	
}

function narrDone_8_gettingtothegame(){
	doPulse(cartOutlined);
	addShadow(cartOutlined);
	cartOutlined.onPress = solarcarPressed;
}


function tick_8_gettingtothegame(){
	stage.update();
}



function end_8_gettingtothegame(){
	//**//**console.log('end_8_gettingtothegame');	
	createjs.Tween.removeTweens(solarcar);
	createjs.Tween.removeTweens(solarpanel);

	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

