function prep_9_gettingtothegame(transition){
	//**//**console.log('function: prep_9_gettingtothegame');
	world_current = worlds['9_gettingtothegame'];
	
	ticker_world = (function(){
		tick_9_gettingtothegame();
	});
	end_world = (function(){
		end_9_gettingtothegame();
	});
	narrDone = (function(){
		narrDone_9_gettingtothegame();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['9_bg']);
	world_current.addChild(bg);

	//** page assets:	

	aliceruns9 = new createjs.BitmapAnimation( spritesheets['aliceruns'] );
	//aliceruns9.gotoAndPlay('run');
	aliceruns9.gotoAndStop(0);
	aliceruns9.x = 845;
	aliceruns9.y = 50;
	aliceruns9.startX = aliceruns9.x;
	aliceruns9.rightX = 1550;
	aliceruns9.leftX = -100;
	aliceruns9.visible = false;
	world_current.addChild(aliceruns9);

	alice9_outlined = new createjs.Bitmap(images['alice9_outlined']);
	alice9_outlined.scaleX = alice9_outlined.scaleY = 1.33;
	alice9_outlined.x = 338; alice9_outlined.y = 55;
	world_current.addChild(alice9_outlined);

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('9_gettingtothegame');

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_9_gettingtothegame);

}

//level specific functions:
function doAliceRun9(e){
	alice9_outlined.visible = false;
	aliceruns9.visible = true;
	aliceruns9.gotoAndPlay('run');
	aliceRunRight();
}

function aliceRunRight(){

	createjs.Tween.get(aliceruns9, {loop:false})	
		.to({x: aliceruns9.rightX}, 1600, createjs.Ease.linear)
		.wait(400)
		.call(function(){
			aliceruns9.x = aliceruns9.leftX;
			aliceRunReturn();
		});
}

function aliceRunReturn(){

	createjs.Tween.get(aliceruns9, {loop:false})	
		.to({x: aliceruns9.startX}, 1600, createjs.Ease.linear)
		.call(function(){
			aliceruns9.gotoAndStop(0);
			alice9_outlined.visible = true;
			aliceruns9.visible = false;

			alice9_outlined.onPress = doAliceRun9;


		});

}
//called once this level is fully slid into place
function begin_9_gettingtothegame(){
	//**//**console.log("WORLD 1 BEGIN");
	createjs.Tween.removeTweens(aliceruns9);
	aliceruns9.gotoAndStop(0);
	aliceruns9.x=aliceruns9.startX;
	alice9_outlined.visible=true;
	removeShadow(alice9_outlined);
	alice9_outlined.onPress=null;
	playSound('9_gettingtothegame');
	
}

function narrDone_9_gettingtothegame(){
	doPulse(alice9_outlined);
	addShadow(alice9_outlined);
	alice9_outlined.onPress = doAliceRun9;
}

function tick_9_gettingtothegame(){
	stage.update();
}



function end_9_gettingtothegame(){
	//**//**console.log('end_9_gettingtothegame');	
	createjs.Tween.removeTweens(aliceruns9);
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

