function prep_4_inventor(transition){
	//**//**console.log('function: prep_4_inventor');
	world_current = worlds['4_inventor'];
	
	ticker_world = (function(){
		tick_4_inventor();
	});
	end_world = (function(){
		end_4_inventor();
	});
	narrDone = (function(){
		narrDone_4_inventor();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: When children relate to what they are reading, it helps them understand and remember information. Find out what improvement your child would like to make—at home, school, or play. How would an invention make things better? Discuss your child's ideas. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:

	bed4 = new createjs.Bitmap(images['4_bed']);
	bed4.x = -35;
	bed4.y = 150;
	world_current.addChild(bed4);

	martha4 = new createjs.BitmapAnimation(spritesheets['4_martha']);
	martha4.x=570; martha4.y=233;
	martha4.gotoAndStop(0);
	world_current.addChild(martha4);

	martha4_hit = new createjs.Bitmap(images['martha_hitarea']);	
	martha4_hit.x=710; martha4_hit.y =325;
	martha4_hit.scaleX = martha4_hit.scaleY = .84;
	martha4_hit.regX = martha4_hit.image.width/2; martha4_hit.regY = martha4_hit.image.height/2;
	world_current.addChild(martha4_hit);

	helen4 = new createjs.BitmapAnimation(spritesheets['4_helen']);
	helen4.x=0; helen4.y=40;
	helen4.gotoAndStop(0);
	world_current.addChild(helen4);

	headpost_pillow = new createjs.Bitmap(images['headpost_pillow']);
	headpost_pillow.x=-30; headpost_pillow.y=170;
	world_current.addChild(headpost_pillow);

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('4_inventor',['improvement.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_4_inventor);

}

//level specific functions:

//called once this level is fully slid into place
function begin_4_inventor(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('4_inventor');
	//helen4.gotoAndPlay('all');
	//martha4.gotoAndPlay('all');

}

function narrDone_4_inventor(){
	martha4.gotoAndStop(0);
	helen4.gotoAndStop(0);
	martha4_hit.visible=true;
	//addShadow(martha4_hit);
	doPulse(martha4_hit);
	martha4_hit.onPress = wakeup;
}

function wakeup(e){
	martha4_hit.onPress=null;
	martha4_hit.visible=false;
	helen4.gotoAndPlay('all');
	martha4.gotoAndPlay('all');
}


function tick_4_inventor(){
	stage.update();
}



function end_4_inventor(){
	//**//**console.log('end_4_inventor');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

