function prep_7_inventor(transition){
	//**//**console.log('function: prep_7_inventor');
	world_current = worlds['7_inventor'];
	
	ticker_world = (function(){
		tick_7_inventor();
	});
	end_world = (function(){
		end_7_inventor();
	});
	narrDone = (function(){
		narrDone_7_inventor();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['7_bg']);
	world_current.addChild(bg);

	//** page assets:

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	//providing custom linewidth and font size params for this page only:
	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('7_inventor',['produce']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_7_inventor);

}

//level specific functions:

//called once this level is fully slid into place
function begin_7_inventor(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('7_inventor');
}

function narrDone_7_inventor(){
	
}


function tick_7_inventor(){
	stage.update();
}



function end_7_inventor(){
	//**//**console.log('end_7_inventor');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

