function prep_9_inventor(transition){
	//**//**console.log('function: prep_9_inventor');
	world_current = worlds['9_inventor'];
	
	ticker_world = (function(){
		tick_9_inventor();
	});
	end_world = (function(){
		end_9_inventor();
	});
	narrDone = (function(){
		narrDone_9_inventor();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: Reinforce new words by using similar words. Praise your child when he or she succeeds in something, using words such as \"success\" and \"successful.\" Remind your child about what you learned in the story—inventors who succeeded in developing great things. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['9_martha_bg']);
	world_current.addChild(bg);

	//** page assets:
	//


	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('9_inventor',['succeed']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_9_inventor);

}

//level specific functions:

//called once this level is fully slid into place
function begin_9_inventor(){
	//**//**console.log("WORLD 1 BEGIN");	

	playSound('9_inventor');
	
}

function narrDone_9_inventor(){
	
}


function tick_9_inventor(){
	stage.update();
	
}



function end_9_inventor(){
	//**//**console.log('end_9_inventor');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

