//"Itchy Martha" Quiz vars

//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'itchy_quiz_end';
worlds[ quiz_end ] = new createjs.Container();

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)
*/

var quiz_words = ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9']; 
var quiz_content = [];

//txt questions
quiz_content['q1'] = ["What is a thought or a picture you have in your mind called?", 'an idea', 'a device', 'a helmet', 'easy'];
quiz_content['q2'] = ["Which invention would you use to protect your head?",'helmet', 'engine', 'cell phone', 'medium'];
quiz_content['q3'] = ["If you want to make something to solve a problem, you make...", 'an invention', 'an engine', 'a helmet', 'medium'];
quiz_content['q4'] = ["Which of these is an example of a gadget?", 'a cell phone', 'a sandwich', 'a book' ,'hard'];
quiz_content['q5'] = ["A printer, a dryer, and a computer are all examples of what?", 'machines', 'plans', 'wheels' ,'hard']
quiz_content['q6'] = ["What's another word for making a plan?",'devise', 'connect', 'report', 'hard'];
quiz_content['q7'] = ["Which of these is a contraption?", 'a pen', 'a newspaper', 'a sandwich' ,'hard']
quiz_content['q8'] = ["What's another word for gadget or contraption?",'device', 'an idea', 'a plan', 'hard'];
quiz_content['q9'] = ["When you want to make small changes to an original invention, this is called...", 'variation', 'a plan', 'an idea' ,'hard'];


//FOR FIRST question:
//pull a random quiz question... 
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
quiz_doCover();

//

//for quiz only: set narrDone to nothing:
function narrDone(){}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/itchy_quiz';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)
	
	//quiz sfx:

	//question-specific audio:
	makeSound('q_q1', 0.000000, 3.474961);
	makeSound('q_q2', 4.840064, 8.170604);
	makeSound('q_q3', 9.152993, 12.723140);
	makeSound('q_q4', 14.160783, 17.467361);
	makeSound('q_q5', 18.401829, 23.026247);
	makeSound('q_q6', 24.823301, 27.435019);
	makeSound('q_q7', 28.800780, 31.124969);
	makeSound('q_q8', 32.203201, 35.557701);
	makeSound('q_q9', 37.498519, 42.554230);

	//makeSound('q_q10', 33.4994,38.224661);
	makeSound('an idea', 43.680384, 44.998223);
	makeSound('a helmet', 46.076455, 47.154687);
	makeSound('an invention', 48.089155, 49.239269);
	makeSound('a cell phone', 50.269580, 51.563459);
	makeSound('machines', 52.569809, 53.815766);
	makeSound('a pen', 54.798155, 55.876388);
	makeSound('a device', 56.930659, 58.224538);
	makeSound('an engine', 58.751673, 60.213277);
	makeSound('a sandwich', 61.267548, 62.513506);
	makeSound('plans', 63.495895, 64.669970);
	makeSound('connect', 65.436713, 66.514945);
	makeSound('a newspaper', 67.185845, 68.623488);

makeSound('an idea',	69.270427, 70.492424);
makeSound('a plan',	71.283127, 72.313438);
makeSound('cell phone',	73.343749, 74.493863);
makeSound('a book',	75.140802, 76.219035);
makeSound('helmet',	77.321228,	78.375499);
makeSound('report',	79.286006,	80.388199);
makeSound('f_q1',	81.634156,	86.306496);
makeSound('f_q3',	87.768099,	95.890782);
makeSound('f_q4',	96.756487,	103.570802);
makeSound('f_q5',	104.3675,	111.249619);
makeSound('devise',	112.605701,	113.622763);
makeSound('f_q6',	114.233,	116.86041);
makeSound('f_q7',	117.623207,	122.996684);
makeSound('device',	124.488374,	125.505436);
makeSound('f_q8',	125.929212,	131.31964);
makeSound('f_q2',	132.557065,	137.388109);
makeSound('variation',	138.642486,	139.86296);
makeSound('f_q9',	140.015519,	144.032914);
makeSound('engine',	144.236326,	145.049975);
makeSound('quizmo',	145.338143,	146.567782);
makeSound('correct_1',	146.939534,	148.126278);
makeSound('correct_2',	148.283558,	149.488439);
makeSound('incorrect_1',	149.854987,	151.085991);
makeSound('incorrect_2',	151.815196,	153.124131);
makeSound('wheels',	153.364456,	154.336729);
makeSound('sfx_biscuits',	155.048,	155.862);
makeSound('sfx_splat',	156.272,	157.009);
makeSound('sfx_pie',	157.382,	158.068);
makeSound('sfx_lazer',	158.39,	160.408);
makeSound('sfx_wrong',	160.874,	162.001);
makeSound('empty', 0.2,0.3);


}