function prep_kibble0(transition){
	//**//**console.log('function: prep_kibble0');
	world_current = worlds['kibble0'];
	
	ticker_world = (function(){
		tick_kibble0();
	});
	end_world = (function(){
		end_kibble0();
	});
	narrDone = (function(){
		narrDone_kibble0();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//specific fix when transitioning from kibble_intro to kibble0
	btnNarration.visible = false;

	//teachertip:
	teachertipcontainer.onPage = false; teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);	
	world_current.addChild(bg);

	//** page assets:

	skits_pg1 = new createjs.Bitmap(images['skits_pg1']);
	skits_pg1.x = 640;
	skits_pg1.y = 283;
	world_current.addChild(skits_pg1);

	helen_pg1 = new createjs.Bitmap(images['helen_pg1']);
	helen_pg1.x = 95;
	helen_pg1.y = 50;
	world_current.addChild(helen_pg1);

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('kibble0', ['instructions', 'steps']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_kibble0);

}

//level specific functions:

//called once this level is fully slid into place
function begin_kibble0(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('kibble0');
	
}

function narrDone_kibble0(){
	
}


function tick_kibble0(){
	stage.update();
}



function end_kibble0(){
	//**//**console.log('end_kibble0');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

