function prep_kibble4(transition){
	//**//**console.log('function: prep_kibble4');
	world_current = worlds['kibble4'];
	
	ticker_world = (function(){
		tick_kibble4();
	});
	end_world = (function(){
		end_kibble4();
	});
	narrDone = (function(){
		narrDone_kibble4();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false; teachertiptext.text = '';
	

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	
	helen4 = new createjs.Bitmap(images['helen1']);
	helen4.regX  = helen4.image.width/2;
	helen4.regY  = helen4.image.height/2;
	helen4.x = canvas.width/2 + 150; helen4.y = 262;
	world_current.addChild(helen4);

	skitsbody4 = new createjs.Bitmap(images['skits2_btm']);
	skitsbody4.regX  = skitsbody4.image.width/2;
	skitsbody4.regY  = skitsbody4.image.height/2;
	skitsbody4.x = canvas.width/2 + 332; skitsbody4.y = 227;
	world_current.addChild(skitsbody4);

	table4 = new createjs.Bitmap(images['table']);
	table4.regX  = table4.image.width/2;
	table4.regY  = table4.image.height/2;
	table4.x = canvas.width/2; table4.y = 470;	
	world_current.addChild(table4);

	skitsarms4 = new createjs.Bitmap(images['skits2_top']);
	skitsarms4.regX  = skitsarms4.image.width/2;
	skitsarms4.regY  = skitsarms4.image.height/2;
	skitsarms4.x = canvas.width/2 + 330; skitsarms4.y = 227;
	world_current.addChild(skitsarms4);

	tube4_pre = new createjs.Bitmap(images['tube']);
	tube4_pre.regX  = tube4_pre.image.width/2;
	tube4_pre.regY  = tube4_pre.image.height/2;
	tube4_pre.x = 266; tube4_pre.y = 273;
	world_current.addChild(tube4_pre);

	tube4_post = new createjs.Bitmap(images['tube_slit']);
	tube4_post.regX  = tube4_post.image.width/2;
	tube4_post.regY  = tube4_post.image.height/2;
	tube4_post.x = tube4_pre.x; tube4_post.y = tube4_pre.y;
	tube4_post.visible = false;
	world_current.addChild(tube4_post);

	//dotted line for tube
	dotline4a = new createjs.Bitmap(images['dotted_line2']);
	dotline4a.regX  = dotline4a.image.width/2;
	dotline4a.regY  = dotline4a.image.height/2;
	dotline4a.x = 300; dotline4a.y = 282;
	world_current.addChild(dotline4a);


	cardboard4_pre = new createjs.Bitmap(images['cardboard']);
	cardboard4_pre.regX  = cardboard4_pre.image.width/2;
	cardboard4_pre.regY  = cardboard4_pre.image.height/2;	
	cardboard4_pre.x = 602; cardboard4_pre.y = 342;
	world_current.addChild(cardboard4_pre);


	cardboard4_post = new createjs.Bitmap(images['cardboard_split']);
	cardboard4_post.regX  = cardboard4_post.image.width/2;
	cardboard4_post.regY  = cardboard4_post.image.height/2;	
	cardboard4_post.x = cardboard4_pre.x; cardboard4_post.y = cardboard4_pre.y;
	cardboard4_post.visible = false;
	world_current.addChild(cardboard4_post);

	//dotted line for cardboard (hidden at first, made visible at setup_cardboard4() )
	dotline4b = new createjs.Bitmap(images['dotted_line1']);
	dotline4b.regX  = dotline4b.image.width/2;
	dotline4b.regY  = dotline4b.image.height/2;
	dotline4b.x = 602; dotline4b.y = 345;
	dotline4b.visible = false;
	world_current.addChild(dotline4b);

	//scissors go through two steps:
		//1- right of tube, scissors dragged thru tube
		//2 - moved to right of cardboard, scissors dragged thru cardboard
	scissors4 = new createjs.BitmapAnimation(spritesheets['scissors_animate']);
	scissors4.gotoAndStop(0);
	scissors4.regX = -64;
	scissors4.regY = 52;
	scissors4.x = dotline4a.x + dotline4a.image.width + 0.5*scissors4.regX; scissors4.y = dotline4a.y;
	//startX1 and startY1 are starting positions for tube cutting. startX2 and startY2 are starting positions for cardboard cutting
	scissors4.startX1 = scissors4.x;
	scissors4.startY1 = scissors4.y;
	scissors4.startX2 = 780;
	scissors4.startY2 = 345;
	world_current.addChild(scissors4);

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	bg_wordcloudSTEP = new createjs.Bitmap(images['bg_wordcloud_STEP']);
	bg_wordcloudSTEP.x = 43;
	bg_wordcloudSTEP.y = 430;
	world_current.addChild(bg_wordcloudSTEP);

	text_step = new createjs.Text("STEP 4", "28px Nunito", "black");
	text_step.x = 115; text_step.y = 472;
	text_step.textAlign = "center";
	text_step.textBaseline = "middle";
	world_current.addChild(text_step);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('kibble4', ['kibble', 'piece']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_kibble4);

}

//level specific functions:

//called once this level is fully slid into place
function begin_kibble4(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('kibble4');
	
}

function narrDone_kibble4(){
	drag_scissors4_tube(scissors4);
}


function drag_scissors4_tube(obj){
	addShadow(obj);
	doPulse(obj);

	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			//target.scaleX = target.scaleY = 0.8;
			scissors4.gotoAndPlay('cut');
			if(!narrActive) playSound('scissor_snip');
			// bump the target in front of it's siblings:
			world_current.addChild(target);
			
			evt.onMouseMove = function(ev) {
				if(ev.stageX <= target.startX1) target.x = ev.stageX;
				////**console.log("scissors at: " + target.x);

				if(target.x < 294){
					////**console.log("do the cut!");
					evt.onMouseMove = null;
					evt.onMouseUp = null;
					scissors4_switchToCardboard();
					
				}

			}			
			evt.onMouseUp = function(ev){
				if(!narrActive) stopSound();

				scissors4.gotoAndStop(0);
				if(target.x >= 294){
					target.x = target.startX1;
					target.y = target.startY1;						
				}

			}
		}	
			
	})(obj);			
}


function scissors4_switchToCardboard(){
	if(!narrActive) stopSound();

	tube4_post.visible = true;
	dotline4a.visible = false;

	scissors4.onPress = null;
	scissors4.gotoAndStop(0);
	
	//scissors4.x = scissors4.startX2; 
	//scissors4.y = scissors4.startY2;
	createjs.Tween.get(scissors4, {loop:false})
     .to({x:scissors4.startX2, y: scissors4.startY2 }, 1000, createjs.Ease.linear)
     .call(setup_cardboard4);

}


function setup_cardboard4(){
	
	dotline4b.visible = true;

	drag_scissors4_cardboard(scissors4);
}


function drag_scissors4_cardboard(obj){
	doPulse(obj); 
	//shadow already in place

	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			//target.scaleX = target.scaleY = 0.8;
			scissors4.gotoAndPlay('cut');
			if(!narrActive) playSound('scissor_snip');
			// bump the target in front of it's siblings:
			world_current.addChild(target);
			
			evt.onMouseMove = function(ev) {
				if(ev.stageX <= target.startX2) target.x = ev.stageX;
				////**console.log("scissors at: " + target.x);

				if(target.x < 490){
					////**console.log("do the cut!");
					evt.onMouseMove = null;
					evt.onMouseUp = null;
					scissors4_finish();
					
				}

			}			
			evt.onMouseUp = function(ev){
				if(!narrActive) stopSound();
				scissors4.gotoAndStop(0);
				if(target.x >= 504){
					target.x = target.startX2;
					target.y = target.startY2;						
				}

			}
		}	
			
	})(obj);			
}


function scissors4_finish(){
	if(!narrActive) stopSound();
	
	scissors4.visible = false;
	dotline4b.visible = false;
	cardboard4_pre.visible = false;
	cardboard4_post.visible = true;
}

function tick_kibble4(){
	stage.update();
}



function end_kibble4(){
	//**//**console.log('end_kibble4');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

