function prep_kibble6(transition){
	//**//**console.log('function: prep_kibble6');
	world_current = worlds['kibble6'];
	
	ticker_world = (function(){
		tick_kibble6();
	});
	end_world = (function(){
		end_kibble6();
	});
	narrDone = (function(){
		narrDone_kibble6();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false; teachertiptext.text = '';
	

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);	
	world_current.addChild(bg);

	//** page assets:

	skits6 = new createjs.Bitmap(images['skits3']);
	skits6.regX  = skits6.image.width/2;
	skits6.regY  = skits6.image.height/2;
	skits6.x = 884; skits6.y = 293;

	helen_btm6 = new createjs.Bitmap(images['helen2_btm']);
	helen_btm6.regX  = helen_btm6.image.width/2;
	helen_btm6.regY  = helen_btm6.image.height/2;
	helen_btm6.x = 188; helen_btm6.y = 185;	

	helen_top6 = new createjs.Bitmap(images['helen2_top']);
	helen_top6.regX  = helen_top6.image.width/2;
	helen_top6.regY  = helen_top6.image.height/2;
	helen_top6.x = helen_btm6.x; helen_top6.y = helen_btm6.y;

	table6 = new createjs.Bitmap(images['table']);
	table6.regX  = table6.image.width/2;
	table6.regY  = table6.image.height/2;
	table6.x = canvas.width/2; table6.y = 460;
	
	
	world_current.addChild(skits6);
	world_current.addChild(helen_btm6);
	world_current.addChild(table6);
	
	world_current.addChild(helen_top6);

	//parent container that holds bottle, cup, tapebunch.
	contraption6 = new createjs.Container();
	world_current.addChild(contraption6);

	bottle_cutoff6 = new createjs.Bitmap(images['bottle_cutoff']);
	bottle_cutoff6.regX  = bottle_cutoff6.image.width/2;
	bottle_cutoff6.regY  = bottle_cutoff6.image.height/2;
	bottle_cutoff6.scaleX = bottle_cutoff6.scaleY = 0.70;
	bottle_cutoff6.x = 387; bottle_cutoff6.y = 394;	
	contraption6.addChild(bottle_cutoff6);

	cupattached6 = new createjs.Bitmap(images['cup_openbtm']);
	cupattached6.regX  = cupattached6.image.width/2;
	cupattached6.regY  = cupattached6.image.height/2;
	cupattached6.scaleX = cupattached6.scaleY = 0.75;
	cupattached6.x = bottle_cutoff6.x; cupattached6.y = bottle_cutoff6.y - 116;
	contraption6.addChild(cupattached6);

	tapebunch6 = new createjs.Bitmap(images['tape1']);
	tapebunch6.regX  = tapebunch6.image.width/2;
	tapebunch6.regY  = tapebunch6.image.height/2;
	tapebunch6.scaleX = tapebunch6.scaleY = 0.75;
	tapebunch6.x = cupattached6.x; tapebunch6.y = cupattached6.y + 40;
	contraption6.addChild(tapebunch6);

	//hit region that accepts tubecardactive6 for drag-drop:
	hitregion6 = new createjs.Shape();
	hitregion6.graphics.beginFill("white").drawRect(284,70, 200, 400);
	hitregion6.alpha = 0.01;
	world_current.addChild(hitregion6);

	
	//to be dragged onto hitregion6
	tubecardactive6 = new createjs.Bitmap(images['tube_card_active']);
	tubecardactive6.regX  = tubecardactive6.image.width/2;
	tubecardactive6.regY  = tubecardactive6.image.height/2;
	tubecardactive6.x = canvas.width/2 + 94; tubecardactive6.y = 306;
	tubecardactive6.startX = tubecardactive6.x;
	tubecardactive6.startY = tubecardactive6.y;
	world_current.addChild(tubecardactive6);


	//finished result container. show this when done.
	finishedresult6 = new createjs.Container();
	finishedresult6.visible = false;
	world_current.addChild(finishedresult6);

	tubedone6 = new createjs.Bitmap(images['tube_card']);
	tubedone6.regX  = tubedone6.image.width/2;
	tubedone6.regY  = tubedone6.image.height/2;
	tubedone6.x = cupattached6.x + 9; tubedone6.y = cupattached6.y - 123;
	finishedresult6.addChild(tubedone6);

	cupattached6_front = new createjs.Bitmap(images['cup_openbtm_front']);
	cupattached6_front.regX  = cupattached6_front.image.width/2;
	cupattached6_front.regY  = cupattached6_front.image.height/2;
	cupattached6_front.scaleX = cupattached6_front.scaleY = 0.75;
	cupattached6_front.x = bottle_cutoff6.x; cupattached6_front.y = bottle_cutoff6.y - 116;
	finishedresult6.addChild(cupattached6_front);

	tapefinished6a = tapebunch6.clone();
	finishedresult6.addChild(tapefinished6a);

	tapefinished6b = new createjs.Bitmap(images['tape2']);
	tapefinished6b.regX  = tapefinished6b.image.width/2;
	tapefinished6b.regY  = tapefinished6b.image.height/2;
	tapefinished6b.scaleX = tapefinished6b.scaleY = 0.70;
	tapefinished6b.x = cupattached6_front.x; tapefinished6b.y = cupattached6_front.y - 25;
	finishedresult6.addChild(tapefinished6b);



	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	bg_wordcloudSTEP = new createjs.Bitmap(images['bg_wordcloud_STEP']);
	bg_wordcloudSTEP.x = 43;
	bg_wordcloudSTEP.y = 430;
	world_current.addChild(bg_wordcloudSTEP);

	text_step = new createjs.Text("STEP 6", "28px Nunito", "black");
	text_step.x = 115; text_step.y = 472;
	text_step.textAlign = "center";
	text_step.textBaseline = "middle";
	world_current.addChild(text_step);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('kibble6', ['connect']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_kibble6);

}

//level specific functions:

function dragTube6(obj){
	addShadow(obj);
	doPulse(obj);

	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			target.scaleX = target.scaleY = 1.02;

			evt.onMouseMove = function(ev) {
				target.x = ev.stageX;
				target.y = ev.stageY;
			}			
			evt.onMouseUp = function(ev){
				target.scaleX = target.scaleY = 1.0;

				////**console.log("tube at: " + target.x);				
				var pt = target.localToLocal(target.regX, target.regY,hitregion6);
				if (hitregion6.hitTest(pt.x, pt.y)) { 
					////**console.log("attach the tube!");
					tubeOn6();
				}
				else{
					target.x = target.startX;
					target.y = target.startY;
				}
			}
		}	
			
	})(obj);			
}

function tubeOn6(){

	if(!narrActive) playSound('sticky_tape');
	
	tubecardactive6.visible = false;
	finishedresult6.visible = true;	
}

//called once this level is fully slid into place
function begin_kibble6(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('kibble6');
	
}

function narrDone_kibble6(){
	dragTube6(tubecardactive6);
}


function tick_kibble6(){
	stage.update();
}



function end_kibble6(){
	//**//**console.log('end_kibble6');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

