function prep_kibble8(transition){
	//**//**console.log('function: prep_kibble8');
	world_current = worlds['kibble8'];
	
	ticker_world = (function(){
		tick_kibble8();
	});
	end_world = (function(){
		end_kibble8();
	});
	narrDone = (function(){
		narrDone_kibble8();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false; teachertiptext.text = '';
	

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);	
	world_current.addChild(bg);

	//** page assets:
	dad8 = new createjs.Bitmap(images['dad']);
	dad8.regX  = dad8.image.width/2;
	dad8.regY  = dad8.image.height/2;
	dad8.x = 205; dad8.y = 294;
	world_current.addChild(dad8);

	table8 = new createjs.Bitmap(images['table']);
	table8.regX  = table8.image.width/2;
	table8.regY  = table8.image.height/2;
	table8.x = canvas.width/2; table8.y = 494;
	world_current.addChild(table8);

	contraption8 = new createjs.Container();
	world_current.addChild(contraption8);

	//orig bottle - hide when cutting done
	bottleOrig8 = new createjs.Bitmap(images['bottle_cutoff']);
	bottleOrig8.regX  = bottleOrig8.image.width/2;
	bottleOrig8.regY  = bottleOrig8.image.height/2;
	bottleOrig8.scaleX = bottleOrig8.scaleY = 0.75;
	bottleOrig8.x = 387; bottleOrig8.y = 394;	
	contraption8.addChild(bottleOrig8);


	cupattached6 = new createjs.Bitmap(images['cup_openbtm']);
	cupattached6.regX  = cupattached6.image.width/2;
	cupattached6.regY  = cupattached6.image.height/2;
	cupattached6.scaleX = cupattached6.scaleY = 0.75;
	cupattached6.x = bottleOrig8.x; cupattached6.y = bottleOrig8.y - 116;
	contraption8.addChild(cupattached6);

	tapebunch6 = new createjs.Bitmap(images['tape1']);
	tapebunch6.regX  = tapebunch6.image.width/2;
	tapebunch6.regY  = tapebunch6.image.height/2;
	tapebunch6.scaleX = tapebunch6.scaleY = 0.68;
	tapebunch6.x = cupattached6.x; tapebunch6.y = cupattached6.y + 45;
	contraption8.addChild(tapebunch6);	

	tube8 = new createjs.Bitmap(images['tube']);
	tube8.regX  = tube8.image.width/2;
	tube8.regY  = tube8.image.height/2;
	tube8.scaleX = tube8.scaleY = 0.75;
	tube8.x = cupattached6.x; tube8.y = cupattached6.y - 123;
	contraption8.addChild(tube8);

	cupattached6_front = new createjs.Bitmap(images['cup_openbtm_front']);
	cupattached6_front.regX  = cupattached6_front.image.width/2;
	cupattached6_front.regY  = cupattached6_front.image.height/2;
	cupattached6_front.scaleX = cupattached6_front.scaleY = 0.75;
	cupattached6_front.x = bottleOrig8.x; cupattached6_front.y = bottleOrig8.y - 116;
	contraption8.addChild(cupattached6_front);

	tapefinished6a = tapebunch6.clone();
	contraption8.addChild(tapefinished6a);

	tapefinished6b = new createjs.Bitmap(images['tape2']);
	tapefinished6b.regX  = tapefinished6b.image.width/2;
	tapefinished6b.regY  = tapefinished6b.image.height/2;
	tapefinished6b.scaleX = tapefinished6b.scaleY = 0.70;
	tapefinished6b.x = cupattached6_front.x; tapefinished6b.y = cupattached6_front.y - 25;
	contraption8.addChild(tapefinished6b);

	contraption8.scaleX = contraption8.scaleY = 1.38;
	contraption8.x = -22;
	contraption8.y = -288;
	//

	//hidden image of bottle with cut door. show this when scissor cutting is all done.
	bottleCut8 = new createjs.Bitmap(images['bottle_door']);
	bottleCut8.regX  = bottleCut8.image.width/2;
	bottleCut8.regY  = bottleCut8.image.height/2;
	bottleCut8.scaleX = bottleCut8.scaleY = 1.03;
	bottleCut8.x = 581; bottleCut8.y = 292;
	bottleCut8.visible = false;
	world_current.addChild(bottleCut8);


	dotline8 = new createjs.Bitmap(images['dotted_line3']);
	dotline8.regX  = dotline8.image.width/2;
	dotline8.regY  = dotline8.image.height/2;
	dotline8.scaleX = dotline8.scaleY = 1.05;
	dotline8.x = canvas.width/2 + 45; dotline8.y = 360;
	world_current.addChild(dotline8);

	scissors8 = new createjs.BitmapAnimation(spritesheets['scissors_animate']);
	scissors8.gotoAndStop(0);
	scissors8.regX = -64;
	scissors8.regY = 52;
	scissors8.x = dotline8.x + 132;
	scissors8.y = dotline8.y - 52;

	scissors8.startX1 = scissors8.x;
	scissors8.startY1 = scissors8.y;
	scissors8.startX2 = scissors8.x - 240;
	scissors8.startY2 = scissors8.y - 10;
	scissors8.startX3 = 430;
	scissors8.startY3 = 412;
	world_current.addChild(scissors8);

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	bg_wordcloudSTEP = new createjs.Bitmap(images['bg_wordcloud_STEP']);
	bg_wordcloudSTEP.x = 43;
	bg_wordcloudSTEP.y = 430;
	world_current.addChild(bg_wordcloudSTEP);

	text_step = new createjs.Text("STEP 8", "28px Nunito", "black");
	text_step.x = 115; text_step.y = 472;
	text_step.textAlign = "center";
	text_step.textBaseline = "middle";
	world_current.addChild(text_step);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('kibble8', ['fertilize', 'compost']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_kibble8);

}

//level specific functions:

//called once this level is fully slid into place
function begin_kibble8(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('kibble8');
	
}

function narrDone_kibble8(){
	drag_scissors8_cut1(scissors8);
}

function drag_scissors8_cut1(obj){
	addShadow(obj);
	doPulse(obj);

	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			//target.scaleX = target.scaleY = 0.8;
			scissors8.gotoAndPlay('cut');
			if(!narrActive) playSound('scissor_snip');
			// bump the target in front of it's siblings:
			world_current.addChild(target);
			
			evt.onMouseMove = function(ev) {
				if(ev.stageX <= target.startX1) target.x = ev.stageX;

				////**console.log("scissors at: " + target.x);

				if(target.x < 466){
					////**console.log("do the cut!");
					if(!narrActive) stopSound();
					evt.onMouseMove = null;
					evt.onMouseUp = null;
					switchTo_cut2();

				}

			}			
			evt.onMouseUp = function(ev){
				if(!narrActive) stopSound();
				scissors8.gotoAndStop(0);
				if(target.x >= 466){
					target.x = target.startX1;
					target.y = target.startY1;						
				}

			}
		}	
			
	})(obj);			
}

function drag_scissors8_cut2(obj){
	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			//target.scaleX = target.scaleY = 0.8;
			scissors8.gotoAndPlay('cut');
			if(!narrActive) playSound('scissor_snip');
			// bump the target in front of it's siblings:
			world_current.addChild(target);
			
			evt.onMouseMove = function(ev) {
				if(ev.stageY >= target.startY2) target.y = ev.stageY;
				////**console.log("scissors at: " + target.y);

				if(target.y > 409){
					////**console.log("do the cut!");
					if(!narrActive) stopSound();
					evt.onMouseMove = null;
					evt.onMouseUp = null;
					switchTo_cut3();

				}

			}			
			evt.onMouseUp = function(ev){
				if(!narrActive) stopSound();
				scissors8.gotoAndStop(0);
				if(target.y <= 409){
					target.x = target.startX2;
					target.y = target.startY2;						
				}

			}
		}	
			
	})(obj);			
}



function drag_scissors8_cut3(obj){
	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			//target.scaleX = target.scaleY = 0.8;
			scissors8.gotoAndPlay('cut');
			if(!narrActive) playSound('scissor_snip');
			// bump the target in front of it's siblings:
			world_current.addChild(target);
			
			evt.onMouseMove = function(ev) {
				if(ev.stageX >= target.startX3) target.x = ev.stageX;
				////**console.log("scissors at: " + target.x);

				if(target.x > 650){
					////**console.log("do the cut!");
					if(!narrActive) stopSound();
					evt.onMouseMove = null;
					evt.onMouseUp = null;
					finishStep8();

				}

			}			
			evt.onMouseUp = function(ev){
				if(!narrActive) stopSound();
				scissors8.gotoAndStop(0);
				if(target.x <= 650){
					target.x = target.startX3;
					target.y = target.startY3;						
				}

			}
		}	
			
	})(obj);			
}

function switchTo_cut2(){

	scissors8.onPress = null;
	scissors8.gotoAndStop(0);

	scissors8.rotation = -90;

	scissors8.x = scissors8.startX2; 
	scissors8.y = scissors8.startY2;

	drag_scissors8_cut2(scissors8);

}

function switchTo_cut3(){

	scissors8.onPress = null;
	scissors8.gotoAndStop(0);

	scissors8.rotation = 180;

	scissors8.x = scissors8.startX3; 
	scissors8.y = scissors8.startY3;

	drag_scissors8_cut3(scissors8);
}

function finishStep8(){
	if(!narrActive) stopSound();
	
	scissors8.onPress = null;
	scissors8.gotoAndStop(0);
	scissors8.visible = false;

	dotline8.visible = false;
	
	bottleOrig8.visible = false;
	bottleCut8.visible = true;

	world_current.addChild(bottleCut8);
	world_current.addChild(contraption8);
}


function tick_kibble8(){
	stage.update();
}



function end_kibble8(){
	//**//**console.log('end_kibble8');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

