//"Paws and Effect" Quiz vars

//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'paws_quiz_end';
worlds[ quiz_end ] = new createjs.Container();

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)
*/


//testing quiz_words as 2D array: [0] holds  words being tested, [1] holds type: txt or img
var quiz_words = ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9']; 
var quiz_content = [];

//txt questions
quiz_content['q1'] = ["What is another word for hurt?", 'injured', 'careful', 'empty ', 'easy'];
quiz_content['q2'] = ["What's another word for garbage?",'trash', 'recycle', 'compost', 'medium'];
quiz_content['q3'] = ["When something means a lot to someone, that means it's very...", 'important', 'thoughtless', 'careful', 'medium'];
quiz_content['q4'] = ["When someone does something without thinking about anyone else, what is this called?", 'thoughtless', 'quiet', 'careful' ,'hard'];
quiz_content['q5'] = ["When someone throws their garbage on the ground, that's an example of...", 'littering', 'recycling', 'composting' ,'hard']
quiz_content['q6'] = ["What's another word for thoughtless?",'careless', 'careful', 'quiet', 'hard'];
quiz_content['q7'] = ["When you decide to reuse old material that you could have thrown away, you are...", 'recycling', 'littering', 'thinking' ,'hard']
quiz_content['q8'] = ["What is the trash that's usually broken stuff lying around called?",'debris', 'garbage', 'recycling', 'hard'];
quiz_content['q9'] = ["What's another word for throwing something away?", 'discard', 'recycling', 'repurpose' ,'hard']

//FOR FIRST question:
//pull a random quiz question... 
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
quiz_doCover();

//for quiz only: set narrDone to nothing:
function narrDone(){}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/paws_quiz';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)
	
	//quiz sfx:

	//question-specific audio:
	makeSound('q_q1', 0.409532, 2.836390);
	makeSound('q_q2', 3.655455, 5.778956);
	makeSound('q_q3', 6.946881, 10.678176);
	makeSound('q_q4', 12.088787, 16.805993);
	makeSound('q_q5', 18.307611, 22.782131);
	makeSound('q_q6', 24.025896, 26.422418);
	makeSound('q_q7', 27.969540, 32.914263);
	makeSound('q_q8', 34.522057, 38.192680);
	makeSound('q_q9', 39.739802, 41.999814);

	makeSound('littering', 43.683446, 44.548015);
	makeSound('careful', 45.700772, 46.565341);
	makeSound('quiet', 47.687762, 48.506827);
	makeSound('empty ', 49.629249, 50.357306);
	makeSound('recycle', 50.660664, 51.555568);
	makeSound('injured', 55.559883, 56.469955);
	makeSound('f_q1', 56.742977, 58.502449);
	makeSound('trash', 59.701764, 60.556827);
	makeSound('f_q2', 61.213394, 66.435390);
	makeSound('important', 67.137763, 68.053903);
	makeSound('f_q3', 68.359283, 72.161262);
	makeSound('thoughtless', 73.611817, 74.451611);
	makeSound('f_q4', 74.940219, 82.147184);
	makeSound('f_q5', 83.291815, 87.821021);
	makeSound('careless', 89.231057, 90.171081);
	makeSound('f_q6', 90.626850, 98.574325);
	makeSound('f_q7', 99.400406, 103.331415);
	makeSound('debris', 104.727208, 105.667232);
	makeSound('f_q8', 106.151487, 109.954311);
	makeSound('discard', 111.022520, 112.076486);
	makeSound('f_q9', 112.802868, 115.295356);
	makeSound('discarding', 115.779611, 116.819334);

	makeSound('empty', 0.2,0.3);
	makeSound('quizmo',	117.426129,	118.655768);
	makeSound('correct_1',	119.027519,	120.214264);
	makeSound('correct_2',	120.371543,	121.576425);
	makeSound('incorrect_1',	121.942973,	123.173977);
	makeSound('incorrect_2',	123.903182,	125.212116);
	makeSound('compost',	125.970852,	126.926268);
	makeSound('thinking',	127.380792,	128.14091);
	makeSound('composting',	128.985206,	130.01605);
	makeSound('recycling',	130.541002,	131.436879);
	makeSound('garbage',	131.999561,	132.627246);
	makeSound('repurpose',	132.971933,	134.083245);
	makeSound('sfx_biscuits',	134.747,	135.561);
	makeSound('sfx_splat',	135.938,	136.643);
	makeSound('sfx_pie',	136.995,	137.737);
	makeSound('sfx_lazer',	138.028,	140.131);
	makeSound('sfx_wrong',	140.617,	141.675);

}