var pagenames = false; //CRUCIAL - pagenames must be FALSE for quizzes (it's an array for storybooks)

//box2d physics vars(can be modified in js per level):
var doPhysics  = true; //set false whenver you want physics ticker to not execute (such as false at page creation, true on narration done)
var frameRate, gravitationalConstant, gravityX, gravityY, pixelsPerMeter, forceMultiplier;
pixelsPerMeter = 30;
gravityX = 0;
gravityY = 0;
frameRate = FPS;
gravitationalConstant = 1.5;
forceMultiplier = 5;
var allowWin = false;
var machineOffsetX = 0;

//for quiz: currentMech will equal the randomly pulled mechanic name in quizMechs[]
var currentMech;
//quizMechs is array. each question mech (.js file) should have its name listed in quizMechs[]
var quizMechs = ['quizmoalphabet','quizmolazer2','quizmoburger','quizmopie', 'quizmosplat', 'quizmolazer', 'quizmobiscuit'];

var questionOutcome = {}; //will hold final outcome of each quiz question (right/wrong)
var quiz_finalchoice = {}; //will equal word player has chosen for the round (to play proper final audio)


//bitmap and spritesheets resources gathered and created here for all quizmos.
//on quizmo's html page: be sure to include this js file BEFORE quiz's main js file

function make_storymanifest(){
	////**console.log("QA mainifest");

	//image assets:
	//for preloader, each storybook's image assets should be defined here
	//id is used within images array to reference images:  images['i_pops']
	story_manifest = [
		
		//overwriting topright of frame with 2-btn sized img
		{src:imgPath+"img/rtlstorybook/frame_topright2.png",id:"rightborder"},

		//quiz_cover img for cover page:
		{src:imgPath+"img/quiz/quizmo-splash.jpg", id:"quiz_cover"},
		//universal quiz stuff:		
		{src:imgPath+"img/quiz/quiz_wordcloud.png", id:"quiz_wordcloud"},
		{src:imgPath+"img/quiz/quiz_questioncloud.png", id:"quiz_questioncloud"},
		{src:imgPath+"img/quiz/dogs.png", id:"quiz_dogs"},
		{src:imgPath+"img/quiz/arrowIndex.png", id:"arrowIndex"},

		{src:imgPath+"img/quiz/quizmo-bg.jpg", id:"quizmo_bg"},
		{src:imgPath+"img/quiz/text_box.png", id:"quizmo_text_box"},
		{src:imgPath+"img/quiz/machine.png", id:"quizmo_machine"},
		{src:imgPath+"img/quiz/quizmo-end.jpg", id:"quizmo_end"},
		{src:imgPath+"img/quiz/quizmo-redx.png", id:"quizmo_redx"},
		{src:imgPath+"img/quiz/btn_stories_states.png", id:"btn_stories"},

		{src:imgPath+"img/quiz/splat_appendage/splat_0.png", id:"quizmo_splat_0"},
		{src:imgPath+"img/quiz/splat_appendage/splat_1.png", id:"quizmo_splat_1"},
		{src:imgPath+"img/quiz/splat_appendage/splat_2.png", id:"quizmo_splat_2"},
		{src:imgPath+"img/quiz/splat_appendage/splat_3.png", id:"quizmo_splat_3"},
		{src:imgPath+"img/quiz/splat_appendage/splat_4.png", id:"quizmo_splat_4"},

		{src:imgPath+"img/quiz/lazer_appendage/lazer_0.png", id:"quizmo_lazer_0"},
		{src:imgPath+"img/quiz/lazer_appendage/lazer_1.png", id:"quizmo_lazer_1"},

		{src:imgPath+"img/quiz/pie_appendage/pie.png", id:"quizmo_pie"},
		{src:imgPath+"img/quiz/pie_appendage/appendage_pie.png", id:"quizmo_pie_appendage"},
		{src:imgPath+"img/quiz/pie_appendage/pie_splat_full.png", id:"quizmo_pie_splat"},
		{src:imgPath+"img/quiz/pie_appendage/pie_remains.png", id:"quizmo_pie_remains"},


		{src:imgPath+"img/quiz/burger_appendage/burger_appendage.png", id:"quizmo_burger_appendage"},
		{src:imgPath+"img/quiz/burger_appendage/burger.png", id:"quizmo_burger"},
		{src:imgPath+"img/quiz/burger_appendage/burger_splat.png", id:"quizmo_burger_splat1"},
		{src:imgPath+"img/quiz/burger_appendage/burger_splat2.png", id:"quizmo_burger_splat2"},

		{src:imgPath+"img/quiz/lazer2_appendage/lazer2_0.png", id:"quizmo_lazer2_0"},
		{src:imgPath+"img/quiz/lazer2_appendage/lazer2_1.png", id:"quizmo_lazer2_1"},

		{src:imgPath+"img/quiz/alphabet_appendage/alphabet_appendage.png", id:"quizmo_alphabet_appendage"},
		{src:imgPath+"img/quiz/alphabet_appendage/alphabet_splat.png", id:"quizmo_alphabet_splat"},


		{src:imgPath+"img/quiz/wrong_answer_poof/sheet_0.png", id:"quizmo_wrong_answer_poof_0"},
		{src:imgPath+"img/quiz/wrong_answer_poof/sheet_1.png", id:"quizmo_wrong_answer_poof_1"},

		//USES IMG ASSETS FROM THE "HOW TO BE AN INVENTOR" STORY
		{src:imgPath+"img/inventor_story/6/foodbit1.png", id:"foodbit1"},
		{src:imgPath+"img/inventor_story/6/foodbit2.png", id:"foodbit2"},
		{src:imgPath+"img/inventor_story/6/foodbit3.png", id:"foodbit3"},
		{src:imgPath+"img/inventor_story/6/foodbit4.png", id:"foodbit4"},
		{src:imgPath+"img/inventor_story/6/foodbit5.png", id:"foodbit5"},
		{src:imgPath+"img/inventor_story/6/foodbit6.png", id:"foodbit6"},
		{src:imgPath+"img/inventor_story/6/foodbit7.png", id:"foodbit7"},	
	];

}

//each storybook should have its spritesheets created in this function
function story_spritesheets(){

	spritesheets["moreStoriesButton"]  = new createjs.SpriteSheet({
        images: [images['btn_stories']],
        frames: {width:265, height:118},
        animations: {
            off:[0],
            on:[1]
        }
     });

	spritesheets["splat_appendage"] = new createjs.SpriteSheet({
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 19, 19, 19, 0], "frequency":2, "next":false}},
	    "images": [images['quizmo_splat_0'], images['quizmo_splat_1'], images['quizmo_splat_2'], images['quizmo_splat_3'], images['quizmo_splat_4']],
	    "frames": [
	        [2, 2, 1020, 1020, 0, -2, -43],
	        [1026, 2, 1020, 1020, 0, -2, -43],
	        [2, 1026, 1020, 1020, 0, -2, -43],
	        [1026, 1026, 1020, 1020, 0, -2, -43],
	        [2, 2, 1020, 1020, 1, -2, -43],
	        [1026, 2, 1020, 1020, 1, -2, -43],
	        [2, 1026, 1020, 1020, 1, -2, -43],
	        [1026, 1026, 1020, 1020, 1, -2, -43],
	        [2, 2, 1020, 1020, 2, -2, -43],
	        [1026, 2, 1020, 1020, 2, -2, -43],
	        [2, 1026, 1020, 1020, 2, -2, -43],
	        [1026, 1026, 1020, 1020, 2, -2, -43],
	        [2, 2, 1020, 1020, 3, -2, -43],
	        [1026, 2, 1020, 1020, 3, -2, -43],
	        [2, 1026, 1020, 1020, 3, -2, -43],
	        [1026, 1026, 1020, 1020, 3, -2, -43],
	        [2, 2, 1020, 1020, 4, -2, -43],
	        [1026, 2, 1020, 1020, 4, -2, -43],
	        [2, 1026, 1020, 1020, 4, -2, -43],
	        [1026, 1026, 1020, 1020, 4, -2, -43]
	    ]
	});

	spritesheets["lazer_appendage"] = new createjs.SpriteSheet({
    "images": [images['quizmo_lazer_0'], images['quizmo_lazer_1']],
    "frames": [
        [707, 718, 64, 225, 1, -187, -270],
        [239, 718, 211, 293, 1, -118, -202],
        [211, 401, 209, 312, 1, -114, -183],
        [424, 401, 218, 300, 1, -95, -195],
        [2, 718, 233, 298, 1, -95, -197],
        [871, 2, 107, 302, 1, -171, -193],
        [121, 2, 95, 360, 1, -172, -135],
        [2, 2, 115, 395, 1, -167, -100],
        [516, 500, 128, 451, 0, -165, -44],
        [260, 2, 103, 481, 0, -165, -14],
        [2, 2, 97, 494, 0, -171, -1],
        [367, 2, 148, 478, 0, -150, -17],
        [103, 2, 153, 491, 0, -145, -4],
        [648, 500, 94, 435, 0, -157, -60],
        [519, 2, 153, 475, 0, -145, -20],
        [941, 2, 64, 274, 0, -187, -221],
        [454, 718, 72, 254, 1, -187, -241],
        [770, 401, 123, 299, 1, -175, -196],
        [220, 2, 173, 342, 1, -172, -150],
        [248, 500, 264, 473, 0, -151, -22],
        [676, 2, 261, 475, 0, -142, -20],
        [2, 500, 242, 475, 0, -92, -20],
        [530, 718, 173, 251, 1, -127, -244],
        [648, 2, 219, 318, 1, -98, -177],
        [897, 401, 121, 299, 1, -127, -195],
        [2, 401, 205, 313, 1, -42, -181],
        [397, 2, 247, 327, 1, 0, -167],
        [746, 500, 242, 396, 0, -4, -98],
        [646, 401, 120, 299, 1, -127, -195]
    ],
    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 20, 21, 22, 23, 24, 25, 26, 27, 26, 25, 28, 24,0], "frequency":3, "next": false}}
	});

	spritesheets['pie_appendage'] = new createjs.SpriteSheet({
		"images": [images['quizmo_pie_appendage']], 
		"frames": [[1070, 2, 173, 175, 0, 0, -31], [1247, 2, 179, 167, 0, 0, -38], [893, 2, 173, 176, 0, 0, -31], [179, 2, 179, 182, 0, 0, -24], [716, 2, 173, 176, 0, -2, -29], [539, 2, 173, 176, 0, -2, -29], [362, 2, 173, 176, 0, -2, -29], [2, 2, 173, 187, 0, -2, -18], [1430, 2, 0, 0, 0, 0, 0]], 
		"animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7], "next":false}}
	});

	spritesheets['burger_appendage'] = new createjs.SpriteSheet({
		"images": [images['quizmo_burger_appendage']], 		
		"frames": [[808, 0, 202, 161, 0, -1, -101], [404, 261, 198, 152, 0, -3, -110], [602, 261, 202, 144, 0, -1, -118], [804, 261, 202, 136, 0, -1, -126], [0, 421, 202, 132, 0, -1, -130], [606, 0, 202, 166, 0, -1, -96], [0, 261, 202, 160, 0, -1, -102], [202, 261, 202, 155, 0, -1, -107], [404, 0, 202, 182, 0, -1, -80], [202, 0, 202, 221, 0, -1, -41], [0, 0, 202, 261, 0, -1, -1]], 
		"animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10], "frequency": 3,"next":false}}
	});


	spritesheets['lazer2_appendage'] = new createjs.SpriteSheet({
		"images": [images['quizmo_lazer2_0'],images['quizmo_lazer2_1']],
	    "frames": [[930, 0, 62, 209, 0, -260, -334], [860, 543, 72, 207, 0, -250, -336], [0, 0, 319, 543, 0, -3, 0], [133, 543, 158, 361, 0, -164, -182], [94, 0, 103, 187, 1, -219, -356], [319, 0, 246, 543, 0, -248, 0], [565, 0, 205, 531, 0, -271, -12], [0, 0, 94, 193, 1, -271, -350], [291, 543, 569, 305, 0, -271, -238], [197, 0, 108, 186, 1, -271, -357], [0, 543, 133, 408, 0, -271, -135], [770, 0, 160, 455, 0, -271, -88]],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,0], "frequency": 3,"next": false}}
	});

	spritesheets['alphabet_appendage'] = new createjs.SpriteSheet({
		"images": [images['quizmo_alphabet_appendage']], 		
		"frames": [[796, 0, 203, 162, 0, 0, -354], [586, 516, 193, 150, 0, -5, -366], [399, 516, 187, 156, 0, -8, -360], [0, 516, 199, 160, 0, -2, -356], [600, 0, 196, 381, 0, -2, -135], [200, 0, 200, 515, 0, 0, -1], [400, 0, 200, 515, 0, 0, -1], [0, 0, 200, 516, 0, 0, 0], [199, 516, 200, 159, 0, 0, -357]],
		"animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 8], "frequency":4, "next":false}}
	});

	spritesheets["wrong_answer_poof"] = new createjs.SpriteSheet({
		"animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19],"frequency":2, "next":false}},
		"images": [images['quizmo_wrong_answer_poof_0'], images['quizmo_wrong_answer_poof_1']],
	    "frames": [
	        [2, 2, 508, 508, 0, -56, -21],
	        [514, 2, 508, 508, 0, -56, -21],
	        [1026, 2, 508, 508, 0, -56, -21],
	        [1538, 2, 508, 508, 0, -56, -21],
	        [2, 514, 508, 508, 0, -56, -21],
	        [514, 514, 508, 508, 0, -56, -21],
	        [1026, 514, 508, 508, 0, -56, -21],
	        [1538, 514, 508, 508, 0, -56, -21],
	        [2, 1026, 508, 508, 0, -56, -21],
	        [514, 1026, 508, 508, 0, -56, -21],
	        [1026, 1026, 508, 508, 0, -56, -21],
	        [1538, 1026, 508, 508, 0, -56, -21],
	        [2, 1538, 508, 508, 0, -56, -21],
	        [514, 1538, 508, 508, 0, -56, -21],
	        [1026, 1538, 508, 508, 0, -56, -21],
	        [1538, 1538, 508, 508, 0, -56, -21],
	        [2, 2, 508, 508, 1, -56, -21],
	        [514, 2, 508, 508, 1, -56, -21],
	        [1026, 2, 508, 508, 1, -56, -21],
	        [1538, 2, 508, 508, 1, -56, -21]
	    ]
    });

}