function prep_4_town(transition){
	//**//**console.log('function: prep_4_town');
	world_current = worlds['4_town'];
	
	ticker_world = (function(){
		tick_4_town();
	});
	end_world = (function(){
		end_4_town();
	});
	narrDone = (function(){
		narrDone_4_town();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	//teachertipcontainer.onPage = true;
	//teachertiptext.text = "Parent tip: ';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['4_bg']);
	world_current.addChild(bg);

	//** page assets:
	fallers = [];
	canContainer = new createjs.Container();
	world_current.addChild(canContainer);

	makeCans4();

	timerCount = 0;
	
	winTimer4 = false;
	canGameActive = false;

	
/*
	timerTxt = new createjs.Text("0:00", "48px Nunito", "white");
	timerTxt.x = 700;
	timerTxt.y = 50;
	addShadow(timerTxt);
	timerTxt.visible = false;
	world_current.addChild(timerTxt);*/


	/*bestTimeTxt = new createjs.Text('', "24px Nunito", "white");
			var min = parseInt(bestTime/60);
			var sec = bestTime - (60*min);
			if(sec<10) sec = '0' + String(sec);
			bestTimeTxt.text = "Best: " + min + ":" + sec;	
	bestTimeTxt.x = 700;
	bestTimeTxt.y = 100;
	addShadow(bestTimeTxt);
	bestTimeTxt.visible = false;
	world_current.addChild(bestTimeTxt);*/

	hitCan = new createjs.Bitmap(images['4_can_on']);
	world_current.addChild(hitCan);
	hitCan.regX = hitCan.image.width/2;
	hitCan.x=canvas.width/2;
	hitCan.y=-10;

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText(910, 24);

	//params: sndID, defintion words in array
	renderNarration('4_town', ['landfill', 'consequences!']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_4_town);

}

//level specific functions:
function makeCans4(){
	for (var i=0;i<24;i++){
		makeFallingCan4('3_soupcan_clean', randomNum(0.3,0.8));
	}

}
function makeFallingCan4(tag, scaleF){
	fallers.push(new createjs.Bitmap(images[tag]));
	var obj = fallers[fallers.length-1];

	obj.regX = obj.image.width/2;
	obj.regY = obj.image.height/2;
	

	if(scaleF) obj.scaleX = obj.scaleY = scaleF;

	obj.speed = randomInt(2,7);
	obj.rotation = randomInt(0,360);
	obj.x = randomInt(100, canvas.width - 100);
	obj.y = randomInt(-130, -100);

	//uncomment to enable tapping for game-actions right away
	//obj.onPress = destroyCan4;

	canContainer.addChild(obj);
}

function destroyCan4(e){
	//if game hasn't been initiated yet, do so as the tapped can is destroyed
	if(!canGameActive){
		canGameActive = true;
		//show Timer
		//timerTxt.visible = true;
		//bestTimeTxt.visible = true;
		//start Timer
		//do_timer4();
			//return;
	}

	e.target.onPress = null;
	e.target.speed = 0;

	createjs.Tween.get(e.target, {loop:false})
		.to({
			alpha:0,
			scaleX:e.target.scaleX+.2,
			scaleY:e.target.scaleY+.2,
			rotation:randomInt(0,360)
		}, 500, createjs.Ease.linear)
		.call(function(){
			//fallers.remove(i);
		});
	
}

function resetFaller4(obj){
	obj.speed = randomInt(2,7);
	obj.rotation = randomInt(0,360);
	obj.x = randomInt(100, canvas.width - 100);
	obj.y = randomInt(-130, -100);

}

//resursive timer fires every  1 second. stops in two cases:
//canGameActive== false --> timer stops, recursive call ends
//winTimer4 == true --> timer stops and win outcome executed
function do_timer4(){
	if(!canGameActive) return;

	/*if(winTimer4){
		//doPulse(timerTxt);
		
		if( (timerCount < bestTime) || (bestTime == 0)){
			//save new best time
			bestTime = timerCount;
			localStorage.soupcanscore = JSON.stringify(bestTime);

			var min = parseInt(timerCount/60);
			var sec = timerCount - (60*min);
			if(sec<10) sec = '0' + String(sec);
		
			bestTimeTxt.text = "NEW Best: " + min + ":" + sec;
			doPulse(bestTimeTxt);
		}
		return;	
	} 

	setTimeout(function(){
		timerCount++;
		var min = parseInt(timerCount/60);
		var sec = timerCount - (60*min);
		if(sec<10) sec = '0' + String(sec);

		timerTxt.text = min + ":" + sec;	
		do_timer4();
	}, 1000);*/
}
//called once this level is fully slid into place
function begin_4_town(){
	//**//**console.log("WORLD 1 BEGIN");
	playSound('4_town');
	
	
}


function narrDone_4_town(){

	//allow game init & tap-to-destroy for already falling cans.
	pauseGame();
	hitCan.visible=true;
	addShadow(hitCan);
	doPulse(hitCan);
	hitCan.onPress = startGame;
	for(var i=0;i<fallers.length;i++){
		fallers[i].onPress = destroyCan4;		
	}	
}

function pauseGame(){
	canGameActive=false;
	for (var i=0; i<fallers.length;i++){
		var obj = fallers[i];
		resetFaller4(obj);
		obj.onPress = null;
	}
	while(fallers.length<24) makeFallingCan4('4_can', randomNum(0.5,1.0));	
}

function startGame (e) {
	hitCan.visible=false;
	canGameActive=true;
}


function tick_4_town(){
	stage.update();

	if(canGameActive)
	{
		//for each faller. have it fall
		for (var i=0; i<fallers.length;i++){
			var obj = fallers[i];
			obj.y += obj.speed;
			//obj.rotation += obj.speed;

			//if object was clicked, its speed was turned to 0. remove it from array and start new tick
			if(obj.speed == 0){
				fallers.remove(i);
				return;
			}

			if(obj.y > 540){			
				resetFaller4(obj);
			}
		}

		//lastly check for win: no objs left
		if(fallers.length==0){
			//**console.log('all objs gone. win!');
			//winTimer4 = true;

			
		}
	}		
}



function end_4_town(){
	//**//**console.log('end_4_town');	
	canGameActive = false;

	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

