function prep_5_lake(transition){
	//**//**console.log('function: prep_5_lake');
	world_current = worlds['5_lake'];
	
	ticker_world = (function(){
		tick_5_lake();
	});
	end_world = (function(){
		end_5_lake();
	});
	narrDone = (function(){
		narrDone_5_lake();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: What does your child think could happen to fish and turtles? Discuss the possibilities. Talk about other creatures that live in water. If you can, explore a local waterway or aquarium to learn more about the effect of pollution on the environment. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['5_fishcans']);
	world_current.addChild(bg);


	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('5_lake', ['pollute', 'environment.']);

	setDefinitionText();
	//********

	//**//**console.log("BEGINNING TRANSIRTION 5");
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_5_lake);

}

//level specific functions:

//called once this level is fully slid into place
function begin_5_lake(){
  playSound('5_lake');

  
}

function narrDone_5_lake(){
  
}

function tick_5_lake(){
	stage.update(); //canvas ticker

//	this.world.tick(); //box2d physics ticker
}



function end_5_lake(){
	//**//**console.log('end_5_lake');	

  stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page	
  
	createjs.Ticker.removeListener(ticker_world);
}

