function prep_10_step8(transition){
	//**//**console.log('function: prep_10_step8');
	world_current = worlds['10_step8'];
	
	ticker_world = (function(){
		tick_10_step8();
	});
	end_world = (function(){
		end_10_step8();
	});
	narrDone = (function(){
		narrDone_10_step8();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	//teachertiptext.text = "Parent tip: When you read with your child, pause to discuss the text on screen. It's helpful to reuse any new words your child might be hearing for the first time. You could say, \"What do you think the word measure means? Can you remember a time when you measured something?\"";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	if(!bg) bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	// display ingredients window
	ingredientsSetUp(); // in sunflowerbiscuits_story.js

	if(!step8InterInstance) step8InterInstance = new pageContentLib.InteractiveStep8(images);
	world_current.addChild(step8InterInstance);
	step8InterInstance.x = 0; step8InterInstance.y = 0;

	//********
	//text stuff:
	if(pageTextBG_2_png) {
		pageTextBG_2_png = new createjs.Bitmap(images['pageTextBG_2_png']);
		world_current.addChild(pageTextBG_2_png);
	}
	pageTextBG_2_png.x = 35; pageTextBG_2_png.y = 415;

	titleTextCntr = createText("Step 8", FONT_STYLE_SUBTITLE_TEXT, FONT_COLOR_BLACK, 80, 465, 511, 60); //text, fontSettings, hexColor, x, y, width, height
	titleTextCntr.textBaseline = "middle";
	world_current.addChild(titleTextCntr);

	setNarrationText(860, 26, 32, [80, 490]);

	btnNarration.y = 586 - 20;
	btnNarrationOver.y = btnNarration.y;

	//params: sndID, defintion words in array
	renderNarration('10_step8', null);

	//setDefinitionText();
	//********
	text_page2.alpha = 0;
	narrationMask.visible = true;

	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_10_step8);

}

//level specific functions:

//called once this level is fully slid into place
function begin_10_step8(){
	//**//**console.log("WORLD 1 BEGIN");
	stage.addChild(ingredientsWindow);
	stage.addChild( ingredButton );

	text_page2.alpha = 1;
	narrationMask.visible = false;
	
	playSound('10_step8');
	
}

function narrDone_10_step8(){
	stopSound();

	step8InterInstance.muteAudio(false);
	step8InterInstance.enable();
}

function tick_10_step8(){
	stage.update();
}

function end_10_step8(){
	//**//**console.log('end_10_step8');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page

	step8InterInstance.reset();
	world_current.removeChild(step8InterInstance);
	
	ingredientsShutDown(); // in sunflowerbiscuits_story.js
	
	world_current.removeChild(bg);

	createjs.Ticker.removeListener(ticker_world);
}

