function prep_11_step9(transition){
	//**//**console.log('function: prep_11_step9');
	world_current = worlds['11_step9'];
	
	ticker_world = (function(){
		tick_11_step9();
	});
	end_world = (function(){
		end_11_step9();
	});
	narrDone = (function(){
		narrDone_11_step9();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	//teachertiptext.text = "Parent tip: When you read with your child, pause to discuss the text on screen. It's helpful to reuse any new words your child might be hearing for the first time. You could say, \"What do you think the word measure means? Can you remember a time when you measured something?\"";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	if(!bg) bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	// display ingredients window
	ingredientsSetUp(); // in sunflowerbiscuits_story.js

	if(!step9InterInstance) step9InterInstance = new pageContentLib.InteractiveStep9(images);
	world_current.addChild(step9InterInstance);
	step9InterInstance.x = 0; step9InterInstance.y = 0;

	//********
	//text stuff:
	if(pageTextBG_2_png) {
		pageTextBG_2_png = new createjs.Bitmap(images['pageTextBG_2_png']);
		world_current.addChild(pageTextBG_2_png);
	}
	pageTextBG_2_png.x = 35; pageTextBG_2_png.y = 415;

	titleTextCntr = createText("Step 9", FONT_STYLE_SUBTITLE_TEXT, FONT_COLOR_BLACK, 80, 465, 511, 60); //text, fontSettings, hexColor, x, y, width, height
	titleTextCntr.textBaseline = "middle";
	world_current.addChild(titleTextCntr);

	setNarrationText(860, 26, 32, [80, 490]);

	btnNarration.y = 586 - 20;
	btnNarrationOver.y = btnNarration.y;

	//params: sndID, defintion words in array
	renderNarration('11_step9', null);

	//setDefinitionText();
	//********
	text_page2.alpha = 0;
	narrationMask.visible = true;
	

	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_11_step9);

}

//level specific functions:

//called once this level is fully slid into place
function begin_11_step9(){
	//**//**console.log("WORLD 1 BEGIN");
	stage.addChild(ingredientsWindow);
	stage.addChild( ingredButton );

	text_page2.alpha = 1;
	narrationMask.visible = false;

	playSound('11_step9');
}

function narrDone_11_step9(){
	stopSound();

	step9InterInstance.muteAudio(false);
	step9InterInstance.enable();
	
}

function tick_11_step9(){
	stage.update();
}

function end_11_step9(){
	//**console.log('end_11_step9');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	step9InterInstance.reset();
	world_current.removeChild(step9InterInstance);

	ingredientsShutDown(); // in sunflowerbiscuits_story.js

	world_current.removeChild(bg);

	createjs.Ticker.removeListener(ticker_world);
}

