var pageContentLib = {};

// create scope of Class

(function(window){

	// Step InteractiveSteps

	//TitleDisplay
	(pageContentLib.playAudioButton = function(images){
		// var playButtonGraphicElement = new createjs.BitmapAnimation(spritesheets['playAudioSheet']);
		// var playButtonGraphic = new createjs.ButtonHelper(playButtonGraphicElement, "btn_play_off", "btn_play_on", "btn_play_off", false, playButtonGraphicElement);
		var playButtonGraphicElement = new createjs.Bitmap(images['playAudioButton']);
		var playButtonGraphicElement_off = new createjs.Bitmap(images['playAudioButton_off']);
		this.addChild(playButtonGraphicElement_off);
		this.addChild(playButtonGraphicElement);

		this.addEventListener("mouseover", function(){
			playButtonGraphicElement.alpha = 0;
		});

		this.addEventListener("mouseout", function(){
			playButtonGraphicElement.alpha = 1;
		});

	}).prototype = new createjs.Container();


	(pageContentLib.closeButton = function() {
		var closeBtnElement = new createjs.BitmapAnimation(spritesheets['sharedButtonAssets']);
		var closeButton = new createjs.ButtonHelper(closeBtnElement, "btn_close", "btn_close_over", "btn_close", false, closeBtnElement);
		this.addChild(closeBtnElement);

	}).prototype = new createjs.Container();

	(pageContentLib.ingredientsButton = function(images) {
		//var buttonElement = new createjs.BitmapAnimation(spriteSheetIcons);
		//var helper = new createjs.ButtonHelper(buttonElement, "homeUp", "homeOn", "homeOver", false, buttonElement);
		var imageIngredientsButton = new createjs.Bitmap(images['ingredients_button_png']);
	 	this.addChild(imageIngredientsButton);

	}).prototype = new createjs.Container();


	(pageContentLib.IngredientsDisplay = function(images) {
		var active = false;
		var audioMuted = true;
		var step1Interactive = new createjs.Container();
		var nextIngredient = -1;

		var ingredients_cm = new createjs.Bitmap(images['01_ingredients_cm']);
	 	this.addChild(ingredients_cm);
	 	ingredients_cm.regX = ingredients_cm.image.width / 2;
	 	ingredients_cm.regY = ingredients_cm.image.height / 2;
	 	ingredients_cm.x = 0 + ingredients_cm.regX;
	 	ingredients_cm.y = 0 + ingredients_cm.regY;

	 	var ingredients_egg = new createjs.Bitmap(images['02_ingredients_egg']);
	 	this.addChild(ingredients_egg);
	 	ingredients_egg.regX = ingredients_egg.image.width / 2;
	 	ingredients_egg.regY = ingredients_egg.image.height / 2;
	 	ingredients_egg.x = ingredients_cm.regX + ingredients_cm.x + ingredients_egg.regX;
	 	ingredients_egg.y = 0 + ingredients_egg.regY;

	 	var ingredients_seeds = new createjs.Bitmap(images['03_ingredients_seeds']);
	 	this.addChild(ingredients_seeds);
	 	ingredients_seeds.regX = ingredients_seeds.image.width / 2;
	 	ingredients_seeds.regY = ingredients_seeds.image.height / 2;
	 	ingredients_seeds.x = 0 + ingredients_seeds.regX;
	 	ingredients_seeds.y = ingredients_cm.regY + ingredients_cm.y + ingredients_seeds.regY;

	 	var ingredients_water = new createjs.Bitmap(images['04_ingredients_water']);
	 	this.addChild(ingredients_water);
	 	ingredients_water.regX = ingredients_water.image.width / 2;
	 	ingredients_water.regY = ingredients_water.image.height / 2;
	 	ingredients_water.x = ingredients_seeds.regX + ingredients_seeds.x + ingredients_water.regX;
	 	ingredients_water.y = ingredients_cm.regY + ingredients_cm.y + ingredients_water.regY;

	 	var ingredients_wheat = new createjs.Bitmap(images['05_ingredients_wheat']);
	 	this.addChild(ingredients_wheat);
	 	ingredients_wheat.regX = ingredients_wheat.image.width / 2;
	 	ingredients_wheat.regY = ingredients_wheat.image.height / 2;
	 	ingredients_wheat.x = 0 + ingredients_wheat.regX;
	 	ingredients_wheat.y = ingredients_seeds.regY + ingredients_seeds.y + ingredients_wheat.regY;

	 	var ingredients_oil = new createjs.Bitmap(images['06_ingredients_oil']);
	 	this.addChild(ingredients_oil);
	 	ingredients_oil.regX = ingredients_oil.image.width / 2;
	 	ingredients_oil.regY = ingredients_oil.image.height / 2;
	 	ingredients_oil.x = ingredients_wheat.regX + ingredients_wheat.x + ingredients_oil.regX;
	 	ingredients_oil.y = ingredients_seeds.regY + ingredients_seeds.y + ingredients_oil.regY;

        this.addChild(step1Interactive);
        step1Interactive.y = 0;

        function playIngredients(){
        	nextIngredient++;

        	if(!active) return;

        	switch(nextIngredient){
        		case 0:
        		playSound('CORNMEAL', playIngredients);
        		createjs.Tween.get(ingredients_cm).to( {scaleX:1.2, scaleY:1.2}, 300 ).call(function(){
        			createjs.Tween.get(ingredients_cm).to( {scaleX:1, scaleY:1}, 300 )
        		});
        		break;

        		case 1:
        		playSound('EGG', playIngredients);
        		createjs.Tween.get(ingredients_egg).to( {scaleX:1.2, scaleY:1.2}, 300 ).call(function(){
        			createjs.Tween.get(ingredients_egg).to( {scaleX:1, scaleY:1}, 300 )
        		});
        		break;

        		case 2:
        		playSound('SEEDS', playIngredients);
        		createjs.Tween.get(ingredients_seeds).to( {scaleX:1.2, scaleY:1.2}, 300 ).call(function(){
        			createjs.Tween.get(ingredients_seeds).to( {scaleX:1, scaleY:1}, 300 )
        		});
        		break;

        		case 3:
        		playSound('WATER', playIngredients);
        		createjs.Tween.get(ingredients_water).to( {scaleX:1.2, scaleY:1.2}, 300 ).call(function(){
        			createjs.Tween.get(ingredients_water).to( {scaleX:1, scaleY:1}, 300 )
        		});
        		break;

        		case 4:
        		playSound('FLOUR', playIngredients);
        		createjs.Tween.get(ingredients_wheat).to( {scaleX:1.2, scaleY:1.2}, 300 ).call(function(){
        			createjs.Tween.get(ingredients_wheat).to( {scaleX:1, scaleY:1}, 300 )
        		});
        		break;

        		case 5:
        		playSound('OIL');
        		createjs.Tween.get(ingredients_oil).to( {scaleX:1.1, scaleY:1.1}, 300 ).call(function(){
        			createjs.Tween.get(ingredients_oil).to( {scaleX:1, scaleY:1}, 300 )
        		});
        		break;

        	}

        }

        function resetPage(){
        	
        }

		this.enable = function(){
			 active = true;
			 nextIngredient = -1;
			 playIngredients();
			 
			 
		}

		this.reset = function(){
			 active = false;
			 nextTool = 6;
			 stopSound();
			
		}

		this.muteAudio = function(value){
			audioMuted = value;
		}


	}).prototype = new createjs.Container();

	window.pageContentLib.IngredientsDisplay = pageContentLib.IngredientsDisplay; 


	(pageContentLib.InteractiveStep1 = function(images){
		var active = false;
		var audioMuted = true;
		var step1Interactive = new createjs.Container();
		var nextTool = 0;

		var tools_mc = new createjs.Bitmap(images['01_tools_mc']);
	 	this.addChild(tools_mc);
	 	tools_mc.regX = tools_mc.image.width / 2;
	 	tools_mc.regY = tools_mc.image.height / 2;
	 	tools_mc.x = 0 + tools_mc.regX;
	 	tools_mc.y = 0 + tools_mc.regY;

	 	var tools_ws = new createjs.Bitmap(images['02_tools_ws']);
	 	this.addChild(tools_ws);
	 	tools_ws.regX = tools_ws.image.width / 2;
	 	tools_ws.regY = tools_ws.image.height / 2;
	 	tools_ws.x = tools_mc.regX + tools_mc.x + tools_ws.regX;
	 	tools_ws.y = 0 + tools_ws.regY;

	 	var tools_ts = new createjs.Bitmap(images['03_tools_ts']);
	 	this.addChild(tools_ts);
	 	tools_ts.regX = tools_ts.image.width / 2;
	 	tools_ts.regY = tools_ts.image.height / 2;
	 	tools_ts.x = tools_ws.regX + tools_ws.x + tools_ts.regX;
	 	tools_ts.y = 0 + tools_ts.regY;

	 	var tools_mb = new createjs.Bitmap(images['04_tools_mb']);
	 	this.addChild(tools_mb);
	 	tools_mb.regX = tools_mb.image.width / 2;
	 	tools_mb.regY = tools_mb.image.height / 2;
	 	tools_mb.x = 0 + tools_mb.regX;
	 	tools_mb.y = tools_mc.regY + tools_mc.y + tools_mb.regY;

	 	var tools_cs = new createjs.Bitmap(images['05_tools_cs']);
	 	this.addChild(tools_cs);
	 	tools_cs.regX = tools_cs.image.width / 2;
	 	tools_cs.regY = tools_cs.image.height / 2;
	 	tools_cs.x = tools_mb.regX + tools_mb.x + tools_cs.regX;
	 	tools_cs.y = tools_mc.regY + tools_mc.y + tools_cs.regY;

	 	var tools_om = new createjs.Bitmap(images['06_tools_om']);
	 	this.addChild(tools_om);
	 	tools_om.regX = tools_om.image.width / 2;
	 	tools_om.regY = tools_om.image.height / 2;
	 	tools_om.x = tools_cs.regX + tools_cs.x + tools_om.regX;
	 	tools_om.y = tools_mc.regY + tools_mc.y + tools_om.regY;

        this.addChild(step1Interactive);
        step1Interactive.y = 0;

        function playTools(){
        	nextTool++;
        	btnNarration.visible = false;

        	if(!active) return;

        	switch(nextTool){
        		case 0:
        		playSound('MEASURING_CUP', playTools);
        		createjs.Tween.get(tools_mc).to( {scaleX:1.2, scaleY:1.2}, 300 ).call(function(){
        			if(active) createjs.Tween.get(tools_mc).to( {scaleX:1, scaleY:1}, 300 )
        		});
        		break;

        		case 1:
        		playSound('MIXING_BOWL', playTools);
        		createjs.Tween.get(tools_mb).to( {scaleX:1.2, scaleY:1.2}, 300 ).call(function(){
        			if(active) createjs.Tween.get(tools_mb).to( {scaleX:1, scaleY:1}, 300 )
        		});
        		break;

        		case 2:
        		playSound('WOODEN_SPOON', playTools);
        		createjs.Tween.get(tools_ws).to( {scaleX:1.2, scaleY:1.2}, 300 ).call(function(){
        			if(active) createjs.Tween.get(tools_ws).to( {scaleX:1, scaleY:1}, 300 )
        		});
        		break;

        		case 3:
        		playSound('COOKIE_SHEET', playTools);
        		createjs.Tween.get(tools_cs).to( {scaleX:1.2, scaleY:1.2}, 300 ).call(function(){
        			if(active) createjs.Tween.get(tools_cs).to( {scaleX:1, scaleY:1}, 300 )
        		});
        		break;

        		case 4:
        		playSound('TABLE_SPOON', playTools);
        		createjs.Tween.get(tools_ts).to( {scaleX:1.2, scaleY:1.2}, 300 ).call(function(){
        			if(active) createjs.Tween.get(tools_ts).to( {scaleX:1, scaleY:1}, 300 )
        		});
        		break;

        		case 5:
        		playSound('OVEN_MITTS');
        		createjs.Tween.get(tools_om)
        			.to( {scaleX:1.2, scaleY:1.2}, 300 ).call(function(){
        			if(active) createjs.Tween.get(tools_om).to( {scaleX:1, scaleY:1}, 300 )
        			})
        			.wait(400)
        			.call(function(){
        				if(snd_active) btnNarration.visible = true;
        			});
        		break;

        	}

        }

		this.enable = function(){
			 active = true;
			 nextTool = -1;
			 playTools();
		}

		this.reset = function(){
			 active = false;
			 nextTool = 6;
			 stopSound();
		}

		this.muteAudio = function(value){
			audioMuted = value;
		}


	}).prototype = new createjs.Container();

	window.pageContentLib.InteractiveStep1 = pageContentLib.InteractiveStep1; 



	(pageContentLib.InteractiveStep2 = function(images){
		var active = false;
		var audioMuted = true;
		var step2Interactive = new createjs.Container();
		var step2IngredientsIMG = new createjs.Bitmap(images['step2_ingredients_png']);
		var cupLevel = 0;
		var cupElement;
		var ingredBagElement;
		var animate = false;

		step2IngredientsIMG.x = 120;
		step2IngredientsIMG.y = 50;
		step2Interactive.addChild(step2IngredientsIMG);

		var spriteCup  = new createjs.SpriteSheet({
            "images": [images['step2_cupSprite_png'] ],
			"frames": [
			    [1, 1, 217, 160], 
			    [219, 1, 217, 160], 
			    [1, 162, 217, 160], 
			    [219, 162, 217, 160], 
			    [1, 323, 217, 160], 
			    [219, 323, 217, 160]
			],
			"animations": {
			    
			        "01_cup_empty":[0], 
			        "02_cup_1_4th":[1], 
			        "03_cup_half":[2], 
			        "04_cup_3_4th":[3], 
			        "04_cup_full":[4], 
			        "05_cup_over_full":[5]
			}
         });
		cupElement = new createjs.BitmapAnimation(spriteCup);
		cupElement.gotoAndStop("01_cup_empty");
        cupElement.x = 490;
        cupElement.y = 180;
        step2Interactive.addChild(cupElement);

        var spritebag  = new createjs.SpriteSheet({
            "images": [ images['step2_bagSprite_png'] ],
			"frames": [
			    [1, 1, 379, 339], 
			    [381, 1, 379, 339], 
			    [1, 341, 379, 339], 
			    [381, 341, 379, 339]
			],
			"animations": {
			    
			        "bag_ingredient_active":[0], 
			        "bag_ingredient_inactive":[1], 
			        "bag_ingredient_pour_1":[2], 
			        "bag_ingredient_pour_2":[3]
			}
         });

        ingredBagElement = new createjs.BitmapAnimation(spritebag);
        ingredBagElement.gotoAndStop("bag_ingredient_inactive");

        ingredBagElement.regX = 379 / 2; // width of image by half
        ingredBagElement.regY = 339 / 2; // height of image by half
        ingredBagElement.x = 525 + ingredBagElement.regX;
        ingredBagElement.y = 5 + ingredBagElement.regY;

        step2Interactive.addChild(ingredBagElement);
       
        ingredBagElement.addEventListener("animationend", function(e){
			e.target.gotoAndStop("bag_ingredient_pour_2");

        	if(!animate){
        		animate = true;
        		//logger("cupLevel " + cupLevel);

	        	switch(cupLevel){
	        		case 0:
	        			cupElement.gotoAndStop("02_cup_1_4th");
	        		break;

	        		case 1:
	        			cupElement.gotoAndStop("03_cup_half");
	        		break;

	        		case 2:
	        			cupElement.gotoAndStop("04_cup_3_4th");
	        		break;

	        		case 3:
	        			cupElement.gotoAndStop("04_cup_full");
	        		break;

	        		case 4:
	        			cupElement.gotoAndStop("05_cup_over_full");
	        		break;
	        	}

	        	if(cupLevel < 5){
	        		cupLevel++;
	        	}
	        	
        	}
        	
        	createjs.Tween.get(e.target).wait(1000).call(function(e){
        	 	e.target.gotoAndStop("bag_ingredient_active");
        	 	addShadow(ingredBagElement);
        	 	animate = false;
        	});

        });

        ingredBagElement.addEventListener("click", function(e){
        	if(!active) return;

        	//logger("cupLevel " + cupLevel);
        	if(cupLevel <= 4){
        		e.target.gotoAndPlay("bag_ingredient_pour");
        		doPulse(e.target);
        		removeShadow(e.target);
        		if(!audioMuted && !narrActive) playSound("spill");
        	}
        	// else{
        	// 	cupLevel = 0;
	        // 	cupElement.gotoAndStop("01_cup_empty");
        	// }

        });

        this.addChild(step2Interactive);
        step2Interactive.y = 50;

        function resetPage(){
        	cupLevel = 0;
	        cupElement.gotoAndStop("01_cup_empty");
        }

		this.enable = function(){
			 active = true;
			 ingredBagElement.cursor = "pointer";
			 resetPage();
			 addShadow(ingredBagElement);
			 doPulse(ingredBagElement);
			 ingredBagElement.gotoAndStop("bag_ingredient_active");
		}

		this.reset = function(){
			 active = false;
			 ingredBagElement.cursor = "default";
			 resetPage();
			 removeShadow(ingredBagElement);
			 ingredBagElement.gotoAndStop("bag_ingredient_inactive");
		}

		this.muteAudio = function(value){
			audioMuted = value;
		}


	}).prototype = new createjs.Container();

	window.pageContentLib.InteractiveStep2 = pageContentLib.InteractiveStep2; 



	(pageContentLib.InteractiveStep3 = function(images){
		var active = false;

		var audioMuted = true;

		var step3Interactive = new createjs.Container();
		var knobRotate = 0;

		var step3SkitsIMG = new createjs.Bitmap(images['step3_skits_png']);
		step3SkitsIMG.x = 770;
		step3SkitsIMG.y = 45;
		step3Interactive.addChild(step3SkitsIMG);

		var step3OverLayerIMG = new createjs.Bitmap(images['step3_oven_layer_png']);
		step3OverLayerIMG.x = 100;
		step3OverLayerIMG.y = 100;
		step3Interactive.addChild(step3OverLayerIMG);
		
		var step3KnobBackIMG = new createjs.Bitmap(images['step3_knob_back_png']);
		step3KnobBackIMG.regX = step3KnobBackIMG.image.width / 2;
		step3KnobBackIMG.regY = step3KnobBackIMG.image.height / 2;
		step3KnobBackIMG.x = 410 + step3KnobBackIMG.regX;
		step3KnobBackIMG.y = 120 + step3KnobBackIMG.regY;
		step3Interactive.addChild(step3KnobBackIMG);
		
		var knobIndicSpoon  = new createjs.SpriteSheet({
			"images": [ images['knobIndicatorSprite_png'] ],
			"frames": [
			    [1, 1, 112, 112], 
			    [114, 1, 112, 112]
			],
			"animations": {
			    
			        "step3_knob_indicator":[0], 
			        "step3_knob_indicator_red":[1]
			}
		});
		
		var step3KnobIndicatorIMG = new createjs.BitmapAnimation(knobIndicSpoon);
		step3KnobIndicatorIMG.x = 410 + 62;
		step3KnobIndicatorIMG.y = 120 + 56;
		step3KnobIndicatorIMG.regX = 56;
		step3KnobIndicatorIMG.regY = 56;
		step3KnobIndicatorIMG.rotation = 0;
		step3KnobIndicatorIMG.gotoAndStop("step3_knob_indicator");
		step3Interactive.addChild(step3KnobIndicatorIMG);

		step3Interactive.onMouseOver = function(){
			document.body.style.cursor='pointer';
		}
		step3Interactive.onMouseOut = function(){
			document.body.style.cursor='default';
		}

		step3Interactive.addEventListener("click", function(){
			if(!active) return;

			knobRotate = knobRotate + 45;
			step3KnobIndicatorIMG.rotation = knobRotate;

			if(knobRotate == 270){
				step3KnobIndicatorIMG.gotoAndStop("step3_knob_indicator_red");
				if(!audioMuted && !narrActive) playSound("ding_ding");
			}else{
				step3KnobIndicatorIMG.gotoAndStop("step3_knob_indicator");
				if(!audioMuted && !narrActive) playSound("click");
			}

			if(knobRotate == 360){
				knobRotate = 0;
			}
			
		})

		this.addChild(step3Interactive);
		step3Interactive.y = 75;

		this.enable = function(){
			 active = true;
			 addShadow(step3KnobBackIMG);
			 doPulse(step3KnobIndicatorIMG);
			 doPulse(step3KnobBackIMG);
			 knobRotate = 0;
			 step3KnobIndicatorIMG.rotation = knobRotate;
			 step3KnobIndicatorIMG.gotoAndStop("step3_knob_indicator");
		}

		this.reset = function(){
			 active = false;
			 step3KnobIndicatorIMG.rotation = knobRotate;
			 removeShadow(step3KnobBackIMG);
			 knobRotate = 0;
			 step3KnobIndicatorIMG.rotation = knobRotate;
			 step3KnobIndicatorIMG.gotoAndStop("step3_knob_indicator");
		}

		this.muteAudio = function(value){
			audioMuted = value;
		}

	}).prototype = new createjs.Container();

	window.pageContentLib.InteractiveStep3 = pageContentLib.InteractiveStep3; 


	(pageContentLib.InteractiveStep4 = function(images){
		var active = false;
		var audioMuted = true;
		var isSelected = false;

		var step4Interactive = new createjs.Container();
		var view_state = 0;

		var spriteMixingBowl  = new createjs.SpriteSheet({
			"images": [images['mixingBowlSprite_png']],
            "frames": [
			    [1, 1, 144, 110], 
			    [146, 1, 144, 110], 
			    [291, 1, 144, 110], 
			    [436, 1, 144, 110], 
			    [581, 1, 141, 108], 
			    [723, 1, 138, 117], 
			    [862, 1, 144, 110], 
			    [1007, 1, 144, 110], 
			    [1152, 1, 336, 340], 
			    [1489, 1, 336, 340], 
			    [1, 342, 336, 340], 
			    [338, 342, 336, 340], 
			    [675, 342, 336, 340], 
			    [1012, 342, 336, 340], 
			    [1349, 342, 336, 340], 
			    [1686, 342, 336, 340], 
			    [1, 683, 336, 340], 
			    [338, 683, 336, 340], 
			    [675, 683, 336, 340], 
			    [1012, 683, 336, 340], 
			    [1349, 683, 336, 340]
			],
			"animations": {
		        "cup_00_empty":[0], 
		        "cup_01_cornmeal":[1], 
		        "cup_02_sunflower_seeds":[2], 
		        "cup_03_whole_wheat":[3], 
		        "cup_04_egg":[4], 
		        "cup_04_egg_open":[5], 
		        "cup_05_water":[6], 
		        "cup_06_veg_oil":[7], 
		        "ingred_01_cornmeal":[8], 
		        "ingred_02_sunflower":[9], 
		        "ingred_03_whole_wheat_a":[10], 
		        "ingred_03_whole_wheat_b":[11], 
		        "ingred_04_egg":[12], 
		        "ingred_05_water":[13], 
		        "ingred_06_veg_oil":[14], 
		        "mixture_01":[15], 
		        "mixture_02":[16], 
		        "mixture_03":[17], 
		        "mixture_04":[18], 
		        "mixture_05":[19], 
		        "mixture_06":[20]
			}
         });
		
		var step4GirlIMG = new createjs.Bitmap(images['step4_girl_png']);
		var step4Bowl01IMG = new createjs.Bitmap(images['bowl_01_transparent_png']);
		var step4Bowl02IMG = new createjs.Bitmap(images['bowl_02_base_png']);
		var step4Spoon = new createjs.Bitmap(images['step4_spoon_png']);
		var step4MeasureCup = new createjs.BitmapAnimation(spriteMixingBowl);
		var step4MeasureCupWheat = new createjs.BitmapAnimation(spriteMixingBowl);
		var hitAreaBowl = new createjs.Bitmap(images['hitAreaBowl_png']);
		var firstWheatCupEmptied = false;
		var secondWheatCupEmptied = false;

		var spoonHitarea = createSquare(280, 200, 310, 0, FONT_COLOR_BLACK);
		spoonHitarea.alpha = 0;
				
		step4GirlIMG.x = 100;
		step4GirlIMG.y = 40;
		step4Interactive.addChild(step4GirlIMG);      

		step4MeasureCup.gotoAndStop("cup_01_cornmeal");
		var ingredientName = createText("1 cup\rcornmeal", FONT_STYLE_PAGE_TEXT, createjs.Graphics.getRGB(0, 0, 0), 725, 200, 100, 35);
		ingredientName.textAlign = "center";

		var step4Ingred = new createjs.BitmapAnimation(spriteMixingBowl);
		
		step4Bowl01IMG.x = step4Bowl02IMG.x = step4Ingred.x = 285;
		step4Bowl01IMG.y = step4Bowl02IMG.y = step4Ingred.y = 0;

		hitAreaBowl.x = 325;
		hitAreaBowl.y = 180;

		step4MeasureCup.regX = 130 / 2; // width by half
		step4MeasureCup.regY = 112 / 2; // height by half
		step4MeasureCup.x = 665 + step4MeasureCup.regX;
		step4MeasureCup.y = 65 + step4MeasureCup.regY;

		var resetXMeasureWheat1Cup = step4MeasureCup.x - (130/2);

		step4MeasureCupWheat.gotoAndStop("cup_03_whole_wheat");
		step4MeasureCupWheat.regX = 130 / 2; // width by half
		step4MeasureCupWheat.regY = 112 / 2; // height by half
		step4MeasureCupWheat.x = 680 + step4MeasureCup.regX + (130/2);
		step4MeasureCupWheat.y = 65 + step4MeasureCup.regY;
		step4MeasureCupWheat.visible = false;

		function setCupPosition(animate){
			if(!animate) animate = false;

			var tweenAnimate;

			if(!animate){
				step4MeasureCup.rotation = 0;
				step4MeasureCup.x = 680 + step4MeasureCup.regX;
				step4MeasureCup.y = 65 + step4MeasureCup.regY;
			}else{
				tweenAnimate = createjs.Tween.get(step4MeasureCup).wait(500).to({x: 680 + step4MeasureCup.regX, 
					y: 65 + step4MeasureCup.regY, rotation:0},200);
			}

			return tweenAnimate;
			
		}
		
		step4Spoon.x = 350;
		step4Spoon.y = -10;
		step4Spoon.rotation = -10;

		step4Interactive.addChild(step4Bowl02IMG);
		step4Interactive.addChild(step4Spoon);
		step4Spoon.alpha = 0;

		
		step4Interactive.addChild(step4Ingred);
		step4Interactive.addChild(step4Bowl01IMG);
		step4Interactive.addChild(step4MeasureCup);
		step4Interactive.addChild(step4MeasureCupWheat);
		step4Interactive.addChild(ingredientName);

		step4Interactive.addChild(hitAreaBowl);

		step4Interactive.addChild(spoonHitarea);

		step4MeasureCup.addEventListener("mousedown", onMouseDownCup);

		function onMouseDownCup(e){
			if(!active) return;

			//doPulse(e.target);

			e.target.scaleX = e.target.scaleY = 1.2;

			e.target.rotation = -15;

			//e.target.gotoAndStop("step7_bone_shape");
			var offset = {x:e.target.x - e.stageX, y:e.target.y - e.stageY};

			e.addEventListener("mousemove", function(ev) {
				
				ev.target.scaleX = ev.target.scaleY = 1.2;
				
				if(ev.target.x > 523.375){
					ev.target.x = ev.stageX + offset.x - 10;
				}	
				ev.target.y = step4MeasureCup.y; //ev.stageY + offset.y - 10;

				//logger("onMouseDownCup " + ev.target.x);


				if(e.target.rotation > -45){
					e.target.rotation = e.target.rotation - .4;
				}

				if(ndgmr.checkRectCollision(step4MeasureCup,hitAreaBowl)){
					e.target.rotation = -60;
				}else{
					e.target.rotation = -10;
				}
				//logger(e.target.rotation);
				stage.update();

				
			});  

			e.addEventListener("mouseup", function(ev) {
				//logger("mouseup test");
				
				ev.target.scaleX = ev.target.scaleY = 1;
				var intersection = ndgmr.checkRectCollision(step4MeasureCup,hitAreaBowl);

				//logger("currentFrame " + step4MeasureCup.currentFrame);

				if(intersection){	
					if(step4MeasureCup.currentFrame == 4){
						step4MeasureCup.gotoAndStop("cup_04_egg_open");
					}else if(step4MeasureCup.currentFrame == 3){ // first wheat cup
						step4MeasureCup.gotoAndStop("cup_00_empty");
						if(!audioMuted && !narrActive) playSound("spill");
						step4MeasureCup.removeEventListener("mousedown", onMouseDownCup);
						createjs.Tween.get(step4MeasureCup).wait(500).to({x: resetXMeasureWheat1Cup, 
							y:  65 + step4MeasureCup.regY, rotation:0},200);
						firstWheatCupEmptied = true;
						checkWheatCupsEmpties();
						return;
					}else{
						step4MeasureCup.gotoAndStop("cup_00_empty");
					}
					changeBowlIngredients();
					step4MeasureCup.removeEventListener("mousedown", onMouseDownCup);
					var currentTween = setCupPosition(true);
					currentTween.wait(500).call(changeState);
					//changeState();
				}else{
					if(step4MeasureCup.currentFrame == 3){ // first wheat cup
						createjs.Tween.get(step4MeasureCup).wait(500).to({x: resetXMeasureWheat1Cup, 
							y:  65 + step4MeasureCup.regY, rotation:0},200);
					}else{
						setCupPosition(true);
					}
					
				}
			});

		}

		function onWheat2MouseDownCup(e){
			if(!active) return;

			//doPulse(e.target);

			e.target.scaleX = e.target.scaleY = 1.2;

			e.target.rotation = -15;

			//e.target.gotoAndStop("step7_bone_shape");
			var offset = {x:e.target.x - e.stageX, y:e.target.y - e.stageY};

			e.addEventListener("mousemove", function(ev) {
				
				ev.target.scaleX = ev.target.scaleY = 1.2;

				//logger("onWheat2MouseDownCup  " + ev.target.x);

				if(ev.target.x > 523.375){
					ev.target.x = ev.stageX + offset.x - 10;
				}
				ev.target.y = step4MeasureCupWheat.y;//ev.stageY + offset.y - 10;

				if(e.target.rotation > -45){
					e.target.rotation = e.target.rotation - .4;
				}

				if(ndgmr.checkRectCollision(step4MeasureCupWheat,hitAreaBowl)){
					e.target.rotation = -60;
				}else{
					e.target.rotation = -10;
				}
				stage.update();

				
			});  

			e.addEventListener("mouseup", function(ev) {
				ev.target.scaleX = ev.target.scaleY = 1;
				var intersection = ndgmr.checkRectCollision(step4MeasureCupWheat,hitAreaBowl);

				if(intersection){
					step4MeasureCupWheat.gotoAndStop("cup_00_empty");
					if(!audioMuted && !narrActive) playSound("spill");
					step4MeasureCupWheat.removeEventListener("mousedown", onWheat2MouseDownCup);
					tweenAnimate = createjs.Tween.get(step4MeasureCupWheat).wait(500).to({x: 680 + step4MeasureCup.regX + (130/2), 
						y:  65 + step4MeasureCup.regY, rotation:0},200);
					secondWheatCupEmptied = true;
					checkWheatCupsEmpties();
				}else{
					tweenAnimate = createjs.Tween.get(step4MeasureCupWheat).wait(500).to({x: 680 + step4MeasureCup.regX + (130/2), 
					y:  65 + step4MeasureCup.regY, rotation:0},200);
				}
			});

		}

		function checkWheatCupsEmpties(){
			// if both wheat cups are emptied - continue steps
			if(firstWheatCupEmptied && secondWheatCupEmptied){
				step4Ingred.gotoAndStop("ingred_03_whole_wheat_b");
				var currentTween = createjs.Tween.get(step4MeasureCup).wait(500).to({x: resetXMeasureWheat1Cup, 
							y:  65 + step4MeasureCup.regY, rotation:0},200);
				currentTween.wait(500).call(changeState);
			}else{
				step4Ingred.gotoAndStop("ingred_03_whole_wheat_a");
			}	
		}

		function onSpoonMove(){
			changeState();
		}

		function changeState(){
			//logger("view_state " + view_state);

			switch(view_state){
				case 0: // cornmeal
				step4MeasureCup.gotoAndStop("cup_02_sunflower_seeds");
				ingredientName.text = "1 cup\rsunflower seeds";

				step4Ingred.gotoAndStop("ingred_01_cornmeal");
				step4MeasureCup.alpha = 1;
				ingredientName.alpha = 1;
				step4Spoon.alpha = 0;
				step4MeasureCup.addEventListener("mousedown", onMouseDownCup);
				break;

				case 1: // sunflower seeds
				step4MeasureCup.gotoAndStop("cup_03_whole_wheat");
				step4MeasureCup.x = resetXMeasureWheat1Cup;
				step4MeasureCup.addEventListener("mousedown", onMouseDownCup);

				ingredientName.text = "2 cups\rwhole-wheat flour";
				//step4Ingred.gotoAndStop("ingred_02_sunflower");
				step4MeasureCupWheat.gotoAndStop("cup_03_whole_wheat");
				step4MeasureCupWheat.cursor = "pointer";
				step4MeasureCupWheat.addEventListener("mousedown", onWheat2MouseDownCup);
				step4MeasureCupWheat.visible = true;
				break;

				case 2: // whole wheat
				step4MeasureCup.gotoAndStop("cup_04_egg");
				step4MeasureCup.x = 665 + step4MeasureCup.regX;
				step4MeasureCup.y = 65 + step4MeasureCup.regY;
				ingredientName.text = "1 \regg";

				//step4Ingred.gotoAndStop("ingred_03_whole_wheat_both");
				step4MeasureCupWheat.visible = false;
				step4MeasureCup.addEventListener("mousedown", onMouseDownCup);
				break;

				case 3: // egg
				step4MeasureCup.gotoAndStop("cup_05_water");
				ingredientName.text = "1 cup\rwater";

				//step4Ingred.gotoAndStop("ingred_04_egg");
				step4MeasureCup.addEventListener("mousedown", onMouseDownCup);
				break;

				case 4: // water
				step4MeasureCup.gotoAndStop("cup_06_veg_oil");
				ingredientName.text = "1/3 cup\rvegetable oil";

				//step4Ingred.gotoAndStop("ingred_05_water");
				step4MeasureCup.addEventListener("mousedown", onMouseDownCup);
				break;

				case 5: // veg oil
				step4Spoon.alpha = 1;
				//step4Ingred.gotoAndStop("ingred_06_veg_oil");
				step4MeasureCup.alpha = 0;
				//ingredientName.alpha = 0;
				ingredientName.text = "Stir mixture";
				step4Spoon.addEventListener("mousedown", onSpoonMove);
				spoonHitarea.alpha = .01;
				spoonHitarea.addEventListener("mousedown", onSpoonMove);
				break;

				case 6: // mix1
				step4Spoon.alpha = 1;
				doPulse(step4Spoon);
				//createjs.Tween.get(step4Spoon).to({x: step4Spoon.x + 150, rotation:10},500);
				moveSpoon();
				step4Ingred.gotoAndStop("mixture_01");
				step4MeasureCup.alpha = 0;
				//ingredientName.alpha = 0;
				break;

				case 7: // mix1
				doPulse(step4Spoon);
				step4Spoon.alpha = 1;
				
				//createjs.Tween.get(step4Spoon).to({x: step4Spoon.x - 150, rotation:-10},500);
				moveSpoon();
				step4Ingred.gotoAndStop("mixture_02");
				break;

				case 8: // mix1
				doPulse(step4Spoon);
				step4Spoon.alpha = 1;
				//createjs.Tween.get(step4Spoon).to({x: step4Spoon.x + 150, rotation:10},500);
				moveSpoon();
				step4Ingred.gotoAndStop("mixture_03");
				break;

				case 9: // mix1
				doPulse(step4Spoon);
				step4Spoon.alpha = 1;
				//createjs.Tween.get(step4Spoon).to({x: step4Spoon.x - 150, rotation:-10},500);
				moveSpoon();
				step4Ingred.gotoAndStop("mixture_04");
				break;

				case 10: // mix1
				doPulse(step4Spoon);
				step4Spoon.alpha = 1;
				//createjs.Tween.get(step4Spoon).to({x: step4Spoon.x + 150, rotation:10},500);
				moveSpoon();
				step4Ingred.gotoAndStop("mixture_05");
				break;

				case 11: // mix1
				doPulse(step4Spoon);
				step4Spoon.alpha = 1;
				//createjs.Tween.get(step4Spoon).to({x: step4Spoon.x - 150, rotation:-10},500);
				moveSpoon();
				step4Ingred.gotoAndStop("mixture_06");
				break;

				case 12:
				//createjs.Tween.get(step4Spoon).to({x: step4Spoon.x + 150, rotation:10},500);
				moveSpoon();
				//step4Spoon.removeEventListener("mousedown", onSpoonMove);
				//ingredientName.text = "No more lumps.\nGood Job!";
				
				//step4MeasureCup.addEventListener("mousedown", onMouseDownCup);

				// step4MeasureCup.gotoAndStop("cup_01_cornmeal");
				// ingredientName.text = "1 cup\rcornmeal";

				// step4Ingred.gotoAndStop(-1);
				// step4MeasureCup.alpha = 1;
				// ingredientName.alpha = 1;
				// step4Spoon.alpha = 0;
				// step4Spoon.x = 350;
				// firstWheatCupEmptied = secondWheatCupEmptied = false;
				break;

				default:
				moveSpoon();
				break;
			}
			view_state++;

			// if(view_state > 12){
			// 	//view_state = 0;
			// }
		}

		var spoonTweenPlaying = false;

		function moveSpoon(){
			if(view_state <= 7){
				if(!audioMuted && !narrActive) playSound("stir");
			}else{
				if(!audioMuted && !narrActive) playSound("wet_stir");
			}

			if(spoonTweenPlaying) return;

			if(view_state % 2 == 0){
				createjs.Tween.get(step4Spoon).to({x: 500, rotation:10},500).call(function(){
					spoonTweenPlaying = false;
				});
			}else{
				createjs.Tween.get(step4Spoon).to({x: 350, rotation:-10},500).call(function(){
					spoonTweenPlaying = false;
				});
			}
			spoonTweenPlaying = true;
		}

		function changeBowlIngredients(){
			switch(view_state){
				case 0: // cornmeal
				step4Ingred.gotoAndStop("ingred_01_cornmeal");
				if(!audioMuted && !narrActive) playSound("spill");
				break;

				case 1: // sunflower seeds
				step4Ingred.gotoAndStop("ingred_02_sunflower");
				if(!audioMuted && !narrActive) playSound("spill");
				break;

				case 2: // whole wheat
				if(firstWheatCupEmptied && secondWheatCupEmptied){
					step4Ingred.gotoAndStop("ingred_03_whole_wheat_b");
				}else{
					step4Ingred.gotoAndStop("ingred_03_whole_wheat_a");
				}
				break;

				case 3: // egg
				if(!audioMuted && !narrActive) playSound("egg_crack");
				step4Ingred.gotoAndStop("ingred_04_egg");
				break;

				case 4: // water
				if(!audioMuted && !narrActive) playSound("wet_spill");
				step4Ingred.gotoAndStop("ingred_05_water");
				break;

				case 5: // veg oil
				if(!audioMuted && !narrActive) playSound("wet_spill");
				step4Ingred.gotoAndStop("ingred_06_veg_oil");
				break;
			}
		}

		this.addChild(step4Interactive);
		step4Interactive.y = 75;

		function resetPage(){
			step4Spoon.removeEventListener("mousedown", onSpoonMove);
			spoonHitarea.addEventListener("mousedown", onSpoonMove);
			step4MeasureCup.addEventListener("mousedown", onMouseDownCup);
			view_state = 0;
			step4MeasureCup.gotoAndStop("cup_01_cornmeal");
			ingredientName.text = "1 cup\rcornmeal";

			step4Ingred.gotoAndStop(-1);
			step4MeasureCup.alpha = 1;
			ingredientName.alpha = 1;
			step4Spoon.alpha = 0;
			spoonHitarea.alpha = 0;
			step4Spoon.x = 350;
			step4Spoon.rotation = -10;
			firstWheatCupEmptied = secondWheatCupEmptied = false;
			step4MeasureCupWheat.visible = false;
			step4MeasureCup.x = 665 + step4MeasureCup.regX;
			step4MeasureCup.y = 65 + step4MeasureCup.regY;
		}

		this.enable = function(){
			 active = true;
			 resetPage();
			 addShadow(step4MeasureCup);
			 addShadow(step4MeasureCupWheat);
			 addShadow(step4Spoon);
			 doPulse(step4MeasureCup);
			 doPulse(step4Spoon);
			 step4MeasureCup.cursor = "pointer";
		}

		this.reset = function(){
			 active = false;
			 removeShadow(step4MeasureCup);
			 removeShadow(step4MeasureCupWheat)
			 removeShadow(step4Spoon);
			 resetPage();
			 step4MeasureCup.cursor = "default";
		}

		this.muteAudio = function(value){
			audioMuted = value;
		}

	}).prototype = new createjs.Container();

	window.pageContentLib.InteractiveStep4 = pageContentLib.InteractiveStep4;



	(pageContentLib.InteractiveStep5 = function(images){
		var active = false;

		var step5Interactive = new createjs.Container();
		var step5BoardIMG = new createjs.Bitmap(images['step5_board_png']);
		
		var step5DoughIMG = new createjs.Bitmap(images['step5_dough_png']);
		var step5FlourOnBoardIMG = new createjs.Bitmap(images['step5_flour_on_board_png']);
		
		var spriteSpoon  = new createjs.SpriteSheet({
			"images": [images['spoonSprite_png'] ],
			"frames": [

			    [1, 1, 183, 84], 
			    [1, 86, 183, 84]
			],
			"animations": {
			    
			        "step5_spoon_inactive":[0], 
			        "step5_spoon":[1]
			}
		});

		var step5SpoonIMG = new createjs.BitmapAnimation(spriteSpoon);
		step5SpoonIMG.regX = 183 / 2;
		step5SpoonIMG.regY = 84 / 2;
		step5SpoonIMG.x = 560 + 183 / 2;
		step5SpoonIMG.y = 35 + 84 / 2;

		var step5SpoonEmptyIMG = new createjs.Bitmap(images['step5_spoon_empty_png']);
		step5SpoonEmptyIMG.regX = 267 / 2;
		step5SpoonEmptyIMG.regY = 244 / 2;
		step5SpoonEmptyIMG.x = 450 + 267 / 2;
		step5SpoonEmptyIMG.y = 35 + 244 / 2;

		var step5GirlIMG = new createjs.Bitmap(images['step4_girl_png']);
		step5GirlIMG.x = 260;
		step5GirlIMG.y = 20;
		step5Interactive.addChild(step5GirlIMG);  

		
		step5BoardIMG.x = 12;
		step5BoardIMG.y = 200;
		
		step5DoughIMG.x = 80;
		step5DoughIMG.y = 5;
		step5FlourOnBoardIMG.x = 20;
		step5FlourOnBoardIMG.y = 10;

		step5Interactive.addChild(step5BoardIMG);
		
		step5Interactive.addChild(step5FlourOnBoardIMG);
		step5Interactive.addChild(step5DoughIMG);
		step5Interactive.addChild(step5SpoonIMG);
		step5SpoonIMG.gotoAndStop("step5_spoon_inactive");
		step5SpoonIMG.alpha = 1;

		step5Interactive.addChild(step5SpoonEmptyIMG);
		step5SpoonEmptyIMG.alpha = 0;

		step5SpoonIMG.addEventListener("click", function(e){
			if(!active) return;

			step5SpoonIMG.gotoAndStop("step5_spoon");
			step5SpoonIMG.alpha = 0;
			step5SpoonEmptyIMG.alpha = 1;
			doPulse(step5SpoonEmptyIMG);
			createjs.Tween.get(e.target).wait(500).call(function(e){
				step5SpoonIMG.alpha = 1;
				step5SpoonEmptyIMG.alpha = 0;
			});

		});

		this.addChild(step5Interactive);
		step5Interactive.y = 0;

		this.enable = function(){
			 active = true;
			 step5SpoonIMG.cursor = "pointer";
			 step5SpoonIMG.gotoAndStop("step5_spoon");
			 addShadow(step5SpoonIMG);
			 doPulse(step5SpoonIMG);
		}

		this.reset = function(){
			 active = false;
			 step5SpoonIMG.cursor = "default";
			 step5SpoonIMG.gotoAndStop("step5_spoon_inactive");
			 removeShadow(step5SpoonIMG);
			 
		}

	}).prototype = new createjs.Container();

	window.pageContentLib.InteractiveStep5 = pageContentLib.InteractiveStep5;



	(pageContentLib.InteractiveStep6 = function(images){
		var active = false;

		var view_state = 0;

		var step6Interactive = new createjs.Container();

		var step6BoardIMG = new createjs.Bitmap(images['step6_board_png']);
		step6BoardIMG.x = 10;
		step6BoardIMG.y = 200;

		var spriteDough  = new createjs.SpriteSheet({
			"images": [images['doughSprite_png'] ],
			"frames": [[1, 1, 883, 313], 
			    [885, 1, 883, 313], 
			    [1, 315, 883, 313], 
			    [885, 315, 883, 313], 
			    [1, 629, 883, 313]
			],
			"animations": {
			    
			        "step6_dough_cut_1":[0], 
			        "step6_dough_cut_2":[1], 
			        "step6_dough_cut_3":[2], 
			        "step6_dough_whole":[3], 
			        "step6_dough_whole_inactive":[4]
			}
			    
		});

		var step6DoughIMG = new createjs.BitmapAnimation(spriteDough);
		step6DoughIMG.regX = 883 / 2;
		step6DoughIMG.regY = 313 / 2;
		step6DoughIMG.x = 80 + 883 / 2;
		step6DoughIMG.y = 100 + 313 / 2;

		var step6GirlIMG = new createjs.Bitmap(images['step4_girl_png'] );
		step6GirlIMG.x = 700;
		step6GirlIMG.y = 25;
		step6GirlIMG.regX = 105;
		step6GirlIMG.scaleX = -1;

		step6Interactive.addChild(step6GirlIMG);

		step6Interactive.addChild(step6BoardIMG);
		step6Interactive.addChild(step6DoughIMG);
		step6DoughIMG.alpha = 1;
		step6DoughIMG.gotoAndStop("step6_dough_whole_inactive");

		step6DoughIMG.onMouseOver = function(){
			document.body.style.cursor='pointer';
		};
		step6DoughIMG.onMouseOut = function(){
			document.body.style.cursor='default';
		};

		step6DoughIMG.addEventListener("mousedown", function(e){
			if(!active) return;			

			switch(view_state){
				case 0: // whole dough - cut 1
				step6DoughIMG.gotoAndStop("step6_dough_cut_1");
				break;

				case 1: // cut 1 - cut 2
				step6DoughIMG.gotoAndStop("step6_dough_cut_2");
				break;

				case 2: // cut 2 - cut 3
				step6DoughIMG.gotoAndStop("step6_dough_cut_3");
				break;

				case 3: // cut 3 - whole dough
				step6DoughIMG.gotoAndStop("step6_dough_whole");
				break;

			}
			view_state++;
			
			if(view_state > 3){
				view_state = 0;
			}
		});

		this.addChild(step6Interactive);
		step6Interactive.y = 0;

		this.enable = function(){
			 active = true;
			 step6DoughIMG.gotoAndStop("step6_dough_whole");
			 addShadow(step6DoughIMG);
			 doPulse(step6DoughIMG);
		}

		this.reset = function(){
			 active = false;
			 step6DoughIMG.gotoAndStop("step6_dough_whole_inactive");
			 removeShadow(step6DoughIMG);
			 view_state = 0;
			 
		}

	}).prototype = new createjs.Container();

	window.pageContentLib.InteractiveStep6 = pageContentLib.InteractiveStep6;



	(pageContentLib.InteractiveStep7 = function(images){
		var active = false;

		var step7Interactive = new createjs.Container();

		var spriteBiscuit  = new createjs.SpriteSheet({
			"images": [ images['step7_boneBiscuitSprite_png'] ],
			"frames": [
			    [1, 69, 128, 66], 
			    [1, 1, 128, 66]
			],
			"animations": {
			    
			        "step7_bone_shape":[0], 
			        "step7_bone_shape_inactive":[1]
			}
		});
		

		var step7BoneShapeIMG_1 = new createjs.BitmapAnimation(spriteBiscuit);
		step7BoneShapeIMG_1.gotoAndStop("step7_bone_shape_inactive");
		
		var step7BoneShapeIMG_2 = new createjs.BitmapAnimation(spriteBiscuit);
		step7BoneShapeIMG_2.gotoAndStop("step7_bone_shape_inactive");
		
		var step7BoneShapeIMG_3 = new createjs.BitmapAnimation(spriteBiscuit);
		step7BoneShapeIMG_3.gotoAndStop("step7_bone_shape_inactive");
		
		var step7BoneShapeIMG_4 = new createjs.BitmapAnimation(spriteBiscuit);
		step7BoneShapeIMG_4.gotoAndStop("step7_bone_shape_inactive");
		
		var step7BoardIMG = new createjs.Bitmap(images['step7_board_png'] );
		step7BoardIMG.x = 10;
		step7BoardIMG.y = 120;

		var pan = new createjs.Bitmap(images['step7_pan_png']); 
		pan.x = 40;
		pan.y = 50;

		var panHitArea = new createjs.Bitmap(images['panHitArea_png']);
		panHitArea.x = 80;
		panHitArea.y = 75;
		panHitArea.alpha = 0.01;
		
		
		step7BoneShapeIMG_1.regX = step7BoneShapeIMG_2.regX = step7BoneShapeIMG_3.regX =  step7BoneShapeIMG_4.regX = 135 / 2;
		step7BoneShapeIMG_1.regY = step7BoneShapeIMG_2.regY = step7BoneShapeIMG_3.regY =  step7BoneShapeIMG_4.regY = 81 / 2;

		function resetBones(selectedBone){
			if(!selectedBone) selectedBone = "";

			if(selectedBone == "" || selectedBone == "bone1"){
				//step7BoneShapeIMG_1.x = 475 + step7BoneShapeIMG_1.regX;
				//step7BoneShapeIMG_1.y = 200 + step7BoneShapeIMG_1.regY;
				createjs.Tween.get(step7BoneShapeIMG_1).to( 
					{x:475 + step7BoneShapeIMG_1.regX, y:200 + step7BoneShapeIMG_1.regY}
					, 250 );
			}
			
			if(selectedBone == "" || selectedBone == "bone2"){
				//step7BoneShapeIMG_2.x = 540 + step7BoneShapeIMG_2.regX;
				//step7BoneShapeIMG_2.y = 150 + step7BoneShapeIMG_2.regY;
				createjs.Tween.get(step7BoneShapeIMG_2).to( 
					{x:540 + step7BoneShapeIMG_2.regX, y:150 + step7BoneShapeIMG_2.regY}
					, 250 );
			}

			if(selectedBone == "" || selectedBone == "bone3"){
				//step7BoneShapeIMG_3.x = 700 + step7BoneShapeIMG_3.regX;
				//step7BoneShapeIMG_3.y = 150 + step7BoneShapeIMG_3.regY;
				createjs.Tween.get(step7BoneShapeIMG_3).to( 
					{x:700 + step7BoneShapeIMG_3.regX, y:150 + step7BoneShapeIMG_3.regY}
					, 250 );
			}

			if(selectedBone == "" || selectedBone == "bone4"){
				//step7BoneShapeIMG_4.x = 660 + step7BoneShapeIMG_4.regX;
				//step7BoneShapeIMG_4.y = 200 + step7BoneShapeIMG_4.regY;
				createjs.Tween.get(step7BoneShapeIMG_4).to( 
					{x:660 + step7BoneShapeIMG_4.regX, y:200 + step7BoneShapeIMG_4.regY}
					, 250 );
			}
		}
		resetBones();

		var step7SkitsIMG = new createjs.Bitmap(images['step7_skits_png']);
		step7Interactive.addChild(step7SkitsIMG);
		step7SkitsIMG.x = 450;
		step7SkitsIMG.y = -50;

		step7Interactive.addChild(step7BoardIMG);
		step7Interactive.addChild(pan);
		step7Interactive.addChild(panHitArea);
		step7Interactive.addChild(step7BoneShapeIMG_1);
		step7Interactive.addChild(step7BoneShapeIMG_2);
		step7Interactive.addChild(step7BoneShapeIMG_3);
		step7Interactive.addChild(step7BoneShapeIMG_4);

		var selectedBone = step7BoneShapeIMG_4;

		function setShadowOnBones(){
			step7BoneShapeIMG_1.gotoAndStop("step7_bone_shape");
			step7BoneShapeIMG_2.gotoAndStop("step7_bone_shape");
			step7BoneShapeIMG_3.gotoAndStop("step7_bone_shape");
			step7BoneShapeIMG_4.gotoAndStop("step7_bone_shape");
			addShadow(step7BoneShapeIMG_1);
			addShadow(step7BoneShapeIMG_2);
			addShadow(step7BoneShapeIMG_3);
			addShadow(step7BoneShapeIMG_4);
			doPulse(step7BoneShapeIMG_1);
			doPulse(step7BoneShapeIMG_2);
			doPulse(step7BoneShapeIMG_3);
			doPulse(step7BoneShapeIMG_4);
		}

		function setOffShadowOnBones(){
			step7BoneShapeIMG_1.gotoAndStop("step7_bone_shape_inactive");
			step7BoneShapeIMG_2.gotoAndStop("step7_bone_shape_inactive");
			step7BoneShapeIMG_3.gotoAndStop("step7_bone_shape_inactive");
			step7BoneShapeIMG_4.gotoAndStop("step7_bone_shape_inactive");
			removeShadow(step7BoneShapeIMG_1);
			removeShadow(step7BoneShapeIMG_2);
			removeShadow(step7BoneShapeIMG_3);
			removeShadow(step7BoneShapeIMG_4);
		}

		step7BoneShapeIMG_1.addEventListener("mousedown", function(e){
			if(!active) return;
			//doPulse(e.target);
			e.target.scaleX = e.target.scaleY = 1.2;

			//logger("step7BoneShapeIMG_1 ");
			step7Interactive.setChildIndex(e.target, step7Interactive.getChildIndex(selectedBone));

			selectedBone = step7BoneShapeIMG_1;

			e.target.gotoAndStop("step7_bone_shape");
			var offset = {x:e.target.x - e.stageX, y:e.target.y - e.stageY};

			e.addEventListener("mousemove", function(ev) {
				ev.target.x = ev.stageX + offset.x - 10;
				ev.target.y = ev.stageY + offset.y - 10;
				stage.update();
			}); 

			e.addEventListener("mouseup", function(ev) {
				e.target.scaleX = e.target.scaleY = 1;
				if(ndgmr.checkRectCollision(step7BoneShapeIMG_1,panHitArea)){
					logger( e.target.x + " " + e.target.y + " bone1");
					//ev.target.x = 170.5; 
					//ev.target.y = 135.5;
					createjs.Tween.get(ev.target).to( {x:170.5, y:135.5}, 250 );
 				}else{
					resetBones("bone1");
				}
			});
		});

		step7BoneShapeIMG_2.addEventListener("mousedown", function(e){
			if(!active) return;
			//doPulse(e.target);
			e.target.scaleX = e.target.scaleY = 1.2;

			//logger("step7BoneShapeIMG_2")
			step7Interactive.setChildIndex(e.target, step7Interactive.getChildIndex(selectedBone));
			selectedBone = step7BoneShapeIMG_2;

			e.target.gotoAndStop("step7_bone_shape");
			var offset = {x:e.target.x - e.stageX, y:e.target.y - e.stageY};

			e.addEventListener("mousemove", function(ev) {
				ev.target.x = ev.stageX + offset.x - 10;
				ev.target.y = ev.stageY + offset.y - 10;
				stage.update();
			}); 

			e.addEventListener("mouseup", function(ev) {
				e.target.scaleX = e.target.scaleY = 1;
				if(ndgmr.checkRectCollision(step7BoneShapeIMG_2,panHitArea)){
					logger( e.target.x + " " + e.target.y + " bone2");
					//ev.target.x = 224.5;  
					//ev.target.y = 82.5;
					createjs.Tween.get(ev.target).to( {x:224.5, y:82.5}, 250 );
 				}else{
					resetBones("bone2");
				}
			}); 
		})

		step7BoneShapeIMG_3.addEventListener("mousedown", function(e){
			if(!active) return;
			//doPulse(e.target);
			e.target.scaleX = e.target.scaleY = 1.2;

			//logger("step7BoneShapeIMG_3")
			step7Interactive.setChildIndex(e.target, step7Interactive.getChildIndex(selectedBone));
			selectedBone = step7BoneShapeIMG_3;

			e.target.gotoAndStop("step7_bone_shape");
			var offset = {x:e.target.x - e.stageX, y:e.target.y - e.stageY};

			e.addEventListener("mousemove", function(ev) {
				ev.target.x = ev.stageX + offset.x - 10;
				ev.target.y = ev.stageY + offset.y - 10;
				stage.update();
			}); 

			e.addEventListener("mouseup", function(ev) {
				e.target.scaleX = e.target.scaleY = 1;
				if(ndgmr.checkRectCollision(step7BoneShapeIMG_3,panHitArea)){
					logger( e.target.x + " " + e.target.y + " bone3");
					//ev.target.x = 383.5;  
					//ev.target.y = 122.5;
					createjs.Tween.get(ev.target).to( {x:383.5, y:122.5}, 250 );
 				}else{
					resetBones("bone3");
				}
			}); 
		})

		step7BoneShapeIMG_4.addEventListener("mousedown", function(e){
			if(!active) return;

			//doPulse(e.target);
			e.target.scaleX = e.target.scaleY = 1.2;

			//logger("step7BoneShapeIMG_3")
			step7Interactive.setChildIndex(e.target, step7Interactive.getChildIndex(selectedBone));
			selectedBone = step7BoneShapeIMG_4;

			e.target.gotoAndStop("step7_bone_shape");
			var offset = {x:e.target.x - e.stageX, y:e.target.y - e.stageY};

			e.addEventListener("mousemove", function(ev) {
				ev.target.x = ev.stageX + offset.x - 10;
				ev.target.y = ev.stageY + offset.y - 10;
				stage.update();
			}); 

			e.addEventListener("mouseup", function(ev) {
				e.target.scaleX = e.target.scaleY = 1;
				if(ndgmr.checkRectCollision(step7BoneShapeIMG_4,panHitArea)){
					logger( e.target.x + " " + e.target.y + " bone4");
					//ev.target.x = 322.5;  
					//ev.target.y = 175.5;
					createjs.Tween.get(ev.target).to( {x:322.5, y:175.5}, 250 );
 				}else{
					resetBones("bone4");
				}
			});  
		})

		this.addChild(step7Interactive);
		step7Interactive.y = 75;

		function resetDisplay(){
			step7BoneShapeIMG_1.x = 475 + 135 / 2;
			step7BoneShapeIMG_1.y = 200 +  81 / 2;

			step7BoneShapeIMG_2.x = 540 + 135 / 2;
			step7BoneShapeIMG_2.y = 150 +  81 / 2;

			step7BoneShapeIMG_3.x = 700 + 135 / 2;
			step7BoneShapeIMG_3.y = 150 +  81 / 2;

			step7BoneShapeIMG_4.x = 660 + 135 / 2;
			step7BoneShapeIMG_4.y = 200 +  81 / 2;
		}

		this.enable = function(){
			active = true;
			setShadowOnBones();
			resetDisplay();
			step7BoneShapeIMG_1.cursor = "pointer";
			step7BoneShapeIMG_2.cursor = "pointer";
			step7BoneShapeIMG_3.cursor = "pointer";
			step7BoneShapeIMG_4.cursor = "pointer";
		}

		this.reset = function(){
			active = false;
			setOffShadowOnBones();
			resetDisplay();
			step7BoneShapeIMG_1.cursor = "default";
			step7BoneShapeIMG_2.cursor = "default";
			step7BoneShapeIMG_3.cursor = "default";
			step7BoneShapeIMG_4.cursor = "default";
		}

	}).prototype = new createjs.Container();

	window.pageContentLib.InteractiveStep7 = pageContentLib.InteractiveStep7;



	(pageContentLib.InteractiveStep8 = function(images){
		var active = false;
		var audioMuted = true;

		var getCurrentFPS = createjs.Ticker.getFPS();
		logger(getCurrentFPS);

		var minutes = 0;
		var step8Interactive = new createjs.Container();

		var spriteTimer  = new createjs.SpriteSheet({
			"images": [images['step8_timerSprite_png'] ],
			"frames": [
			    [246, 1, 48, 46], 
			    [148, 1, 48, 46], 
			    [197, 1, 48, 46], 
			    [99, 1, 48, 46], 
			    [1, 1, 48, 46], 
			    [50, 1, 48, 46], 
			    [1, 48, 458, 238], 
			    [1, 287, 458, 238]
			],
			"animations": {
			    
			        "downButton_on":[0], 
			        "downButton_inactive":[1], 
			        "downButton_off":[2], 
			        "upButton_on":[3], 
			        "upButton_off":[4], 
			        "upButton_inactive":[5], 
			        "step8_timer":[6], 
			        "step8_timer_inactive":[7]
			}
		});

		var step8TimerIMG = new createjs.BitmapAnimation(spriteTimer);
		step8TimerIMG.gotoAndStop("step8_timer_inactive");
		var step8BG = new createjs.Bitmap(images['step8_background_png']);
		
		var greyColor = createjs.Graphics.getRGB(123, 126, 123);
		var whiteColor = createjs.Graphics.getRGB(255, 255, 255);
		var orangeColor = createjs.Graphics.getRGB(255, 204, 51);

		var timerReadout = createText("00:00", FONT_STYLE_TIMER , greyColor, 465, 155, 100, 35);
		timerReadout.regX = 100 / 2;
		timerReadout.regY = 35 / 2;
		timerReadout.x = timerReadout.x + 100 / 2;
		timerReadout.y = timerReadout.y + 35 / 2;

		step8TimerIMG.regX = 450 / 2;
		step8TimerIMG.regY = 225 / 2;
		step8TimerIMG.x = 355 + 450 / 2;
		step8TimerIMG.y = 110 + 225 / 2;
		timerReadout.rotation = 2.5;
		timerReadout.lineHeight = 0;

		step8Interactive.addChild(step8BG);
		step8BG.x = 20;
		step8BG.y = -60;

		step8Interactive.addChild(step8TimerIMG);
		step8Interactive.addChild(timerReadout);

		var btnUp = new createjs.BitmapAnimation(spriteTimer); //new createjs.Container(); 
		btnUp.gotoAndStop("upButton_inactive");
		btnUp.regX = 48 / 2;
		btnUp.regY = 46 / 2;
		btnUp.x = 728 + 48 / 2;
		btnUp.y = 170 + 46 / 2;
		//btnUp.addChild( createCircle(30, 720, 180, createjs.Graphics.getRGB(255, 255, 255)) ); //radius, x, y, fillColor, strokeColor
		var btnDown = new createjs.BitmapAnimation(spriteTimer); //new createjs.Container();
		btnDown.gotoAndStop("downButton_inactive");
		btnDown.regX = 48 / 2;
		btnDown.regY = 46 / 2;
		btnDown.x = 728 + 48 / 2;
		btnDown.y = 224 + 46 / 2;
		//btnDown.addChild( createCircle(30, 720, 240, createjs.Graphics.getRGB(255, 255, 255)) ); //radius, x, y, fillColor, strokeColor
		step8Interactive.addChild(btnUp);
		//btnUp.alpha = 0;
		step8Interactive.addChild(btnDown);
		//btnDown.alpha = 0;

		btnUp.onMouseOver = function(){
			document.body.style.cursor='pointer';
		};
		btnUp.onMouseOut = function(){
			document.body.style.cursor='default';
		};
		btnDown.onMouseOver = function(){
			document.body.style.cursor='pointer';
		};
		btnDown.onMouseOut = function(){
			document.body.style.cursor='default';
		};

		btnUp.addEventListener("click", function(){
			if(!active) return;

			if(minutes >= 0 && minutes < 35){
				minutes = minutes + 5;
			}
			timerReadout.text = returnTimeFormat(minutes);
			if(!audioMuted && !narrActive) playSound("click");

			btnUp.gotoAndStop("upButton_on");

			
			createjs.Tween.get(btnUp).wait(500).call(function(){
				btnUp.gotoAndStop("upButton_off");
			})
		});


		btnDown.addEventListener("click", function(){
			if(!active) return;

			if(minutes <= 35 && minutes > 0){
				minutes = minutes - 5;
			}
			timerReadout.text = returnTimeFormat(minutes);
			if(!audioMuted && !narrActive) playSound("click");

			btnDown.gotoAndStop("downButton_on");

			createjs.Tween.get(btnDown).wait(500).call(function(){
				btnDown.gotoAndStop("downButton_off");
			})
		});

		function returnTimeFormat(time){

			var timeFormatted = "";
			switch(time){
				case 0:
				timeFormatted = "00:00";
				timerReadout.color = greyColor;
				break;

				case 5:
				timeFormatted = "05:00";
				timerReadout.color = whiteColor;
				break;

				case 10:
				timeFormatted = "10:00";
				timerReadout.color = whiteColor;
				break;

				case 15:
				timeFormatted = "15:00";
				timerReadout.color = whiteColor;
				break;

				case 20:
				timeFormatted = "20:00";
				timerReadout.color = whiteColor;
				break;

				case 25:
				timeFormatted = "25:00";
				timerReadout.color = whiteColor;
				break;

				case 30:
				timeFormatted = "30:00";
				timerReadout.color = whiteColor;
				break;

				case 35:
				timeFormatted = "35:00";
				timerReadout.color = orangeColor;
				if(!audioMuted && !narrActive) playSound("ding_ding");
				break;
			}

			return timeFormatted;
		}

		this.addChild(step8Interactive);
		step8Interactive.y = 75;

		function resetDisplay(){
			step8TimerIMG.gotoAndStop("step8_timer");
			minutes = 0;
			timerReadout.text = returnTimeFormat(minutes);
		}

		this.enable = function(){
			active = true;
			resetDisplay();
			
			addShadow(step8TimerIMG);
			doPulse(btnUp);
			btnUp.gotoAndStop("upButton_off");
			doPulse(btnDown);
			btnDown.gotoAndStop("downButton_off");
		}

		this.reset = function(){
			active = false;
			resetDisplay();

			removeShadow(step8TimerIMG);
			btnUp.gotoAndStop("upButton_inactive");
			btnDown.gotoAndStop("downButton_inactive");
		}

		this.muteAudio = function(value){
			audioMuted = value;
		}


	}).prototype = new createjs.Container();

	window.pageContentLib.InteractiveStep8 = pageContentLib.InteractiveStep8;




	(pageContentLib.InteractiveStep9 = function(images){
		var active = false;
		var audioMuted = true;

		var getCurrentFPS = createjs.Ticker.getFPS();
		logger(getCurrentFPS);

		//createjs.Ticker.setFPS(20);

		var step9Interactive = new createjs.Container();

		var spriteBiscuit  = new createjs.SpriteSheet({
			"images": [images['step9_boneBiscuitSprite_png'] ],
			"frames": [
			    [1, 82, 128, 80], 
			    [1, 1, 128, 80]
			],
			"animations": {
			    
			        "step9_bone_biscuit":[0], 
			        "step9_bone_biscuit_inactive":[1]
			}
		});

		var spriteSkits  = new createjs.SpriteSheet({
			"images": [images['skitsSprite_png'] ],
			"frames": [
			    [1, 1, 160, 130], 
			    [162, 1, 160, 130], 
			    [323, 1, 160, 130], 
			    [484, 1, 160, 130], 
			    [645, 1, 160, 130], 
			    [806, 1, 160, 130], 
			    [967, 1, 160, 130], 
			    [1128, 1, 160, 130], 
			    [1289, 1, 160, 130], 
			    [1450, 1, 160, 130], 
			    [1611, 1, 160, 130], 
			    [1772, 1, 160, 130], 
			    [1, 132, 160, 130], 
			    [162, 132, 160, 130], 
			    [323, 132, 160, 130], 
			    [484, 132, 160, 130], 
			    [645, 132, 160, 130], 
			    [806, 132, 160, 130], 
			    [967, 132, 160, 130], 
			    [1128, 132, 160, 130], 
			    [1289, 132, 160, 130], 
			    [1450, 132, 160, 130], 
			    [1611, 132, 160, 130], 
			    [1772, 132, 160, 130], 
			    [1, 263, 160, 130], 
			    [162, 263, 160, 130], 
			    [323, 263, 160, 130], 
			    [484, 263, 160, 130], 
			    [645, 263, 160, 130], 
			    [806, 263, 160, 130], 
			    [967, 263, 160, 130], 
			    [1128, 263, 160, 130], 
			    [1289, 263, 160, 130], 
			    [1450, 263, 160, 130], 
			    [1611, 263, 160, 130], 
			    [1772, 263, 160, 130], 
			    [1, 394, 160, 130], 
			    [162, 394, 160, 130], 
			    [323, 394, 160, 130], 
			    [484, 394, 160, 130], 
			    [645, 394, 160, 130], 
			    [806, 394, 160, 130], 
			    [967, 394, 160, 130], 
			    [1128, 394, 160, 130], 
			    [1289, 394, 160, 130], 
			    [1450, 394, 160, 130], 
			    [1611, 394, 160, 130], 
			    [1772, 394, 160, 130], 
			    [1, 525, 160, 130], 
			    [162, 525, 160, 130], 
			    [323, 525, 160, 130], 
			    [484, 525, 160, 130], 
			    [645, 525, 160, 130], 
			    [806, 525, 160, 130], 
			    [967, 525, 160, 130], 
			    [1128, 525, 160, 130], 
			    [1289, 525, 160, 130], 
			    [1450, 525, 160, 130], 
			    [1611, 525, 160, 130], 
			    [1772, 525, 160, 130], 
			    [1, 656, 160, 130], 
			    [162, 656, 160, 130], 
			    [323, 656, 160, 130], 
			    [484, 656, 160, 130], 
			    [645, 656, 160, 130], 
			    [806, 656, 160, 130], 
			    [967, 656, 160, 130], 
			    [1128, 656, 160, 130], 
			    [1289, 656, 160, 130], 
			    [1450, 656, 160, 130], 
			    [1611, 656, 160, 130], 
			    [1772, 656, 160, 130], 
			    [1, 787, 160, 130], 
			    [162, 787, 160, 130], 
			    [323, 787, 160, 130], 
			    [484, 787, 160, 130], 
			    [645, 787, 160, 130], 
			    [806, 787, 160, 130], 
			    [967, 787, 160, 130]
			],
			"animations": {
			        "skits_done_00":[0], 
			        "skits_done_01":[1], 
			        "skits_done_02":[2], 
			        "skits_done_03":[3], 
			        "skits_done_04":[4], 
			        "skits_done_05":[5], 
			        "skits_done_06":[6], 
			        "skits_done_07":[7], 
			        "skits_done_08":[8], 
			        "skits_done_09":[9], 
			        "skits_done_10":[10], 
			        "skits_done_11":[11], 
			        "skits_done_12":[12], 
			        "skits_done_13":[13], 
			        "skits_done_14":[14], 
			        "skits_done_15":[15], 
			        "skits_done_16":[16], 
			        "skits_done_17":[17], 
			        "skits_done_18":[18], 
			        "skits_done_19":[19], 
			        "skits_done_20":[20], 
			        "skits_done_21":[21], 
			        "skits_done_22":[22], 
			        "skits_done_23":[23], 
			        "skits_done_24":[24], 
			        "skits_done_25":[25], 
			        "skits_done_26":[26], 
			        "skits_done_27":[27], 
			        "skits_done_28":[28], 
			        "skits_done_29":[29], 
			        "skits_done_30":[30], 
			        "skits_done_31":[31], 
			        "skits_done_32":[32], 
			        "skits_done_33":[33], 
			        "skits_done_34":[34], 
			        "skits_done_35":[35], 
			        "skits_done_36":[36], 
			        "skits_done_37":[37], 
			        "skits_done_38":[38], 
			        "skits_done_39":[39], 
			        "skits_done_40":[40], 
			        "skits_done_42":[41], 
			        "skits_done_43":[42], 
			        "skits_done_44":[43], 
			        "skits_done_45":[44], 
			        "skits_done_46":[45], 
			        "skits_done_47":[46], 
			        "skits_done_48":[47], 
			        "skits_done_49":[48], 
			        "skits_done_50":[49], 
			        "skits_done_51":[50], 
			        "skits_done_52":[51], 
			        "skits_done_53":[52], 
			        "skits_done_54":[53], 
			        "skits_done_55":[54], 
			        "skits_done_56":[55], 
			        "skits_done_57":[56], 
			        "skits_done_58":[57], 
			        "skits_eat_01":[58], 
			        "skits_eat_02":[59], 
			        "skits_eat_03":[60], 
			        "skits_eat_04":[61], 
			        "skits_eat_05":[62], 
			        "skits_eat_06":[63], 
			        "skits_eat_07":[64], 
			        "skits_eat_08":[65], 
			        "skits_eat_09":[66], 
			        "skits_eat_10":[67], 
			        "skits_eat_11":[68], 
			        "skits_eat_12":[69], 
			        "skits_eat_13":[70], 
			        "skits_eat_14":[71], 
			        "skits_eat_15":[72], 
			        "skits_eat_16":[73], 
			        "skits_eat_17":[74], 
			        "skits_eat_18":[75], 
			        "skits_eat_19":[76], 
			        "skits_eat_20":[77], 
			        "skits_eat_21":[78],
			        "skits_eat":[58, 78, "skits_done_52"],
			        "skits_done":[0, 57, false],
			}
		});

		var step9BoneBiscuitIMG_1 = new createjs.BitmapAnimation(spriteBiscuit);
		step9BoneBiscuitIMG_1.gotoAndStop("step9_bone_biscuit_inactive");
		var step9BoneBiscuitIMG_2 = new createjs.BitmapAnimation(spriteBiscuit);
		step9BoneBiscuitIMG_2.gotoAndStop("step9_bone_biscuit_inactive");
		var step9BoneBiscuitIMG_3 = new createjs.BitmapAnimation(spriteBiscuit);
		step9BoneBiscuitIMG_3.gotoAndStop("step9_bone_biscuit_inactive");
		var step9BoneBiscuitIMG_4 = new createjs.BitmapAnimation(spriteBiscuit);
		step9BoneBiscuitIMG_4.gotoAndStop("step9_bone_biscuit_inactive");

		var step9backgroundIMG = new createjs.Bitmap(images['step9_background_png']);
		var step9SkitIMG = new createjs.Bitmap(images['step9_skit_png']);
		var step9ToolsIMG = new createjs.Bitmap(images['step9_tools_png']);
		
		var boneBiscuit1Eat = boneBiscuit2Eat = boneBiscuit3Eat = boneBiscuit4Eat = false;

		var skitsEats = new createjs.BitmapAnimation(spriteSkits);
		skitsEats.gotoAndStop("skits_done_52");
		skitsEats.addEventListener("animationend", onAnimatedEnd);
		skitsEats.regX = 50;
		skitsEats.regY = 130 - 30;
		skitsEats.rotation = 10;	

		function onAnimatedEnd(){
			if(boneBiscuit1Eat && boneBiscuit2Eat && boneBiscuit3Eat && boneBiscuit4Eat){
				skitsEats.removeEventListener("animationend", onAnimatedEnd);
				skitsEats.gotoAndPlay("skits_done");
				skitsEats.rotation = 0;

				if(!audioMuted && !narrActive) { playSound("skits_eating_done"); }
			}
		}

		skitsEats.x = 355 + skitsEats.regX;
		skitsEats.y = 0 + skitsEats.regY;

		step9SkitIMG.x = 45;
		step9SkitIMG.y = -10;
		step9backgroundIMG.x = 10;
		step9backgroundIMG.y = 170;

		step9BoneBiscuitIMG_1.regX = step9BoneBiscuitIMG_2.regX = step9BoneBiscuitIMG_3.regX =  step9BoneBiscuitIMG_4.regX = 126 / 2;
		step9BoneBiscuitIMG_1.regY = step9BoneBiscuitIMG_2.regY = step9BoneBiscuitIMG_3.regY =  step9BoneBiscuitIMG_4.regY = 78 / 2;

		step9BoneBiscuitIMG_1.x = 435 + step9BoneBiscuitIMG_1.regX;
		step9BoneBiscuitIMG_1.y = 230 + step9BoneBiscuitIMG_1.regY;
		var bone1Pos = [step9BoneBiscuitIMG_1.x, step9BoneBiscuitIMG_1.y];

		step9BoneBiscuitIMG_2.x = 520 + step9BoneBiscuitIMG_2.regX;
		step9BoneBiscuitIMG_2.y = 185 + step9BoneBiscuitIMG_2.regY;
		var bone2Pos = [step9BoneBiscuitIMG_2.x, step9BoneBiscuitIMG_2.y];
		
		step9BoneBiscuitIMG_3.x = 575 + step9BoneBiscuitIMG_3.regX;
		step9BoneBiscuitIMG_3.y = 280 + step9BoneBiscuitIMG_3.regY;
		var bone3Pos = [step9BoneBiscuitIMG_3.x, step9BoneBiscuitIMG_3.y];
		
		step9BoneBiscuitIMG_4.x = 670 + step9BoneBiscuitIMG_4.regX;
		step9BoneBiscuitIMG_4.y = 235 + step9BoneBiscuitIMG_4.regY;
		var bone4Pos = [step9BoneBiscuitIMG_4.x, step9BoneBiscuitIMG_4.y];

		var step9GirlIMG = new createjs.Bitmap(images['step4_girl_png']);
		step9GirlIMG.x = 780;
		step9GirlIMG.y = -40;
		step9GirlIMG.regX = 105;
		step9GirlIMG.scaleX = -1;
		step9Interactive.addChild(step9GirlIMG); 

		step9Interactive.addChild(step9SkitIMG);
		step9Interactive.addChild(skitsEats);

		step9Interactive.addChild(step9backgroundIMG);
		
		step9Interactive.addChild(step9BoneBiscuitIMG_1);
		step9Interactive.addChild(step9BoneBiscuitIMG_2);
		step9Interactive.addChild(step9BoneBiscuitIMG_3);
		step9Interactive.addChild(step9BoneBiscuitIMG_4);

		var selectedBone = step9BoneBiscuitIMG_4;

		function setShadowOnBones(){
			step9BoneBiscuitIMG_1.gotoAndStop("step9_bone_biscuit");
			step9BoneBiscuitIMG_2.gotoAndStop("step9_bone_biscuit");
			step9BoneBiscuitIMG_3.gotoAndStop("step9_bone_biscuit");
			step9BoneBiscuitIMG_4.gotoAndStop("step9_bone_biscuit");
			addShadow(step9BoneBiscuitIMG_1);
			addShadow(step9BoneBiscuitIMG_2);
			addShadow(step9BoneBiscuitIMG_3);
			addShadow(step9BoneBiscuitIMG_4);
			doPulse(step9BoneBiscuitIMG_1);
			doPulse(step9BoneBiscuitIMG_2);
			doPulse(step9BoneBiscuitIMG_3);
			doPulse(step9BoneBiscuitIMG_4);
		}

		function setOffShadowOnBones(){
			step9BoneBiscuitIMG_1.gotoAndStop("step9_bone_biscuit_inactive");
			step9BoneBiscuitIMG_2.gotoAndStop("step9_bone_biscuit_inactive");
			step9BoneBiscuitIMG_3.gotoAndStop("step9_bone_biscuit_inactive");
			step9BoneBiscuitIMG_4.gotoAndStop("step9_bone_biscuit_inactive");
			removeShadow(step9BoneBiscuitIMG_1);
			removeShadow(step9BoneBiscuitIMG_2);
			removeShadow(step9BoneBiscuitIMG_3);
			removeShadow(step9BoneBiscuitIMG_4);
		}

		function resetBones(){
			step9BoneBiscuitIMG_1.x = bone1Pos[0];
			step9BoneBiscuitIMG_1.y = bone1Pos[1];
			step9BoneBiscuitIMG_2.x = bone2Pos[0];
			step9BoneBiscuitIMG_2.y = bone2Pos[1];
			step9BoneBiscuitIMG_3.x = bone3Pos[0];
			step9BoneBiscuitIMG_3.y = bone3Pos[1];
			step9BoneBiscuitIMG_4.x = bone4Pos[0];
			step9BoneBiscuitIMG_4.y = bone4Pos[1];
			step9BoneBiscuitIMG_1.alpha = 1;
			step9BoneBiscuitIMG_2.alpha = 1;
			step9BoneBiscuitIMG_3.alpha = 1;
			step9BoneBiscuitIMG_4.alpha = 1;
			boneBiscuit1Eat = boneBiscuit2Eat = boneBiscuit3Eat = boneBiscuit4Eat = false;
			skitsEats.gotoAndStop("skits_done_52");
			skitsEats.addEventListener("animationend", onAnimatedEnd);
		}

		step9BoneBiscuitIMG_1.addEventListener("mousedown", function(e){
			if(!active) return;

			var skitsEatsRotation;

			//doPulse(e.target);
			e.target.scaleX = e.target.scaleY = 1.2;

			step9Interactive.setChildIndex(e.target, step9Interactive.getChildIndex(selectedBone));
			selectedBone = step9BoneBiscuitIMG_1;

			e.target.gotoAndStop("step9_bone_biscuit");
			var offset = {x:e.target.x - e.stageX, y:e.target.y - e.stageY};

			e.addEventListener("mousemove", function(ev) {
				ev.target.x = ev.stageX + offset.x - 10;
				ev.target.y = ev.stageY + offset.y - 10;
				//stage.update();
				//logger("ev.target.y " + ev.target.y );
				if(ev.target.y < 50){
					skitsEatsRotation = -4;
				}else if(ev.target.y > 100){
					skitsEatsRotation = 25;
				}else{
					skitsEatsRotation = 5;
				}

				createjs.Tween.get(skitsEats).to( {rotation:skitsEatsRotation}, 100 );
				
			});  

			e.addEventListener("mouseup", function(ev) {
				e.target.scaleX = e.target.scaleY = 1;

				skitsEats.rotation = 0;

				var intersection = ndgmr.checkRectCollision(e.target,skitsEats);
				//var intersection = skitHitarea.hitTest( ev.target.x, ev.target.y );
				if(intersection && !boneBiscuit1Eat){
					//logger("intersection " + intersection);
					step9BoneBiscuitIMG_1.alpha = 0;
					skitsEats.gotoAndPlay("skits_eat");
					if(!audioMuted && !narrActive) playSound("skits_eating");
					boneBiscuit1Eat = true;
				}else{
					createjs.Tween.get(ev.target).to( {x:bone1Pos[0], y:bone1Pos[1]}, 300 );
				}
			});
		});

		step9BoneBiscuitIMG_2.addEventListener("mousedown", function(e){
			if(!active) return;

			var skitsEatsRotation;

			//doPulse(e.target);
			e.target.scaleX = e.target.scaleY = 1.2;

			step9Interactive.setChildIndex(e.target, step9Interactive.getChildIndex(selectedBone));
			selectedBone = step9BoneBiscuitIMG_2;

			e.target.gotoAndStop("step9_bone_biscuit");
			var offset = {x:e.target.x - e.stageX, y:e.target.y - e.stageY};

			e.addEventListener("mousemove", function(ev) {
				ev.target.x = ev.stageX + offset.x - 10;
				ev.target.y = ev.stageY + offset.y - 10;
				//stage.update();

				if(ev.target.y < 50){
					skitsEatsRotation = -4;
				}else if(ev.target.y > 100){
					skitsEatsRotation = 25;
				}else{
					skitsEatsRotation = 5;
				}

				createjs.Tween.get(skitsEats).to( {rotation:skitsEatsRotation}, 100 );
			}); 

			e.addEventListener("mouseup", function(ev) {
				e.target.scaleX = e.target.scaleY = 1;
				
				skitsEats.rotation = 0;

				var intersection = ndgmr.checkRectCollision(e.target,skitsEats);
				//var intersection = skitHitarea.hitTest( ev.target.x, ev.target.y );
				if(intersection && !boneBiscuit2Eat){
					//logger("intersection " + intersection);
					step9BoneBiscuitIMG_2.alpha = 0;
					skitsEats.gotoAndPlay("skits_eat");
					if(!audioMuted && !narrActive) playSound("skits_eating");
					boneBiscuit2Eat = true;
				}else{
					createjs.Tween.get(ev.target).to( {x:bone2Pos[0], y:bone2Pos[1]}, 300 );
				}
			});

			
		})

		step9BoneBiscuitIMG_3.addEventListener("mousedown", function(e){
			if(!active) return;

			var skitsEatsRotation;

			//doPulse(e.target);
			e.target.scaleX = e.target.scaleY = 1.2;

			step9Interactive.setChildIndex(e.target, step9Interactive.getChildIndex(selectedBone));
			selectedBone = step9BoneBiscuitIMG_3;

			e.target.gotoAndStop("step9_bone_biscuit");
			var offset = {x:e.target.x - e.stageX, y:e.target.y - e.stageY};

			e.addEventListener("mousemove", function(ev) {
				ev.target.x = ev.stageX + offset.x - 10;
				ev.target.y = ev.stageY + offset.y - 10;

				if(ev.target.y < 50){
					skitsEatsRotation = -4;
				}else if(ev.target.y > 100){
					skitsEatsRotation = 25;
				}else{
					skitsEatsRotation = 5;
				}

				createjs.Tween.get(skitsEats).to( {rotation:skitsEatsRotation}, 100 );

			}); 

			e.addEventListener("mouseup", function(ev) {
				e.target.scaleX = e.target.scaleY = 1;
				
				skitsEats.rotation = 0;

				var intersection = ndgmr.checkRectCollision(e.target,skitsEats);
				//var intersection = skitHitarea.hitTest( ev.target.x, ev.target.y );
				if(intersection && !boneBiscuit3Eat){
					//logger("intersection " + intersection);
					step9BoneBiscuitIMG_3.alpha = 0;
					skitsEats.gotoAndPlay("skits_eat");
					if(!audioMuted && !narrActive) playSound("skits_eating");
					boneBiscuit3Eat = true;
				}else{
					createjs.Tween.get(ev.target).to( {x:bone3Pos[0], y:bone3Pos[1]}, 300 );
				} 
			});

						
		})

		step9BoneBiscuitIMG_4.addEventListener("mousedown", function(e){
			if(!active) return;

			var skitsEatsRotation;

			//doPulse(e.target);
			e.target.scaleX = e.target.scaleY = 1.2;

			step9Interactive.setChildIndex(e.target, step9Interactive.getChildIndex(selectedBone));
			selectedBone = step9BoneBiscuitIMG_4;

			e.target.gotoAndStop("step9_bone_biscuit");
			var offset = {x:e.target.x - e.stageX, y:e.target.y - e.stageY};

			e.addEventListener("mousemove", function(ev) {
				ev.target.x = ev.stageX + offset.x - 10;
				ev.target.y = ev.stageY + offset.y - 10;
				
				if(ev.target.y < 50){
					skitsEatsRotation = -4;
				}else if(ev.target.y > 100){
					skitsEatsRotation = 25;
				}else{
					skitsEatsRotation = 5;
				}

				createjs.Tween.get(skitsEats).to( {rotation:skitsEatsRotation}, 100 );
			});

			e.addEventListener("mouseup", function(ev) {
				e.target.scaleX = e.target.scaleY = 1;

				skitsEats.rotation = 0;

				var intersection = ndgmr.checkRectCollision(e.target,skitsEats);
				//var intersection = skitHitarea.hitTest( ev.target.x, ev.target.y );
				if(intersection && !boneBiscuit4Eat){
					//logger("intersection " + intersection);
					step9BoneBiscuitIMG_4.alpha = 0;
					skitsEats.gotoAndPlay("skits_eat");
					if(!audioMuted && !narrActive) playSound("skits_eating");
					boneBiscuit4Eat = true;
				}else{
					createjs.Tween.get(ev.target).to( {x:bone4Pos[0], y:bone4Pos[1]}, 300 );
				} 
			});
			  
		})

		this.addChild(step9Interactive);
		step9Interactive.y = 75;

		this.enable = function(){
			active = true;
			// createjs.Ticker.removeListener(stage);
			// createjs.Ticker.setFPS(20);
			// createjs.Ticker.addListener(stage);
			setShadowOnBones();
			resetBones();
			step9BoneBiscuitIMG_1.cursor = "pointer";
			step9BoneBiscuitIMG_2.cursor = "pointer";
			step9BoneBiscuitIMG_3.cursor = "pointer";
			step9BoneBiscuitIMG_4.cursor = "pointer";
		}

		this.reset = function(){
			active = false;
			// createjs.Ticker.removeListener(stage);
			// createjs.Ticker.setFPS(getCurrentFPS);
			// createjs.Ticker.addListener(stage);
			setOffShadowOnBones();
			resetBones();
			step9BoneBiscuitIMG_1.cursor = "default";
			step9BoneBiscuitIMG_2.cursor = "default";
			step9BoneBiscuitIMG_3.cursor = "default";
			step9BoneBiscuitIMG_4.cursor = "default";
			 
		}

		this.muteAudio = function(value){
			audioMuted = value;
		}

	}).prototype = new createjs.Container();

	window.pageContentLib.InteractiveStep9 = pageContentLib.InteractiveStep9;


}(window));