var to;
function prep_1_hero(transition){
	//**//**console.log('function: prep_1_hero');
	world_current = worlds['1_hero'];
	
	ticker_world = (function(){
		tick_1_hero();
	});
	end_world = (function(){
		end_1_hero();
	});
	narrDone = (function(){
		narrDone_1_hero();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: Does your child like a particular superhero or fictional character? If so, what does he or she like about the character? What powers would your child like to have? As you read through the story, help your child create and draw a new superhero, adding powers as you read. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg2 = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg2);

	bg = new createjs.Bitmap(images['burst_bg']);
	

	//** page assets:
	cloud = new createjs.Bitmap(images['cloud']);
	cloud2 = cloud.clone();
	cloud2.x=cloud.image.width-1;


	truman = new createjs.BitmapAnimation( spritesheets['1_truman']);
	truman.x=447.5;
	truman.y=130;
		truman.regX=167.5;
	truman.onPress = flyTruman;
	truman.gotoAndStop("rest");

	cape = new createjs.BitmapAnimation( spritesheets['1_cape']);
	cape.x=285;
	cape.y=130;
	cape.visible=false;
	
	world_current.addChild(cloud);
	world_current.addChild(cloud2);
	world_current.addChild(bg);
	world_current.addChild(cape);
	world_current.addChild(truman);

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText(900);

	//params: sndID, defintion words in array
	renderNarration('1_hero', ['create']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_1_hero);

}

//level specific functions:

//called once this level is fully slid into place
function begin_1_hero(){
	playSound('1_hero');
	
}

function narrDone_1_hero(){
	addShadow(truman);
	doPulse(truman);
	truman.onPress = flyTruman;
}

function flyTruman() {
	truman.onPress=null;
	removeShadow(truman);

	if(!narrActive) playSound('superfly');

	truman.gotoAndPlay("jump");
	truman.onAnimationEnd = showCape;
	
}

function showCape() {
	truman.onAnimationEnd = null;
	bg.visible=false;
	cape.visible=true;
	cape.gotoAndPlay("all");
	to = setTimeout(stopFly,3000);
}

function stopFly(){
	if(!narrActive) stopSound();
	
	truman.gotoAndPlay("drop");
	cape.gotoAndStop(0);
	cape.visible=false;
	truman.onAnimationEnd = resetTruman;
	
	//bg.visible=true;
}

function resetTruman(){
	truman.onAnimationEnd = null;
	truman.gotoAndStop(0);
	bg.visible=true;
	addShadow(truman);
	truman.onPress = flyTruman;
}

function tick_1_hero(){
	stage.update();
	
	if(!bg.visible){
		if(cloud.x>-cloud.image.width)
		{
			cloud.x-=12;

		}else{
			cloud.x=cloud2.x+cloud.image.width;
		}
		if(cloud2.x>-cloud2.image.width)
		{
			cloud2.x-=12;
		}else{
			cloud2.x=cloud.x+cloud.image.width;
		}
	}
}



function end_1_hero(){
	//**//**console.log('end_1_hero');	
	clearTimeout(to);
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

