function prep_0_curtisadams(transition){
	//**console.log('function: prep_0_curtisadams');
	world_current = worlds['0_curtisadams'];
	
	ticker_world = (function(){
		tick_0_curtisadams();
	});
	end_world = (function(){
		end_0_curtisadams();
	});
	narrDone = (function(){
		narrDone_0_curtisadams();
	});

	//if game, visible = false. if storybook, visible = true
	//arrowLeft.visible = true;
	//arrowRight.visible = true;

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	currentSpeaker="";
	currentNum=1;
	posArr=[];
	txtSizeArr=[];
	posArr["curtis"]=[200,500];
	posArr["adams"]=[600,450];
	txtSizeArr["curtis"]=[30,30,26,30];
	txtSizeArr["adams"]=[30,24,30,30];
	popTO=0;


	tdstage = new createjs.Bitmap(images['td_stage']);
	tdstage.x=200;
	tdstage.y=-130;


	btn_play = new createjs.Bitmap(images['btn_play']);
	btn_play.x = canvas.width/2;
	btn_play.y = canvas.height/2-110;
	btn_play.regX = btn_play.image.width/2;
	btn_play.regY = btn_play.image.height/2;

	btn_play.onMouseOver = function(e){
		document.body.style.cursor='pointer';
	}
	btn_play.onMouseOut = function(e){
		document.body.style.cursor='default';
	}

	btn_next = new createjs.Bitmap(images['btn_next']);
	btn_next.x = canvas.width/2;
	btn_next.y = canvas.height/2-110;
	btn_next.regX = btn_next.image.width/2;
	btn_next.regY = btn_next.image.height/2;
	btn_next.visible=false;

	btn_next.onMouseOver = function(e){
		document.body.style.cursor='pointer';
	}
	btn_next.onMouseOut = function(e){
		document.body.style.cursor='default';
	}

	curtis = new createjs.BitmapAnimation(spritesheets['puppet']);
	curtis.gotoAndStop("curtis_off");
	//curtis.name="curtis";
	curtis.x=150;
	curtis.y=220;
	curtis.rotation=-8;

	adams = new createjs.BitmapAnimation(spritesheets['puppet']);
	adams.gotoAndStop("adams_off");
	//adams.name="adams";
	adams.x=640;
	adams.y=140;
	adams.rotation=9;



	curtisBubble = new createjs.Bitmap(images['speech_bubble']);
	curtisBubble.regX = curtisBubble.image.width/2;
	curtisBubble.scaleX=-1;
	curtisBubble.x=350;
	curtisBubble.y=400;
	curtisBubble.visible=false;

	adamsBubble = curtisBubble.clone();
	adamsBubble.scaleX=1;
	adamsBubble.x=740;
	adamsBubble.y=360;
	adamsBubble.visible=false;

	bubble1 = new createjs.BitmapAnimation( spritesheets['funfacts_bubble'] );
	//bubble1.scaleX = bubble1.scaleY = 1.75;
	bubble1.x = 600;
	bubble1.y = 320; // --> tween to 0
	bubble1.regX=252;
	bubble1.regY=249;
	//bubble1.gotoAndPlay("blow");
	bubble1.gotoAndStop(0)
	bubble1.scaleX = bubble1.scaleY = .5;
	bubble1.visible=false;

	firstTime=true;


	//btn_start.onPress = setPuppets;

	world_current.addChild(tdstage);
	world_current.addChild(btn_play);
	world_current.addChild(btn_next);
	world_current.addChild(curtis);
	world_current.addChild(adams);
	world_current.addChild(curtisBubble);
	world_current.addChild(adamsBubble);
	world_current.addChild(bubble1);

	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_0_curtisadams);

}

//level specific functions:

//called once this level is fully slid into place
function begin_0_curtisadams(){
	
	if(firstTime)
	{
		//**console.log("CURTIS ADAMS BEGIN");
		firstTime=false;
		btn_play.onPress = speakTheLine;
		btn_next.onPress = speakTheLine;

		if(currentSpeaker!="")
		{
			btn_play.visible=false;
			btn_next.visible=false;
			if(currentSpeaker=="curtis") curtis.gotoAndPlay('curtis_on');
			else adams.gotoAndPlay('adams_on');
			playSound('0_curtisadams_'+currentSpeaker+currentNum);
		}else{
			btn_play.scaleX = btn_play.scaleY = 1.0;
			btn_next.scaleX = btn_next.scaleY = 1.0;

			addShadow(btn_play);
			doPulse(btn_play);
			addShadow(btn_next);
			doPulse(btn_next);
		}
	}
	//playSound('0_curtisadams');
   /* var cover_start =  sounds['0_curtisadams'][0] * 1000;
    var cover_end =  sounds['0_curtisadams'][1] * 1000;

	playFromTo(cover_start, cover_end);*/

}

function narrDone_0_curtisadams(){
	//**console.log("NARR DONE");
	//btn_play.visible=true;
	if(btn_play.visible==false) btn_next.visible=true;
	curtis.gotoAndStop("curtis_off");
	adams.gotoAndStop("adams_off");
}

function speakTheLine(e)
{
	//**console.log('speaktheline')
	bubble1.visible=false;
	btn_play.visible=false;
	btn_next.visible=false;
	if(currentSpeaker=="")
	{
		currentSpeaker="curtis";
	}else{
		currentSpeaker = (currentSpeaker=="curtis")?"adams":"curtis";
		if(currentSpeaker=="curtis") currentNum++;
	}

	if(currentNum<=4)
	{

		clearAllText();
		if(currentSpeaker=="curtis")
		{
			////**console.log("curtis on!")
			curtis.gotoAndPlay("curtis_on");
			curtisBubble.visible=true;
			adamsBubble.visible=false;
		}else{
			adams.gotoAndPlay("adams_on");
			curtisBubble.visible=false;
			adamsBubble.visible=true;
		}
		setNarrationText(posArr[currentSpeaker][0],posArr[currentSpeaker][1],'0_curtisadams_'+currentSpeaker+currentNum,"left",300,txtSizeArr[currentSpeaker][currentNum-1]);
		renderNarration('0_curtisadams_'+currentSpeaker+currentNum,['studied','chicle','evidence','proved','demonstrate']);
		setDefinitionText();
		playSound('0_curtisadams_'+currentSpeaker+currentNum);
		if(!snd_active)
		{
			//**console.log("DONE!!")
			enableDefinitions();
			narrDone_0_curtisadams();
		}
	}else{
		clearAllText();
		adamsBubble.visible=false;
		curtisBubble.visible=false;
		bubble1.visible=true;
		bubble1.gotoAndPlay("blow");
		playSound('sfx_blow');
		bubble1.onAnimationEnd = endBubble;
	}
}

function endBubble()
{
	bubble1.onAnimationEnd=null;

	popTO = setTimeout('popBubble()',700);
	
}

function popBubble(){
	bubble1.gotoAndPlay("pop");
	playSound('sfx_pop');
	bubble1.onAnimationEnd = resetStage;
}

function resetStage(){
	bubble1.onAnimationEnd=null;
	currentNum=1;
	currentSpeaker="";
	//bubble1.gotoAndStop(0);
	//bubble1.visible=false;
	btn_play.visible=true;
}

function tick_0_curtisadams(){
	stage.update();
}

function end_0_curtisadams(){
	//**console.log('end_0_curtisadams');
	clearTimeout(popTO);
	
	btn_play.onPress = null;
	btn_next.onPress = null;

	createjs.Ticker.removeListener(ticker_world);
}