function prep_2_timeline(transition){
	//**//**console.log('function: prep_2_timeline');
	world_current = worlds['2_timeline'];
	
	ticker_world = (function(){
		tick_2_timeline();
	});
	end_world = (function(){
		end_2_timeline();
	});
	narrDone = (function(){
		narrDone_2_timeline();
	});

	//if game, visible = false. if storybook, visible = true

	//teachertip:
	/*teachertipcontainer.onPage = false;
	teachertiptext.text = '';*/

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	currentFacts=0;
	btnHitArr =[];
	btnArr = [];
	timelineBGArr = [];
	posArr=[[560,280,300],[560,260,300],[580,275,300],[480,290,440],[240,280,300],[550,280,350],[600,300,300]];
	pos2Arr=[[630,390,300],[550,420,300]];
	showPart2=true;

	/*txt = new createjs.Text("Timeline","27px Nunito","black");
	txt.lineWidth = 500;
	txt.x = (canvas.width-500)/2;
	txt.y = canvas.height/2;
	world_current.addChild(txt);*/

	for(var i=0; i<7; i++)
	{
		var timelineNum = i+1;
		var bg1 = new createjs.Bitmap(images['timeline_pix'+timelineNum]);
		bg1.x=-2;
		bg1.y=0;
		if(i==0) bg1.visible=true; else bg1.visible=false;
		world_current.addChild(bg1);
		timelineBGArr[i] = bg1;
	}

	
	dotNav = new createjs.Bitmap(images['timeline_nav']);
	dotNav.x=70;
	dotNav.y=520;
	world_current.addChild(dotNav);

	for(var i=0; i<7; i++)
	{
		btn = new createjs.Shape();
		btn.graphics.beginFill("#ffffcc").drawRect(0,-15,60,60);
		btn.id=i;
		btn.x = (i*85)+240;
		btn.y = 565;
		btn.alpha=.01;
		btnHitArr[i]=btn;

		dot = new createjs.BitmapAnimation(spritesheets['timeline_dot']);
		dot.id=i;
		if(i==0) dot.gotoAndStop("on"); else dot.gotoAndStop("off");
		dot.x = btn.x+5;
		dot.y = btn.y;
		btnArr[i] = dot;
		world_current.addChild(dot);
		world_current.addChild(btn);
	}
	
	//txt.text=textArr[0];
	//

	//********
	//text stuff:
	/*bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	//renderNarration();

	setDefinitionText();*/

	setNarrationText(posArr[currentFacts][0],posArr[currentFacts][1],'2_timeline_fact'+currentFacts,"left",posArr[currentFacts][2]);
	renderNarration('2_timeline_fact'+currentFacts);

	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_2_timeline);

}

//level specific functions:

//called once this level is fully slid into place
function begin_2_timeline(){
	////**console.log("WORLD 2 BEGIN");
	/*var cover_start =  sounds['2_timeline'][0] * 1000;
    var cover_end =  sounds['2_timeline'][1] * 1000;

	playFromTo(cover_start, cover_end,narrDone_2_timeline);*/
	if(currentFacts==14 || currentFacts==15 || currentFacts==4 || currentFacts==5)
	{
		if(currentFacts>10)currentFacts-=10;
		renderNarration('2_timeline_fact'+currentFacts);
	}
	playSound('2_timeline_fact'+currentFacts);	
	/*for(var i=0; i<btnArr.length; i++)
	{
		btnHitArr[i].onPress = null;
		btnHitArr[i].onMouseOver = null;
		btnHitArr[i].onMouseOver = null;

	}*/

		for(var i=0; i<btnArr.length; i++)
		{
			//btnArr[i].onPress = showTimelineText;
			btnHitArr[i].onPress = showTimelineText;

			btnHitArr[i].onMouseOver = function(e){
				document.body.style.cursor='pointer';
			}
			btnHitArr[i].onMouseOut = function(e){
				document.body.style.cursor='default';
			}

		}
	//}
}

function narrDone_2_timeline(){
	//if(!snd_active)
	//{
		/*for(var i=0; i<btnArr.length; i++)
		{
			//btnArr[i].onPress = showTimelineText;
			btnHitArr[i].onPress = showTimelineText;

			btnHitArr[i].onMouseOver = function(e){
				document.body.style.cursor='pointer';
			}
			btnHitArr[i].onMouseOut = function(e){
				document.body.style.cursor='default';
			}

		}*/
	//}else{
		if((currentFacts==4 || currentFacts==5) && showPart2)
		{
			showPart2=false;
			//setNarrationText(pos2Arr[currentFacts-4][0],pos2Arr[currentFacts-4][1],'2_timeline_fact'+e.target.id+"_2","left",pos2Arr[currentFacts-4][2]);
			renderNarration('2_timeline_fact'+currentFacts+"_2");
			playSound('2_timeline_fact'+currentFacts+"_2");
			currentFacts=currentFacts+10;
		}/*else{

			for(var i=0; i<btnArr.length; i++)
			{
				btnHitArr[i].onPress = showTimelineText;

				btnHitArr[i].onMouseOver = function(e){
					document.body.style.cursor='pointer';
				}
				btnHitArr[i].onMouseOut = function(e){
					document.body.style.cursor='default';
				}				
			}
		}*/
	//}
	
}

function showTimelineText(e){
	if(!snd_active)
	{
		//enableDefinitions();
		////**console.log("show definitions..");
		/*for(var i=0; i<btnArr.length; i++)
		{
			//btnArr[i].onPress = showTimelineText;
			btnHitArr[i].onPress = null;
			btnHitArr[i].onMouseOver = null;
			btnHitArr[i].onMouseOver = null;
			
		}*/
	}
	
	stopSound();
	showPart2=false;
	////**console.log("///HIDE IT: "+currentFacts)
	
	if(currentFacts==14 || currentFacts==15 || currentFacts==5 || currentFacts==4)
	{
		if(currentFacts>10) currentFacts-=10;
		////**console.log("HIDE BOTH!")
		hideNarrationText('2_timeline_fact'+currentFacts);
		hideNarrationText('2_timeline_fact'+currentFacts+"_2");
	}else{
		hideNarrationText();	
	}
	currentFacts = e.target.id;
	////**console.log(">>		TIMELINE CLICKED - SHOW TEXT..."+currentFacts);
	for(var i=0; i<btnArr.length; i++)
	{
		if(i==e.target.id)
		{
			//btnArr[i].graphics.beginFill("#00cc00").drawCircle(0,0,10);
			////**console.log("SHOW BG: "+e.target.id+": "+timelineBGArr[i].visible)
			timelineBGArr[i].visible=true;
			btnArr[i].gotoAndStop("on");
			////**console.log("SHOW BG: "+e.target.id+": "+timelineBGArr[i].visible)
		}else{
			//btnArr[i].graphics.beginFill("#ffffcc").drawCircle(0,0,10);
			timelineBGArr[i].visible=false;
			btnArr[i].gotoAndStop("off");
		}
	}
	if(e.target.id==4 || e.target.id==5)
	{
		setNarrationText(pos2Arr[currentFacts-4][0],pos2Arr[currentFacts-4][1],'2_timeline_fact'+e.target.id+"_2","left",pos2Arr[currentFacts-4][2]);
		renderNarration('2_timeline_fact'+e.target.id+"_2");
		////**console.log("setNarration Text..")
	}
	////**console.log("SET POSITION: "+posArr[currentFacts][0]+", "+posArr[currentFacts][1]);
	setNarrationText(posArr[currentFacts][0],posArr[currentFacts][1],'2_timeline_fact'+e.target.id,"left",posArr[currentFacts][2]);
	renderNarration('2_timeline_fact'+e.target.id);
	playSound('2_timeline_fact'+e.target.id);
//	//**console.log("PLAY THE FIRST PART")
	showPart2=true;
}


function tick_2_timeline(){
	stage.update();
}



function end_2_timeline(){
	//**//**console.log('end_2_timeline');	
	//clear the narration text fields
	clearNarrationText(['2_timeline_fact0', '2_timeline_fact1', '2_timeline_fact2', '2_timeline_fact3', '2_timeline_fact4', '2_timeline_fact5','2_timeline_fact4_2', '2_timeline_fact5_2','2_timeline_fact6']);
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

