//"Virtually Martha" Quiz vars


//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'virtually_quiz_end';
worlds[ quiz_end ] = new createjs.Container();

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)
*/


//testing quiz_words as 2D array: [0] holds  words being tested, [1] holds type: txt or img
var quiz_words = ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9']; 
var quiz_content = [];

//txt questions
quiz_content['q1'] = ["When you are writing a message to someone on the computer, how do you deliver the message through the internet?", 'email it', 'draft it', 'view it', 'easy'];
quiz_content['q2'] = ["In order to keep files on a computer organized, you could put them in...",'a folder', 'an email', 'a desktop', 'medium'];
quiz_content['q3'] = ["What is a word we use to describe the electronic device that you can use to keep or find information, connect with other people, and use for homework?", 'computer', 'copier', 'typewriter', 'medium'];
quiz_content['q4'] = ["After you write an email and you want it to be delivered, what button should you press?", 'send', 'draft', 'delete' ,'hard'];
quiz_content['q5'] = ["A piece of information that you can keep and read on a computer is...", 'a file', 'an icon', 'a folder' ,'hard']
quiz_content['q6'] = ["Another word for a computer you can carry around with you is...",'laptop', 'desktop', 'typewriter', 'hard'];
quiz_content['q7'] = ["When you want to get rid of a file on your computer you...", 'delete it', 'copy it', 'email it' ,'hard']
quiz_content['q8'] = ["If you want to include a picture of your birthday party in an email you're sending, how could you make it part of the email?",'attach it', 'mail it', 'send it', 'hard'];
quiz_content['q9'] = ["When you want to play a game, write an email, or open a document on your computer you might click on...", 'an icon', 'an email', 'a typewriter' ,'hard']


//FOR FIRST question:
//pull a random quiz question... 
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
quiz_doCover();



//

//for quiz only: set narrDone to nothing:
function narrDone(){}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/virtually_quiz';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)
	
	//quiz sfx:

	//question-specific audio:
	makeSound('q_q1', 0.170147, 6.091262);
	makeSound('q_q2', 6.635732, 11.195671);
	makeSound('q_q4', 14.190258, 19.771079);
	makeSound('q_q5', 20.655843, 25.181753);
	makeSound('q_q6', 26.372782, 30.286162);
	makeSound('q_q7', 31.341074, 35.016249);
	makeSound('q_q8', 35.798925, 42.638833);
	makeSound('q_q9', 44.078171, 51.708582);

	makeSound('email it', 52.080193, 53.145478);
	makeSound('a folder', 53.839152, 54.780566);
	makeSound('a file', 55.474240, 56.415654);
	makeSound('delete it', 57.109328, 58.125065);
	makeSound('attach it', 58.967383, 60.082215);
	makeSound('an icon', 60.800663, 62.064140);
	makeSound('draft it', 63.079877, 64.169936);
	makeSound('an email', 64.913158, 66.176635);
	makeSound('copier', 67.018953, 67.960367);
	makeSound('draft', 68.604493, 69.595455);
	makeSound('desktop', 71.094286, 72.060475);
	makeSound('copy it', 73.286791, 74.141496);
	makeSound('mail it', 74.921879, 75.702262);
	makeSound('an email', 76.457871, 77.535542);
	makeSound('view it', 78.390248, 79.257340);
	makeSound('a desktop', 80.149206, 81.276426);
	makeSound('typewriter', 82.279775, 83.171642);
	makeSound('delete', 84.174991, 84.868665);
	makeSound('send it', 86.949686, 87.767230);
	makeSound('a typewriter', 88.485678, 89.513802);
	makeSound('q_q3', 90.140426, 97.894708);
	makeSound('f_q1', 98.785948, 104.240845);
	makeSound('f_q2', 105.486255, 118.338890);
	makeSound('computer', 119.733750, 120.779894);
	makeSound('f_q3', 121.103701, 128.277265);
	makeSound('send', 129.697032, 130.618636);
	makeSound('f_q4', 130.967351, 142.200952);
	makeSound('f_q5', 142.948198, 147.307134);
	makeSound('laptop', 148.378187, 149.499057);
	makeSound('f_q6', 149.847772, 152.687307);
	makeSound('f_q7', 153.857993, 156.373722);
	makeSound('f_q8', 157.644040, 161.305547);
	makeSound('f_q9', 162.550957, 170.621216);

	//required for quiz question outocomes:
	makeSound('empty', 0.2,0.3);
	makeSound('quizmo',	171.717177,	172.946816);
	makeSound('correct_1',	173.318568,	174.505312);
	makeSound('correct_2',	174.662592,	175.867473);
	makeSound('incorrect_1',	176.234021,	177.465025);
	makeSound('incorrect_2',	178.19423,	179.503165);
	makeSound('sfx_biscuits',	180.547,	181.282);
	makeSound('sfx_splat',	181.699,	182.415);
	makeSound('sfx_pie',	182.795,	183.436);
	makeSound('sfx_lazer',	183.804,	185.828);
	makeSound('sfx_wrong',	186.388,	187.378);

}
