function prep_2_page1(transition){
	//**//**console.log('function: prep_2_page1');
	world_current = worlds['2_page1'];
	
	ticker_world = (function(){
		tick_2_page1();
	});
	end_world = (function(){
		end_2_page1();
	});
	narrDone = (function(){
		narrDone_2_page1();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	//teachertiptext.text = "Parent tip: When you read with your child, pause to discuss the text on screen. It's helpful to reuse any new words your child might be hearing for the first time. You could say, \"What do you think the word measure means? Can you remember a time when you measured something?\"";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	if(!bg) bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	if(!sec2InterInstance) sec2InterInstance = new pageContentLib.EarthRunInteractive(images);
	world_current.addChild(sec2InterInstance);
	sec2InterInstance.x = 0; sec2InterInstance.y = 0;

	//********
	//text stuff:
	if(!pageTextBG_1_png) pageTextBG_1_png = new createjs.Bitmap(images['pageTextBG_1_png']);
	world_current.addChild(pageTextBG_1_png);
	pageTextBG_1_png.x = 35; pageTextBG_1_png.y = 455;

	setNarrationText(860, null, null, [90, 495]);

	btnNarration.y = 586 - 10;
	btnNarrationOver.y = btnNarration.y;

	//params: sndID, defintion words in array
	renderNarration('2_page1', ['materials']);

	setDefinitionText();
	//********

	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_2_page1);

}

//level specific functions:

//called once this level is fully slid into place
function begin_2_page1(){
	//**//**console.log("WORLD 1 BEGIN");
	text_page2.alpha = 1;
	narrationMask.visible = false;
	
	playSound('2_page1');
	
}

function narrDone_2_page1(){
	//play PAWS audio for this page:
	//playSound('2_page1_PAWS');
	stopSound();

	sec2InterInstance.muteAudio(false);
	sec2InterInstance.enable();
}

function tick_2_page1(){
	stage.update();
}

function end_2_page1(){
	//**//**console.log('end_2_page1');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page

	sec2InterInstance.reset();
	world_current.removeChild(sec2InterInstance);
	world_current.removeChild(pageTextBG_1_png);
	world_current.removeChild(bg);

	createjs.Ticker.removeListener(ticker_world);
}

