function prep_3_page2(transition){
	//**//**console.log('function: prep_3_page2');
	world_current = worlds['3_page2'];
	
	ticker_world = (function(){
		tick_3_page2();
	});
	end_world = (function(){
		end_3_page2();
	});
	narrDone = (function(){
		narrDone_3_page2();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	//teachertiptext.text = "Parent tip: When you read with your child, pause to discuss the text on screen. It's helpful to reuse any new words your child might be hearing for the first time. You could say, \"What do you think the word measure means? Can you remember a time when you measured something?\"";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	if(!bg) bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	if(!sec3Interative) sec3Interative = new pageContentLib.RecycleArrowsInteractive(images);
	world_current.addChild(sec3Interative);
	sec3Interative.x = 0; sec3Interative.y = 0;


	sec3Interative.reset();
	
	//********
	//text stuff:
	if(!pageTextBG_1_png) pageTextBG_1_png = new createjs.Bitmap(images['pageTextBG_1_png']);
	world_current.addChild(pageTextBG_1_png);
	pageTextBG_1_png.x = 35; pageTextBG_1_png.y = 455;

	setNarrationText(860, null, null, [80, 490]);

	btnNarration.y = 586 - 10;
	btnNarrationOver.y = btnNarration.y;

	//params: sndID, defintion words in array
	renderNarration('3_page2', ['garbage']);

	setDefinitionText();
	//********

	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_3_page2);

}

//level specific functions:

//called once this level is fully slid into place
function begin_3_page2(){
	//**//**console.log("WORLD 1 BEGIN");
	
	text_page2.alpha = 1;
	narrationMask.visible = false;

	playSound('3_page2');
	
}

function narrDone_3_page2(){
	//play PAWS audio for this page:
	//playSound('3_page2_PAWS');
	stopSound();

	//sec3InterInstance.muteAudio(false);
	sec3Interative.enable();
}

function tick_3_page2(){
	stage.update();
}



function end_3_page2(){
	//**//**console.log('end_3_page2');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page

	sec3Interative.reset();
	world_current.removeChild(sec3Interative);
	world_current.removeChild(pageTextBG_1_png);
	world_current.removeChild(bg);

	createjs.Ticker.removeListener(ticker_world);
}

