function prep_5_page4(transition){
	//**//**console.log('function: prep_5_page4');
	world_current = worlds['5_page4'];
	
	ticker_world = (function(){
		tick_5_page4();
	});
	end_world = (function(){
		end_5_page4();
	});
	narrDone = (function(){
		narrDone_5_page4();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	//teachertiptext.text = "Parent tip: When you read with your child, pause to discuss the text on screen. It's helpful to reuse any new words your child might be hearing for the first time. You could say, \"What do you think the word measure means? Can you remember a time when you measured something?\"";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	if(!bg) bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	if(!sec5InterInstance) sec5InterInstance = new pageContentLib.RecycleBinTruckInteractive(images);
	world_current.addChild(sec5InterInstance);
	sec5InterInstance.x = 0; sec5InterInstance.y = 0;

	//********
	//text stuff:
	if(!pageTextBG_1_png) pageTextBG_1_png = new createjs.Bitmap(images['pageTextBG_1_png']);
	world_current.addChild(pageTextBG_1_png);
	pageTextBG_1_png.x = 35; pageTextBG_1_png.y = 455;

	setNarrationText(860, 26, 32, [80, 490]);

	btnNarration.y = 586 - 10;
	btnNarrationOver.y = btnNarration.y;

	//params: sndID, defintion words in array
	renderNarration('5_page4', ['decide','garbage', 'container', 'trash_bin,']);

	setDefinitionText();
	//********

	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_5_page4);

}

//level specific functions:

//called once this level is fully slid into place
function begin_5_page4(){
	//**//**console.log("WORLD 1 BEGIN");
	
	text_page2.alpha = 1;
	narrationMask.visible = false;

	playSound('5_page4');	
}

function narrDone_5_page4(){
	stopSound();
	
	sec5InterInstance.muteAudio(false);
	sec5InterInstance.enable();
	
}

function tick_5_page4(){
	stage.update();
}

function end_5_page4(){
	//**//**console.log('end_5_page4');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	sec5InterInstance.reset();
	world_current.removeChild(sec5InterInstance);
	world_current.removeChild(pageTextBG_1_png);
	world_current.removeChild(bg);

	createjs.Ticker.removeListener(ticker_world);
}

