function prep_7_page6(transition){
	//**//**console.log('function: prep_7_page6');
	world_current = worlds['7_page6'];
	
	ticker_world = (function(){
		tick_7_page6();
	});
	end_world = (function(){
		end_7_page6();
	});
	narrDone = (function(){
		narrDone_7_page6();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	//teachertiptext.text = "Parent tip: When you read with your child, pause to discuss the text on screen. It's helpful to reuse any new words your child might be hearing for the first time. You could say, \"What do you think the word measure means? Can you remember a time when you measured something?\"";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	if(!bg) bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	if(!sec7InterInstance) sec7InterInstance = new pageContentLib.RecycleMaterialInteractive(images);
	world_current.addChild(sec7InterInstance);
	sec7InterInstance.x = 0; sec7InterInstance.y = 0;

	sec7InterInstance.reset();
	narrRead7 = false;

	//********
	//text stuff:
	if(!pageTextBG_1_png) pageTextBG_1_png = new createjs.Bitmap(images['pageTextBG_1_png']);
	world_current.addChild(pageTextBG_1_png);
	pageTextBG_1_png.x = 35; pageTextBG_1_png.y = 455;

	setNarrationText(860, 26, 32, [80, 490]);

	btnNarration.y = 586 - 10;
	btnNarrationOver.y = btnNarration.y;

	//params: sndID, defintion words in array
	renderNarration('7_page6', ['materials']);

	setDefinitionText();

	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_7_page6);

}

//level specific functions:

//called once this level is fully slid into place
function begin_7_page6(){
	//**//**console.log("WORLD 1 BEGIN");
	
	text_page2.alpha = 1;
	narrationMask.visible = false;

	playSound('7_page6');

}

function narrDone_7_page6(){
	stopSound();
	
	sec7InterInstance.muteAudio(false);

	//only have objects become 'active' and pulse ONCE on narrDone or mute. subsequent times narration finishes no need for this.
	if(!narrRead7){
		narrRead7 = true;
		sec7InterInstance.enable();
	}
	
}

function tick_7_page6(){
	stage.update();
}

function end_7_page6(){
	//**//**console.log('end_7_page6');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page

	sec7InterInstance.reset();
	world_current.removeChild(sec7InterInstance);
	world_current.removeChild(pageTextBG_1_png);
	world_current.removeChild(bg);

	createjs.Ticker.removeListener(ticker_world);
}

