//"Waste Not Want Not" story-specific vars
var bg, bg_textBG_title, sec1InterInstance, sec2InterInstance, pageTextBG_1_png, sec3Interative, sec4InterInstance, sec5InterInstance, sec6InterInstance, sec7InterInstance;

var pagenames = [
	'0_cover',
	'1_intro',
	'2_page1',
	'3_page2',
	'4_page3',
	'5_page4',
	'6_page5',
	'7_page6',
	'glossary'
];

//define quiz_url as the page to switch to upon press of arrowGame on final page (glossary)
quiz_url = "wastenotwantnot_game.html";

var glossary_definitions = []; //defined per storybook (storybook's js). used to store defintion words themselves, used with definitionText[] in Glossary

//for use with glossary:
glossary_definitions.push(
	['compost', 'txt'],
	['container', 'txt'],
	['dispose', 'txt'],
	['material', 'txt'],
	['plastic', 'txt'],
	['separate', 'txt'],
	['sort', 'txt'],
	['waste', 'txt']
);

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/waste_text';

quiz_url = "wastenotwantnot_game.html";
/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	//empty
	makeSound('empty', 3.4,3.5);

	//narration:
	makeSound('0_cover', 0, 1.3);
	makeSound('1_intro', 3.5, 13.086683, ["Stop! ", "Before ", "you ", "dispose ", "of ", "your ", "garbage, ", "think ", "about ", "where ", "it ", "comes ", "from. ", "It ", "all ", "starts ", "out ", "as ", "different ", "materials ", "from ", "the ", "earth. "], [3.4, 5.225585, 5.736784, 5.850383, 6.316142, 6.418382, 6.588781, 7.429419, 8.031497, 8.372296, 8.579616, 8.704575, 9.002774, 9.874652, 9.999612, 10.252371, 10.64997, 10.789129, 10.948169, 11.359968, 12.072806, 12.268765, 12.376685]);
	makeSound('2_page1', 33.50, 40.668684, ["If ", "we ", "keep ", "taking ", "materials ", "out ", "of ", "the ", "earth ", "to ", "make ", "things, ", "the ", "earth ", "won't ", "have ", "anything ", "left ", "that ", "we ", "can ", "use."], [33.01, 34.216223, 34.380942, 34.636542, 35.0455, 35.681659, 35.874778, 35.994058, 36.096297, 36.351897, 36.471176, 36.829015, 37.556053, 37.652613, 37.913892, 38.118372, 38.470531, 39.010129, 39.311168, 39.419088, 39.629247, 39.828047]);
	makeSound('3_page2', 41.850121, 47.984504, ["A ", "lot ", "of ", "your ", "garbage ", "can ", "be ", "used ", "to ", "make ", "new ", "things. ", "This ", "is ", "called ", "recycling. "], [41.01, 42.2818, 42.577159, 42.690759, 42.923638, 43.423477, 43.599556, 43.724516, 44.017035, 44.082355, 44.245654, 44.722773, 45.88007, 46.085969, 46.281928, 47.014646]);
	makeSound('4_page3', 48.5, 55.618402, ["You ", "can ", "even ", "recycle ", "your ", "food ", "waste. ","When ", "you ", "recycle ", "your ", "food ", "waste, ", "it's ", "called ", "composting. "], [47.95, 49.4045, 49.569219, 50.006578, 50.547596, 50.753496, 50.940935, 52.126632, 52.335371, 52.456071, 52.988569, 53.201569, 53.464268, 53.778087, 54.086226, 54.564765]);
	makeSound('5_page4', 57.981275, 71.8, ["What ", "happens ", "after ", "you ", "decide ", "to ", "recycle ", "your ", "garbage ", "? ", "It ", "goes ", "from ", "the ", "recycling ", "container ", "at ", "your ", "house, ", "to ", "a ", "trash_bin, ",  "if ", "you ", "live ", "in ", "an ", "apartment, ", "and ", "then ", "to ", "the ", "recycling ", "truck ", "which ", "brings ", "it ", "to ", "a ", "recycling ", "center."], [57.01, 58.299354, 58.844633, 59.357251, 59.487891, 59.85141, 60.044529, 60.528748, 60.703407, 60.703407, 61.908984, 62.174523, 62.506802, 62.668682, 62.752462, 63.27502, 63.676879, 63.737939, 63.865738, 64.744716, 64.845536, 64.959135,65.311294, 65.750073, 65.876453, 65.984372, 66.086612, 66.157612, 66.248492, 67.135989, 67.394428, 67.682688, 67.806227, 67.870127, 68.428185, 68.729225, 69.108363, 69.351183, 69.469042, 69.574122, 69.693402, 70.28696]);
	makeSound('6_page5', 72.431154, 77.702179, ["The ", "recycling ", "material ", "is ", "put ", "on ", "a ", "conveyor ", "belt ", "and ", "separated ", "in ", "lots ", "of ", "different ", "ways."], [72.01, 72.662613, 73.210732, 73.80997, 73.98321, 74.129469, 74.254429, 74.355249, 74.801127, 75.146186, 75.370546, 75.873224, 76.165743, 76.637182, 76.777762, 77.108621]);
	makeSound('7_page6', 97.241324, 103, ["Recycling ", "means ", "we ", "don't ", "have ", "to ", "take ", "more ", "materials ", "out     ", "the ", "earth ", "to ", "make ", "new ", "things."], [96.01, 98.117461, 98.62724, 98.861539, 99.060338, 99.261978, 99.357117, 99.567277, 99.834236, 100.470394, 100.609554, 100.725994, 100.825393, 101.083833, 101.190332, 101.404752, 101.673131]);


	makeSound('alum_materialDef', 18.175948, 22.765375);
	makeSound('glass_materialDef', 13.95004, 17.58523);
	makeSound('paper_materialDef', 29.8, 32.716707);
	makeSound('plastic_materialDef', 23.719613, 28.627119);

	makeSound('conveyor_glassbinsDef', 92.152058, 96.014447);
	makeSound('conveyor_magnetDef', 79.383454, 84.51816);
	makeSound('conveyor_plasticblowerDef', 86.381194, 90.561662);

	makeSound('alum_recycle_materialDef', 109.964487, 112.281921);
	makeSound('glass_recycle_materialDef', 120.642857, 123.732768);
	makeSound('paper_recycle_materialDef', 103.693785, 108.737611);
	makeSound('plastic_recycle_materialDef', 113.872316, 119.234221);

	//definition audio:
	makeSound('def_trash_bin', 123.846368, 131.502986);
	makeSound('def_trash_bin,', 123.846368, 131.502986);
	makeSound('def_material', 133.297861, 137.13753);
	makeSound('def_materials', 133.297861, 137.13753);
	makeSound('def_plastic',137.981008, 142.0);
	makeSound('def_container', 150.973971, 155);
	makeSound('def_separate', 163.060976, 168.5);
	makeSound('def_separated', 163.060976, 168.5);
	makeSound('def_sort', 169.081759, 174.943503);
	makeSound('def_waste', 176.761097, 181.395964);
	makeSound('def_waste.', 176.761097, 181.395964);
	makeSound('def_dispose', 182.75916, 187.121388);
	makeSound('def_compost', 187.939306, 194.028248);
	makeSound('def_composting.', 187.939306, 194.028248);
	makeSound('def_garbage',	195.022,	198.870435);
	makeSound('def_garbage,',	195.022,	198.870435);
	makeSound('def_decision',	199.549,	205.486279);
	makeSound('def_decide',	199.549,	205.486279);

	//sfx:
	makeSound('sfx_can', 210.693, 213.794592);

	//glossary sfx:
	makeSound('boing_bonk',	206.410714,	208.261714);
	makeSound('wordbones',	208.943714,	210.457714);

	//definitions go into definitionText array (need to put word verbatim from phrase's text array above, including punctuation if necessary)
	definitionText['compost'] = definitionText['composting.'] = "Compost is a mixture of rotting plants, vegetables and fruit that is good for the soil.";
	definitionText['container'] = "A container is something that holds something else.";
	definitionText['decide'] = "When you make a decision, it means you think about something and then make up your mind.";
	definitionText['dispose'] = "To dispose of something means to get rid of it.";
	definitionText['dumpster'] = "A dumpster is a big metal box for storing trash before the garbage or recycling truck takes it away.";
	definitionText['garbage'] = definitionText['garbage,'] = "Garbage is anything that you throw away.";
	definitionText['material'] = "Material is what something is made from.";
	definitionText['materials'] = "Material is what something is made from.";
	definitionText['separate'] = definitionText['separated'] =  "When you separate things, you take some things away from others.";
	definitionText['sort'] = "To sort means to group things together by what they are made of or how they are alike.";
	definitionText['trash_bin'] = "A trash bin is a big metal box for sorting trash before the garbage or recycling truck takes it away.";
	definitionText['trash_bin,'] = definitionText['trash_bin'];
	definitionText['waste'] = definitionText['waste.'] = "Waste is what gets thrown away after you are done with something.";
	definitionText['plastic'] =  "Plastic is a material made from oil or coal.";
}


//story_manifest: unique for each storybook:
function make_storymanifest(){
	//image assets:
	//for preloader, each storybook's image assets should be defined here
	//id is used within images array to reference images:  images['i_pops']
	story_manifest = [

		//cover image:
		{src:imgPath+"img/covers/wastenotwantnot.jpg", id:"cover_story"},
		//background image;
		{src:imgPath+"img/bg/bg_blue.jpg", id:"bg_story"},

		{src:imgPath+"img/wastenotwantnot/pageTextBG_1.png", id:"pageTextBG_1_png"},
		{src:imgPath+"img/wastenotwantnot/pageTextBG_2.png", id:"pageTextBG_2_png"},

		{src:imgPath+"img/wastenotwantnot/helen.png", id:"helen_png"},

		{src:imgPath+"img/wastenotwantnot/intro/title_section.png", id:"title_graphic"},

		{src:imgPath+"img/wastenotwantnot/materialItems/materialItem_sheet.png", id:"materialItem_sheet_png"},
		{src:imgPath+"img/wastenotwantnot/sec1/popup_window_alum.png", id:"popup_window_alum_png"},
		{src:imgPath+"img/wastenotwantnot/sec1/popup_window_glass.png", id:"popup_window_glass_png"},
		{src:imgPath+"img/wastenotwantnot/sec1/popup_window_paper.png", id:"popup_window_paper_png"},
		{src:imgPath+"img/wastenotwantnot/sec1/popup_window_plastic.png", id:"popup_window_plastic_png"},

		{src:imgPath+"img/wastenotwantnot/sec2/earthRun_bg.jpg", id:"earthRun_bg_jpg"},

		{src:imgPath+"img/wastenotwantnot/sec2/trees/tree_01.png", id:"earthRun_tree_01_png"},
		{src:imgPath+"img/wastenotwantnot/sec2/trees/tree_02.png", id:"earthRun_tree_02_png"},
		{src:imgPath+"img/wastenotwantnot/sec2/trees/tree_03.png", id:"earthRun_tree_03_png"},
		{src:imgPath+"img/wastenotwantnot/sec2/trees/tree_04.png", id:"earthRun_tree_04_png"},
		{src:imgPath+"img/wastenotwantnot/sec2/trees/tree_05.png", id:"earthRun_tree_05_png"},
		{src:imgPath+"img/wastenotwantnot/sec2/trees/tree_06.png", id:"earthRun_tree_06_png"},
		{src:imgPath+"img/wastenotwantnot/sec2/trees/tree_07.png", id:"earthRun_tree_07_png"},

		{src:imgPath+"img/wastenotwantnot/sec3/recycle_arrow.png", id:"recycle_arrow_png"},
		{src:imgPath+"img/wastenotwantnot/sec3/recycle_book.png", id:"recycle_book_png"},
		{src:imgPath+"img/wastenotwantnot/sec3/recycle_paper_pad.png", id:"recycle_paper_pad_png"},
		{src:imgPath+"img/wastenotwantnot/sec3/recycle_paper.png", id:"recycle_paper_png"},

		{src:imgPath+"img/wastenotwantnot/sec4/compost_shovel.jpg", id:"compost_shovel_jpg"},

		{src:imgPath+"img/wastenotwantnot/sec5/01_trash_ketcup.png", id:"trash_ketcup_png"},
		{src:imgPath+"img/wastenotwantnot/sec5/02_trash_blue_bottle.png", id:"trash_blue_bottle_png"},
		{src:imgPath+"img/wastenotwantnot/sec5/03_trash_clear_bottle.png", id:"trash_clear_bottle_png"},
		{src:imgPath+"img/wastenotwantnot/sec5/dumpster_back.png", id:"dumpster_back_png"},
		{src:imgPath+"img/wastenotwantnot/sec5/dumpster_front.png", id:"dumpster_front_png"},
		{src:imgPath+"img/wastenotwantnot/sec5/recycle_bin.png", id:"recycle_bin_png"},

		{src:imgPath+"img/wastenotwantnot/sec7/blower_off.png", id:"blower_off_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/blower_on.png", id:"blower_on_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/convey_brown_bottle_01.png", id:"brown_bottle_01_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/convey_brown_bottle_02.png", id:"brown_bottle_02_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/convey_clear_bottle_01.png", id:"clear_bottle_01_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/convey_clear_bottle_02.png", id:"clear_bottle_02_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/convey_green_bottle_01.png", id:"green_bottle_01_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/convey_green_bottle_02.png", id:"green_bottle_02_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/convey_green_bottle_03.png", id:"green_bottle_03_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/convey_can_01.png", id:"can_01_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/convey_can_02.png", id:"can_02_png"},

		{src:imgPath+"img/wastenotwantnot/sec7/convey_plastic_01.png", id:"plastic_01_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/convey_plastic_02.png", id:"plastic_02_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/convey_plastic_03.png", id:"plastic_03_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/convey_plastic_04.png", id:"plastic_04_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/convey_plastic_05.png", id:"plastic_05_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/conveyor_blower_descript.png", id:"conveyor_blower_descript_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/conveyor_glass_bin_descript.png", id:"conveyor_glass_bin_descript_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/conveyor_magnet_descript.png", id:"conveyor_magnet_descript_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/glass_bin_brown.png", id:"glass_bin_brown_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/glass_bin_clear.png", id:"glass_bin_clear_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/glass_bin_green.png", id:"glass_bin_green_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/magnet_horseshoe.png", id:"magnet_horseshoe_png"},
		{src:imgPath+"img/wastenotwantnot/sec7/trash_conveyor_belt.png", id:"trash_conveyor_belt_png"},

		{src:imgPath+"img/wastenotwantnot/sec8/popup_window_alum.png", id:"sec8_popup_window_alum_png"},
		{src:imgPath+"img/wastenotwantnot/sec8/popup_window_glass.png", id:"sec8_popup_window_glass_png"},
		{src:imgPath+"img/wastenotwantnot/sec8/popup_window_paper.png", id:"sec8_popup_window_paper_png"},
		{src:imgPath+"img/wastenotwantnot/sec8/popup_window_plastic.png", id:"sec8_popup_window_plastic_png"},


		// // //for glossary (common assets for every use):
		{src:imgPath+"img/glossary/wordbone.png", id:"glossary-wordbone"},
		{src:imgPath+"img/glossary/martha_only.png", id:"glossary-martha"},
		{src:imgPath+"img/glossary/board_only.png", id:"glossary-board"},
		{src:imgPath+"img/glossary/glossary_title.png", id:"glossary-title"},
		{src:imgPath+"img/glossary/bowl_only.png", id:"glossary-bowl"},
		{src:imgPath+"img/glossary/splash_only.png", id:"glossary-splash"},
		{src:imgPath+"img/glossary/cloud_defonly.png", id:"glossary-txtcloud"},
		{src:imgPath+"img/glossary/cloud_defandimage.png", id:"glossary-imgcloud"},


		//quiz-glossary img assets specific to this story:
		{src:imgPath+"img/measureup_story/quiz_glossary/scale.png", id:"scales"},
		{src:imgPath+"img/measureup_story/quiz_glossary/cake.png", id:"speed"},
		{src:imgPath+"img/measureup_story/quiz_glossary/steak.png", id:"temperature"},
		{src:imgPath+"img/measureup_story/quiz_glossary/roast.png", id:"weight"},
		{src:imgPath+"img/measureup_story/quiz_glossary/flowers.png", id:"distance"},

	];

}


//each storybook should have its spritesheets created in this function
function story_spritesheets(){

	// //glossary:
	spritesheets['glossary-martha'] = new createjs.SpriteSheet({
	    "frames": [
	        [1037, 2, 259, 217, 0, -20, -114],
	        [538, 2, 248, 227, 0, -37, -128],
	        [288, 2, 246, 229, 0, -38, -118],
	        [790, 2, 243, 220, 0, -38, -121],
	        [1755, 450, 252, 196, 0, -30, -137],
	        [2, 2, 282, 237, 0, -4, -86],
	        [577, 656, 280, 157, 0, -149, -105],
	        [861, 656, 281, 157, 0, -183, -67],
	        [2, 656, 284, 190, 0, -208, -20],
	        [290, 656, 283, 189, 0, -228, -15],
	        [1463, 450, 288, 196, 0, -237, -10],
	        [1171, 450, 288, 196, 0, -244, -9],
	        [877, 450, 290, 200, 0, -247, -7],
	        [582, 450, 291, 200, 0, -249, -7],
	        [869, 243, 289, 203, 0, -252, -8],
	        [578, 243, 287, 203, 0, -255, -10],
	        [291, 450, 287, 202, 0, -257, -18],
	        [1742, 243, 286, 203, 0, -262, -30],
	        [1452, 243, 286, 203, 0, -268, -48],
	        [1162, 243, 286, 203, 0, -276, -73],
	        [2, 450, 285, 202, 0, -287, -107],
	        [290, 243, 284, 203, 0, -302, -152],
	        [2, 243, 284, 203, 0, -322, -215],
	        [1300, 2, 276, 204, 0, -356, -310],
	        [1580, 2, 275, 204, 0, -416, -495]
	    ],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24], "next": false, "frequency": 3}},
		"images": [images['glossary-martha']]
	});

	spritesheets['glossary-board'] = new createjs.SpriteSheet({
	    "frames": [[2, 209, 384, 69, 0, 0, -14], [2, 2, 387, 110, 0, 0, -2], [393, 2, 386, 99, 0, 0, -5], [2, 116, 386, 89, 0, 0, -8], [392, 116, 386, 79, 0, 0, -11], [580, 209, 304, 69, 0, 0, -14], [783, 2, 237, 69, 0, 0, -14], [390, 209, 186, 69, 0, 0, -14], [2, 282, 149, 68, 0, 0, -14], [782, 116, 127, 68, 0, 0, -14], [888, 209, 120, 68, 0, 0, -14]],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 0, 0, 0, 0, 5, 6, 7, 8, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10], "next": false, "frequency": 3}},
		"images": [images['glossary-board']]
	});

	spritesheets['glossary-bowl'] = new createjs.SpriteSheet({
		"frames": [[0, 0, 629, 170, 0, 0, -1], [0, 170, 629, 166, 0, 0, -1]],
		"animations": {"all": {"frames": [0, 1]}
		},
		"images": [images['glossary-bowl']]
	});

	spritesheets['glossary-splash'] = new createjs.SpriteSheet({
		"frames": [[1808, 0, 1, 1, 0, 0, 0], [451, 578, 422, 186, 0, -45, -134], [0, 578, 451, 230, 0, -30, -78], [0, 0, 543, 297, 0, 0, -4], [543, 0, 594, 295, 0, 0, 0], [1402, 297, 637, 262, 0, 0, -21], [1137, 0, 671, 282, 0, 0, 0], [0, 297, 694, 281, 0, 0, 0], [694, 297, 708, 280, 0, 0, 0]],
		"animations": {
			"bowl_idle": {"frames": [0]},
			"bowl_splash": {"frames": [1, 2, 3, 4, 5, 6, 7, 8], "frequency": 4, "next": false},
		},
		"images": [images['glossary-splash']]
	});
	//**//**console.log('all spritesheet objects created');
}

var FONT_COLOR_BLACK = createjs.Graphics.getRGB(0,0,0,1);
var FONT_HIGHLIGHT_COLOR = createjs.Graphics.getRGB(0,144,173,1);
var FONT_VOCAB_COLOR = createjs.Graphics.getRGB(226,66,39,1);

var FONT_STYLE_TITLE = "bold 72px Nunito";
var FONT_STYLE_LOADING = "bold 32px Arial";
var FONT_STYLE_START_BUTTON = "bold 12px Arial";
var FONT_STYLE_SUBTITLE_TEXT = "22px Nunito";
var FONT_STYLE_PAGE_TEXT = "26px Nunito";
var FONT_STYLE_TIMER = "80px Nunito";